package gregapi.load;

import static gregapi.data.CS.*;
import gregapi.data.MD;
import gregapi.data.MT;
import gregapi.data.OP;
import gregapi.old.OreDictNames;
import gregapi.util.OM;
import gregapi.util.ST;
import net.minecraft.init.Blocks;
import net.minecraft.init.Items;

/**
 * @author Gregorius Techneticies
 * 
 * Loads the ItemData for several Items.
 * This happens during the InitPhase, or if GregTech is installed within the PreInitPhase, since GregTech loads after all the Mods mentioned here, unlike the API.
 */
public class LoaderItemData implements Runnable {
	@Override public String toString() {return "Item Data Loader";}
	
	@Override
	public void run() {
    	OM.reg(OP.glass, MT.UNUSED.Reinforced			, ST.mkic("reinforcedGlass", 1));
        OM.reg("paperResearchFragment"					, ST.make(MD.TC, "ItemResource", 1, 9));
    	OM.reg(OP.circuit, MT.Basic						, ST.mkic("electronicCircuit", 1));
    	OM.reg(OP.circuit, MT.Advanced					, ST.mkic("advancedCircuit", 1));
    	OM.reg(OP.battery, MT.Basic						, ST.mkic("reBattery", 1));
    	OM.reg(OP.battery, MT.Basic						, ST.mkic("chargedReBattery", 1, W));
    	OM.reg(OP.battery, MT.Advanced					, ST.mkic("advBattery", 1, W));
    	OM.reg("calclavia:BATTERY"						, ST.mkic("reBattery", 1));
    	OM.reg("calclavia:BATTERY"						, ST.mkic("chargedReBattery", 1, W));
	    OM.reg("itemCertusQuartz"						, ST.make(MD.AE, "item.ItemMultiMaterial", 1, 1));
    	OM.reg("itemCertusQuartz"						, ST.make(MD.AE, "item.ItemMultiMaterial", 1, 10));
    	OM.reg("itemNetherQuartz"						, ST.make(MD.AE, "item.ItemMultiMaterial", 1, 11));
    	OM.reg(OreDictNames.craftingQuartz				, ST.make(MD.AE, "item.ItemMultiMaterial", 1, 1));
    	OM.reg(OreDictNames.craftingQuartz				, ST.make(MD.AE, "item.ItemMultiMaterial", 1, 10));
    	OM.reg(OreDictNames.craftingQuartz				, ST.make(MD.AE, "item.ItemMultiMaterial", 1, 11));
		OM.reg(OreDictNames.craftingWireCopper			, ST.mkic("insulatedCopperCableItem", 1));
		OM.reg(OreDictNames.craftingWireGold			, ST.mkic("insulatedGoldCableItem", 1));
		OM.reg(OreDictNames.craftingWireIron			, ST.mkic("insulatedIronCableItem", 1));
		OM.reg(OreDictNames.craftingWireTin				, ST.mkic("insulatedTinCableItem", 1));
    	OM.reg(OreDictNames.craftingSafe				, ST.mkic("personalSafe", 1));
    	OM.reg(OreDictNames.craftingPump				, ST.mkic("pump", 1));
    	OM.reg(OreDictNames.craftingElectromagnet		, ST.mkic("magnetizer", 1));
    	OM.reg(OreDictNames.craftingTeleporter			, ST.mkic("teleporter", 1));
    	OM.reg(OreDictNames.craftingMacerator			, ST.mkic("macerator", 1));
    	OM.reg(OreDictNames.craftingExtractor			, ST.mkic("extractor", 1));
    	OM.reg(OreDictNames.craftingCompressor			, ST.mkic("compressor", 1));
    	OM.reg(OreDictNames.craftingRecycler			, ST.mkic("recycler", 1));
    	OM.reg(OreDictNames.craftingIronFurnace			, ST.mkic("ironFurnace", 1));
    	OM.reg(OreDictNames.craftingInductionFurnace	, ST.mkic("inductionFurnace", 1));
    	OM.reg(OreDictNames.craftingElectricFurnace		, ST.mkic("electroFurnace", 1));
    	OM.reg(OreDictNames.craftingGenerator			, ST.mkic("generator", 1));
    	OM.reg(OreDictNames.craftingGeothermalGenerator	, ST.mkic("geothermalGenerator", 1));
    	
    	
    	
    	
		OM.reg("flower"								, ST.make(MD.EBXL, "vines", 1, 0));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower1", 1, 1));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower1", 1, 2));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower1", 1, 3));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower1", 1, 4));
		OM.reg("listAllmushroom"					, ST.make(MD.EBXL, "flower1", 1, 6));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower1", 1, 7));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1, 0));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1, 1));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1, 2));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1, 3));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1, 4));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1, 5));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1, 6));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1, 7));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1, 8));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1, 9));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1,11));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1,12));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1,13));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1,14));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower2", 1,15));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1, 0));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1, 1));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1, 2));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1, 3));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1, 4));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1, 5));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1, 6));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1, 7));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1, 8));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1, 9));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1,10));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1,11));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1,12));
		OM.reg("flower"								, ST.make(MD.EBXL, "flower3", 1,13));
		OM.reg("foodChocolatebar"					, ST.make(MD.EBXL, "extrabiomes.food", 1, 0));
		OM.reg("foodChocolatestrawberry"			, ST.make(MD.EBXL, "extrabiomes.crop", 1, 1));
		OM.reg("seedStrawberry"						, ST.make(MD.EBXL, "extrabiomes.seed", 1, 0));
		OM.reg("cropStrawberry"						, ST.make(MD.EBXL, "extrabiomes.crop", 1, 0));
		OM.reg("cropFlax"							, ST.make(MD.BoP, "foliage", 1, 3));
		OM.reg("cropIvy"							, ST.make(MD.BoP, "foliage", 1, 7));
		OM.reg("cropPinecone"						, ST.make(MD.BoP, "misc", 1, 13));
		OM.reg("cropGrapeRed"						, ST.make(MD.HaC, "grapeItem", 1));
		OM.reg("listAllmushroom"					, ST.make(MD.BoP, "mushrooms", 1, 0));
		OM.reg("listAllmushroom"					, ST.make(MD.BoP, "mushrooms", 1, 1));
		OM.reg("listAllmushroom"					, ST.make(MD.BoP, "mushrooms", 1, 2));
		OM.reg("listAllmushroom"					, ST.make(MD.BoP, "mushrooms", 1, 3));
		OM.reg("listAllmushroom"					, ST.make(MD.BoP, "mushrooms", 1, 4));
		OM.reg("listAllmushroom"					, ST.make(MD.BoP, "mushrooms", 1, 5));
		for (int i = 0; i < 16; i++) {
		OM.reg("listAllmushroom"					, ST.make(MD.BOTA, "mushroom", 1, i));
		OM.reg(DYE_OREDICTS_MIXABLE[i]				, ST.make(MD.BOTA, "dye", 1, 15-i));
		}
		OM.reg(DYE_OREDICTS_MIXABLE[DYE_INDEX_Black], ST.make(MD.TCFM, "FMResource", 1, 1));
		OM.reg("cropAppleRed"						, ST.make(Items.apple, 1, 0));
		OM.reg("cropMelon"							, ST.make(Items.melon, 1, 0));
		OM.reg("cropPumpkin"						, ST.make(Blocks.pumpkin, 1, 0));
		OM.reg("cropHops"							, ST.mkic("hops", 1));
		OM.reg("cropCoffee"							, ST.mkic("coffeeBeans", 1));
		OM.reg("cropLemon"							, ST.make(MD.FR, "fruits", 1, 3));
		OM.reg("cropChilipepper"					, ST.make(MD.MaCr, "magicalcrops_CropProduce", 1, 2));
		OM.reg("cropTomato"							, ST.make(MD.MaCr, "magicalcrops_CropProduce", 1, 8));
		OM.reg("cropGrape"							, ST.make(MD.MaCr, "magicalcrops_CropProduce", 1, 4));
		OM.reg("cropTea"							, ST.make(MD.GaSu, "teaLeaves", 1, 0));
		OM.reg("cropPapaya"							, ST.make(MD.BINNIE_TREE, "food", 1, 40));
		OM.reg("cropCurrants"						, ST.make(MD.BINNIE_TREE, "food", 1, 41));
		OM.reg("cropCurrants"						, ST.make(MD.BINNIE_TREE, "food", 1, 42));
		OM.reg("cropBlackberry"						, ST.make(MD.BINNIE_TREE, "food", 1, 43));
		OM.reg("cropRaspberry"						, ST.make(MD.BINNIE_TREE, "food", 1, 44));
		OM.reg("cropBlueberry"						, ST.make(MD.BINNIE_TREE, "food", 1, 45));
		OM.reg("cropCranberry"						, ST.make(MD.BINNIE_TREE, "food", 1, 46));
		OM.reg("cropJuniper"						, ST.make(MD.BINNIE_TREE, "food", 1, 47));
		OM.reg("cropGooseberry"						, ST.make(MD.BINNIE_TREE, "food", 1, 48));
		OM.reg("cropRaspberry"						, ST.make(MD.BINNIE_TREE, "food", 1, 49));
		OM.reg("cropCoconut"						, ST.make(MD.BINNIE_TREE, "food", 1, 50));
		OM.reg("cropCashew"							, ST.make(MD.BINNIE_TREE, "food", 1, 51));
		OM.reg("cropAvocado"						, ST.make(MD.BINNIE_TREE, "food", 1, 52));
		OM.reg("cropNutmeg"							, ST.make(MD.BINNIE_TREE, "food", 1, 53));
		OM.reg("cropAllspice"						, ST.make(MD.BINNIE_TREE, "food", 1, 54));
		OM.reg("cropChilipepper"					, ST.make(MD.BINNIE_TREE, "food", 1, 55));
		OM.reg("cropStarAnise"						, ST.make(MD.BINNIE_TREE, "food", 1, 56));
		OM.reg("cropMango"							, ST.make(MD.BINNIE_TREE, "food", 1, 57));
		OM.reg("cropStarfruit"						, ST.make(MD.BINNIE_TREE, "food", 1, 58));
		OM.reg("cropCandlenut"						, ST.make(MD.BINNIE_TREE, "food", 1, 59));
		OM.reg("foodApplejuice"						, ST.make(MD.BINNIE, "containerGlass", 1,256));
		OM.reg("foodApricotjuice"					, ST.make(MD.BINNIE, "containerGlass", 1,257));
		OM.reg("foodBananajuice"					, ST.make(MD.BINNIE, "containerGlass", 1,258));
		OM.reg("foodCherryjuice"					, ST.make(MD.BINNIE, "containerGlass", 1,259));
		OM.reg("foodElderberryjuice"				, ST.make(MD.BINNIE, "containerGlass", 1,260));
		OM.reg("foodLemonjuice"						, ST.make(MD.BINNIE, "containerGlass", 1,261));
		OM.reg("foodLimejuice"						, ST.make(MD.BINNIE, "containerGlass", 1,262));
		OM.reg("foodOrangejuice"					, ST.make(MD.BINNIE, "containerGlass", 1,263));
		OM.reg("foodPeachjuice"						, ST.make(MD.BINNIE, "containerGlass", 1,264));
		OM.reg("foodPlumjuice"						, ST.make(MD.BINNIE, "containerGlass", 1,265));
		OM.reg("foodCarrotjuice"					, ST.make(MD.BINNIE, "containerGlass", 1,266));
		OM.reg("foodTomatojuice"					, ST.make(MD.BINNIE, "containerGlass", 1,267));
		OM.reg("foodCranberryjuice"					, ST.make(MD.BINNIE, "containerGlass", 1,268));
		OM.reg("foodGrapefruitjuice"				, ST.make(MD.BINNIE, "containerGlass", 1,269));
		OM.reg("foodOliveoil"						, ST.make(MD.BINNIE, "containerGlass", 1,270));
		OM.reg("foodAnanasjuice"					, ST.make(MD.BINNIE, "containerGlass", 1,271));
		OM.reg("foodPearjuice"						, ST.make(MD.BINNIE, "containerGlass", 1,272));
		OM.reg("foodGrapejuice"						, ST.make(MD.BINNIE, "containerGlass", 1,273));
		OM.reg("foodGrapejuice"						, ST.make(MD.BINNIE, "containerGlass", 1,274));
		OM.reg("foodApplecider"						, ST.make(MD.BINNIE, "containerGlass", 1,384));
		OM.reg("foodApricotwine"					, ST.make(MD.BINNIE, "containerGlass", 1,385));
		OM.reg("foodBananawine"						, ST.make(MD.BINNIE, "containerGlass", 1,386));
		OM.reg("foodCherrywine"						, ST.make(MD.BINNIE, "containerGlass", 1,387));
		OM.reg("foodElderberrywine"					, ST.make(MD.BINNIE, "containerGlass", 1,388));
		OM.reg("foodPeachcider"						, ST.make(MD.BINNIE, "containerGlass", 1,389));
		OM.reg("foodPearcider"						, ST.make(MD.BINNIE, "containerGlass", 1,390));
		OM.reg("foodPlumwine"						, ST.make(MD.BINNIE, "containerGlass", 1,391));
		OM.reg("foodCarrotwine"						, ST.make(MD.BINNIE, "containerGlass", 1,392));
		OM.reg("foodGrapewine"						, ST.make(MD.BINNIE, "containerGlass", 1,393));
		OM.reg("foodGrapewine"						, ST.make(MD.BINNIE, "containerGlass", 1,394));
		OM.reg("foodWine"							, ST.make(MD.BINNIE, "containerGlass", 1,395));
		OM.reg("foodAgavewine"						, ST.make(MD.BINNIE, "containerGlass", 1,396));
		OM.reg("foodCitruswine"						, ST.make(MD.BINNIE, "containerGlass", 1,398));
		OM.reg("foodCranberrywine"					, ST.make(MD.BINNIE, "containerGlass", 1,399));
		OM.reg("foodPineapplewine"					, ST.make(MD.BINNIE, "containerGlass", 1,400));
		OM.reg("foodTomatowine"						, ST.make(MD.BINNIE, "containerGlass", 1,401));
		OM.reg("foodWine"							, ST.make(MD.BINNIE, "containerGlass", 1,402));
		OM.reg("foodAle"							, ST.make(MD.BINNIE, "containerGlass", 1,403));
		OM.reg("foodBeer"							, ST.make(MD.BINNIE, "containerGlass", 1,404));
		OM.reg("foodBeer"							, ST.make(MD.BINNIE, "containerGlass", 1,405));
		OM.reg("foodBeer"							, ST.make(MD.BINNIE, "containerGlass", 1,406));
		OM.reg("foodBeer"							, ST.make(MD.BINNIE, "containerGlass", 1,407));
		OM.reg("foodBeer"							, ST.make(MD.BINNIE, "containerGlass", 1,408));
		OM.reg("foodVodka"							, ST.make(MD.BINNIE, "containerGlass", 1,513));
		OM.reg("foodRum"							, ST.make(MD.BINNIE, "containerGlass", 1,514));
		OM.reg("foodRum"							, ST.make(MD.BINNIE, "containerGlass", 1,515));
		OM.reg("foodWhiskey"						, ST.make(MD.BINNIE, "containerGlass", 1,516));
		OM.reg("foodBourbon"						, ST.make(MD.BINNIE, "containerGlass", 1,517));
		OM.reg("foodWhiskey"						, ST.make(MD.BINNIE, "containerGlass", 1,518));
		OM.reg("foodWhiskey"						, ST.make(MD.BINNIE, "containerGlass", 1,519));
		OM.reg("foodWine"							, ST.make(MD.BINNIE, "containerGlass", 1,520));
		OM.reg("foodTequila"						, ST.make(MD.BINNIE, "containerGlass", 1,521));
		OM.reg("foodBrandy"							, ST.make(MD.BINNIE, "containerGlass", 1,522));
		OM.reg("foodBrandy"							, ST.make(MD.BINNIE, "containerGlass", 1,523));
		OM.reg("foodBrandy"							, ST.make(MD.BINNIE, "containerGlass", 1,524));
		OM.reg("foodBrandy"							, ST.make(MD.BINNIE, "containerGlass", 1,525));
		OM.reg("foodBrandy"							, ST.make(MD.BINNIE, "containerGlass", 1,526));
		OM.reg("foodBrandy"							, ST.make(MD.BINNIE, "containerGlass", 1,527));
		OM.reg("foodBrandy"							, ST.make(MD.BINNIE, "containerGlass", 1,528));
		OM.reg("foodBrandy"							, ST.make(MD.BINNIE, "containerGlass", 1,529));
		OM.reg("foodBrandy"							, ST.make(MD.BINNIE, "containerGlass", 1,530));
		OM.reg("foodCachaca"						, ST.make(MD.BINNIE, "containerGlass", 1,531));
		OM.reg("foodGin"							, ST.make(MD.BINNIE, "containerGlass", 1,532));
		OM.reg("foodLiquor"							, ST.make(MD.BINNIE, "containerGlass", 1,533));
		OM.reg("foodLiquor"							, ST.make(MD.BINNIE, "containerGlass", 1,534));
		OM.reg("foodLiquor"							, ST.make(MD.BINNIE, "containerGlass", 1,535));
		OM.reg("foodLiquor"							, ST.make(MD.BINNIE, "containerGlass", 1,536));
		OM.reg("foodLiquor"							, ST.make(MD.BINNIE, "containerGlass", 1,537));
		OM.reg("foodLiquor"							, ST.make(MD.BINNIE, "containerGlass", 1,538));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,640));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,641));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,642));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,643));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,644));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,645));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,646));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,647));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,648));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,649));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,650));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,651));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,652));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,653));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,654));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,655));
		OM.reg("foodLiqueur"						, ST.make(MD.BINNIE, "containerGlass", 1,656));
		OM.reg("foodCustard"						, ST.make(MD.MaCu, "food", 1, 3));
		OM.reg("seedCanola"							, ST.make(MD.RoC, "rotarycraft_item_canola", 1, 0));
		OM.reg("seedWheat"							, ST.make(Items.wheat_seeds, 1, 0));
		OM.reg("seedMelon"							, ST.make(Items.melon_seeds, 1, 0));
		OM.reg("seedPumpkin"						, ST.make(Items.pumpkin_seeds, 1, 0));
		OM.reg("listAllegg"							, ST.make(Items.egg, 1, 0));
		OM.reg("listAllbeefraw"						, ST.make(Items.beef, 1, 0));
		OM.reg("listAllbeefcooked"					, ST.make(Items.cooked_beef, 1, 0));
		OM.reg("listAllporkraw"						, ST.make(Items.porkchop, 1, 0));
		OM.reg("listAllporkcooked"					, ST.make(Items.cooked_porkchop, 1, 0));
		OM.reg("listAllchickenraw"					, ST.make(Items.chicken, 1, 0));
		OM.reg("listAllchickencooked"				, ST.make(Items.cooked_chicken, 1, 0));
		for (int i = 0, j = (MD.MaCu.mLoaded?64:3); i <= j; i++)
		OM.reg("listAllfishraw"						, ST.make(Items.fish, 1, i));
		OM.reg("listAllfishcooked"					, ST.make(Items.cooked_fished, 1, 0));
		OM.reg("listAllfishcooked"					, ST.make(Items.cooked_fished, 1, 1));
		OM.reg("listAllmushroom"					, ST.make(Blocks.brown_mushroom, 1, W));
		OM.reg("listAllmushroom"					, ST.make(Blocks.red_mushroom, 1, W));
		OM.reg("itemString"							, ST.make(Items.string, 1, W));
		OM.reg("paperEmpty"							, ST.make(Items.paper, 1, W));
		OM.reg("paperMap"							, ST.make(Items.map, 1, W));
		OM.reg("paperMap"							, ST.make(Items.filled_map, 1, W));
		OM.reg("bookEmpty"							, ST.make(Items.book, 1, W));
		OM.reg("bookWritable"						, ST.make(Items.writable_book, 1, W));
		OM.reg("bookWritten"						, ST.make(Items.written_book, 1, W));
		OM.reg("bookEnchanted"						, ST.make(Items.enchanted_book, 1, W));
		OM.reg("bucketWater"						, ST.make(Items.water_bucket, 1, W));
		OM.reg("bucketLava"							, ST.make(Items.lava_bucket, 1, W));
		OM.reg("bucketMilk"							, ST.make(Items.milk_bucket, 1, W));
		OM.reg("bottleMilk"							, ST.make(MD.MFR, "milkbottle", 1, 0));
		OM.reg("glowstone"							, ST.make(Blocks.glowstone, 1, W));
		OM.reg("dirt"								, ST.make(Blocks.dirt, 1, W));
		OM.reg("sand"								, ST.make(Blocks.sand, 1, W));
		OM.reg("gravel"								, ST.make(Blocks.gravel, 1, W));
		OM.reg("soulsand"							, ST.make(Blocks.soul_sand, 1, W));
		OM.reg("itemFeather"						, ST.make(Items.feather, 1, W));
		OM.reg("itemFeather"						, ST.make(MD.TF, "item.tfFeather", 1, W));
		OM.reg("itemLeather"						, ST.make(Items.leather, 1, W));
		OM.reg("itemLeatherHardened"				, ST.make(MD.HaC, "hardenedleatherItem", 1));
		OM.reg("itemLeatherImpregnated"				, ST.make(MD.WTCH, "ingredient", 1, 72));
		OM.reg("itemLeather"						, ST.make(MD.MoCr, "hide", 1, 0));
		OM.reg("itemFur"							, ST.make(MD.MoCr, "fur", 1, 0));
		OM.reg("itemFur"							, ST.make(MD.TF, "item.arcticFur", 1, 0));
		OM.reg("itemFur"							, ST.make(MD.TF, "item.alphaFur", 1, 0));
		OM.reg("seedBeet"							, ST.make(MD.EtFu, "beetroot_seeds", 1, 0));
		OM.reg("foodMuttonraw"						, ST.make(MD.EtFu, "mutton_raw", 1, 0));
		OM.reg("foodMuttoncooked"					, ST.make(MD.EtFu, "mutton_cooked", 1, 0));
		OM.reg("foodRabbitraw"						, ST.make(MD.EtFu, "rabbit_raw", 1, 0));
		OM.reg("foodRabbitcooked"					, ST.make(MD.EtFu, "rabbit_cooked", 1, 0));
		OM.reg("container1000rubbertreesap"			, ST.make(MD.IHL, "bucket_fluidRubberTreeSap", 1, 0));
		OM.reg("container1000spruceresin"			, ST.make(MD.IHL, "bucket_SpruceResin", 1, 0));
		OM.reg("foodCheese"							, ST.make(MD.GC, "item.cheeseCurd", 1, W));
		OM.reg("foodCheese"							, ST.make(MD.AA, "itemFood", 1, 0));
		OM.reg("foodCarrotjuice"					, ST.make(MD.AA, "itemFood", 1, 2));
		OM.reg("foodBaconcooked"					, ST.make(MD.AA, "itemFood", 1,20));
		OM.reg("slimeballRice"						, ST.make(MD.AA, "itemMisc", 1,12));
		OM.reg(OreDictNames.craftingBook			, ST.make(Items.book, 1, W));
		OM.reg(OreDictNames.craftingBook			, ST.make(Items.writable_book, 1, W));
		OM.reg(OreDictNames.craftingBook			, ST.make(Items.written_book, 1, W));
		OM.reg(OreDictNames.craftingBook			, ST.make(Items.enchanted_book, 1, W));
		OM.reg(OreDictNames.craftingChest			, ST.make(Blocks.chest, 1, W));
		OM.reg(OreDictNames.craftingChest			, ST.make(Blocks.trapped_chest, 1, W));
		OM.reg(OreDictNames.enderChest				, ST.make(Blocks.ender_chest, 1, W));
		OM.reg(OreDictNames.craftingFurnace			, ST.make(Blocks.furnace, 1, W));
		OM.reg(OreDictNames.craftingFurnace			, ST.make(Blocks.lit_furnace, 1, W));
		OM.reg(OreDictNames.craftingWorkBench		, ST.make(Blocks.crafting_table, 1, W));
		OM.reg(OreDictNames.craftingWorkBench		, ST.make(MD.BC_FACTORY, "autoWorkbenchBlock", 1, 0));
		OM.reg(OreDictNames.craftingTank			, ST.make(MD.BC_FACTORY, "tankBlock", 1, W));
		OM.reg(OreDictNames.craftingRedstoneTorch	, ST.make(Blocks.redstone_torch, 1, W));
		OM.reg(OreDictNames.craftingRedstoneTorch	, ST.make(Blocks.unlit_redstone_torch, 1, W));
		OM.reg(OreDictNames.craftingPiston			, ST.make(Blocks.piston, 1, W));
		OM.reg(OreDictNames.craftingPiston			, ST.make(Blocks.sticky_piston, 1, W));
		OM.reg(OreDictNames.craftingAnvil			, ST.make(Blocks.anvil, 1, 0));
		OM.reg(OreDictNames.craftingAnvil			, ST.make(MD.RC, "anvil", 1, 0));
		OM.reg(OreDictNames.craftingHardenedClay	, ST.make(Blocks.hardened_clay, 1, W));
		OM.reg(OreDictNames.craftingHardenedClay	, ST.make(Blocks.stained_hardened_clay, 1, W));
		OM.reg(OP.blockSolid, MT.Obsidian			, ST.make(MD.TC, "blockCosmeticSolid", 1, 0));
		OM.reg(OP.blockSolid, MT.Obsidian			, ST.make(MD.TC, "blockCosmeticSolid", 1, 1));
		OM.reg(OP.gemFlawed, MT.Diamond				, ST.make(MD.FZ, "diamond_shard", 1, W));
		OM.reg(OP.circuit.dat(MT.Basic)				, ST.mkic("electronicCircuit", 1));
		OM.reg(OP.circuit.dat(MT.Advanced)			, ST.mkic("advancedCircuit", 1));
		OM.reg(OP.plate.dat(MT.WoodSealed)			, ST.make(MD.IE, "treatedWood", 1, 1));
		OM.reg(OP.plate.dat(MT.WoodSealed)			, ST.make(MD.IE, "treatedWood", 1, 2));
		OM.reg(OP.dust.dat(MT.Obsidian)				, ST.make(MD.IC2, "item.itemObsidianDust", 1, 0));
		OM.reg(OP.dust.dat(MT.Wheat)				, ST.make(MD.IC2, "item.itemFlour", 1, 0));
		OM.reg("cropTea"							, ST.make(MD.IC2, "item.itemTeaLeaf", 1, 0));
		OM.reg(OP.dust.dat(MT.NaCl)					, ST.make(MD.MaCu, "materials", 1, 12));
		
		OM.reg("record"								, ST.make(MD.MFR, "record.blank", 1, 0));
		OM.reg("record"								, ST.make(MD.RoC, "rotarycraft_item_disk", 1, 0));
		OM.reg("record"								, ST.make(MD.BoP, "record_corruption", 1, 0));
		OM.reg("record"								, ST.make(MD.BoP, "record_wanderer", 1, 0));
		OM.reg("record"								, ST.make(MD.MoCr, "recordshuffle", 1, 0));
		OM.reg("record"								, ST.make(MD.BOTA, "recordGaia1", 1, 0));
		OM.reg("record"								, ST.make(MD.BOTA, "recordGaia2", 1, 0));
		
		OM.reg(OP.dustSmall.dat(MT.Fe)				, ST.make(MD.BINNIE_BEE, "misc", 1, 6));
		OM.reg(OP.dustSmall.dat(MT.Au)				, ST.make(MD.BINNIE_BEE, "misc", 1, 7));
		OM.reg(OP.dustSmall.dat(MT.Ag)				, ST.make(MD.BINNIE_BEE, "misc", 1, 8));
		OM.reg(OP.dustSmall.dat(MT.Pt)				, ST.make(MD.BINNIE_BEE, "misc", 1, 9));
		OM.reg(OP.dustSmall.dat(MT.Cu)				, ST.make(MD.BINNIE_BEE, "misc", 1,10));
		OM.reg(OP.dustSmall.dat(MT.Sn)				, ST.make(MD.BINNIE_BEE, "misc", 1,11));
		OM.reg(OP.dustSmall.dat(MT.Ni)				, ST.make(MD.BINNIE_BEE, "misc", 1,12));
		OM.reg(OP.dustSmall.dat(MT.Pb)				, ST.make(MD.BINNIE_BEE, "misc", 1,13));
		OM.reg(OP.dustSmall.dat(MT.Zn)				, ST.make(MD.BINNIE_BEE, "misc", 1,14));
		OM.reg(OP.dustSmall.dat(MT.Ti)				, ST.make(MD.BINNIE_BEE, "misc", 1,15));
		OM.reg(OP.dustSmall.dat(MT.W)				, ST.make(MD.BINNIE_BEE, "misc", 1,16));
		OM.reg(OP.dustSmall.dat(MT.U_238)			, ST.make(MD.BINNIE_BEE, "misc", 1,17));
		OM.reg(OP.dustSmall.dat(MT.Coal)			, ST.make(MD.BINNIE_BEE, "misc", 1,18));
		OM.reg(OP.dustSmall.dat(MT.Clay)			, ST.make(MD.BINNIE_BEE, "misc", 1,26));
		OM.reg(OP.dustSmall.dat(MT.Yellorium)		, ST.make(MD.BINNIE_BEE, "misc", 1,27));
		OM.reg(OP.dustSmall.dat(MT.Blutonium)		, ST.make(MD.BINNIE_BEE, "misc", 1,28));
		OM.reg(OP.dustSmall.dat(MT.Cyanite)			, ST.make(MD.BINNIE_BEE, "misc", 1,29));
		
		OM.data(MD.BINNIE_BEE, "misc"								, 1,   1, MT.Diamond			,  U / 9);
		OM.data(MD.BINNIE_BEE, "misc"								, 1,   2, MT.Emerald			,  U / 9);
		OM.data(MD.BINNIE_BEE, "misc"								, 1,   3, MT.Ruby				,  U / 9);
		OM.data(MD.BINNIE_BEE, "misc"								, 1,   4, MT.Sapphire			,  U / 9);
		OM.data(MD.BINNIE_BEE, "misc"								, 1,   5, MT.Lapis				,  U / 4);
		OM.data(MD.BINNIE_BOTANY, "encylopedia"						, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.BINNIE_BOTANY, "encylopediaIron"					, 1,   W, MT.Paper				,  U * 3, MT.TECH.AnyIron, U * 1);
		OM.data(MD.BC_BUILDERS, "blueprintItem"						, 1,   W, MT.Paper				,  U * 8);
		OM.data(MD.BC_BUILDERS, "templateItem"						, 1,   W, MT.Paper				,  U * 8);
		OM.data(MD.BC_ROBOTICS, "redstone_board"					, 1,   W, MT.Paper				,  U * 8);
		OM.data(MD.BC, "mapLocation"								, 1,   W, MT.Paper				,  U * 8);
		OM.data(MD.BC, "list"										, 1,   W, MT.Paper				,  U * 8);
		OM.data(MD.IE, "tool"										, 1,   3, MT.Paper				,  U * 3);
		OM.data(MD.IE, "blueprint"									, 1,   W, MT.Paper				,  U * 1);
		OM.data(MD.AA, "itemBooklet"								, 1,   W, MT.Paper				,  U * 1);
		OM.data(MD.RC, "routing.table"								, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.FR, "catalogue"									, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.FR, "researchNote"								, 1,   W, MT.Paper				,  U * 1);
		OM.data(MD.FR, "letters"									, 1,   W, MT.Paper				,  U * 1);
		OM.data(MD.TE, "diagram"									, 1,   W, MT.Paper				,  U * 2);
		OM.data(MD.TF, "item.emptyMagicMap"							, 1,   W, MT.Paper				,  U * 8);
		OM.data(MD.TF, "item.emptyMazeMap"							, 1,   W, MT.Paper				,  U * 8);
		OM.data(MD.TF, "item.emptyOreMap"							, 1,   W, MT.Paper				,  U * 8);
		OM.data(MD.TF, "item.magicMap"								, 1,   W, MT.Paper				,  U * 8);
		OM.data(MD.TF, "item.mazeMap"								, 1,   W, MT.Paper				,  U * 8);
		OM.data(MD.TF, "item.oreMap"								, 1,   W, MT.Paper				,  U * 8);
		OM.data(MD.WTCH, "ingredient"								, 1,  46, MT.Paper				,  U * 3);
		OM.data(MD.WTCH, "ingredient"								, 1,  47, MT.Paper				,  U * 3);
		OM.data(MD.WTCH, "ingredient"								, 1,  48, MT.Paper				,  U * 3);
		OM.data(MD.WTCH, "ingredient"								, 1,  49, MT.Paper				,  U * 3);
		OM.data(MD.WTCH, "ingredient"								, 1,  81, MT.Paper				,  U * 3);
		OM.data(MD.WTCH, "ingredient"								, 1, 106, MT.Paper				,  U * 3);
		OM.data(MD.WTCH, "ingredient"								, 1, 107, MT.Paper				,  U * 3);
		OM.data(MD.WTCH, "ingredient"								, 1, 127, MT.Paper				,  U * 3);
		OM.data(MD.WTCH, "ingredient"								, 1, 140, MT.Paper				,  U * 1);
		OM.data(MD.WTCH, "ingredient"								, 1, 141, MT.Paper				,  U * 1);
		OM.data(MD.WTCH, "ingredient"								, 1, 142, MT.Paper				,  U * 1);
		OM.data(MD.WTCH, "ingredient"								, 1, 143, MT.Paper				,  U * 1);
		OM.data(MD.WTCH, "ingredient"								, 1, 144, MT.Paper				,  U * 1);
		OM.data(MD.WTCH, "ingredient"								, 1, 145, MT.Paper				,  U * 1);
		OM.data(MD.WTCH, "ingredient"								, 1, 146, MT.Paper				,  U * 1);
		OM.data(MD.WTCH, "ingredient"								, 1, 160, MT.Paper				,  U * 1);
		OM.data(MD.WTCH, "biomenote"								, 1,   W, MT.Paper				,  U * 1);
		OM.data(MD.WTCH, "bookbiomes2"								, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.WTCH, "cauldronbook"								, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.WTCH, "vampirebook"								, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.HOWL, "lycanthropeBook"							, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.BbLC, "item.SlottedBook"							, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.BbLC, "item.BiblioRedBook"						, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.BbLC, "item.TesterItem"							, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.BbLC, "item.RecipeBook"							, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.BbLC, "item.StockroomCatalog"					, 1,   W, MT.Paper				,  U *10);
		OM.data(MD.BbLC, "item.BigBook"								, 1,   W, MT.Paper				,  U *11);
		OM.data(MD.BbLC, "item.AtlasBook"							, 1,   W, MT.Paper				,  U *17);
		OM.data(MD.TC, "ItemThaumonomicon"							, 1,   W, MT.Paper				,  U * 9);
		OM.data(MD.TC, "ItemEldritchObject"							, 1,   1, MT.Paper				,  U * 9);
		OM.data(MD.TC, "ItemResearchNotes"							, 1,   W, MT.Paper				,  U * 1);
		OM.data(MD.MoCr, "scrollofsale"								, 1,   W, MT.Paper				,  U * 1);
		OM.data(MD.MoCr, "scrollofowner"							, 1,   W, MT.Paper				,  U * 1);
		OM.data(MD.MoCr, "scrolloffreedom"							, 1,   W, MT.Paper				,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_handbook"					, 1,   W, MT.Paper				,  U * 6);
		OM.data(MD.ReC, "reactorcraft_item_book"					, 1,   W, MT.Paper				,  U * 6);
		OM.data(MD.ElC, "electricraft_item_book"					, 1,   W, MT.Paper				,  U * 6);
		OM.data(MD.CrC, "chromaticraft_item_help"					, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.CrC, "chromaticraft_item_fragment"				, 1,   W, MT.Paper				,  U * 1);
		OM.data(MD.PR_EXPANSION, "projectred.expansion.plan"		, 1,   W, MT.Paper				,  U * 1);
		OM.data(MD.LOSTBOOKS, "randomBook"							, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.WARPBOOK, "warpbook"								, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.WARPBOOK, "warppage"								, 1,   W, MT.Paper				,  U * 1);
		OM.data(MD.BOTA, "lexicon"									, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.MNTL, "mantleBook"								, 1,   W, MT.Paper				,  U * 3);
		OM.data(MD.TiC, "manualBook"								, 1,   W, MT.Paper				,  U * 1);
		OM.data(MD.CC, "printout"									, 1,   0, MT.Paper				,  U * 1);
		OM.data(MD.CC, "printout"									, 1,   1, MT.Paper				,  U * 2);
		OM.data(MD.CC, "printout"									, 1,   2, MT.Paper				,  U * 1);
		
		for (byte i = 0; i < 16; i++) OM.reg(OP.dyeMixable.mNameInternal + DYE_OREDICTS_POST[i], ST.make(Items.dye, 1, i));
		
		OM.reg(OP.stone, MT.GraniteBlack						, ST.make(MD.PFAA, "strongStone", 1,  3)); // actually Gray
		
		for (String tName : new String [] {"sedimentaryStone"}) {
			OM.reg(OP.stone, MT.Limestone						, ST.make(MD.UB, tName, 1,  0));
			OM.reg(OP.stone, MT.Chalk							, ST.make(MD.UB, tName, 1,  1));
			OM.reg(OP.stone, MT.Shale							, ST.make(MD.UB, tName, 1,  2));
			OM.reg(OP.stone, MT.Siltstone						, ST.make(MD.UB, tName, 1,  3));
			OM.reg(OP.stone, MT.Lignite  						, ST.make(MD.UB, tName, 1,  4));
			OM.reg(OP.stone, MT.Dolomite 						, ST.make(MD.UB, tName, 1,  5));
			OM.reg(OP.stone, MT.Greywacke						, ST.make(MD.UB, tName, 1,  6));
			OM.reg(OP.stone, MT.Chert							, ST.make(MD.UB, tName, 1,  7));
			OM.reg(OP.stone, MT.Limestone						, ST.make(MD.UB, tName, 1,  8));
			OM.reg(OP.stone, MT.Chalk							, ST.make(MD.UB, tName, 1,  9));
			OM.reg(OP.stone, MT.Shale							, ST.make(MD.UB, tName, 1, 10));
			OM.reg(OP.stone, MT.Siltstone						, ST.make(MD.UB, tName, 1, 11));
			OM.reg(OP.stone, MT.Lignite  						, ST.make(MD.UB, tName, 1, 12));
			OM.reg(OP.stone, MT.Dolomite 						, ST.make(MD.UB, tName, 1, 13));
			OM.reg(OP.stone, MT.Greywacke						, ST.make(MD.UB, tName, 1, 14));
			OM.reg(OP.stone, MT.Chert							, ST.make(MD.UB, tName, 1, 15));
		}
		
		for (String tName : new String [] {"igneousStone", "igneousStoneBrick", "igneousCobblestone"}) {
			OM.reg(OP.stone, MT.GraniteRed						, ST.make(MD.UB, tName, 1,  0));
			OM.reg(OP.stone, MT.GraniteBlack					, ST.make(MD.UB, tName, 1,  1));
			OM.reg(OP.stone, MT.Rhyolite						, ST.make(MD.UB, tName, 1,  2));
			OM.reg(OP.stone, MT.Andesite						, ST.make(MD.UB, tName, 1,  3));
			OM.reg(OP.stone, MT.Gabbro							, ST.make(MD.UB, tName, 1,  4));
			OM.reg(OP.stone, MT.Basalt							, ST.make(MD.UB, tName, 1,  5));
			OM.reg(OP.stone, MT.Komatiite						, ST.make(MD.UB, tName, 1,  6));
			OM.reg(OP.stone, MT.Dacite							, ST.make(MD.UB, tName, 1,  7));
			OM.reg(OP.stone, MT.GraniteRed						, ST.make(MD.UB, tName, 1,  8));
			OM.reg(OP.stone, MT.GraniteBlack					, ST.make(MD.UB, tName, 1,  9));
			OM.reg(OP.stone, MT.Rhyolite						, ST.make(MD.UB, tName, 1, 10));
			OM.reg(OP.stone, MT.Andesite						, ST.make(MD.UB, tName, 1, 11));
			OM.reg(OP.stone, MT.Gabbro							, ST.make(MD.UB, tName, 1, 12));
			OM.reg(OP.stone, MT.Basalt							, ST.make(MD.UB, tName, 1, 13));
			OM.reg(OP.stone, MT.Komatiite						, ST.make(MD.UB, tName, 1, 14));
			OM.reg(OP.stone, MT.Dacite							, ST.make(MD.UB, tName, 1, 15));
		}
		
		for (String tName : new String [] {"metamorphicStone", "metamorphicCobblestone", "metamorphicStoneBrick"}) {
			OM.reg(OP.stone, MT.Gneiss							, ST.make(MD.UB, tName, 1,  0));
			OM.reg(OP.stone, MT.Eclogite						, ST.make(MD.UB, tName, 1,  1));
			OM.reg(OP.stone, MT.Marble							, ST.make(MD.UB, tName, 1,  2));
			OM.reg(OP.stone, MT.Quartzite						, ST.make(MD.UB, tName, 1,  3));
			OM.reg(OP.stone, MT.Blueschist						, ST.make(MD.UB, tName, 1,  4));
			OM.reg(OP.stone, MT.Greenschist						, ST.make(MD.UB, tName, 1,  5));
			OM.reg(OP.stone, MT.Soapstone						, ST.make(MD.UB, tName, 1,  6));
			OM.reg(OP.stone, MT.Migmatite						, ST.make(MD.UB, tName, 1,  7));
			OM.reg(OP.stone, MT.Gneiss							, ST.make(MD.UB, tName, 1,  8));
			OM.reg(OP.stone, MT.Eclogite						, ST.make(MD.UB, tName, 1,  9));
			OM.reg(OP.stone, MT.Marble							, ST.make(MD.UB, tName, 1, 10));
			OM.reg(OP.stone, MT.Quartzite						, ST.make(MD.UB, tName, 1, 11));
			OM.reg(OP.stone, MT.Blueschist						, ST.make(MD.UB, tName, 1, 12));
			OM.reg(OP.stone, MT.Greenschist						, ST.make(MD.UB, tName, 1, 13));
			OM.reg(OP.stone, MT.Soapstone						, ST.make(MD.UB, tName, 1, 14));
			OM.reg(OP.stone, MT.Migmatite						, ST.make(MD.UB, tName, 1, 15));
		}
		
		OM.reg(OP.stone, MT.Redrock								, ST.make(MD.EBXL, "terrain_blocks1"	, 1, 0));
		OM.reg(OP.stone, MT.Redrock								, ST.make(MD.EBXL, "terrain_blocks1"	, 1, 1));
		OM.reg(OP.stone, MT.Redrock								, ST.make(MD.EBXL, "terrain_blocks1"	, 1, 2));
//		OM.reg(OP.stone, MT.CrackedSand							, ST.make(MD.EBXL, "terrain_blocks2"	, 1, 0));
		OM.reg(OP.stone, MT.Basalt								, ST.make(MD.IC2, "blockBasalt"			, 1, 0));
		OM.reg(OP.stone, MT.Basalt								, ST.make(MD.RC, "brick.abyssal"		, 1, W));
		OM.reg(OP.stone, MT.Marble								, ST.make(MD.RC, "brick.quarried"		, 1, W));
		OM.reg(OP.blockSolid, MT.Obsidian						, ST.make(Blocks.obsidian				, 1, W));
		OM.reg(OP.stoneMossy									, ST.make(Blocks.mossy_cobblestone		, 1, W));
		OM.reg(OP.stoneCobble									, ST.make(Blocks.mossy_cobblestone		, 1, W));
		OM.reg(OP.stoneCobble									, ST.make(Blocks.cobblestone			, 1, W));
		OM.reg(OP.stoneSmooth									, ST.make(Blocks.stone					, 1, W));
		OM.reg(OP.stoneBricks									, ST.make(Blocks.stonebrick				, 1, W));
		OM.reg(OP.stoneMossy									, ST.make(Blocks.stonebrick				, 1, 1));
		OM.reg(OP.stoneCracked									, ST.make(Blocks.stonebrick				, 1, 2));
		OM.reg(OP.stoneChiseled									, ST.make(Blocks.stonebrick				, 1, 3));
		OM.reg(OP.stone, MT.Bedrock								, ST.make(Blocks.bedrock				, 1, W));
		OM.reg(OP.stone, MT.Sand								, ST.make(Blocks.sandstone				, 1, W));
		OM.reg(OP.stone, MT.Netherrack							, ST.make(Blocks.netherrack				, 1, W));
		OM.reg(OP.stone, MT.NetherBrick							, ST.make(Blocks.nether_brick			, 1, W));
		OM.reg(OP.stone, MT.Endstone							, ST.make(Blocks.end_stone				, 1, W));
		
		OM.data(MD.GC_GALAXYSPACE, "ceresglowstone"			, 1,   W, MT.GlowstoneCeres		, U*4);
		OM.data(MD.GC_GALAXYSPACE, "ioglowstone"			, 1,   W, MT.GlowstoneIo		, U*4);
		OM.data(MD.GC_GALAXYSPACE, "enceladusglowstone"		, 1,   W, MT.GlowstoneEnceladus	, U*4);
		OM.data(MD.GC_GALAXYSPACE, "proteusglowstone"		, 1,   W, MT.GlowstoneProteus	, U*4);
		OM.data(MD.GC_GALAXYSPACE, "plutoglowstone"			, 1,   W, MT.GlowstonePluto		, U*4);
		
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,   0, MT.HSLA				, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,   1, MT.Sn					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,   2, MT.Ni					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,   3, MT.Al					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,   4, MT.Cu					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,   5, MT.Ag					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,   6, MT.Au					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,   7, MT.Pt					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,   8, MT.HSLA				, 2*U/16, MT.TECH.AnyTungsten	, 2*U/16, MT.Ag					, 2*U/16, MT.Au					, 1*U/16, MT.Redstone			, 1*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,  16, MT.HSLA				, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,  17, MT.Sn					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,  18, MT.Ni					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,  19, MT.Al					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,  20, MT.Cu					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,  21, MT.Ag					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,  22, MT.Au					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,  23, MT.Pt					, 3*U/16);
		OM.data(MD.ElC, "electricraft_item_wire"			, 1,  24, MT.HSLA				, 2*U/16, MT.TECH.AnyTungsten	, 2*U/16, MT.Ag					, 2*U/16, MT.Au					, 1*U/16, MT.Redstone			, 1*U/16);
		
		OM.data(MD.ElC, "electricraft_item_placer"			, 1,   1, MT.HSLA				, 96*U/9, MT.Au					,  U * 8, MT.Ni					,  U * 1, MT.Cu					,  U * 1, MT.Sn					,  U * 1);
		OM.data(MD.ElC, "electricraft_item_placer"			, 1,   2, MT.HSLA				,  U * 7, MT.Au					,  U * 8, MT.Ag					,  U * 2, MT.Cu					,  U * 2);
		OM.data(MD.ElC, "electricraft_item_placer"			, 1,   3, MT.HSLA				,  U * 1, MT.Coal				,  U / 2);
		OM.data(MD.ElC, "electricraft_item_placer"			, 1,   4, MT.HSLA				,  3*U/4, MT.Cu					,  3*U/4);
		OM.data(MD.ElC, "electricraft_item_placer"			, 1,   6, MT.Diamond			, 1*U/16, MT.Redstone			,36*U/16, MT.EnderPearl			, 1*U/16, MT.Au					, 9*U/16);
		OM.data(MD.ElC, "electricraft_item_placer"			, 1,   7, MT.HSLA				,  U *11, MT.Ag					, 6*U/16, MT.Redstone			,  4*U/3, MT.Glass				,  3*U/8);
		OM.data(MD.ElC, "electricraft_item_placer"			, 1,   9, MT.HSLA				,  U * 6, MT.InductiveAlloy		,  U * 2);
		OM.data(MD.ElC, "electricraft_item_placer"			, 1,  10, MT.HSLA				,  U * 5, MT.Au					,  U * 4, MT.Cu					,  U * 4);
		
		
		OM.data(MD.RoC, "rotarycraft_block_deco"			, 1,   3, MT.HSLA				,  U	, MT.Obsidian			,  9*U/4);
		OM.data(MD.RoC, "rotarycraft_block_decotank"		, 1,   0, MT.HSLA				,  U	, MT.Glass				,15*U/32);
		OM.data(MD.RoC, "rotarycraft_item_screwdriver"		, 1,   0, MT.HSLA				,  U	, MT.TECH.AnyWood		,  3*U/2);
		OM.data(MD.RoC, "rotarycraft_item_meter"			, 1,   0, MT.HSLA				,  U * 3, MT.Redstone			,  U * 1, MT.TECH.AnyWood		,  U * 3);
		OM.data(MD.RoC, "rotarycraft_item_spring"			, 1,   W, MT.HSLA				,  U * 4);
		OM.data(MD.RoC, "rotarycraft_item_ultrasound"		, 1,   W, MT.HSLA				,  U *13, MT.Redstone			, 13*U/3, MT.TECH.AnyWood		,  U * 8, MT.Glass				,  3*U/8);
		OM.data(MD.RoC, "rotarycraft_item_motion"			, 1,   W, MT.HSLA				,  U *22, MT.Redstone			, 25*U/3, MT.Au					,  U * 1, MT.TECH.AnyWood		,  U * 8, MT.Glass				,3*U/8);
		OM.data(MD.RoC, "rotarycraft_item_vacuum"			, 1,   W, MT.HSLA				, 87*U/9);
		OM.data(MD.RoC, "rotarycraft_item_stungun"			, 1,   W, MT.HSLA				,  U *12, MT.Redstone			, 11*U/3, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_gravelgun"		, 1,   W, MT.HSLA				, 57*U/9, MT.Redstone			,  U * 1, MT.TECH.AnyStone		,  U * 7, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_fireball"			, 1,   W, MT.HSLA				,  U *16, MT.Redstone			,  U * 3, MT.Au					,  U * 1, MT.Blaze				,  U * 1, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_nvg"				, 1,   W, MT.HSLA				,  U * 8, MT.EnderEye			,  U * 2, MT.Redstone			,  2*U/3, MT.Glass				,  3*U/8);
		OM.data(MD.RoC, "rotarycraft_item_handcraft"		, 1,   0, MT.HSLA				,  U * 2, MT.Au					,  U * 2, MT.TECH.AnyWood		,  U * 4);
		OM.data(MD.RoC, "rotarycraft_item_railgun"			, 1,   0, MT.HSLA				,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_key"				, 1,   0, MT.HSLA				,  U * 3);
		OM.data(MD.RoC, "rotarycraft_item_shell"			, 1,   0, MT.HSLA				,  U / 4); // + U/16 AmmoniumNitrate
		OM.data(MD.RoC, "rotarycraft_item_target"			, 1,   0, MT.HSLA				,  U * 4, MT.EnderPearl			,  U * 1, MT.Redstone			,  U * 1, MT.Lapis				,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_tileselector"		, 1,   0, MT.HSLA				,  U * 4, MT.EnderPearl			,  U * 1, MT.Redstone			,  U * 1, MT.Lapis				,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_iogoggles"		, 1,   W, MT.HSLA				,  U * 3, MT.EnderPearl			,  U * 1, MT.Redstone			,  U * 2);
		OM.data(MD.RoC, "rotarycraft_item_jetpack"			, 1,   W, MT.HSLA				,552*U/9, MT.Redstone			,  U * 4, MT.Au					,  U * 2);
		OM.data(MD.RoC, "rotarycraft_item_bedpack"			, 1,   W, MT.HSLA				,552*U/9, MT.Redstone			,  U * 4, MT.Au					,  U * 2, MT.Bedrock_HSLA_Alloy	,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_strongcoil"		, 1,   W, MT.HSLA				,  U * 8, MT.Diamond			,  U * 2, MT.Bedrock			,  U * 2);
		OM.data(MD.RoC, "rotarycraft_item_pump"				, 1,   W, MT.HSLA				,337*U/24,MT.Glass				, 3*U/16);
		OM.data(MD.RoC, "rotarycraft_item_jump"				, 1,   W, MT.HSLA				,204*U/9);
		OM.data(MD.RoC, "rotarycraft_item_fuel"				, 1,   0, MT.HSLA				,  U * 7, MT.Glass				,  U * 2);
		OM.data(MD.RoC, "rotarycraft_item_disk"				, 1,   0, MT.HSLA				,  U / 4, MT.Redstone			,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_craftpattern"		, 1,   0, MT.HSLA				,  3*U/4);
		OM.data(MD.RoC, "rotarycraft_item_grafter"			, 1,   W, MT.HSLA				,  U * 7, MT.TECH.AnyWood		,  U / 2);
		
		
		OM.data(MD.RoC, "rotarycraft_item_upgrade"			, 1,   0, MT.HSLA				,251*U/24,MT.Au					,  U * 5, MT.Glass				, 9*U/16, MT.AluminiumAlloy		,  U * 2); // Upgrade Performance Engine
		OM.data(MD.RoC, "rotarycraft_item_upgrade"			, 1,   1, MT.HSLA				, 33*U/9, MT.Redstone			,  U * 3, MT.Au					,  U * 2); // Upgrade Redstone Cooling
		OM.data(MD.RoC, "rotarycraft_item_upgrade"			, 1,   2, MT.HSLA				,  U * 7, MT.Au					,  U * 4, MT.InductiveAlloy		,  U * 2); // Upgrade Magnetic Coil
		OM.data(MD.RoC, "rotarycraft_item_upgrade"			, 1,   3, MT.HSLA				,  U * 5, MT.Redstone			,  2*U/3, MT.TECH.AnyTungsten	,  U * 1, MT.InductiveAlloy		,  U * 3); // Upgrade Flux Conductance
		OM.data(MD.RoC, "rotarycraft_item_upgrade"			, 1,   4, MT.HSLA				,  U * 2, MT.TECH.AnyTungsten	,  U * 4, MT.Bedrock_HSLA_Alloy	,  U * 1); // Upgrade Thermal Stability
		OM.data(MD.RoC, "rotarycraft_item_upgrade"			, 1,   5, MT.HSLA				, 37*U/8, MT.SpringSteel		,  U * 4, MT.Bedrock			,  U / 2); // Upgrade Torsion Resistance
		OM.data(MD.RoC, "rotarycraft_item_upgrade"			, 1,   6, MT.HSLA				,885*U/9, MT.Bedrock			,  U * 4, MT.Redstone			,  U * 6, MT.Au					,  U * 4, MT.InductiveAlloy		,  U * 6); // Upgrade Afterburner
		OM.data(MD.RoC, "rotarycraft_item_upgrade"			, 1,   7, MT.HSLA				,  U *18, MT.Redstone			,  2*U/3, MT.Au					,  U * 8, MT.InductiveAlloy		,  U * 2, MT.SpringSteel		,  U * 6, MT.TECH.AnyTungsten	,  U * 1, MT.SteelMagnetic		,  U * 2); // Upgrade Resonance Stability
		OM.data(MD.RoC, "rotarycraft_item_upgrade"			, 1,   8, MT.HSLA				,  U * 4, MT.Electrum			,  U * 2, MT.TECH.AnyTungsten	,  U * 2, MT.Enderium			,  U * 1); // Flux Amplitude Upgrade
		
		
		OM.data(MD.RoC, "rotarycraft_item_engine"			, 1,   0, MT.HSLA				,  U * 7, MT.Redstone			,  U * 2); // DC Engine
		OM.data(MD.RoC, "rotarycraft_item_engine"			, 1,   3, MT.HSLA				,171*U/9, MT.Redstone			,  U * 1, MT.Au					,  U * 2); // Gasoline Engine
		
		
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,   0, MT.TECH.AnyTungsten	,  U * 1, MT.TECH.AnyGlowstone	,  U * 4, MT.Obsidian			,  U *54); // Heat Ray Barrel
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,   1, MT.Diamond			,  U * 4); // Lens
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,   2, MT.HSLA				,  U * 1, MT.Redstone			,  2*U/3, MT.Au					,  U * 1); // Power Module
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,   3, MT.NetherStar			,  U * 1, MT.Redstone			,  U * 1,MT.TECH.AnyGlowstone	,  U *12, MT.Blaze				,  U * 2); // Heat Ray Core
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,   4, MT.HSLA				,  U * 5, MT.Au					,  U * 8, MT.Redstone			,  U * 1); // Linear Induction Motor
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,   5, MT.HSLA				,  U * 3); // Propeller Blade
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,   6, MT.HSLA				, 69*U/9); // Hub
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,   7, MT.Glass				,  U * 3); // Mirror
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,   8, MT.HSLA				,  U * 5, MT.Au					,  U * 8); // Generator
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,   9, MT.HSLA				,  U *41, MT.Au					,  U *65, MT.Redstone			, 26*U/3); // Railgun Accelerator
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,  10, MT.HSLA				,  U * 9); // Turret Base
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,  11, MT.HSLA				,  U *21, MT.Diamond			,  U * 1, MT.Au					,  U * 9, MT.Redstone			, 16*U/3); // Turret Aiming Unit
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,  12, MT.HSLA				,633*U/9, MT.TECH.AnyTungsten	,  U * 4); // Compound Turbine
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,  13, MT.HSLA				,  U *65, MT.Bedrock			,  U *16, MT.Diamond			,  U *16); // Bedrock Tension Coil
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,  14, MT.HSLA				,  5*U/4); // Chain Link
		OM.data(MD.RoC, "rotarycraft_item_misccraft"		, 1,  15, MT.Bedrock_HSLA_Alloy	,  U * 7); // Bedrock Drill
		
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,   0, MT.HSLA				, 15*U/9); // Impeller
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,   1, MT.HSLA				, 87*U/9); // Compressor
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,   2, MT.HSLA				,303*U/9); // Turbine
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,   3, MT.HSLA				,  U * 5); // Diffuser
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,   4, MT.HSLA				,  U *12, MT.Redstone			,  U * 2, MT.Au					,  U * 1); // Combustor
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,   5, MT.HSLA				,  U * 4); // Cylinder
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,   6, MT.HSLA				, 33*U/8, MT.Au					,  U * 3, MT.Glass				, 9*U/16); // Radiator
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,   7, MT.HSLA				, 13*U/4, MT.Glass				,  3*U/8); // Condenser
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,   8, MT.HSLA				,  U * 1, MT.Au					,  U * 4); // Gold Coil
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,   9, MT.TECH.AnyWood		,  U * 5); // Wood Gear
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,  10, MT.TECH.AnyStone		,  5*U/2); // Stone Gear
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,  11, MT.Diamond			,  5*U/8); // Diamond Gear
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,  12, MT.HSLA				,  5*U/8, MT.Bedrock			,  U / 2); // Bedrock Gear
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,  13, MT.HSLA				,  U * 6, MT.SpringSteel		,  U * 3); // PaddlePanel
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,  14, MT.HSLA				,  U * 3); // Shaft Core
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,  15, MT.HSLA				,  U * 5, MT.Redstone			,  U * 1, MT.Au					,  U * 1); // Ignition Unit
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,  16, MT.Diamond			,  U * 3); // Diamond Shaft Core
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,  17, MT.HSLA				,201*U/9, MT.TECH.AnyTungsten	,  U * 4); // Compound Compressor
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,  18, MT.AluminiumAlloy		,  U * 4); // Aluminium Alloy Cylinder
		OM.data(MD.RoC, "rotarycraft_item_enginecraft"		, 1,  19, MT.HSLA				,  U * 9, MT.Redstone			,  U * 2, MT.Au					,  U * 1, MT.InductiveAlloy		,  U * 3); // HT Combustor
		
		OM.data(MD.RoC, "rotarycraft_item_shaftcraft"		, 1,   3, MT.HSLA				,  U * 1); // Mount
		OM.data(MD.RoC, "rotarycraft_item_shaftcraft"		, 1,   4, MT.HSLA				, 15*U/9); // Gear
		OM.data(MD.RoC, "rotarycraft_item_shaftcraft"		, 1,   5, MT.HSLA				, 48*U/9); // 2x Gear
		OM.data(MD.RoC, "rotarycraft_item_shaftcraft"		, 1,   6, MT.HSLA				,114*U/9); // 4x Gear
		OM.data(MD.RoC, "rotarycraft_item_shaftcraft"		, 1,   7, MT.HSLA				,180*U/9); // 8x Gear
		OM.data(MD.RoC, "rotarycraft_item_shaftcraft"		, 1,   8, MT.HSLA				,246*U/9); // 16x Gear
		OM.data(MD.RoC, "rotarycraft_item_shaftcraft"		, 1,   9, MT.HSLA				,  U / 9); // HSLA Scrap
		OM.data(MD.RoC, "rotarycraft_item_shaftcraft"		, 1,  10, MT.TECH.AnyIron		,  U * 1); // Iron Scrap
		OM.data(MD.RoC, "rotarycraft_item_shaftcraft"		, 1,  11, MT.HSLA				, 15*U/9, MT.TECH.AnyWood		,  U * 8); // Wood Flywheel Core
		OM.data(MD.RoC, "rotarycraft_item_shaftcraft"		, 1,  12, MT.HSLA				, 15*U/9, MT.TECH.AnyStone		,  U * 8); // Stone Flywheel Core
		OM.data(MD.RoC, "rotarycraft_item_shaftcraft"		, 1,  13, MT.HSLA				, 15*U/9, MT.TECH.AnyIron		,  U * 8); // Iron Flywheel Core
		OM.data(MD.RoC, "rotarycraft_item_shaftcraft"		, 1,  14, MT.HSLA				, 15*U/9, MT.Au					,  U * 8); // Gold Flywheel Core
		OM.data(MD.RoC, "rotarycraft_item_shaftcraft"		, 1,  15, MT.HSLA				, 33*U/9); // Worm Gear
		
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,   0, MT.TECH.AnyWood		,  U *11); // 2x Wood Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,   1, MT.TECH.AnyWood		,  U *23); // 4x Wood Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,   2, MT.TECH.AnyWood		,  U *35); // 8x Wood Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,   3, MT.TECH.AnyWood		,  U *47); // 16x Wood Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,   4, MT.TECH.AnyStone		,  U * 7); // 2x Stone Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,   5, MT.TECH.AnyStone		,  U *16); // 4x Stone Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,   6, MT.TECH.AnyStone		,  U *25); // 8x Stone Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,   7, MT.TECH.AnyStone		,  U *34); // 16x Stone Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,   8, MT.Diamond			, 13*U/4); // 2x Diamond Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,   9, MT.Diamond			, 34*U/4); // 4x Diamond Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,  10, MT.Diamond			, 57*U/4); // 8x Diamond Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,  11, MT.Diamond			, 78*U/4); // 16x Diamond Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,  12, MT.HSLA				,  7*U/4, MT.Bedrock			,  U * 3); // 2x Bedrock Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,  13, MT.HSLA				, 16*U/4, MT.Bedrock			,  U * 8); // 4x Bedrock Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,  14, MT.HSLA				, 25*U/4, MT.Bedrock			,  U *13); // 8x Bedrock Gear
		OM.data(MD.RoC, "rotarycraft_item_gearunits"		, 1,  15, MT.HSLA				, 34*U/4, MT.Bedrock			,  U *18); // 16x Bedrock Gear
		
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,   0, MT.HSLA				,  U * 7); // Drill
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,   1, MT.HSLA				,  U * 1, MT.Diamond			,  U * 3, MT.Bedrock			,  U * 3, MT.Obsidian			,  U *18); // Pressure Head
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,   2, MT.HSLA				,  U *10, MT.Redstone			,  4*U  , MT.Au					,  U * 1); // Radar Unit
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,   3, MT.HSLA				,  U * 4, MT.Redstone			, 11*U/3, MT.TECH.AnyWood		,  U * 8); // Sonar Unit
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,   4, MT.HSLA				,  U * 1, MT.Redstone			,  2*U/3); // Circuit Board
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,   5, MT.HSLA				,  U * 5, MT.Redstone			,  2*U/3, MT.Glass				,  3*U/8); // Screen
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,   6, MT.HSLA				, 51*U/9); // Mixer
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,   7, MT.HSLA				, 51*U/9); // Saw
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,   8, MT.HSLA				,  U * 3); // Shaft Bearing
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,   9, MT.HSLA				,  U / 8, MT.Leather			,  U * 1); // Belt
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,  10, MT.HSLA				,  U / 4); // Ball Bearing
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,  11, MT.HSLA				,  U *12); // Brake Disk
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,  12, MT.HSLA				,  U *33); // Tension Coil
		OM.data(MD.RoC, "rotarycraft_item_borecraft"		, 1,  15, MT.HSLA				,  U / 4, MT.Bedrock			,  U * 1); // Bedrock Shaft Unit
		
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,   0/* Bedrock Breaker				*/	, MT.HSLA				,  U * 4, MT.TECH.AnyTungsten	,  U * 2, MT.Diamond			,  U * 2, MT.Obsidian			,  U * 9);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,   4/* Bevel Gears					*/	, MT.HSLA				,29*U/12);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,   6/* Shaft Junction				*/	, MT.HSLA				,29*U/ 6);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,   7/* Fermenter					*/	, MT.HSLA				, 51*U/9);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,   8/* Floodlight					*/	, MT.HSLA				,  U * 2, MT.Obsidian			,  U * 9, MT.TECH.AnyGlowstone	,  U * 4, MT.Glass				,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,   9/* Clutch						*/	, MT.HSLA				,  U * 2, MT.Redstone			,  U * 2);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  10/* Dynamometer					*/	, MT.HSLA				,  7*U/4, MT.Redstone			,  1*U/6, MT.Glass				, 3*U/32);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  11/* Grinder						*/	, MT.HSLA				,  U *18);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  12/* Heat Ray						*/	, MT.HSLA				,  U * 3, MT.NetherStar			,  U * 1, MT.TECH.AnyTungsten	,  U * 1, MT.Diamond			,  U * 4, MT.TECH.AnyGlowstone	,  U *16, MT.Blaze				,  U * 2, MT.Redstone			,  5*U/3, MT.Au					,  U * 1, MT.Obsidian			,  U *81);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  13/* Lubricant Hose				*/	, MT.TECH.AnyWood		,  3*U/8, MT.Glass				, 3*U/16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  14/* Boring Machine				*/	, MT.HSLA				,174*U/9, MT.Redstone			,  2*U/3);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  15/* Light Bridge					*/	, MT.HSLA				,  U * 4, MT.Diamond			,  U * 1, MT.Au					,  U * 2, MT.Glass				,  U * 2);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  16/* Pump							*/	, MT.HSLA				,163*U/24,MT.Glass				,15*U/16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  17/* Liquid Pipe					*/	, MT.HSLA				,  3*U/8, MT.Glass				, 3*U/16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  18/* Reservoir					*/	, MT.HSLA				,  U * 7);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  19/* Aerosolizer					*/	, MT.HSLA				,303*U/9);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  20/* Extractor					*/	, MT.HSLA				,114*U/9, MT.TECH.AnyStone		,  U * 1, MT.Netherrack			,  U * 1, MT.TECH.AnyWood		,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  21/* Pulse jet Furnace			*/	, MT.HSLA				,721*U/24,MT.Redstone			,  U * 2, MT.Au					,  U * 1, MT.Obsidian			,  U *18, MT.Glass				, 3*U/16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  22/* Compactor					*/	, MT.HSLA				,318*U/9, MT.Diamond			,  U *12, MT.Bedrock			,  U *12, MT.Obsidian			,  U *72);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  23/* Fan							*/	, MT.HSLA				, 43*U/9, MT.TECH.AnyWood		,  U * 5);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  24/* Fuel Line					*/	, MT.Obsidian			, 27*U/8, MT.Glass				, 3*U/16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  25/* Fractation Unit				*/	, MT.HSLA				, 60*U/9, MT.Au					,  U * 6, MT.Obsidian			, 27*U/8, MT.Glass				, 3*U/16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  26/* Ground Penetrating Radar		*/	, MT.HSLA				,  U *22, MT.Au					,  U * 1, MT.Redstone			, 16*U/3, MT.Glass				,  3*U/8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  27/* Obsidian Factory				*/	, MT.HSLA				,113*U/12,MT.Glass				,  3*U/4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  28/* Pile Driver					*/	, MT.HSLA				,312*U/9, MT.TECH.AnyIron		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  29/* Item Vacuum					*/	, MT.HSLA				, 51*U/9, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  30/* Firework Display				*/	, MT.HSLA				,  U * 6, MT.Redstone			,  U * 2, MT.EnderEye			,  U * 1, MT.TECH.AnyStone		,  U * 7);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  31/* Sprinkler					*/	, MT.HSLA				,49*U/96, MT.Glass				, 3*U/64);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  32/* Wood Cutter					*/	, MT.HSLA				,195*U/9);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  33/* Spawner Controller			*/	, MT.HSLA				,  U * 3, MT.Redstone			,  2*U/3, MT.Au					,  U * 1, MT.TECH.AnyGlowstone	,  U * 8, MT.Obsidian			,  U *18);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  34/* Player Detector				*/	, MT.HSLA				,  U *11, MT.Redstone			,  U * 4, MT.Au					,  U * 2, MT.Obsidian			,  U *36, MT.Lapis				,  U * 2);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  35/* Heater						*/	, MT.HSLA				,  U *18, MT.TECH.AnyTungsten	,  U * 1, MT.Redstone			,  U * 2, MT.Au					,  U * 1, MT.TECH.AnyIron		,  3*U/8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  36/* Bait Box						*/	, MT.HSLA				,  U * 5, MT.TECH.AnyIron		,  U * 3);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  37/* Auto Breeder					*/	, MT.HSLA				,  U * 5);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  38/* Engine Control Unit			*/	, MT.HSLA				,  U * 1, MT.Redstone			,  5*U/3, MT.Au					,  U / 2);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  39/* Smoke Detector				*/	, MT.Redstone			,  U * 4, MT.TECH.AnyWood		,  U * 8, MT.TECH.AnyStone		,  U / 2);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  40/* Mob Radar					*/	, MT.HSLA				,210*U/9, MT.Redstone			, 16*U/3, MT.Glass				,  3*U/8, MT.Au					,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  41/* Coil Winder					*/	, MT.HSLA				,102*U/9);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  43/* TNT Cannon					*/	, MT.HSLA				, 81*U/9, MT.Redstone			, 31*U/3, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  44/* Sonic Weapon					*/	, MT.HSLA				,195*U/9, MT.Redstone			, 44*U/3, MT.TECH.AnyWood		,  U *32);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  45/* Blast Furnace Brick			*/	, MT.Redstone			,  U * 1, MT.TECH.AnyStone		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  46/* Force Field					*/	, MT.HSLA				,  U * 2, MT.NetherStar			,  U * 1, MT.Diamond			,  U * 3, MT.Au					,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  47/* Music Box					*/	, MT.HSLA				,  U / 4, MT.Redstone			, 5*U/12, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  48/* Liquid Spiller				*/	, MT.HSLA				, 35*U/8, MT.Glass				, 3*U/16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  49/* Chunk Loader					*/	, MT.HSLA				,  U *13, MT.NetherStar			,  U * 2, MT.Bedrock			,  U *20);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  50/* Mob Harvester				*/	, MT.HSLA				,  U * 9, MT.Redstone			,  U * 1, MT.Au					,  U * 1, MT.EnderPearl			,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  52/* Projector					*/	, MT.HSLA				,  U * 7, MT.Redstone			,  2*U/3, MT.TECH.AnyGlowstone	,  U * 4, MT.Glass				,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  53/* Railgun						*/	, MT.HSLA				,  U *71, MT.Au					,  U *74, MT.Redstone			, 42*U/3, MT.Diamond			,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  54/* Silver Iodide Cannon			*/	, MT.HSLA				,  U * 7, MT.Redstone			,  2*U/3);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  55/* Item Refresher				*/	, MT.HSLA				,  U * 4, MT.Lapis				,  U * 4, MT.EnderPearl			,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  56/* Freeze Gun					*/	, MT.HSLA				,156*U/9, MT.Ice				,  U * 2);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  57/* Cave Scanner					*/	, MT.HSLA				,  U *12, MT.Redstone			, 13*U/3, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  58/* Scaleable Chest				*/	, MT.HSLA				,  U * 8, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  59/* Firestarter					*/	, MT.HSLA				,  U *12, MT.Redstone			,  U * 2, MT.Au					,  U * 5, MT.Obsidian			,  U *36);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  60/* Magnetizing Unit				*/	, MT.HSLA				,  U * 7, MT.Redstone			,  U * 1, MT.Au					,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  61/* Containment Field			*/	, MT.HSLA				,  U * 2, MT.NetherStar			,  U * 1, MT.Diamond			,  U * 3, MT.Au					,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  62/* CCTV Screen					*/	, MT.HSLA				,  U *13, MT.Redstone			,  4*U/3, MT.Glass				,  3*U/8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  63/* Steel Purifier				*/	, MT.HSLA				,  U * 7, MT.Redstone			,  U * 1, MT.TECH.AnyIron		,  3*U/8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  64/* Laser Gun					*/	, MT.HSLA				,327*U/9, MT.NetherStar			,  U * 1, MT.TECH.AnyTungsten	,  U * 1, MT.Diamond			,  U * 5, MT.Redstone			, 21*U/3, MT.Au					,  U *10, MT.TECH.AnyGlowstone	,  U *16, MT.Blaze				,  U * 2, MT.Obsidian			,  U *54);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  65/* Item Cannon					*/	, MT.HSLA				,219*U/9, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  66/* Landmine						*/	, MT.HSLA				,  U * 7, MT.Redstone			,  U * 3, MT.Au					,  U * 2);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  67/* Friction Heater				*/	, MT.HSLA				,  U * 7);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  68/* Block Cannon					*/	, MT.HSLA				,141*U/9, MT.Redstone			,  4*U/3, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  69/* Bucket Filler				*/	, MT.HSLA				, 44*U/8, MT.Glass				,12*U/16, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  70/* Solar Mirror					*/	, MT.HSLA				, 42*U/9, MT.Redstone			,  2*U/3, MT.Glass				,  U * 3);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  71/* Solar Mirror					*/	, MT.HSLA				, 45*U/8, MT.Glass				, 9*U/16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  72/* Aerial Camera				*/	, MT.HSLA				,  U * 7, MT.Redstone			,  5*U/3, MT.Glass				,  3*U/8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  73/* Self Detruct Mechanism		*/	, MT.HSLA				,  U * 6, MT.Redstone			,  2*U/3);
//		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  74/* Cooling Fin					*/	); // yep no value, too different Recipes, which have nothing in common
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  75/* Worktable					*/	, MT.HSLA				,  U * 2, MT.Redstone			,  U * 1, MT.TECH.AnyWood		,  U * 4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  78/* Display Screen				*/	, MT.HSLA				,  U * 6, MT.Redstone			,  2*U/3, MT.Si					,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  79/* Bright Lamp					*/	, MT.HSLA				,  U * 4, MT.TECH.AnyGlowstone	,  U * 4, MT.Glass				,  U * 4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  80/* EMP Machine					*/	, MT.HSLA				,  U * 9, MT.NetherStar			,  U * 1, MT.Diamond			,  U * 9, MT.Au					,  U *16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  81/* Block Ram					*/	, MT.HSLA				,102*U/9, MT.Bedrock_HSLA_Alloy	,  U * 1, MT.TECH.AnyStone		,  U * 4, MT.TECH.AnyWood		,  U * 3);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  82/* Beam Mirror					*/	, MT.HSLA				,  U * 2, MT.Glass				,  U * 3);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  83/* Multidirectional Clutch		*/	, MT.HSLA				,102*U/9, MT.Redstone			,  U * 2);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  84/* Terraformer					*/	, MT.HSLA				,  U *15, MT.Redstone			,  4*U/3, MT.Glass				,  3*U/8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  85/* Sorting Machine				*/	, MT.HSLA				,  U * 5, MT.Redstone			,  2*U/3, MT.TECH.AnyIron		,  U * 5, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  86/* Fuel Enchancer				*/	, MT.HSLA				, 51*U/9, MT.Au					,  U * 2, MT.Glass				,  6*U/8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  87/* Arrow Gun					*/	, MT.HSLA				,  U * 8, MT.TECH.AnyStone		,  U * 7, MT.Redstone			,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  88/* Friction Boiler				*/	, MT.HSLA				,145*U/24,MT.Glass				,35*U/16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  89/* Steam Turbine				*/	, MT.HSLA				,348*U/9, MT.Diamond			,  U * 3, MT.Glass				,  U * 2);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  90/* Fertilizer					*/	, MT.HSLA				,65*U/12, MT.TECH.AnyWood		,  U * 8, MT.Glass				, 6*U/16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  91/* Rock Melter					*/	, MT.HSLA				,141*U/9);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  92/* Electric Generator			*/	, MT.HSLA				,150*U/9, MT.Au					,  U * 9);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  93/* Electric Motor				*/	, MT.HSLA				,  U * 8, MT.Diamond			,  U * 3, MT.Au					,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  94/* Valve Pipe					*/	, MT.HSLA				,  U * 1, MT.Redstone			,  9*U/2, MT.Glass				,  3*U/4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  95/* Bypass Pipe					*/	, MT.Sand				,  6*U/4, MT.Glass				,  3*U/4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  96/* Separation Pipe				*/	, MT.HSLA				,  U * 1, MT.Lapis				,  9*U/2, MT.Glass				,  3*U/4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  97/* Dew Point Aggregator			*/	, MT.HSLA				, 69*U/9, MT.Glass				,  6*U/8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  98/* Air Pressure Gun				*/	, MT.HSLA				,105*U/9, MT.Redstone			, 11*U/3, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1,  99/* Sonic Borer					*/	, MT.HSLA				,361*U/24,MT.TECH.AnyIron		,  3*U/8, MT.Glass				, 3*U/16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 100/* Fuel Powered Engine			*/	, MT.HSLA				,  U *40, MT.TECH.AnyTungsten	,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 101/* Filling Station				*/	, MT.HSLA				, 73*U/6, MT.Glass				,  3*U/4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 102/* Belt Hub						*/	, MT.HSLA				, 41*U/6);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 103/* Van De Graaff Generator		*/	, MT.HSLA				,515*U/24,MT.Leather			,  U * 1, MT.Glass				,  3*U/4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 104/* Defoliation Machine			*/	, MT.HSLA				,163*U/24, MT.Glass				, 9*U/16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 105/* Lava Smeltery				*/	, MT.HSLA				,  U *18, MT.TECH.AnyStone		,  U *24);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 106/* Liquid Distillery			*/	, MT.HSLA				, 87*U/9,MT.TECH.AnyIron		,  U * 2, MT.Glass				,  3*U/4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 107/* Suction Pipe					*/	, MT.NetherBrick		,  6*U/4, MT.Glass				,  3*U/4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 108/* Rotational Dynamo			*/	, MT.HSLA				, 57*U/9, MT.Ag					,  U * 1, MT.Redstone			,  U * 3);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 109/* Magnetostatic Engine			*/	, MT.HSLA				,  U * 2, MT.Diamond			,  U * 3, MT.Ag					,  U * 2, MT.Pb					,  U * 2, MT.Cu					,  U * 1, MT.Au					,  U * 1, MT.Redstone			,  U * 2);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 110/* Fluid Crystallizer			*/	, MT.HSLA				, 60*U/9);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 111/* Shaft Power Bus Controller	*/	, MT.HSLA				,  U *17, MT.Redstone			,  2*U/3);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 112/* Shaft Power Bus				*/	, MT.HSLA				,65*U/16, MT.Leather			,  U / 4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 113/* Particle Display				*/	, MT.HSLA				,  7*U/6, MT.Redstone			, 5*U/12, MT.TECH.AnyStone		,  7*U/4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 114/* Ground Sprinkler				*/	, MT.HSLA				, 42*U/9, MT.Glass				,  3*U/4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 115/* Grindstone					*/	, MT.HSLA				,  U * 7, MT.TECH.AnyStone		,  U * 1);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 116/* Pneumatic Item Pump			*/	, MT.HSLA				,101*U/192,MT.Glass				,3*U/128);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 118/* Refrigeration Unit			*/	, MT.HSLA				,204*U/9, MT.Glass				,  3*U/4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 119/* Fluid Compression Chamber	*/	, MT.HSLA				,141*U/9);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 120/* AutoCrafting Unit			*/	, MT.HSLA				,  U * 8, MT.Redstone			,  2*U/3, MT.TECH.AnyWood		,  U * 4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 121/* Composter					*/	, MT.HSLA				,  U * 3);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 122/* Anti-Air Gun					*/	, MT.HSLA				,521*U/12,MT.Diamond			,  U * 1, MT.Au					,  U * 9, MT.Redstone			, 16*U/3, MT.Glass				,  3*U/4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 123/* Pipe Pump					*/	, MT.HSLA				,101*U/12,MT.Glass				,  3*U/4);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 124/* Chain Drive					*/	, MT.HSLA				, 23*U/6);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 125/* Centrifuge					*/	, MT.HSLA				,168*U/9, MT.Glass				,  3*U/8);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 126/* Bedrock Pipe					*/	, MT.Bedrock_HSLA_Alloy	,  3*U/8, MT.Glass				, 3*U/16);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 127/* Drying Bed					*/	, MT.HSLA				,  U * 7);
		OM.data(MD.RoC, "rotarycraft_item_machine"	, 1, 128/* Liquefaction Machine			*/	, MT.HSLA				, 96*U/9, MT.Glass				,  3*U/4);
		
		
		OM.data(MD.BC, "woodenGearItem"						, 1,   0, MT.TECH.AnyWood		,  U * 2);
		OM.data(MD.BC, "stoneGearItem"						, 1,   0, MT.TECH.AnyWood		,  U * 2, MT.TECH.AnyStone		,  U * 4);
		if (MD.IE.mLoaded) {
		OM.data(MD.BC, "ironGearItem"						, 1,   0, MT.TECH.AnyIron		,  U * 4);
		OM.data(MD.BC, "goldGearItem"						, 1,   0, MT.Au					,  U * 4);
		} else {
		OM.data(MD.BC, "ironGearItem"						, 1,   0, MT.TECH.AnyStone		,  U * 4, MT.TECH.AnyIron		,  U * 4);
		OM.data(MD.BC, "goldGearItem"						, 1,   0, MT.TECH.AnyIron		,  U * 4, MT.Au					,  U * 4);
		}
		OM.data(MD.BC, "diamondGearItem"					, 1,   0, MT.Au					,  U * 4, MT.Diamond			,  U * 4);
		
		OM.data(MD.BC_FACTORY, "tankBlock"					, 1,   W, MT.Glass				,  U * 8);
		
		
		OM.data(MD.OB, "tank"								, 1,   W, MT.Obsidian			,  U *18, MT.Glass				,15*U/16);
		
		
		OM.data(MD.EIO, "blockTank"							, 1,   0, MT.TECH.AnyIron		, 11*U/2, MT.Glass				,  U * 1);
		OM.data(MD.EIO, "blockTank"							, 1,   1, MT.DarkSteel			, 44*U/3);
		OM.data(MD.EIO, "blockDarkIronBars"					, 1,   W, MT.DarkSteel			,  8*U/3);
		
		
		if (MD.IE.mLoaded) {
		OM.data(MD.FR, "gearTin"							, 1,   0, MT.Sn					,  U * 4);
		OM.data(MD.FR, "gearCopper"							, 1,   0, MT.TECH.AnyCopper		,  U * 4);
		OM.data(MD.FR, "gearBronze"							, 1,   0, MT.Bronze				,  U * 4);
		} else if (MD.BC.mLoaded) {
		OM.data(MD.FR, "gearTin"							, 1,   0, MT.TECH.AnyStone		,  U * 4, MT.Sn					,  U * 4);
		OM.data(MD.FR, "gearCopper"							, 1,   0, MT.TECH.AnyStone		,  U * 4, MT.TECH.AnyCopper		,  U * 4);
		OM.data(MD.FR, "gearBronze"							, 1,   0, MT.TECH.AnyStone		,  U * 4, MT.Bronze				,  U * 4);
		} else {
		OM.data(MD.FR, "gearTin"							, 1,   0, MT.TECH.AnyStone		,  U * 1, MT.Sn					,  U * 4);
		OM.data(MD.FR, "gearCopper"							, 1,   0, MT.TECH.AnyStone		,  U * 1, MT.TECH.AnyCopper		,  U * 4);
		OM.data(MD.FR, "gearBronze"							, 1,   0, MT.TECH.AnyStone		,  U * 1, MT.Bronze				,  U * 4);
		}
		
		
		OM.data(MD.TE, "material"							, 1,   0, MT.TECH.AnyIron		,  U * 2, MT.Redstone			,  U * 1, MT.Glass			,  U * 2);
		OM.data(MD.TE, "material"							, 1,   1, MT.Au					,  U * 1, MT.Redstone			,  U * 2);
		OM.data(MD.TE, "material"							, 1,   2, MT.Ag					,  U * 1, MT.Redstone			,  U * 2);
		OM.data(MD.TE, "material"							, 1,   3, MT.Electrum			,  U * 1, MT.Redstone			,  U * 2);
		
		
		if (MD.IE.mLoaded) {
		OM.data(MD.TE_FOUNDATION, "material"				, 1,  12, MT.TECH.AnyIron		,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1,  13, MT.Au					,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 128, MT.TECH.AnyCopper		,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 129, MT.Sn					,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 130, MT.Ag					,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 131, MT.Pb					,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 132, MT.Ni					,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 133, MT.Pt					,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 134, MT.Mithril			,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 135, MT.Electrum			,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 136, MT.Invar				,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 137, MT.Bronze				,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 138, MT.Signalum			,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 139, MT.Lumium				,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 140, MT.Enderium			,  U * 4);
		} else {
		OM.data(MD.TE_FOUNDATION, "material"				, 1,  12, MT.TECH.AnyIron		,  U * 5);
		OM.data(MD.TE_FOUNDATION, "material"				, 1,  13, MT.TECH.AnyIron		,  U * 1, MT.Au					,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 128, MT.TECH.AnyIron		,  U * 1, MT.TECH.AnyCopper		,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 129, MT.TECH.AnyIron		,  U * 1, MT.Sn					,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 130, MT.TECH.AnyIron		,  U * 1, MT.Ag					,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 131, MT.TECH.AnyIron		,  U * 1, MT.Pb					,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 132, MT.TECH.AnyIron		,  U * 1, MT.Ni					,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 133, MT.TECH.AnyIron		,  U * 1, MT.Pt					,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 134, MT.TECH.AnyIron		,  U * 1, MT.Mithril			,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 135, MT.TECH.AnyIron		,  U * 1, MT.Electrum			,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 136, MT.TECH.AnyIron		,  U * 1, MT.Invar				,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 137, MT.TECH.AnyIron		,  U * 1, MT.Bronze				,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 138, MT.TECH.AnyIron		,  U * 1, MT.Signalum			,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 139, MT.TECH.AnyIron		,  U * 1, MT.Lumium				,  U * 4);
		OM.data(MD.TE_FOUNDATION, "material"				, 1, 140, MT.TECH.AnyIron		,  U * 1, MT.Enderium			,  U * 4);
		}
		
		
		OM.data(MD.ExU, "drum"								, 1,   0, MT.TECH.AnyIron		,  U *17);
		OM.data(MD.ExU, "drum"								, 1,   1, MT.TECH.AnyIron		,  U * 7, MT.Au					,  U * 4); // + 6 Bedrockium Ingots
		
		
		OM.data(MD.FZ, "daybarrel"							, 1,   W, MT.TECH.AnyWood		,113*U/2);
		OM.data(MD.FZ, "chainLink"							, 1,   W, MT.DarkIron			,  U / 3, MT.Ag					,  U /15);
		OM.data(MD.FZ, "shortChain"							, 1,   W, MT.DarkIron			,  U * 3, MT.Ag					,  3*U/5);
		OM.data(MD.FZ, "darkIronChain"						, 1,   W, MT.DarkIron			,  U *15, MT.Ag					,  U * 3);
		OM.data(MD.FZ, "servo/sprocket"						, 1,   W, MT.DarkIron			,  U * 2, MT.Ag					,  U / 2);
		OM.data(MD.FZ, "ArtifactForge"						, 1,   W, MT.DarkIron			,  U *31);
		OM.data(MD.FZ, "FzBlock"							, 1,  27, MT.DarkIron			,  U / 8, MT.Pb					,  U / 4);
		
		
		OM.data(MD.JABBA, "barrel"							, 1,   W, MT.TECH.AnyWood		,129*U/2);
		
		
		OM.data(MD.IE, "woodenDevice"						, 1,   6, MT.WoodSealed			, 13*U/2);
		OM.data(MD.IE, "metalDevice2"						, 1,   7, MT.TECH.AnyIron		,  U * 8);
		OM.data(MD.IE, "metalDecoration2"					, 1,   0, MT.Al					,  U * 1);
		OM.data(MD.IE, "metalDecoration2"					, 1,   1, MT.Pb					,  U * 1);
		OM.data(MD.IE, "metalDecoration2"					, 1,   2, MT.TECH.AnyIronSteel	,  U * 1);
		OM.data(MD.IE, "metalDecoration2"					, 1,  10, MT.TECH.AnyIron		,  U * 1);
		OM.data(MD.IE, "woodenStairs"						, 1,   0, MT.WoodSealed			,  2*U/3);
		OM.data(MD.IE, "woodenStairs1"						, 1,   0, MT.WoodSealed			,  2*U/3);
		OM.data(MD.IE, "woodenStairs2"						, 1,   0, MT.WoodSealed			,  2*U/3);
		OM.data(MD.IE, "woodenDecoration"					, 1,   1, MT.WoodSealed			,  3*U/2);
		OM.data(MD.IE, "woodenDecoration"					, 1,   2, MT.WoodSealed			,  U / 2);
		OM.data(MD.IE, "woodenDecoration"					, 1,   4, MT.WoodSealed			,  U * 1);
		OM.data(MD.IE, "woodenDecoration"					, 1,   5, MT.WoodSealed			,  5*U/4);
		
		
		OM.data(MD.MaCu, "tanks"							, 1,   0, MT.TECH.AnyCopper		,  U * 4, MT.TECH.AnyWood		,  U * 4, MT.Glass			,  U * 1);
		OM.data(MD.MaCu, "tanks"							, 1,   1, MT.Al					,  U * 4, MT.Glass				,  U * 4);
		OM.data(MD.MaCu, "tanks"							, 1,   5, MT.Al					,  U * 4, MT.TECH.AnyStone		,  U * 4);
		OM.data(MD.MaCu, "tanks"							, 1,   6, MT.Ti					,  U * 4, MT.NetherQuartz		,  U *16);
		OM.data(MD.MaCu, "tanks"							, 1,   7, MT.Ti					,  U * 8, MT.Al					,  U *54, MT.TECH.AnyIron		,  U * 4, MT.NetherQuartz	,  U *18);
		
		
		OM.data(MD.MFR, "upgrade.radius"					, 1,   0, MT.Lapis				,  U * 3, MT.Plastic			,  U * 3, MT.Redstone			,  U * 2, MT.Au				,  U / 9);
		OM.data(MD.MFR, "upgrade.radius"					, 1,   1, MT.Sn					,  U * 3, MT.Plastic			,  U * 3, MT.Redstone			,  U * 2, MT.Au				,  U / 9);
		OM.data(MD.MFR, "upgrade.radius"					, 1,   2, MT.TECH.AnyIron		,  U * 3, MT.Plastic			,  U * 3, MT.Redstone			,  U * 2, MT.Au				,  U / 9);
		OM.data(MD.MFR, "upgrade.radius"					, 1,   3, MT.TECH.AnyCopper		,  U * 3, MT.Plastic			,  U * 3, MT.Redstone			,  U * 2, MT.Au				,  U / 9);
		OM.data(MD.MFR, "upgrade.radius"					, 1,   4, MT.Bronze				,  U * 3, MT.Plastic			,  U * 3, MT.Redstone			,  U * 2, MT.Au				,  U / 9);
		OM.data(MD.MFR, "upgrade.radius"					, 1,   5, MT.Ag					,  U * 3, MT.Plastic			,  U * 3, MT.Redstone			,  U * 2, MT.Au				,  U / 9);
		OM.data(MD.MFR, "upgrade.radius"					, 1,   6, MT.Au					, 28*U/9, MT.Plastic			,  U * 3, MT.Redstone			,  U * 2);
		OM.data(MD.MFR, "upgrade.radius"					, 1,   7, MT.NetherQuartz		,  U * 3, MT.Plastic			,  U * 3, MT.Redstone			,  U * 2, MT.Au				,  U / 9);
		OM.data(MD.MFR, "upgrade.radius"					, 1,   8, MT.Diamond			,  U * 3, MT.Plastic			,  U * 3, MT.Redstone			,  U * 2, MT.Au				,  U / 9);
		OM.data(MD.MFR, "upgrade.radius"					, 1,   9, MT.Pt					,  U * 3, MT.Plastic			,  U * 3, MT.Redstone			,  U * 2, MT.Au				,  U / 9);
		OM.data(MD.MFR, "upgrade.radius"					, 1,  10, MT.Emerald			,  U * 3, MT.Plastic			,  U * 3, MT.Redstone			,  U * 2, MT.Au				,  U / 9);
		OM.data(MD.MFR, "upgrade.radius"					, 1,  11, MT.TECH.AnyStone		,  U * 3, MT.Plastic			,  U * 3, MT.Redstone			,  U * 2, MT.Au				,  U / 9);
		OM.data(MD.MFR, "syringe.empty"						, 1,   0, MT.TECH.AnyIron		,  U * 1, MT.Plastic			,  U * 4, MT.Rubber				,  U * 1);
		OM.data(MD.MFR, "syringe.health"					, 1,   0, MT.TECH.AnyIron		,  U * 1, MT.Plastic			,  U * 4, MT.Rubber				,  U * 1);
		OM.data(MD.MFR, "syringe.growth"					, 1,   0, MT.TECH.AnyIron		,  U * 1, MT.Plastic			,  U * 4, MT.Rubber				,  U * 1);
		OM.data(MD.MFR, "syringe.cure"						, 1,   0, MT.TECH.AnyIron		,  U * 1, MT.Plastic			,  U * 4, MT.Rubber				,  U * 1);
		OM.data(MD.MFR, "syringe.slime"						, 1,   0, MT.TECH.AnyIron		,  U * 1, MT.Plastic			,  U * 4, MT.Rubber				,  U * 1);
		OM.data(MD.MFR, "syringe.zombie"					, 1,   0, MT.TECH.AnyIron		,  U * 1, MT.Plastic			,  U * 4, MT.Rubber				,  U * 1);
		OM.data(MD.MFR, "needlegun.ammo.empty"				, 1,   0, MT.TECH.AnyIron		,  U / 4, MT.Plastic			,  7*U/4);
		OM.data(MD.MFR, "needlegun.ammo.fire"				, 1,   0, MT.TECH.AnyIron		,  U / 4, MT.Plastic			,  7*U/4);
		OM.data(MD.MFR, "needlegun.ammo.lava"				, 1,   0, MT.TECH.AnyIron		,  U / 4, MT.Plastic			,  7*U/4);
		OM.data(MD.MFR, "needlegun.ammo.pierce"				, 1,   0, MT.TECH.AnyIron		,  U / 4, MT.Plastic			,  7*U/4);
		OM.data(MD.MFR, "needlegun.ammo.standard"			, 1,   0, MT.TECH.AnyIron		,  U / 4, MT.Plastic			,  7*U/4);
		OM.data(MD.MFR, "needlegun.ammo.anvil"				, 1,   0, MT.TECH.AnyIron		,  U / 4, MT.Plastic			,  7*U/4);
		OM.data(MD.MFR, "needlegun.ammo.sewage"				, 1,   0, MT.TECH.AnyIron		,  U / 4, MT.Plastic			,  7*U/4);
		OM.data(MD.MFR, "needlegun.ammo.sludge"				, 1,   0, MT.TECH.AnyIron		,  U / 4, MT.Plastic			,  7*U/4);
		OM.data(MD.MFR, "record.blank"						, 1,   0, MT.Plastic			,  U * 8, MT.Paper				,  U * 1);
		OM.data(MD.MFR, "ruler"								, 1,   0, MT.Plastic			,  U * 2, MT.Paper				,  U * 1);
		OM.data(MD.MFR, "straw"								, 1,   0, MT.Plastic			,  U * 4);
		OM.data(MD.MFR, "tank"								, 1,   0, MT.Plastic			,  U * 7);
		OM.data(MD.MFR, "plastic.bag"						, 1,   0, MT.Plastic			,  U * 2);
		OM.data(MD.MFR, "plastic.cup"						, 1,   0, MT.Plastic			, 3*U/16);
		OM.dat2(MD.MFR, "plastic.helm"						, 1,   0, MT.Plastic			,  U * 5);
		OM.dat2(MD.MFR, "plastic.chest"						, 1,   0, MT.Plastic			,  U * 8);
		OM.dat2(MD.MFR, "plastic.legs"						, 1,   0, MT.Plastic			,  U * 7);
		OM.dat2(MD.MFR, "plastic.boots"						, 1,   0, MT.Plastic			,  U * 4);
		OM.dat2(MD.MFR, "hammer"							, 1,   0, MT.Plastic			,  U * 3, MT.TECH.AnyWood		,  U * 1);
		
		
		OM.data(MD.RC, "part.gear"							, 1,   3, MT.Sn					,  U * 2);
		OM.data(MD.RC, "part.gear"							, 1,   0, MT.Sn					,  U * 2, MT.Au					,  4*U/9);
		OM.data(MD.RC, "part.gear"							, 1,   1, MT.Sn					,  U * 2, MT.TECH.AnyIron		,  U * 4);
		OM.data(MD.RC, "part.gear"							, 1,   2, MT.Sn					,  U * 2, MT.TECH.AnyIronSteel	,  U * 4);
		OM.data(MD.RC, "anvil", 1, 0																, MT.TECH.AnyIronSteel	,  U *30);
		OM.data(MD.RC, "anvil", 1, 1																, MT.TECH.AnyIronSteel	,  U *20);
		OM.data(MD.RC, "anvil", 1, 2																, MT.TECH.AnyIronSteel	,  U *10);
		
		
		OM.dat2(MD.RoC, "rotarycraft_item_bedsword"			, 1,   W, MT.Bedrock_HSLA_Alloy	,  U * 2, MT.HSLA				,  U * 1);
		OM.dat2(MD.RoC, "rotarycraft_item_bedpick"			, 1,   W, MT.Bedrock_HSLA_Alloy	,  U * 3, MT.HSLA				,  U * 2);
		OM.dat2(MD.RoC, "rotarycraft_item_bedshovel"		, 1,   W, MT.Bedrock_HSLA_Alloy	,  U * 1, MT.HSLA				,  U * 2);
		OM.dat2(MD.RoC, "rotarycraft_item_bedaxe"			, 1,   W, MT.Bedrock_HSLA_Alloy	,  U * 3, MT.HSLA				,  U * 2);
		OM.dat2(MD.RoC, "rotarycraft_item_bedhoe"			, 1,   W, MT.Bedrock_HSLA_Alloy	,  U * 2, MT.HSLA				,  U * 2);
		OM.dat2(MD.RoC, "rotarycraft_item_bedgrafter"		, 1,   W, MT.Bedrock_HSLA_Alloy	,  U * 1, MT.HSLA				,  U * 2);
		OM.dat2(MD.RoC, "rotarycraft_item_bedsaw"			, 1,   W, MT.Bedrock_HSLA_Alloy	,  U * 2, MT.HSLA				,  U * 3);
		OM.dat2(MD.RoC, "rotarycraft_item_bedsickle"		, 1,   W, MT.Bedrock_HSLA_Alloy	,  U * 3, MT.HSLA				,  U * 1);
		OM.dat2(MD.RoC, "rotarycraft_item_bedshears"		, 1,   W, MT.Bedrock_HSLA_Alloy	,  U * 2);
		OM.dat2(MD.RoC, "rotarycraft_item_bedhelm"			, 1,   W, MT.Bedrock_HSLA_Alloy	,  U * 5);
		OM.dat2(MD.RoC, "rotarycraft_item_bedchest"			, 1,   W, MT.Bedrock_HSLA_Alloy	,  U * 8);
		OM.dat2(MD.RoC, "rotarycraft_item_bedlegs"			, 1,   W, MT.Bedrock_HSLA_Alloy	,  U * 7);
		OM.dat2(MD.RoC, "rotarycraft_item_bedboots"			, 1,   W, MT.Bedrock_HSLA_Alloy	,  U * 4);
		
		
		OM.dat2(MD.EBXL, "extrabiomes.logturner"			, 1,   W, MT.TECH.AnyWood		,  5*U/2);
		
		
		OM.data(MD.UB, "fossilPiece"						, 1,   W, MT.Bone				,  U * 1);
		
		
		OM.data(MD.EtFu, "red_sandstone"					, 1,   W, MT.Sand				,  U * 1);
		OM.data(MD.EtFu, "mutton_raw"						, 1,   W, MT.MeatRaw			,  U * 2, MT.Bone, U / 4);
		OM.data(MD.EtFu, "mutton_cooked"					, 1,   W, MT.MeatCooked			,  U * 2, MT.Bone, U / 4);
		OM.data(MD.EtFu, "rabbit_raw"						, 1,   W, MT.MeatRaw			,  U * 2, MT.Bone, U / 4);
		OM.data(MD.EtFu, "rabbit_cooked"					, 1,   W, MT.MeatCooked			,  U * 2, MT.Bone, U / 4);
		OM.data(MD.EtFu, "crying_obsidian"					, 1,   W, MT.Obsidian			,  U * 9, MT.Lapis, U * 1);
		
		
		OM.dat2(MD.TF, "item.giantPick"						, 1,   0, MT.TECH.AnyStone		,  U*192, MT.TECH.AnyWood, U*128);
		OM.dat2(MD.TF, "item.giantSword"					, 1,   0, MT.TECH.AnyStone		,  U*128, MT.TECH.AnyWood, U* 64);
		OM.data(MD.TF, "tile.GiantLog"						, 1,   W, MT.TECH.AnyWood		,  U *64);
		OM.data(MD.TF, "tile.GiantCobble"					, 1,   W, MT.TECH.AnyStone		,  U *64);
		OM.data(MD.TF, "tile.GiantObsidian"					, 1,   W, MT.Obsidian			,  U *576);
		OM.dat2(MD.TF, "item.minotaurAxe"					, 1,   0, MT.Diamond			,  U * 4, MT.TECH.AnyWood, OP.stick.mAmount * 2);
		OM.data(MD.TF, "item.armorShards"					, 1,   0, MT.Knightmetal		,  U / 9);
		OM.data(MD.TF, "item.shardCluster"					, 1,   0, MT.Knightmetal		,  U * 1);
		
		
		OM.data(MD.HaC, "turkeyrawItem"						, 1,   W, MT.MeatRaw			,  U * 3, MT.Bone, U/4);
		OM.data(MD.HaC, "turkeycookedItem"					, 1,   W, MT.MeatCooked			,  U * 3, MT.Bone, U/4);
		OM.data(MD.HaC, "rabbitrawItem"						, 1,   W, MT.MeatRaw			,  U * 1, MT.Bone, U/4);
		OM.data(MD.HaC, "rabbitcookedItem"					, 1,   W, MT.MeatCooked			,  U * 1, MT.Bone, U/4);
		OM.data(MD.HaC, "venisonrawItem"					, 1,   W, MT.MeatRaw			,  U * 2, MT.Bone, U/9);
		OM.data(MD.HaC, "venisoncookedItem"					, 1,   W, MT.MeatCooked			,  U * 2, MT.Bone, U/9);
		
		
		OM.data(MD.AE, "item.ItemMultiMaterial"				, 1,  10, MT.CertusQuartz		,  U / 2);
		OM.data(MD.AE, "item.ItemMultiMaterial"				, 1,  11, MT.NetherQuartz		,  U / 2);
		OM.data(MD.AE, "item.ItemMultiMaterial"				, 1,  12, MT.UNUSED.Fluix		,  U / 2);
		OM.data(MD.AE, "item.ItemMultiMaterial"				, 1,  13, MT.TECH.AnyIron		,  U * 9);
		OM.data(MD.AE, "item.ItemMultiMaterial"				, 1,  14, MT.TECH.AnyIron		,  U * 9);
		OM.data(MD.AE, "item.ItemMultiMaterial"				, 1,  15, MT.TECH.AnyIron		,  U * 9);
		OM.data(MD.AE, "item.ItemMultiMaterial"				, 1,  19, MT.TECH.AnyIron		,  U * 9);
		OM.data(MD.AE, "tile.BlockFluix"					, 1,   W, MT.UNUSED.Fluix		,  U * 4);
		OM.data(MD.AE, "tile.BlockQuartz"					, 1,   W, MT.CertusQuartz		,  U * 4);
		OM.data(MD.AE, "tile.BlockQuartzPillar"				, 1,   W, MT.CertusQuartz		,  U * 4);
		OM.data(MD.AE, "tile.BlockQuartzChiseled"			, 1,   W, MT.CertusQuartz		,  U * 4);
		OM.data(MD.AE, "tile.FluixStairBlock"				, 1,   W, MT.UNUSED.Fluix		,  U * 6);
		OM.data(MD.AE, "tile.QuartzStairBlock"				, 1,   W, MT.CertusQuartz		,  U * 6);
		OM.data(MD.AE, "tile.QuartzPillarStairBlock"		, 1,   W, MT.CertusQuartz		,  U * 6);
		OM.data(MD.AE, "tile.ChiseledQuartzStairBlock"		, 1,   W, MT.CertusQuartz		,  U * 6);
		OM.data(MD.AE, "tile.FluixSlabBlock"				, 1,   W, MT.UNUSED.Fluix		,  U * 2);
		OM.data(MD.AE, "tile.QuartzSlabBlock"				, 1,   W, MT.CertusQuartz		,  U * 2);
		OM.data(MD.AE, "tile.QuartzPillarSlabBlock"			, 1,   W, MT.CertusQuartz		,  U * 2);
		OM.data(MD.AE, "tile.ChiseledQuartzSlabBlock"		, 1,   W, MT.CertusQuartz		,  U * 2);
		
		
		OM.data(MD.AA, "blockMisc"							, 1,   0, MT.BlackQuartz		,  U * 2);
		OM.data(MD.AA, "blockMisc"							, 1,   1, MT.BlackQuartz		,  U * 4);
		OM.data(MD.AA, "blockMisc"							, 1,   2, MT.BlackQuartz		,  U * 4);
		OM.data(MD.AA, "blockPillarQuartzSlab"				, 1,   0, MT.BlackQuartz		,  U * 1);
		OM.data(MD.AA, "blockChiseledQuartzSlab"			, 1,   0, MT.BlackQuartz		,  U * 2);
		OM.data(MD.AA, "blockQuartzSlab"					, 1,   0, MT.BlackQuartz		,  U * 2);
		OM.data(MD.AA, "blockPillarQuartzStair"				, 1,   0, MT.BlackQuartz		,  U * 2);
		OM.data(MD.AA, "blockChiseledQuartzStair"			, 1,   0, MT.BlackQuartz		,  U * 4);
		OM.data(MD.AA, "blockQuartzStair"					, 1,   0, MT.BlackQuartz		,  U * 4);
		OM.data(MD.AA, "blockPillarQuartzWall"				, 1,   0, MT.BlackQuartz		,  U * 2);
		OM.data(MD.AA, "blockChiseledQuartzWall"			, 1,   0, MT.BlackQuartz		,  U * 4);
		OM.data(MD.AA, "blockQuartzWall"					, 1,   0, MT.BlackQuartz		,  U * 4);
		OM.data(MD.AA, "blockTestifiBucksWhiteWall"			, 1,   0, MT.NetherQuartz		,  U * 4);
		OM.data(MD.AA, "blockTestifiBucksWhiteFence"		, 1,   0, MT.NetherQuartz		,  U * 4);
		OM.data(MD.AA, "blockTestifiBucksWhiteStairs"		, 1,   0, MT.NetherQuartz		,  U * 4);
		OM.data(MD.AA, "blockTestifiBucksWhiteSlab"			, 1,   0, MT.NetherQuartz		,  U * 2);
		OM.data(MD.AA, "blockTestifiBucksGreenWall"			, 1,   0, MT.NetherQuartz		,  U * 4);
		OM.data(MD.AA, "blockTestifiBucksGreenFence"		, 1,   0, MT.NetherQuartz		,  U * 4);
		OM.data(MD.AA, "blockTestifiBucksGreenStairs"		, 1,   0, MT.NetherQuartz		,  U * 4);
		OM.data(MD.AA, "blockTestifiBucksGreenSlab"			, 1,   0, MT.NetherQuartz		,  U * 2);
		OM.data(MD.AA, "blockMisc"							, 1,   6, MT.EnderPearl			,  U * 4);
		OM.data(MD.AA, "itemMisc"							, 1,  10, MT.Coal				,  U / 8);
		OM.data(MD.AA, "itemMisc"							, 1,  11, MT.Charcoal			,  U / 8);
		
		
//		OM.data(MD.TCFM, "WandCaps"							, 1,   0, MT.Alchemical			,  5*U/9);
		OM.data(MD.TCFM, "WandCaps"							, 1,   1, MT.Vinteum			,  5*U/9);
		OM.data(MD.TCFM, "WandCaps"							, 1,   2, MT.Terrasteel			,  5*U/9);
		OM.data(MD.TCFM, "WandCaps"							, 1,   3, MT.Manasteel			,  5*U/9);
		OM.data(MD.TCFM, "WandCaps"							, 1,   4, MT.Manasteel			,  5*U/9);
		OM.data(MD.TCFM, "WandCaps"							, 1,   5, MT.ElvenElementium	,  5*U/9);
		OM.data(MD.TCFM, "WandCaps"							, 1,   6, MT.ElvenElementium	,  5*U/9);
		
		
		OM.data(MD.TC, "WandCap"							, 1,   0, MT.TECH.AnyIron		,  5*U/9);
		OM.data(MD.TC, "WandCap"							, 1,   1, MT.Au					,  5*U/9);
		OM.data(MD.TC, "WandCap"							, 1,   2, MT.Thaumium			,  5*U/9);
		OM.data(MD.TC, "WandCap"							, 1,   3, MT.TECH.AnyCopper		,  5*U/9);
		OM.data(MD.TC, "WandCap"							, 1,   4, MT.Ag					,  5*U/9);
		OM.data(MD.TC, "WandCap"							, 1,   5, MT.Ag					,  5*U/9);
		OM.data(MD.TC, "WandCap"							, 1,   6, MT.Thaumium			,  5*U/9);
		OM.data(MD.TC, "WandCap"							, 1,   7, MT.VoidMetal			,  5*U/9);
		OM.data(MD.TC, "WandCap"							, 1,   8, MT.VoidMetal			,  5*U/9);
		OM.data(MD.TC, "ItemBaubleBlanks"					, 1,   0, MT.Au					,  U	);
		OM.data(MD.TC, "ItemBaubleBlanks"					, 1,   1, MT.Au					,  4*U/9);
		OM.data(MD.TC, "ItemBaubleBlanks"					, 1,   2, MT.Au					,  U	, MT.Leather, U * 3);
		OM.data(MD.TC, "ItemBaubleBlanks"					, 1,   3, MT.Au					,  4*U/9, MT.InfusedAir		, U / 4);
		OM.data(MD.TC, "ItemBaubleBlanks"					, 1,   4, MT.Au					,  4*U/9, MT.InfusedEarth	, U / 4);
		OM.data(MD.TC, "ItemBaubleBlanks"					, 1,   5, MT.Au					,  4*U/9, MT.InfusedFire	, U / 4);
		OM.data(MD.TC, "ItemBaubleBlanks"					, 1,   6, MT.Au					,  4*U/9, MT.InfusedWater	, U / 4);
		OM.data(MD.TC, "ItemBaubleBlanks"					, 1,   7, MT.Au					,  4*U/9, MT.InfusedOrder	, U / 4);
		OM.data(MD.TC, "ItemBaubleBlanks"					, 1,   8, MT.Au					,  4*U/9, MT.InfusedEntropy	, U / 4);
		OM.data(MD.TC, "ItemResource"						, 1,   4, MT.Tallow				,  U * 1);
		OM.data(MD.TC, "blockCandle"						, 1,   W, MT.Tallow				,  2*U/3);
		OM.data(MD.TC, "blockCosmeticSolid"					, 1,   5, MT.Tallow				,  U * 9);
		OM.data(MD.TC, "ItemGolemPlacer"					, 1,   0, MT.Wheat				,  U * 9);
		OM.data(MD.TC, "ItemGolemPlacer"					, 1,   1, MT.TECH.AnyWood		,  U * 8);
		OM.data(MD.TC, "ItemGolemPlacer"					, 1,   2, MT.Tallow				,  U * 9);
		OM.data(MD.TC, "ItemGolemPlacer"					, 1,   3, MT.Ceramic			,  U * 4);
		OM.data(MD.TC, "ItemGolemPlacer"					, 1,   4, MT.MeatRotten			,  U * 9);
		OM.data(MD.TC, "ItemGolemPlacer"					, 1,   5, MT.TECH.AnyStone		,  U * 1);
		OM.data(MD.TC, "ItemGolemPlacer"					, 1,   6, MT.TECH.AnyIron		,  U * 9);
		OM.data(MD.TC, "ItemGolemPlacer"					, 1,   7, MT.Thaumium			,  U * 9);
		
		
		OM.data(MD.CHSL, "tallow"							, 1,   W, MT.Tallow				,  U * 9);
		
		
		OM.data(MD.GC, "item.meteoricIronRaw"				, 1,   W, MT.MeteoricIron		,  U * 1);
		OM.data(MD.GC, "tile.cheeseBlock"					, 1,   W, MT.Cheese				,  U * 8);
		
		
		OM.data(ST.mkic("ironFence", 1)					, MT.TECH.AnyIron		,  U / 2);
		OM.data(ST.mkic("ironFurnace", 1)					, MT.TECH.AnyIron		,  U * 5);
		OM.data(ST.mkic("crop", 1)						, MT.TECH.AnyWood		,  U * 1);
		OM.data(ST.mkic("iridiumOre", 1)					, MT.Ir					,  U * 1);
		if (MD.IC2C.mLoaded) {
		OM.data(ST.mkic("smallIronDust", 1)				, MT.Fe					,  U / 2);
		} else {
		OM.data(ST.mkic("iridiumShard", 1)				, MT.Ir					,  U / 9);
		OM.data(ST.mkic("Uran238", 1)						, MT.U_238				,  U * 1);
		OM.data(ST.mkic("smallUran235", 1)				, MT.U_235				,  U / 9);
		OM.data(ST.mkic("Uran235", 1)						, MT.U_235				,  U * 1);
		OM.data(ST.mkic("smallPlutonium", 1)				, MT.Pu					,  U / 9);
		OM.data(ST.mkic("Plutonium", 1)					, MT.Pu					,  U * 1);
		}
		
		
		OM.dat2(ST.make(Items.wooden_sword, 1, 0)					, MT.TECH.AnyWood		,  U * 2 + U / 2);
		OM.dat2(ST.make(Items.wooden_pickaxe, 1, 0)					, MT.TECH.AnyWood		,  U * 3 + U	);
		OM.dat2(ST.make(Items.wooden_shovel, 1, 0)					, MT.TECH.AnyWood		,  U * 1 + U	);
		OM.dat2(ST.make(Items.wooden_axe, 1, 0)						, MT.TECH.AnyWood		,  U * 3 + U	);
		OM.dat2(ST.make(Items.wooden_hoe, 1, 0)						, MT.TECH.AnyWood		,  U * 2 + U	);
		OM.dat2(ST.make(Items.stone_sword, 1, 0)						, MT.TECH.AnyStone		,  U * 2, MT.TECH.AnyWood, U / 2);
		OM.dat2(ST.make(Items.stone_pickaxe, 1, 0)					, MT.TECH.AnyStone		,  U * 3, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.stone_shovel, 1, 0)					, MT.TECH.AnyStone		,  U * 1, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.stone_axe, 1, 0)						, MT.TECH.AnyStone		,  U * 3, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.stone_hoe, 1, 0)						, MT.TECH.AnyStone		,  U * 2, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.iron_sword, 1, 0)						, MT.TECH.AnyIron		,  U * 2, MT.TECH.AnyWood, U / 2);
		OM.dat2(ST.make(Items.iron_pickaxe, 1, 0)					, MT.TECH.AnyIron		,  U * 3, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.iron_shovel, 1, 0)						, MT.TECH.AnyIron		,  U * 1, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.iron_axe, 1, 0)						, MT.TECH.AnyIron		,  U * 3, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.iron_hoe, 1, 0)						, MT.TECH.AnyIron		,  U * 2, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.golden_sword, 1, 0)					, MT.Au					,  U * 2, MT.TECH.AnyWood, U / 2);
		OM.dat2(ST.make(Items.golden_pickaxe, 1, 0)					, MT.Au					,  U * 3, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.golden_shovel, 1, 0)					, MT.Au					,  U * 1, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.golden_axe, 1, 0)						, MT.Au					,  U * 3, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.golden_hoe, 1, 0)						, MT.Au					,  U * 2, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.diamond_sword, 1, 0)					, MT.Diamond			,  U * 2, MT.TECH.AnyWood, U / 2);
		OM.dat2(ST.make(Items.diamond_pickaxe, 1, 0)					, MT.Diamond			,  U * 3, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.diamond_shovel, 1, 0)					, MT.Diamond			,  U * 1, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.diamond_axe, 1, 0)						, MT.Diamond			,  U * 3, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.diamond_hoe, 1, 0)						, MT.Diamond			,  U * 2, MT.TECH.AnyWood, U	);
		OM.dat2(ST.make(Items.leather_helmet, 1, 0)					, MT.Leather			,  U * 5);
		OM.dat2(ST.make(Items.leather_chestplate, 1, 0)				, MT.Leather			,  U * 8);
		OM.dat2(ST.make(Items.leather_leggings, 1, 0)				, MT.Leather			,  U * 7);
		OM.dat2(ST.make(Items.leather_boots, 1, 0)					, MT.Leather			,  U * 4);
		OM.dat2(ST.make(Items.chainmail_helmet, 1, 0)				, MT.TECH.AnyIronSteel	,  5*U/4);
		OM.dat2(ST.make(Items.chainmail_chestplate, 1, 0)			, MT.TECH.AnyIronSteel	,  8*U/4);
		OM.dat2(ST.make(Items.chainmail_leggings, 1, 0)				, MT.TECH.AnyIronSteel	,  7*U/4);
		OM.dat2(ST.make(Items.chainmail_boots, 1, 0)					, MT.TECH.AnyIronSteel	,  4*U/4);
		OM.dat2(ST.make(Items.iron_helmet, 1, 0)						, MT.TECH.AnyIron		,  U * 5);
		OM.dat2(ST.make(Items.iron_chestplate, 1, 0)					, MT.TECH.AnyIron		,  U * 8);
		OM.dat2(ST.make(Items.iron_leggings, 1, 0)					, MT.TECH.AnyIron		,  U * 7);
		OM.dat2(ST.make(Items.iron_boots, 1, 0)						, MT.TECH.AnyIron		,  U * 4);
		OM.dat2(ST.make(Items.golden_helmet, 1, 0)					, MT.Au					,  U * 5);
		OM.dat2(ST.make(Items.golden_chestplate, 1, 0)				, MT.Au					,  U * 8);
		OM.dat2(ST.make(Items.golden_leggings, 1, 0)					, MT.Au					,  U * 7);
		OM.dat2(ST.make(Items.golden_boots, 1, 0)					, MT.Au					,  U * 4);
		OM.dat2(ST.make(Items.diamond_helmet, 1, 0)					, MT.Diamond			,  U * 5);
		OM.dat2(ST.make(Items.diamond_chestplate, 1, 0)				, MT.Diamond			,  U * 8);
		OM.dat2(ST.make(Items.diamond_leggings, 1, 0)				, MT.Diamond			,  U * 7);
		OM.dat2(ST.make(Items.diamond_boots, 1, 0)					, MT.Diamond			,  U * 4);
		OM.dat2(ST.make(Items.shears, 1, 0)							, MT.TECH.AnyIron		,  U * 2);
		OM.dat2(ST.make(Items.saddle, 1, W)							, MT.TECH.AnyIronSteel	,  U * 2, MT.Leather, U * 6);
		OM.dat2(ST.make(Items.iron_horse_armor, 1, W)				, MT.TECH.AnyIron		,  U * 8, MT.Leather, U * 6);
		OM.dat2(ST.make(Items.golden_horse_armor, 1, W)				, MT.Au					,  U * 8, MT.Leather, U * 6);
		OM.dat2(ST.make(Items.diamond_horse_armor, 1, W)				, MT.Diamond			,  U * 8, MT.Leather, U * 6);
		OM.data(ST.make(Items.snowball, 1, W)						, MT.Snow				,  U / 4);
		OM.data(ST.make(Blocks.snow, 1, W)							, MT.Snow				,  U * 1);
		OM.data(ST.make(Blocks.redstone_lamp, 1, W)					, MT.TECH.AnyGlowstone	,  U * 4, MT.Redstone, U * 4);
		OM.data(ST.make(Blocks.lit_redstone_lamp, 1, W)				, MT.TECH.AnyGlowstone	,  U * 4, MT.Redstone, U * 4);
		OM.data(ST.make(Items.bone						, 1, W)		, MT.Bone				,  U * 3);
		OM.data(ST.make(Blocks.ice						, 1, W)		, MT.Ice				,  U * 1);
		OM.data(ST.make(Blocks.packed_ice				, 1, W)		, MT.Ice				,  U * 2);
		OM.data(ST.make(Items.clay_ball					, 1, W)		, MT.Clay				,  U * 1);
		OM.data(ST.make(Blocks.clay						, 1, W)		, MT.Clay				,  U * 4);
		OM.data(ST.make(Blocks.hardened_clay				, 1, W)		, MT.Ceramic			,  U * 4);
		OM.data(ST.make(Blocks.stained_hardened_clay		, 1, W)		, MT.Ceramic			,  U * 4);
		OM.data(ST.make(Blocks.flower_pot				, 1, W)		, MT.Ceramic			,  U * 3);
		OM.data(ST.make(Items.flower_pot					, 1, W)		, MT.Ceramic			,  U * 3);
		OM.data(ST.make(Items.brick						, 1, W)		, MT.Ceramic			,  U * 1);
		OM.data(ST.make(Blocks.brick_block				, 1, W)		, MT.Ceramic			,  U * 4);
		OM.data(ST.make(Blocks.double_stone_slab			, 1, 4)		, MT.Ceramic			,  U * 4);
		OM.data(ST.make(Blocks.brick_stairs				, 1, W)		, MT.Ceramic			,  U * 6);
		OM.data(ST.make(Blocks.stone_slab				, 1, 4)		, MT.Ceramic			,  U * 2);
		OM.data(ST.make(Blocks.quartz_block				, 1, W)		, MT.NetherQuartz		,  U * 4);
		OM.data(ST.make(Blocks.double_stone_slab			, 1, 7)		, MT.NetherQuartz		,  U * 4);
		OM.data(ST.make(Blocks.quartz_stairs				, 1, W)		, MT.NetherQuartz		,  U * 6);
		OM.data(ST.make(Blocks.stone_slab				, 1, 7)		, MT.NetherQuartz		,  U * 2);
		OM.data(ST.make(Items.firework_charge			, 1, W)		, MT.Gunpowder			,  U * 1);
		OM.data(ST.make(Items.fireworks					, 1, W)		, MT.Gunpowder			,  U * 1);
		OM.data(ST.make(Items.book, 1, W)							, MT.Paper				,  U * 3);
		OM.data(ST.make(Items.written_book, 1, W)					, MT.Paper				,  U * 3);
		OM.data(ST.make(Items.writable_book, 1, W)					, MT.Paper				,  U * 3);
		OM.data(ST.make(Items.enchanted_book, 1, W)					, MT.Paper				,  U * 3);
		OM.data(ST.make(Items.map, 1, W)								, MT.Paper				,  U * 8);
		OM.data(ST.make(Items.filled_map, 1, W)						, MT.Paper				,  U * 8);
		OM.data(ST.make(Items.golden_apple, 1, 1)					, MT.Au					,  OP.blockIngot.mAmount * 8);
		OM.data(ST.make(Items.golden_apple, 1, 0)					, MT.Au					,  OP.ingot.mAmount * 8);
		OM.data(ST.make(Items.golden_carrot, 1, 0)					, MT.Au					,  OP.nugget.mAmount * 8);
		OM.data(ST.make(Items.speckled_melon, 1, 0)					, MT.Au					,  OP.nugget.mAmount * 8);
		OM.data(ST.make(Items.bucket, 1, W)							, MT.TECH.AnyIron		,  U * 3);
		OM.data(ST.make(Items.minecart, 1, 0)						, MT.TECH.AnyIron		,  U * 5);
		OM.data(ST.make(Items.iron_door, 1, W)						, MT.TECH.AnyIron		,  U * 6);
		OM.data(ST.make(Items.cauldron, 1, W)						, MT.TECH.AnyIron		,  U * 7);
		OM.data(ST.make(Blocks.iron_bars, 1, W)						, MT.TECH.AnyIron		,  3*U/8);
		OM.data(ST.make(Blocks.light_weighted_pressure_plate, 1, W)	, MT.Au					,  U * 2);
		OM.data(ST.make(Blocks.heavy_weighted_pressure_plate, 1, W)	, MT.TECH.AnyIron		,  U * 2);
		OM.data(ST.make(Blocks.anvil, 1, 0)							, MT.TECH.AnyIron		,  U *30);
		OM.data(ST.make(Blocks.anvil, 1, 1)							, MT.TECH.AnyIron		,  U *20);
		OM.data(ST.make(Blocks.anvil, 1, 2)							, MT.TECH.AnyIron		,  U *10);
		OM.data(ST.make(Blocks.hopper, 1, W)							, MT.TECH.AnyIron		,  U * 5 , MT.TECH.AnyWood, U * 8);
		OM.data(ST.make(Blocks.tripwire_hook, 1, W)					, MT.TECH.AnyIron		,  OP.ring.mAmount * 2, MT.TECH.AnyWood, U);
		OM.data(ST.make(Items.glass_bottle, 1, W)					, MT.Glass				,  U	);
		OM.data(ST.make(Items.potionitem, 1, W)						, MT.Glass				,  U	);
		OM.data(ST.make(Blocks.stained_glass			, 1, W)			, MT.Glass				,  U	);
		OM.data(ST.make(Blocks.glass					, 1, W)			, MT.Glass				,  U	);
		OM.data(ST.make(Blocks.stained_glass_pane	, 1, W)			, MT.Glass				,  3*U/8);
		OM.data(ST.make(Blocks.glass_pane			, 1, W)			, MT.Glass				,  3*U/8);
		OM.data(ST.make(Items.clock, 1, W)							, MT.Au					,  U * 4, MT.Redstone, U);
		OM.data(ST.make(Items.compass, 1, W)							, MT.TECH.AnyIron		,  U * 4, MT.Redstone, U);
		OM.data(ST.make(Items.leather, 1, W)							, MT.Leather			,  U * 1);
		OM.data(ST.make(Blocks.beacon, 1, W)							, MT.NetherStar			,  U * 1, OM.stack(MT.Obsidian, U *27), OM.stack(MT.Glass, U * 5));
		OM.data(ST.make(Blocks.enchanting_table, 1, W)				, MT.Diamond			,  U * 2, OM.stack(MT.Obsidian, U *36), OM.stack(MT.Paper, U * 3));
		OM.data(ST.make(Blocks.ender_chest, 1, W)					, MT.EnderEye			,  U * 1, MT.Obsidian, U *72);
		OM.data(ST.make(Blocks.bookshelf, 1, W)						, MT.Paper				,  U * 9, MT.TECH.AnyWood, U * 6);
		OM.data(ST.make(Blocks.lever, 1, W)							, MT.TECH.AnyStone		,  U * 1, MT.TECH.AnyWood, U / 2);
		OM.data(ST.make(Blocks.ice, 1, W)							, MT.Ice				,  U * 1);
		OM.data(ST.make(Blocks.packed_ice, 1, W)						, MT.Ice				,  U * 2);
		OM.data(ST.make(Blocks.snow, 1, W)							, MT.Snow				,  U * 1);
		OM.data(ST.make(Items.snowball, 1, W)						, MT.Snow				,  U / 4);
		OM.data(ST.make(Blocks.snow_layer, 1, W)						, MT.Snow				,	  -1);
		OM.data(ST.make(Blocks.sand, 1, 0)							, MT.Sand				,  U * 1);
		OM.data(ST.make(Blocks.sand, 1, 1)							, MT.Sand				,  2*U/3, MT.OREMATS.Hematite, U / 3);
		OM.data(ST.make(Blocks.sandstone, 1, W)						, MT.Sand				,  U * 1);
		OM.data(ST.make(Blocks.stone_slab, 1, 0)						, MT.TECH.AnyStone		,  U / 2);
		OM.data(ST.make(Blocks.stone_slab, 1, 8)						, MT.TECH.AnyStone		,  U / 2);
		OM.data(ST.make(Blocks.double_stone_slab, 1, 0)				, MT.TECH.AnyStone		,  U * 1);
		OM.data(ST.make(Blocks.double_stone_slab, 1, 8)				, MT.TECH.AnyStone		,  U * 1);
		OM.data(ST.make(Blocks.stone_slab, 1, 1)						, MT.Sand				,  U / 2);
		OM.data(ST.make(Blocks.stone_slab, 1, 9)						, MT.Sand				,  U / 2);
		OM.data(ST.make(Blocks.double_stone_slab, 1, 1)				, MT.Sand				,  U * 1);
		OM.data(ST.make(Blocks.double_stone_slab, 1, 9)				, MT.Sand				,  U * 1);
		OM.data(ST.make(Blocks.stone_slab, 1,  2)					, MT.TECH.AnyWood		,  U / 2);
		OM.data(ST.make(Blocks.stone_slab, 1, 10)					, MT.TECH.AnyWood		,  U / 2);
		OM.data(ST.make(Blocks.double_stone_slab, 1,  2)				, MT.TECH.AnyWood		,  U * 1);
		OM.data(ST.make(Blocks.double_stone_slab, 1, 10)				, MT.TECH.AnyWood		,  U * 1);
		OM.data(ST.make(Blocks.stone_slab, 1,  3)					, MT.TECH.AnyStone		,  U / 2);
		OM.data(ST.make(Blocks.stone_slab, 1, 11)					, MT.TECH.AnyStone		,  U / 2);
		OM.data(ST.make(Blocks.double_stone_slab, 1,  3)				, MT.TECH.AnyStone		,  U * 1);
		OM.data(ST.make(Blocks.double_stone_slab, 1, 11)				, MT.TECH.AnyStone		,  U * 1);
		OM.data(ST.make(Blocks.stone_slab, 1,  5)					, MT.TECH.AnyStone		,  U / 2);
		OM.data(ST.make(Blocks.stone_slab, 1, 13)					, MT.TECH.AnyStone		,  U / 2);
		OM.data(ST.make(Blocks.double_stone_slab, 1,  5)				, MT.TECH.AnyStone		,  U * 1);
		OM.data(ST.make(Blocks.double_stone_slab, 1, 13)				, MT.TECH.AnyStone		,  U * 1);
		OM.data(ST.make(Blocks.stone, 1, W)							, MT.TECH.AnyStone		,  U * 1);
		OM.data(ST.make(Blocks.furnace, 1, W)						, MT.TECH.AnyStone		,  U * 8);
		OM.data(ST.make(Blocks.lit_furnace, 1, W)					, MT.TECH.AnyStone		,  U * 8);
		OM.data(ST.make(Blocks.stonebrick, 1, W)						, MT.TECH.AnyStone		,  U * 1);
		OM.data(ST.make(Blocks.cobblestone, 1, W)					, MT.TECH.AnyStone		,  U * 1);
		OM.data(ST.make(Blocks.mossy_cobblestone, 1, W)				, MT.TECH.AnyStone		,  U * 1);
		OM.data(ST.make(Blocks.stone_button, 1, W)					, MT.TECH.AnyStone		,  U * 1);
		OM.data(ST.make(Blocks.stone_pressure_plate, 1, W)			, MT.TECH.AnyStone		,  U * 2);
		OM.data(ST.make(Blocks.ladder, 1, W)							, MT.TECH.AnyWood		,  U * 1);
		OM.data(ST.make(Blocks.wooden_button, 1, W)					, MT.TECH.AnyWood		,  U * 1);
		OM.data(ST.make(Blocks.wooden_pressure_plate, 1, W)			, MT.TECH.AnyWood		,  U * 2);
		OM.data(ST.make(Blocks.fence, 1, W)							, MT.TECH.AnyWood		,  3*U/2);
		OM.data(ST.make(Items.bowl, 1, W)							, MT.TECH.AnyWood		,  U * 1);
		OM.data(ST.make(Items.sign, 1, W)							, MT.TECH.AnyWood		,  U * 2);
		OM.data(ST.make(Items.wooden_door, 1, W)						, MT.TECH.AnyWood		,  U * 6);
		OM.data(ST.make(Blocks.chest, 1, W)							, MT.TECH.AnyWood		,  U * 8);
		OM.data(ST.make(Blocks.trapped_chest, 1, W)					, MT.TECH.AnyWood		,  U * 9, MT.TECH.AnyIron, OP.ring.mAmount * 2);
		OM.data(ST.make(Blocks.unlit_redstone_torch, 1, W)			, MT.TECH.AnyWood		,  U / 2, MT.Redstone, U);
		OM.data(ST.make(Blocks.redstone_torch, 1, W)					, MT.TECH.AnyWood		,  U / 2, MT.Redstone, U);
		OM.data(ST.make(Blocks.noteblock, 1, W)						, MT.TECH.AnyWood		,  U * 8, MT.Redstone, U);
		OM.data(ST.make(Blocks.jukebox, 1, W)						, MT.TECH.AnyWood		,  U * 8, MT.Diamond, U);
		OM.data(ST.make(Blocks.crafting_table, 1, W)					, MT.TECH.AnyWood		,  U * 4);
		OM.data(ST.make(Blocks.piston, 1, W)							, MT.TECH.AnyStone		,  U * 4, MT.TECH.AnyWood, U * 3);
		OM.data(ST.make(Blocks.sticky_piston, 1, W)					, MT.TECH.AnyStone		,  U * 4, MT.TECH.AnyWood, U * 3);
		OM.data(ST.make(Blocks.dispenser, 1, W)						, MT.TECH.AnyStone		,  U * 7, MT.Redstone, U);
		OM.data(ST.make(Blocks.dropper, 1, W)						, MT.TECH.AnyStone		,  U * 7, MT.Redstone, U);
		OM.data(ST.make(Items.porkchop, 1, W)						, MT.MeatRaw			,  U * 2, MT.Bone, U / 9);
		OM.data(ST.make(Items.beef, 1, W)							, MT.MeatRaw			,  U * 2, MT.Bone, U / 9);
		OM.data(ST.make(Items.chicken, 1, W)							, MT.MeatRaw			,  U * 2, MT.Bone, U / 9);
		OM.data(ST.make(Items.rotten_flesh, 1, W)					, MT.MeatRotten			,  U * 2, MT.Bone, U / 9);
		OM.data(ST.make(Items.cooked_fished, 1, W)					, MT.FishCooked			,  U * 2, MT.Bone, U / 9);
		OM.data(ST.make(Items.cooked_porkchop, 1, W)					, MT.MeatCooked			,  U * 2, MT.Bone, U / 9);
		OM.data(ST.make(Items.cooked_beef, 1, W)						, MT.MeatCooked			,  U * 2, MT.Bone, U / 9);
		OM.data(ST.make(Items.cooked_chicken, 1, W)					, MT.MeatCooked			,  U * 2, MT.Bone, U / 9);
		OM.data(ST.make(Items.fish, 1, 0)							, MT.FishRaw			,  U * 2, MT.Bone, U / 9, MT.FishOil, U * 2);
		OM.data(ST.make(Items.fish, 1, 1)							, MT.FishRaw			,  U * 2, MT.Bone, U / 9, MT.FishOil, U * 4);
		OM.data(ST.make(Items.fish, 1, 2)							, MT.FishRaw			,  U * 2, MT.Bone, U / 9, MT.FishOil, U * 1);
		OM.data(ST.make(Items.fish, 1, 3)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U * 1);
		if (MD.MaCu.mLoaded && MD.ENCHIRIDION.mLoaded) {
		OM.data(ST.make(Items.fish, 1, 4)							, MT.FishRaw			,  U * 2, MT.Bone, U / 9, MT.FishOil, U * 2, MT.TECH.AnyGlowstone, U/72);
		OM.data(ST.make(Items.fish, 1, 5)							, MT.FishRaw			,  U * 1, MT.Bone, U / 9, MT.FishOil, U * 1, MT.Blaze, U);
		OM.data(ST.make(Items.fish, 1, 6)							, MT.FishRaw			,  U / 2, MT.Bone, U / 3, MT.FishOil, U / 3);
		OM.data(ST.make(Items.fish, 1, 7)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2);
		OM.data(ST.make(Items.fish, 1, 8)							, MT.FishRaw			,  U * 4, MT.Bone, U / 2, MT.FishOil, U * 7);
		OM.data(ST.make(Items.fish, 1, 9)							, MT.FishRaw			,  U / 2, MT.Bone, U / 3, MT.FishOil, U / 4);
		OM.data(ST.make(Items.fish, 1,10)							, MT.FishRaw			,  U * 2, MT.Bone, U / 9, MT.FishOil, U / 4);
		OM.data(ST.make(Items.fish, 1,11)							, MT.FishRaw			,  U * 2, MT.Bone, U / 9, MT.FishOil, U * 4, MT.Gunpowder, U/9);
		OM.data(ST.make(Items.fish, 1,12)							, MT.FishRaw			,  U / 2, MT.Bone, U / 3, MT.FishOil, U /40);
		OM.data(ST.make(Items.fish, 1,13)							, MT.FishRaw			,  U * 3, MT.Bone, U / 3, MT.FishOil, U * 2);
		OM.data(ST.make(Items.fish, 1,14)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U * 3);
		OM.data(ST.make(Items.fish, 1,15)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U * 2);
		OM.data(ST.make(Items.fish, 1,16)							, MT.FishRaw			,  U * 3, MT.Bone, U / 3, MT.FishOil, U * 6);
		OM.data(ST.make(Items.fish, 1,17)							, MT.FishRaw			,  U * 2, MT.Bone, U / 3, MT.FishOil, U * 6);
		OM.data(ST.make(Items.fish, 1,18)							, MT.FishRaw			,  U / 2, MT.Bone, U / 3, MT.FishOil, U * 1);
		OM.data(ST.make(Items.fish, 1,19)							, MT.FishRaw			,  U / 2, MT.Bone, U / 3, MT.FishOil, U * 1);
		OM.data(ST.make(Items.fish, 1,20)							, MT.FishRaw			,  U / 2, MT.Bone, U / 3, MT.FishOil, U / 2);
		OM.data(ST.make(Items.fish, 1,21)							, MT.FishRaw			,  U * 3, MT.FishOil, U * 5);
		OM.data(ST.make(Items.fish, 1,22)							, MT.FishOil, U * 5);
		OM.data(ST.make(Items.fish, 1,23)							, MT.FishOil, U * 5);
		OM.data(ST.make(Items.fish, 1,24)							, MT.FishRaw			,  U / 2, MT.Bone, U / 9, MT.FishOil, U * 1, MT.Au, U/72);
		OM.data(ST.make(Items.fish, 1,25)							, MT.FishRaw			,  U / 2, MT.Bone, U / 3, MT.FishOil, U/100);
		OM.data(ST.make(Items.fish, 1,26)							, MT.FishRaw			,  U * 3, MT.Bone, U / 3, MT.FishOil, U * 5);
		OM.data(ST.make(Items.fish, 1,27)							, MT.FishRaw			,  U / 2, MT.Bone, U / 9, MT.FishOil, U /10);
		OM.data(ST.make(Items.fish, 1,28)							, MT.FishRaw			,  U / 2, MT.Bone, U / 9, MT.FishOil, U * 1, MT.Lapis, U/9);
		OM.data(ST.make(Items.fish, 1,29)							, MT.FishRaw			,  U * 3, MT.Bone, U / 3, MT.FishOil, U * 3);
		OM.data(ST.make(Items.fish, 1,30)							, MT.FishRaw			,  U / 2, MT.Bone, U / 3, MT.FishOil, U / 2);
		OM.data(ST.make(Items.fish, 1,31)							, MT.FishRaw			,  U * 2, MT.Bone, U / 3, MT.FishOil, U * 4);
		OM.data(ST.make(Items.fish, 1,32)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U * 2);
		OM.data(ST.make(Items.fish, 1,33)							, MT.FishRaw			,  U / 2, MT.Bone, U / 9, MT.FishOil, U * 1);
		OM.data(ST.make(Items.fish, 1,34)							, MT.FishRotten			,  U * 2, MT.Bone, U / 3, MT.FishOil, U * 1);
		OM.data(ST.make(Items.fish, 1,35)							, MT.Bone, U * 6);
		OM.data(ST.make(Items.fish, 1,36)							, MT.FishRaw			,  U * 2, MT.Bone, U / 3, MT.FishOil, U * 4);
		OM.data(ST.make(Items.fish, 1,37)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U * 3);
		OM.data(ST.make(Items.fish, 1,38)							, MT.FishRaw			,  U * 1, MT.Bone, U / 9, MT.FishOil, U * 1, MT.Redstone, U/4);
		OM.data(ST.make(Items.fish, 1,39)							, MT.FishRaw			,  U * 2, MT.Bone, U / 9, MT.FishOil, U * 2);
		OM.data(ST.make(Items.fish, 1,40)							, MT.FishRaw			,  U * 1, MT.Bone, U / 9, MT.FishOil, U * 1);
		OM.data(ST.make(Items.fish, 1,41)							, MT.FishRaw			,  U * 1, MT.Bone, U / 9, MT.FishOil, U / 2);
		OM.data(ST.make(Items.fish, 1,42)							, MT.FishRaw			,  U / 2, MT.Bone, U / 3, MT.FishOil, U /20);
		OM.data(ST.make(Items.fish, 1,43)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U * 1);
		OM.data(ST.make(Items.fish, 1,44)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U * 3);
		OM.data(ST.make(Items.fish, 1,45)							, MT.FishRaw			,  U * 2, MT.Bone, U / 3, MT.FishOil, U * 4);
		OM.data(ST.make(Items.fish, 1,46)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U * 3);
		OM.data(ST.make(Items.fish, 1,47)							, MT.FishRaw			,  U * 2, MT.Bone, U / 3, MT.FishOil, U * 5);
		OM.data(ST.make(Items.fish, 1,48)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U /20);
		OM.data(ST.make(Items.fish, 1,49)							, MT.FishRaw			,  U / 2, MT.Bone, U / 3, MT.FishOil, U * 2);
		OM.data(ST.make(Items.fish, 1,50)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Fe, U/72);
		OM.data(ST.make(Items.fish, 1,51)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Au, U/72);
		OM.data(ST.make(Items.fish, 1,52)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Cu, U/72);
		OM.data(ST.make(Items.fish, 1,53)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Al, U/72);
		OM.data(ST.make(Items.fish, 1,54)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.OREMATS.Rutile, U/72);
		OM.data(ST.make(Items.fish, 1,55)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Mg, U/72);
		OM.data(ST.make(Items.fish, 1,56)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Ag, U/72);
		OM.data(ST.make(Items.fish, 1,57)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Pb, U/72);
		OM.data(ST.make(Items.fish, 1,58)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Sn, U/72);
		OM.data(ST.make(Items.fish, 1,59)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Pt, U/72);
		OM.data(ST.make(Items.fish, 1,60)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Ni, U/72);
		OM.data(ST.make(Items.fish, 1,61)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Co, U/72);
		OM.data(ST.make(Items.fish, 1,62)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Ardite, U/72);
		OM.data(ST.make(Items.fish, 1,63)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Os, U/72);
		OM.data(ST.make(Items.fish, 1,64)							, MT.FishRaw			,  U * 1, MT.Bone, U / 3, MT.FishOil, U / 2, MT.Zn, U/72);
		}
		OM.data(ST.make(Items.fish, 1, W)							, MT.FishRaw			,  U * 2, MT.Bone, U / 9, MT.FishOil, U * 1);
	}
}