package gregapi.util;

import static gregapi.data.CS.*;
import gregapi.GT_API;
import gregapi.api.Abstract_Mod;
import gregapi.block.IBlockDebugable;
import gregapi.block.IBlockExtendedMetaData;
import gregapi.block.IBlockPlacable;
import gregapi.block.IBlockTileEntity;
import gregapi.code.*;
import gregapi.damage.DamageSources;
import gregapi.data.*;
import gregapi.data.CS.ArmorsGT;
import gregapi.data.CS.BlocksGT;
import gregapi.data.CS.FluidsGT;
import gregapi.data.CS.IconsGT;
import gregapi.data.CS.ItemsGT;
import gregapi.data.CS.OreDictToolNames;
import gregapi.data.CS.PotionsGT;
import gregapi.data.TC.TC_AspectStack;
import gregapi.enchants.Enchantment_Radioactivity;
import gregapi.event.BlockScanningEvent;
import gregapi.fluid.FluidGT;
import gregapi.item.IItemProjectile;
import gregapi.network.packets.PacketSound;
import gregapi.old.Textures;
import gregapi.oredict.*;
import gregapi.recipes.AdvancedCraftingShaped;
import gregapi.recipes.AdvancedCraftingShapeless;
import gregapi.recipes.ICraftingRecipeGT;
import gregapi.recipes.Recipe.RecipeMap;
import gregapi.render.IIconContainer;
import gregapi.tileentity.ITileEntity;
import gregapi.tileentity.ITileEntityQuickObstructionCheck;
import gregapi.tileentity.data.ITileEntityGibbl;
import gregapi.tileentity.data.ITileEntityProgress;
import gregapi.tileentity.data.ITileEntityTemperature;
import gregapi.tileentity.data.ITileEntityWeight;
import gregapi.tileentity.delegate.DelegatorTileEntity;
import gregapi.tileentity.delegate.ITileEntityDelegating;
import gregapi.tileentity.energy.ITileEntityEnergy;
import gregapi.tileentity.energy.ITileEntityEnergyDataCapacitor;
import gregapi.tileentity.machines.*;
import ic2.api.recipe.IMachineRecipeManager;
import ic2.api.recipe.IMachineRecipeManagerExt;
import ic2.api.recipe.IRecipeInput;
import ic2.api.recipe.RecipeOutput;

import java.io.IOException;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.text.DateFormat;
import java.util.*;
import java.util.Map.Entry;

import net.minecraft.block.Block;
import net.minecraft.block.BlockFire;
import net.minecraft.block.material.Material;
import net.minecraft.client.Minecraft;
import net.minecraft.enchantment.Enchantment;
import net.minecraft.enchantment.EnchantmentHelper;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityList;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.EnumCreatureAttribute;
import net.minecraft.entity.item.EntityItem;
import net.minecraft.entity.monster.EntityBlaze;
import net.minecraft.entity.monster.EntitySkeleton;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.Blocks;
import net.minecraft.init.Items;
import net.minecraft.inventory.Container;
import net.minecraft.inventory.IInventory;
import net.minecraft.inventory.ISidedInventory;
import net.minecraft.inventory.InventoryCrafting;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.item.crafting.CraftingManager;
import net.minecraft.item.crafting.IRecipe;
import net.minecraft.item.crafting.ShapedRecipes;
import net.minecraft.item.crafting.ShapelessRecipes;
import net.minecraft.nbt.*;
import net.minecraft.nbt.NBTBase.NBTPrimitive;
import net.minecraft.network.play.server.S07PacketRespawn;
import net.minecraft.network.play.server.S1DPacketEntityEffect;
import net.minecraft.potion.Potion;
import net.minecraft.potion.PotionEffect;
import net.minecraft.server.MinecraftServer;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.tileentity.TileEntityChest;
import net.minecraft.util.*;
import net.minecraft.world.World;
import net.minecraft.world.WorldServer;
import net.minecraft.world.biome.BiomeGenBase;
import net.minecraft.world.chunk.Chunk;
import net.minecraftforge.common.DimensionManager;
import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.common.util.FakePlayer;
import net.minecraftforge.common.util.ForgeDirection;
import net.minecraftforge.fluids.*;
import net.minecraftforge.fluids.FluidContainerRegistry.FluidContainerData;
import net.minecraftforge.oredict.OreDictionary;
import net.minecraftforge.oredict.ShapedOreRecipe;
import net.minecraftforge.oredict.ShapelessOreRecipe;
import cpw.mods.fml.common.FMLCommonHandler;
import cpw.mods.fml.common.registry.GameRegistry;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;

/**
 * @author Gregorius Techneticies
 * 
 * Utility for accessing the random Utility Functions in a more short manner. The Short Name is for ease of overview and stands for "UtiliTy". :P
 */
public class UT {
	public static class Fluids {
		public static int id (IFluidTank aTank) {return aTank == null ? -1 : id_(aTank);}
		public static int id_(IFluidTank aTank) {return id(aTank.getFluid());}
		public static int id (FluidStack aFluid) {return aFluid == null ? -1 : id_(aFluid);}
		public static int id_(FluidStack aFluid) {return id(aFluid.getFluid());}
		public static int id (Fluid aFluid) {return aFluid == null ? -1 : id_(aFluid);}
		public static int id_(Fluid aFluid) {return FluidRegistry.getFluidID(aFluid);}
		
		public static Fluid fluid (int aID) {return aID < 0 ? null : FluidRegistry.getFluid(aID);}
		public static Fluid fluid (String aFluidName) {return Code.stringInvalid(aFluidName) ? null : fluid_(aFluidName);}
		public static Fluid fluid_(String aFluidName) {return FluidRegistry.getFluid(aFluidName);}
		
		public static boolean equal(FluidStack aFluid1, FluidStack aFluid2) {return equal(aFluid1, aFluid2, F);}
		public static boolean equal(FluidStack aFluid1, FluidStack aFluid2, boolean aIgnoreNBT) {return aFluid1 != null && aFluid2 != null && aFluid1.getFluid() == aFluid2.getFluid() && (aIgnoreNBT || ((aFluid1.tag == null) == (aFluid2.tag == null)) && (aFluid1.tag == null || aFluid1.tag.equals(aFluid2.tag)));}
		
		public static boolean is(IFluidTank aTank, String... aNames) {return is(aTank.getFluid());}
		public static boolean is(FluidStack aFluid, String... aNames) {return aFluid != null && is(aFluid.getFluid(), aNames);}
		public static boolean is(Fluid aFluid, String... aNames) {if (aFluid != null) for (String aName : aNames) if (aFluid.getName().equalsIgnoreCase(aName)) return T; return F;}
		
		public static ItemStack display(Fluid aFluid) {return aFluid == null ? null : display(make(aFluid, 0), F);}
		public static ItemStack display(FluidStack aFluid, boolean aUseStackSize) {
			if (aFluid == null || aFluid.getFluid() == null) return null;
			ItemStack rStack = IL.Display_Fluid.getWithMeta(aUseStackSize ? aFluid.amount / 1000 : 1, id_(aFluid));
			if (rStack == null) return null;
			NBTTagCompound tNBT = NBT.getNBTString(null, "f", aFluid.getFluid().getName());
			if (aFluid.amount != 0) NBT.setNumber(tNBT, "a", aFluid.amount);
			NBT.setNumber(tNBT, "h", temperature(aFluid));
			NBT.setBoolean(tNBT, "s", gas(aFluid));
			return NBT.set(rStack, tNBT);
		}
		
		/** @return if that Liquid is Water or Distilled Water */
		public static boolean water(FluidStack aFluid) {return aFluid != null && water(aFluid.getFluid());}
		/** @return if that Liquid is Water or Distilled Water */
		public static boolean water(Fluid aFluid) {return aFluid != null && (aFluid == FluidRegistry.WATER || aFluid.getName().equals("ic2distilledwater"));}
		
		/** @return if that Liquid is distilled Water */
		public static boolean distw(FluidStack aFluid) {return aFluid != null && distw(aFluid.getFluid());}
		/** @return if that Liquid is distilled Water */
		public static boolean distw(Fluid aFluid) {return aFluid != null && aFluid.getName().equals("ic2distilledwater");}
		
		/** @return if that Liquid is Lava */
		public static boolean lava(FluidStack aFluid) {return aFluid != null && lava(aFluid.getFluid());}
		/** @return if that Liquid is Lava */
		public static boolean lava(Fluid aFluid) {return aFluid != null && aFluid == FluidRegistry.LAVA;}
		
		/** @return if that Liquid is Steam */
		public static boolean steam(FluidStack aFluid) {return aFluid != null && steam(aFluid.getFluid());}
		/** @return if that Liquid is Steam */
		public static boolean steam(Fluid aFluid) {return aFluid != null && aFluid.getName().equals("steam");}
		
		/** @return if that Liquid is Milk */
		public static boolean milk(FluidStack aFluid) {return aFluid != null && milk(aFluid.getFluid());}
		/** @return if that Liquid is Milk */
		public static boolean milk(Fluid aFluid) {return aFluid != null && aFluid.getName().equals("milk");}
		
		/** @return if that Liquid is Soy Milk */
		public static boolean soym(FluidStack aFluid) {return aFluid != null && soymilk(aFluid.getFluid());}
		/** @return if that Liquid is Soy Milk */
		public static boolean soym(Fluid aFluid) {return aFluid != null && aFluid.getName().equals("soymilk");}
		
		/** @return if that Liquid is Steam */
		public static boolean anysteam(FluidStack aFluid) {return aFluid != null && FluidsGT.STEAM.contains(aFluid.getFluid().getName());}
		/** @return if that Liquid is Steam */
		public static boolean anysteam(Fluid aFluid) {return aFluid != null && FluidsGT.STEAM.contains(aFluid.getName());}
		
		/** @return if that Liquid is early-game and easy to handle */
		public static boolean simple(FluidStack aFluid) {return aFluid != null && FluidsGT.SIMPLE.contains(aFluid.getFluid().getName());}
		/** @return if that Liquid is early-game and easy to handle */
		public static boolean simple(Fluid aFluid) {return aFluid != null && FluidsGT.SIMPLE.contains(aFluid.getName());}
		
		public static boolean acid(FluidStack aFluid) {return aFluid != null && FluidsGT.ACID.contains(aFluid.getFluid().getName());}
		public static boolean acid(Fluid aFluid) {return aFluid != null && FluidsGT.ACID.contains(aFluid.getName());}
		
		public static boolean gas(FluidStack aFluid) {return gas(aFluid, F);}
		public static boolean gas(FluidStack aFluid, boolean aDefault) {return aFluid == null || aFluid.getFluid() == null ? aDefault : !FluidsGT.LIQUID.contains(aFluid.getFluid().getName()) && (aFluid.getFluid().isGaseous(aFluid) || FluidsGT.GAS.contains(aFluid.getFluid().getName()));}
		
		public static boolean plasma(FluidStack aFluid) {return aFluid != null && FluidsGT.PLASMA.contains(aFluid.getFluid().getName());}
		public static boolean plasma(Fluid aFluid) {return aFluid != null && FluidsGT.PLASMA.contains(aFluid.getName());}
		
		public static long temperature(FluidStack aFluid) {return temperature(aFluid, DEFAULT_ENVIRONMENT_TEMPERATURE);}
		public static long temperature(FluidStack aFluid, long aDefault) {
			if (aFluid == null || aFluid.getFluid() == null) return aDefault;
			if (aFluid.getFluid().getName().equals("steam")) return C+100;
			return aFluid.getFluid().getTemperature(aFluid);
		}
		
		@Deprecated public static FluidStack water(long aAmount) {return make(FluidRegistry.WATER, aAmount);}
		@Deprecated public static FluidStack distw(long aAmount) {return make("ic2distilledwater", aAmount);}
		@Deprecated public static FluidStack lava(long aAmount) {return make(FluidRegistry.LAVA, aAmount);}
		@Deprecated public static FluidStack steam(long aAmount) {return make("steam", aAmount);}
		@Deprecated public static FluidStack milk(long aAmount) {return make("milk", aAmount);}
		@Deprecated public static FluidStack soym(long aAmount) {return make("soymilk", aAmount);}
		@Deprecated public static boolean distilledwater(FluidStack aFluid) {return distw(aFluid);}
		@Deprecated public static boolean distilledwater(Fluid aFluid) {return distw(aFluid);}
		@Deprecated public static FluidStack distilledwater(long aAmount) {return distw(aAmount);}
		@Deprecated public static boolean soymilk(FluidStack aFluid) {return soym(aFluid);}
		@Deprecated public static boolean soymilk(Fluid aFluid) {return soym(aFluid);}
		@Deprecated public static FluidStack soymilk(long aAmount) {return soym(aAmount);}
		
		public static boolean exists(String aFluidName) {return FluidRegistry.getFluid(aFluidName) != null;}
		
		public static FluidStack make (FL aFluid, long aAmount) {return aFluid.make (aAmount);}
		public static FluidStack make_(FL aFluid, long aAmount) {return aFluid.make_(aAmount);}
		public static FluidStack make (FL aFluid, long aAmount, FL aReplacementFluid) {return aFluid.make (aAmount, aReplacementFluid);}
		public static FluidStack make_(FL aFluid, long aAmount, FL aReplacementFluid) {return aFluid.make_(aAmount, aReplacementFluid);}
		public static FluidStack make (FL aFluid, long aAmount, String aReplacementFluidName) {return aFluid.make (aAmount, aReplacementFluidName);}
		public static FluidStack make_(FL aFluid, long aAmount, String aReplacementFluidName) {return aFluid.make_(aAmount, aReplacementFluidName);}
		public static FluidStack make (FL aFluid, long aAmount, FL aReplacementFluid, long aReplacementAmount) {return aFluid.make (aAmount, aReplacementFluid, aReplacementAmount);}
		public static FluidStack make_(FL aFluid, long aAmount, FL aReplacementFluid, long aReplacementAmount) {return aFluid.make_(aAmount, aReplacementFluid, aReplacementAmount);}
		public static FluidStack make (FL aFluid, long aAmount, String aReplacementFluidName, long aReplacementAmount) {return aFluid.make (aAmount, aReplacementFluidName, aReplacementAmount);}
		public static FluidStack make_(FL aFluid, long aAmount, String aReplacementFluidName, long aReplacementAmount) {return aFluid.make_(aAmount, aReplacementFluidName, aReplacementAmount);}
		
		public static FluidStack make (int aFluid, long aAmount) {return aFluid < 0 ? null : new FluidStack(fluid(aFluid), Code.bindInt(aAmount));}
		public static FluidStack make (Fluid aFluid, long aAmount) {return aFluid == null ? null : new FluidStack(aFluid, Code.bindInt(aAmount));}
		public static FluidStack make (String aFluidName, long aAmount) {return make(FluidRegistry.getFluid(aFluidName), aAmount);}
		public static FluidStack make (String aFluidName, long aAmount, String aReplacementFluidName) {FluidStack rFluid = make(aFluidName, aAmount); return rFluid == null ? make(aReplacementFluidName, aAmount) : rFluid;}
		public static FluidStack make (String aFluidName, long aAmount, String aReplacementFluidName, long aReplacementAmount) {FluidStack rFluid = make(aFluidName, aAmount); return rFluid == null ? make(aReplacementFluidName, aReplacementAmount) : rFluid;}
		public static FluidStack make (String aFluidName, long aAmount, FluidStack aReplacementFluid) {FluidStack rFluid = make(aFluidName, aAmount); return rFluid == null ? aReplacementFluid : rFluid;}
		
		public static FluidStack make_(int aFluid, long aAmount) {return aFluid < 0 ? new FluidStack(FluidRegistry.getFluid(FL.Error.mName), 0) : new FluidStack(fluid(aFluid), Code.bindInt(aAmount));}
		public static FluidStack make_(Fluid aFluid, long aAmount) {return aFluid == null ? new FluidStack(FluidRegistry.getFluid(FL.Error.mName), 0) : new FluidStack(aFluid, Code.bindInt(aAmount));}
		public static FluidStack make_(String aFluidName, long aAmount) {return make_(FluidRegistry.getFluid(aFluidName), aAmount);}
		public static FluidStack make_(String aFluidName, long aAmount, String aReplacementFluidName) {FluidStack rFluid = make(aFluidName, aAmount); return rFluid == null ? make_(aReplacementFluidName, aAmount) : rFluid;}
		public static FluidStack make_(String aFluidName, long aAmount, String aReplacementFluidName, long aReplacementAmount) {FluidStack rFluid = make(aFluidName, aAmount); return rFluid == null ? make_(aReplacementFluidName, aReplacementAmount) : rFluid;}
		
		public static FluidStack amount(FluidStack aFluid, long aAmount) {return aFluid == null ? null : new FluidStack(aFluid, Code.bindInt(aAmount));}
		
		public static FluidStack mul(FluidStack aFluid, long aMultiplier) {return aFluid == null ? null : amount(aFluid, aFluid.amount * aMultiplier);}
		public static FluidStack mul(FluidStack aFluid, long aMultiplier, long aDivider, boolean aRoundUp) {return aFluid == null ? null : amount(aFluid, Code.units(aFluid.amount, aDivider, aMultiplier, aRoundUp));}
		
		public static long fill (DelegatorTileEntity aDelegator, FluidStack aFluid, boolean aDoFill) {return aDelegator != null && aDelegator.mTileEntity instanceof IFluidHandler && aFluid != null ? fill_(aDelegator, aFluid, aDoFill) : 0;}
		public static long fill_(DelegatorTileEntity aDelegator, FluidStack aFluid, boolean aDoFill) {return fill_((IFluidHandler)aDelegator.mTileEntity, aDelegator.mSideOfTileEntity, aFluid, aDoFill);}
		public static long fill (IFluidHandler aFluidHandler, byte aSide, FluidStack aFluid, boolean aDoFill) {return aFluidHandler != null && aFluid != null ? fill_(aFluidHandler, aSide, aFluid, aDoFill) : 0;}
		public static long fill_(IFluidHandler aFluidHandler, byte aSide, FluidStack aFluid, boolean aDoFill) {return aFluidHandler.fill(FORGE_DIR[aSide], aFluid, aDoFill);}
		public static long fill (IFluidHandler aFluidHandler, byte[] aSides, FluidStack aFluid, boolean aDoFill) {return aFluidHandler != null && aFluid != null ? fill_(aFluidHandler, aSides, aFluid, aDoFill) : 0;}
		public static long fill_(IFluidHandler aFluidHandler, byte[] aSides, FluidStack aFluid, boolean aDoFill) {for (byte tSide : aSides) {long rFilled = aFluidHandler.fill(FORGE_DIR[tSide], aFluid, aDoFill); if (rFilled > 0) return rFilled;} return 0;}
		
		public static boolean fillAll (DelegatorTileEntity aDelegator, FluidStack aFluid, boolean aDoFill) {return aDelegator != null && aDelegator.mTileEntity instanceof IFluidHandler && aFluid != null && fillAll_(aDelegator, aFluid, aDoFill);}
		public static boolean fillAll_(DelegatorTileEntity aDelegator, FluidStack aFluid, boolean aDoFill) {return fillAll_((IFluidHandler)aDelegator.mTileEntity, aDelegator.mSideOfTileEntity, aFluid, aDoFill);}
		public static boolean fillAll (IFluidHandler aFluidHandler, byte aSide, FluidStack aFluid, boolean aDoFill) {return aFluidHandler != null && aFluid != null && fillAll_(aFluidHandler, aSide, aFluid, aDoFill);}
		public static boolean fillAll_(IFluidHandler aFluidHandler, byte aSide, FluidStack aFluid, boolean aDoFill) {return aFluidHandler.fill(FORGE_DIR[aSide], aFluid, F) == aFluid.amount && (!aDoFill || aFluidHandler.fill(FORGE_DIR[aSide], aFluid, T) > 0);}
		public static boolean fillAll (IFluidHandler aFluidHandler, byte[] aSides, FluidStack aFluid, boolean aDoFill) {return aFluidHandler != null && aFluid != null && fillAll_(aFluidHandler, aSides, aFluid, aDoFill);}
		public static boolean fillAll_(IFluidHandler aFluidHandler, byte[] aSides, FluidStack aFluid, boolean aDoFill) {for (byte tSide : aSides) if (aFluidHandler.fill(FORGE_DIR[tSide], aFluid, F) == aFluid.amount && (!aDoFill || aFluidHandler.fill(FORGE_DIR[tSide], aFluid, T) > 0)) return T; return F;}
		
		public static long move (DelegatorTileEntity aFrom, DelegatorTileEntity aTo) {return move (aFrom, aTo, Integer.MAX_VALUE);}
		public static long move_(DelegatorTileEntity aFrom, DelegatorTileEntity aTo) {return move_(aFrom, aTo, Integer.MAX_VALUE);}
		public static long move (DelegatorTileEntity aFrom, DelegatorTileEntity aTo, long aMaxMoved) {return aFrom != null && aFrom.mTileEntity instanceof IFluidHandler && aTo != null && aTo.mTileEntity instanceof IFluidHandler ? move_(aFrom, aTo, aMaxMoved) : 0;}
		public static long move_(DelegatorTileEntity aFrom, DelegatorTileEntity aTo, long aMaxMoved) {if (aMaxMoved <= 0) return 0; FluidStack tDrained = ((IFluidHandler)aFrom.mTileEntity).drain(aFrom.getForgeSideOfTileEntity(), UT.Code.bindInt(aMaxMoved), F); if (tDrained == null || tDrained.amount <= 0) return 0; tDrained.amount = Code.bindInt(UT.Fluids.fill_(aTo, tDrained.copy(), T)); if (tDrained.amount <= 0) return 0; ((IFluidHandler)aFrom.mTileEntity).drain(aFrom.getForgeSideOfTileEntity(), tDrained, T); return tDrained.amount;}
		public static long move (DelegatorTileEntity aFrom, DelegatorTileEntity aTo, FluidStack aMoved) {return aFrom != null && aFrom.mTileEntity instanceof IFluidHandler && aTo != null && aTo.mTileEntity instanceof IFluidHandler ? move_(aFrom, aTo, aMoved) : 0;}
		public static long move_(DelegatorTileEntity aFrom, DelegatorTileEntity aTo, FluidStack aMoved) {if (aMoved == null || aMoved.amount <= 0) return 0; FluidStack tDrained = ((IFluidHandler)aFrom.mTileEntity).drain(aFrom.getForgeSideOfTileEntity(), aMoved, F); if (tDrained == null || tDrained.amount <= 0) return 0; tDrained.amount = Code.bindInt(UT.Fluids.fill_(aTo, tDrained.copy(), T)); if (tDrained.amount <= 0) return 0; ((IFluidHandler)aFrom.mTileEntity).drain(aFrom.getForgeSideOfTileEntity(), tDrained, T); return tDrained.amount;}
		public static long move (IFluidTank aFrom, DelegatorTileEntity aTo) {return move (aFrom, aTo, Integer.MAX_VALUE);}
		public static long move_(IFluidTank aFrom, DelegatorTileEntity aTo) {return move_(aFrom, aTo, Integer.MAX_VALUE);}
		public static long move (IFluidTank aFrom, DelegatorTileEntity aTo, long aMaxMoved) {return aFrom != null && aTo != null && aTo.mTileEntity instanceof IFluidHandler ? move_(aFrom, aTo, aMaxMoved) : 0;}
		public static long move_(IFluidTank aFrom, DelegatorTileEntity aTo, long aMaxMoved) {if (aMaxMoved <= 0) return 0; FluidStack tDrained = aFrom.drain(UT.Code.bindInt(aMaxMoved), F); if (tDrained == null || tDrained.amount <= 0) return 0; tDrained.amount = Code.bindInt(UT.Fluids.fill_(aTo, tDrained.copy(), T)); if (tDrained.amount <= 0) return 0; aFrom.drain(tDrained.amount, T); return tDrained.amount;}
		public static long move (IFluidTank[] aFrom, DelegatorTileEntity aTo) {return move (aFrom, aTo, Integer.MAX_VALUE);}
		public static long move_(IFluidTank[] aFrom, DelegatorTileEntity aTo) {return move_(aFrom, aTo, Integer.MAX_VALUE);}
		public static long move (IFluidTank[] aFrom, DelegatorTileEntity aTo, long aMaxMoved) {return aFrom != null && aTo != null && aTo.mTileEntity instanceof IFluidHandler ? move_(aFrom, aTo, aMaxMoved) : 0;}
		public static long move_(IFluidTank[] aFrom, DelegatorTileEntity aTo, long aMaxMoved) {if (aMaxMoved <= 0) return 0; long rAmount = 0; for (IFluidTank tFrom : aFrom) if (tFrom != null) rAmount += move_(tFrom, aTo, aMaxMoved); return rAmount;}
		public static long move (Iterable aFrom, DelegatorTileEntity aTo) {return move (aFrom, aTo, Integer.MAX_VALUE);}
		public static long move_(Iterable aFrom, DelegatorTileEntity aTo) {return move_(aFrom, aTo, Integer.MAX_VALUE);}
		public static long move (Iterable aFrom, DelegatorTileEntity aTo, long aMaxMoved) {return aFrom != null && aTo != null && aTo.mTileEntity instanceof IFluidHandler ? move_(aFrom, aTo, aMaxMoved) : 0;}
		public static long move_(Iterable aFrom, DelegatorTileEntity aTo, long aMaxMoved) {if (aMaxMoved <= 0) return 0; long rAmount = 0; for (Object tFrom : aFrom) if (tFrom instanceof IFluidTank) rAmount += move_((IFluidTank)tFrom, aTo, aMaxMoved); return rAmount;}
		
		
		public static String configName(FluidStack aFluid) {
			return aFluid == null || aFluid.getFluid() == null ? "" : aFluid.getFluid().getName();
		}
		
		public static String configNames(FluidStack... aFluids) {
			String rString = "";
			for (FluidStack tFluid : aFluids) rString += (tFluid == null ? "null;" : configName(tFluid) + ";");
			return rString;
		}
		
		public static String name(Fluid aFluid, boolean aLocalized) {
			if (aFluid == null) return "";
			if (aLocalized) {
				if (aFluid instanceof FluidGT) return LH.get(aFluid.getUnlocalizedName());
				String rName = aFluid.getLocalizedName(make(aFluid, 0));
				if (rName.contains("fluid.") || rName.contains("tile.")) return Code.capitalise(rName.replaceAll("fluid.", "").replaceAll("tile.", ""));
				return rName;
			}
			return aFluid.getUnlocalizedName();
		}
		
		public static String name(FluidStack aFluid, boolean aLocalized) {
			return aFluid == null ? "" : name(aFluid.getFluid(), aLocalized);
		}
		
		public static String name(IFluidTank aTank, boolean aLocalized) {
			return aTank == null ? "" : name(aTank.getFluid(), aLocalized);
		}
		
		public static FluidStack[] copyArray(FluidStack... aFluids) {
			FluidStack[] rStacks = new FluidStack[aFluids.length];
			for (int i = 0; i < aFluids.length; i++) if (aFluids[i] != null) rStacks[i] = aFluids[i].copy();
			return rStacks;
		}
		
		private static final Map<ItemStackContainer, FluidContainerData> sFilled2Data = new ItemStackMap<ItemStackContainer, FluidContainerData>();
		private static final Map<ItemStackContainer, Map<String, FluidContainerData>> sEmpty2Fluid2Data = new ItemStackMap<ItemStackContainer, Map<String, FluidContainerData>>();
		
		public static void setFluidContainerData(FluidContainerData aData) {
			setFluidContainerData(aData, F, F);
		}
		
		public static void setFluidContainerData(FluidContainerData aData, boolean aOverrideItem, boolean aOverrideFluid) {
			ItemStackContainer tFilled = new ItemStackContainer(aData.filledContainer), tEmpty = new ItemStackContainer(aData.emptyContainer);
			if (aOverrideFluid || !sFilled2Data.containsKey(tFilled)) sFilled2Data.put(tFilled, aData);
			Map<String, FluidContainerData> tFluidToData = sEmpty2Fluid2Data.get(tEmpty);
			if (tFluidToData == null) sEmpty2Fluid2Data.put(tEmpty, tFluidToData = new HashMap<String, FluidContainerData>());
			String tFluidName = aData.fluid.getFluid().getName();
			if (aOverrideItem || !tFluidToData.containsKey(tFluidName)) tFluidToData.put(tFluidName, aData);
		}
		
		public static ItemStack fillFluidContainer(FluidStack aFluid, ItemStack aStack, boolean aRemoveFluidDirectly, boolean aCheckIFluidContainerItems) {
			return fillFluidContainer(aFluid, aStack, aRemoveFluidDirectly, aCheckIFluidContainerItems, F);
		}
		
		public static ItemStack fillFluidContainer(FluidStack aFluid, ItemStack aStack, boolean aRemoveFluidDirectly, boolean aCheckIFluidContainerItems, boolean aAllowPartialFilling) {
			if (ST.invalid(aStack) || aFluid == null) return NI;
			if (aFluid.getFluid() == FluidRegistry.WATER && ST.equal(aStack, ST.make(Items.glass_bottle, 1, CS.W))) {
				if (aFluid.amount >= 250) {
					if (aRemoveFluidDirectly) aFluid.amount -= 250;
					return ST.make(Items.potionitem, 1, 0);
				}
				return NI;
			}
			if (aCheckIFluidContainerItems && aStack.getItem() instanceof IFluidContainerItem && ((IFluidContainerItem)aStack.getItem()).getCapacity(aStack) > 0 && (((IFluidContainerItem)aStack.getItem()).getFluid(aStack) == null || (Fluids.equal(((IFluidContainerItem)aStack.getItem()).getFluid(aStack), aFluid) && ((IFluidContainerItem)aStack.getItem()).getFluid(aStack).amount < ((IFluidContainerItem)aStack.getItem()).getCapacity(aStack))) && (aAllowPartialFilling || ((IFluidContainerItem)aStack.getItem()).getCapacity(aStack) <= aFluid.amount)) {
				if (IL.Cell_Universal_Fluid.equal(aStack, T, T) && (temperature(aFluid, DEFAULT_ENVIRONMENT_TEMPERATURE) > MT.Sn.mMeltingPoint || !simple(aFluid) || acid(aFluid) || anysteam(aFluid))) return aStack;
				if (aRemoveFluidDirectly)
					aFluid.amount -= ((IFluidContainerItem)aStack.getItem()).fill(aStack = ST.amount(1, aStack), aFluid, T);
				else
					((IFluidContainerItem)aStack.getItem()).fill(aStack = ST.amount(1, aStack), aFluid, T);
				return aStack;
			}
			Map<String, FluidContainerData> tFluidToContainer = sEmpty2Fluid2Data.get(new ItemStackContainer(aStack));
			if (tFluidToContainer == null) return NI;
			FluidContainerData tData = tFluidToContainer.get(aFluid.getFluid().getName());
			if (tData == null || tData.fluid.amount > aFluid.amount) return NI;
			if (aRemoveFluidDirectly) aFluid.amount -= tData.fluid.amount;
			return ST.amount(1, tData.filledContainer);
		}
		
		public static ItemStack fillFluidContainer(IFluidTank aTank, ItemStack aStack, boolean aRemoveFluidDirectly, boolean aCheckIFluidContainerItems) {
			return fillFluidContainer(aTank, aStack, aRemoveFluidDirectly, aCheckIFluidContainerItems, F);
		}
		
		public static ItemStack fillFluidContainer(IFluidTank aTank, ItemStack aStack, boolean aRemoveFluidDirectly, boolean aCheckIFluidContainerItems, boolean aAllowPartialFilling) {
			if (aTank == null) return NI;
			FluidStack aFluid = aTank.getFluid();
			if (ST.invalid(aStack) || aFluid == null) return NI;
			if (aFluid.getFluid() == FluidRegistry.WATER && ST.equal(aStack, ST.make(Items.glass_bottle, 1, CS.W))) {
				if (aFluid.amount >= 250) {
					if (aRemoveFluidDirectly) aTank.drain(250, T);
					return ST.make(Items.potionitem, 1, 0);
				}
				return NI;
			}
			if (aCheckIFluidContainerItems && aStack.getItem() instanceof IFluidContainerItem && ((IFluidContainerItem)aStack.getItem()).getCapacity(aStack) > 0 && (((IFluidContainerItem)aStack.getItem()).getFluid(aStack) == null || (Fluids.equal(((IFluidContainerItem)aStack.getItem()).getFluid(aStack), aFluid) && ((IFluidContainerItem)aStack.getItem()).getFluid(aStack).amount < ((IFluidContainerItem)aStack.getItem()).getCapacity(aStack))) && (aAllowPartialFilling || ((IFluidContainerItem)aStack.getItem()).getCapacity(aStack) <= aFluid.amount)) {
				if (IL.Cell_Universal_Fluid.equal(aStack, T, T) && (temperature(aFluid, DEFAULT_ENVIRONMENT_TEMPERATURE) > MT.Sn.mMeltingPoint || !simple(aFluid) || acid(aFluid) || anysteam(aFluid))) return aStack;
				if (aRemoveFluidDirectly)
					aTank.drain(((IFluidContainerItem)aStack.getItem()).fill(aStack = ST.amount(1, aStack), aFluid, T), T);
				else
					((IFluidContainerItem)aStack.getItem()).fill(aStack = ST.amount(1, aStack), aFluid, T);
				return aStack;
			}
			Map<String, FluidContainerData> tFluidToContainer = sEmpty2Fluid2Data.get(new ItemStackContainer(aStack));
			if (tFluidToContainer == null) return NI;
			FluidContainerData tData = tFluidToContainer.get(aFluid.getFluid().getName());
			if (tData == null || tData.fluid.amount > aFluid.amount) return NI;
			if (aRemoveFluidDirectly) aTank.drain(tData.fluid.amount, T);
			return ST.amount(1, tData.filledContainer);
		}
		
		public static boolean containsFluid(ItemStack aStack, FluidStack aFluid, boolean aCheckIFluidContainerItems) {
			if (ST.invalid(aStack) || aFluid == null) return F;
			if (aCheckIFluidContainerItems && aStack.getItem() instanceof IFluidContainerItem && ((IFluidContainerItem)aStack.getItem()).getCapacity(aStack) > 0) return aFluid.isFluidEqual(((IFluidContainerItem)aStack.getItem()).getFluid(aStack = ST.amount(1, aStack)));
			FluidContainerData tData = sFilled2Data.get(new ItemStackContainer(aStack));
			return tData!=null && tData.fluid.isFluidEqual(aFluid);
		}
		
		public static FluidStack getFluidForFilledItem(ItemStack aStack, boolean aCheckIFluidContainerItems) {
			if (ST.invalid(aStack)) return null;
			if (aCheckIFluidContainerItems && aStack.getItem() instanceof IFluidContainerItem && ((IFluidContainerItem)aStack.getItem()).getCapacity(aStack) > 0) {
				FluidStack rFluid = ((IFluidContainerItem)aStack.getItem()).drain(ST.amount(1, aStack), Integer.MAX_VALUE, T);
				if (IL.Cell_Universal_Fluid.equal(aStack, T, T) && (temperature(rFluid, DEFAULT_ENVIRONMENT_TEMPERATURE) > MT.Sn.mMeltingPoint || !simple(rFluid) || acid(rFluid) || anysteam(rFluid))) return NF;
				return rFluid;
			}
			FluidContainerData tData = sFilled2Data.get(new ItemStackContainer(aStack));
			return tData==null?NF:tData.fluid.copy();
		}
		
		public static ItemStack getContainerForFilledItem(ItemStack aStack, boolean aCheckIFluidContainerItems) {
			if (ST.invalid(aStack)) return NI;
			FluidContainerData tData = sFilled2Data.get(new ItemStackContainer(aStack));
			if (tData != null) return ST.amount(1, tData.emptyContainer);
			if (aCheckIFluidContainerItems && aStack.getItem() instanceof IFluidContainerItem && ((IFluidContainerItem)aStack.getItem()).getCapacity(aStack) > 0) {
				((IFluidContainerItem)aStack.getItem()).drain(aStack = ST.amount(1, aStack), Integer.MAX_VALUE, T);
				return aStack;
			}
			return NI;
		}
		
		

		/** Loads a FluidStack properly. */
		public static FluidStack load (NBTTagCompound aNBT, String aTagName) {return aNBT == null ? null : load(aNBT.getCompoundTag(aTagName));}
		/** Loads a FluidStack properly. */
		public static FluidStack load (NBTTagCompound aNBT) {return aNBT == null || aNBT.hasNoTags() ? null : load_(aNBT);}
		/** Loads a FluidStack properly. */
		public static FluidStack load_(NBTTagCompound aNBT) {
			if (aNBT == null) return null;
			String aName = aNBT.getString("FluidName");
			if (Code.stringInvalid(aName)) return null;
			String tName = FluidsGT.FLUID_RENAMINGS.get(aName);
			if (Code.stringValid(tName)) aName = tName;
			Fluid aFluid = FluidRegistry.getFluid(aName);
			if (aFluid == null) return null;
			FluidStack rFluid = new FluidStack(aFluid, aNBT.getInteger("Amount"));
			if (aNBT.hasKey("Tag")) rFluid.tag = aNBT.getCompoundTag("Tag");
			return rFluid;
		}
		
		/** Saves a FluidStack properly. */
		public static NBTTagCompound save(NBTTagCompound aNBT, String aTagName, FluidStack aFluid) {
			if (aNBT == null) aNBT = new NBTTagCompound();
			NBTTagCompound tNBT = save(aFluid);
			if (tNBT != null) aNBT.setTag(aTagName, tNBT);
			return aNBT;
		}
		/** Saves a FluidStack properly. */
		public static NBTTagCompound save (FluidStack aFluid) {return aFluid == null || aFluid.getFluid() == null ? null : save_(aFluid);}
		/** Saves a FluidStack properly. */
		public static NBTTagCompound save_(FluidStack aFluid) {return aFluid.writeToNBT(new NBTTagCompound());}
		
		public static Fluid createLiquid(OreDictMaterial aMaterial, Set<String>... aFluidList) {return createLiquid(aMaterial, aMaterial.mTextureSetsBlock.get(IconsGT.INDEX_BLOCK_MOLTEN), aFluidList);}
		public static Fluid createLiquid(OreDictMaterial aMaterial, IIconContainer aTexture, Set<String>... aFluidList) {return create(aMaterial.mNameInternal.toLowerCase(), aTexture, aMaterial.mNameLocal, aMaterial, aMaterial.mRGBaLiquid, STATE_LIQUID, 1000, aMaterial.mMeltingPoint <= 0 ? 1000 : aMaterial.mMeltingPoint < 300 ? Math.min(300, aMaterial.mBoilingPoint - 1) : aMaterial.mMeltingPoint, null, null, 0, aFluidList);}
		
		public static Fluid createMolten(OreDictMaterial aMaterial, Set<String>... aFluidList) {return createMolten(aMaterial, aMaterial.mTextureSetsBlock.get(IconsGT.INDEX_BLOCK_MOLTEN), aFluidList);}
		public static Fluid createMolten(OreDictMaterial aMaterial, IIconContainer aTexture, Set<String>... aFluidList) {return create("molten."+aMaterial.mNameInternal.toLowerCase(), aTexture, "Molten " + aMaterial.mNameLocal, aMaterial, aMaterial.mRGBaLiquid, STATE_LIQUID, L, aMaterial.mMeltingPoint <= 0 ? 1000 : aMaterial.mMeltingPoint < 300 ? Math.min(300, aMaterial.mBoilingPoint - 1) : aMaterial.mMeltingPoint, null, null, 0, aFluidList).setLuminosity(10);}
		
		public static Fluid createGas(OreDictMaterial aMaterial, Set<String>... aFluidList) {return createGas(aMaterial, aMaterial.mTextureSetsBlock.get(IconsGT.INDEX_BLOCK_GAS), aFluidList);}
		public static Fluid createGas(OreDictMaterial aMaterial, IIconContainer aTexture, Set<String>... aFluidList) {return create(aMaterial.mNameInternal.toLowerCase(), aTexture, aMaterial.mNameLocal, aMaterial, aMaterial.mRGBaGas, STATE_GASEOUS, 1000, aMaterial.mBoilingPoint <= 0 ? 3000 : aMaterial.mBoilingPoint < 300 ? Math.min(300, aMaterial.mPlasmaPoint - 1) : aMaterial.mBoilingPoint, null, null, 0, aFluidList);}
		
		public static Fluid createVapour(OreDictMaterial aMaterial, Set<String>... aFluidList) {return createVapour(aMaterial, aMaterial.mTextureSetsBlock.get(IconsGT.INDEX_BLOCK_GAS), aFluidList);}
		public static Fluid createVapour(OreDictMaterial aMaterial, IIconContainer aTexture, Set<String>... aFluidList) {return create("vapor."+aMaterial.mNameInternal.toLowerCase(), aTexture, "Vaporized " + aMaterial.mNameLocal, aMaterial, aMaterial.mRGBaGas, STATE_GASEOUS, 8*L, aMaterial.mBoilingPoint <= 0 ? 3000 : aMaterial.mBoilingPoint < 300 ? Math.min(300, aMaterial.mPlasmaPoint - 1) : aMaterial.mBoilingPoint, null, null, 0, aFluidList);}
		
		public static Fluid createPlasma(OreDictMaterial aMaterial, Set<String>... aFluidList) {return createPlasma(aMaterial, aMaterial.mTextureSetsBlock.get(IconsGT.INDEX_BLOCK_PLASMA), aFluidList);}
		public static Fluid createPlasma(OreDictMaterial aMaterial, IIconContainer aTexture, Set<String>... aFluidList) {return create("plasma."+aMaterial.mNameInternal.toLowerCase(), aTexture, aMaterial.mNameLocal + " Plasma", aMaterial, aMaterial.mRGBaPlasma, STATE_PLASMA, L*L, aMaterial.mPlasmaPoint <= 0 ? 10000 : Math.max(300, aMaterial.mPlasmaPoint), null, null, 0, aFluidList);}
		
		public static Fluid create(String aName, String aLocalized, OreDictMaterial aMaterial, int aState, long aAmountPerUnit, long aTemperatureK, Set<String>... aFluidList) {return create(aName, aLocalized, aMaterial, aState, aAmountPerUnit, aTemperatureK, null, null, 0, aFluidList);}
		public static Fluid create(String aName, String aLocalized, OreDictMaterial aMaterial, int aState, long aAmountPerUnit, long aTemperatureK, ItemStack aFullContainer, ItemStack aEmptyContainer, int aFluidAmount, Set<String>... aFluidList) {return create(aName, new Textures.BlockIcons.CustomIcon("fluids/" + aName.toLowerCase()), aLocalized, aMaterial, null, aState, aAmountPerUnit, aTemperatureK, aFullContainer, aEmptyContainer, aFluidAmount, aFluidList);}
		
		public static Fluid create(String aName, IIconContainer aTexture, String aLocalized, OreDictMaterial aMaterial, short[] aRGBa, int aState, long aAmountPerUnit, long aTemperatureK, ItemStack aFullContainer, ItemStack aEmptyContainer, int aFluidAmount, Set<String>... aFluidList) {
			aName = aName.toLowerCase();
			Fluid rFluid = new FluidGT(aName, aTexture, aRGBa == null ? UNCOLOURED : aRGBa, aTemperatureK, aState == 2 || aState == 3);
			LH.add(rFluid.getUnlocalizedName(), aLocalized==null?aName:aLocalized);
			
			for (Set<String> tSet : aFluidList) tSet.add(aName);
			
			switch (aState) {
			case STATE_SOLID:			rFluid.setViscosity(10000); break;
			case STATE_LIQUID:			rFluid.setViscosity( 1000); FluidsGT.LIQUID.add(aName); break;
			case STATE_GASEOUS:			rFluid.setViscosity(  200); rFluid.setDensity(  -100); FluidsGT.GAS.add(aName); break;
			case STATE_PLASMA:			rFluid.setViscosity(   10); rFluid.setDensity(-10000); rFluid.setLuminosity(15); FluidsGT.PLASMA.add(aName); break;
			case 4:						rFluid.setViscosity( 1000); break;
			}
			
			if (!FluidRegistry.registerFluid(rFluid)) {
				rFluid = FluidRegistry.getFluid(aName);
				LH.add(rFluid.getUnlocalizedName(), aLocalized==null?aName:aLocalized);
				if (rFluid.getTemperature() == new Fluid("test").getTemperature() || rFluid.getTemperature() <= 0) rFluid.setTemperature(UT.Code.bindInt(aTemperatureK));
				rFluid.setGaseous(aState == 2 || aState == 3);
			}
			
			if (aMaterial != null) {
				if (aMaterial.contains(TD.Properties.ACID)) FluidsGT.ACID.add(aName);
				switch (aState) {
				case STATE_LIQUID:	aMaterial.liquid(UT.Fluids.make(rFluid, UT.Code.bindInt(aAmountPerUnit))); break;
				case STATE_GASEOUS:	aMaterial.gas	(UT.Fluids.make(rFluid, UT.Code.bindInt(aAmountPerUnit))); break;
				case STATE_PLASMA:	aMaterial.plasma(UT.Fluids.make(rFluid, UT.Code.bindInt(aAmountPerUnit))); break;
				}
			}
			
			if (aFullContainer != null && aEmptyContainer != null && !FluidContainerRegistry.registerFluidContainer(UT.Fluids.make(rFluid, aFluidAmount), aFullContainer, aEmptyContainer)) {
				RM.Canner.addRecipe1(T, 16, Math.max(aFluidAmount / 64, 16), aFullContainer, NF, UT.Fluids.make(rFluid, aFluidAmount), ST.container(aFullContainer, F));
			}
			return rFluid;
		}
	}
	
	public static class Books {
		public static final Map<String, ItemStack> BOOK_MAP = new HashMap<String, ItemStack>();
		public static final List<String> BOOK_LIST = new ArrayListNoNulls<String>();
		public static final List<String> MATERIAL_DICTIONARIES = new ArrayListNoNulls<String>();
		
		public static ItemStack getWrittenBook(String aMapping) {
			return getWrittenBook(aMapping, null);
		}
		
		public static ItemStack getWrittenBook(String aMapping, ItemStack aStackToPutNBT) {
			ItemStack tStack = BOOK_MAP.get(aMapping);
			if (tStack == null) return aStackToPutNBT==null?ST.make(Items.written_book, 1, 0):aStackToPutNBT;
			if (aStackToPutNBT == null) aStackToPutNBT = ST.copy(tStack);
			return NBT.set(aStackToPutNBT, (NBTTagCompound)tStack.getTagCompound().copy());
		}
		
		public static ItemStack getBookWithTitle(String aMapping) {
			return getBookWithTitle(aMapping, null);
		}
		
		public static ItemStack getBookWithTitle(String aMapping, ItemStack aStackToPutNBT) {
			ItemStack tStack = BOOK_MAP.get(aMapping);
			if (tStack == null) return aStackToPutNBT==null?ST.make(Items.written_book, 1, 0):aStackToPutNBT;
			if (aStackToPutNBT == null) aStackToPutNBT = ST.copy(tStack);
			return NBT.set(aStackToPutNBT, NBT.getNBTs(null, "title", NBT.getBookTitle(tStack), "author", NBT.getBookAuthor(tStack), "book", aMapping));
		}
		
		public static ItemStack createWrittenBook(String aMapping, String aTitle, String aAuthor, ItemStack aDefaultBook, String... aPages) {
			return createWrittenBook(aMapping, aTitle, aAuthor, aDefaultBook, T, aPages);
		}
		
		public static ItemStack createWrittenBook(String aMapping, String aTitle, String aAuthor, ItemStack aDefaultBook, boolean aLogging, String... aPages) {
			if (Code.stringInvalid(aMapping)) return null;
			ItemStack rStack = BOOK_MAP.get(aMapping);
			if (rStack == null) rStack = aDefaultBook==null?ST.make(Items.written_book, 1, 0):ST.amount(1, aDefaultBook);
			NBTTagCompound rNBT = rStack.getTagCompound();
			if (rNBT != null) return ST.copy(rStack);
			if (Code.stringInvalid(aTitle) || Code.stringInvalid(aAuthor) || aPages.length <= 0) return null;
			rNBT = new NBTTagCompound();
			rNBT.setString("title", aTitle);
			rNBT.setString("author", aAuthor);
			NBTTagList tNBTList = new NBTTagList();
			for (short i = 0; i < aPages.length; i++) {
				if (i == 49 && D1) OUT.println("NOTE: Written Book has more than 50 Pages -> " + aMapping);
				if (aPages[i].length() < 256)
					tNBTList.appendTag(new NBTTagString(aPages[i]));
				else
					ERR.println("WARNING: String for Page of written Book too long! -> " + aPages[i]);
			}
			rNBT.setTag("pages", tNBTList);
			if (aLogging) OUT.println("NOTE: Added Book to Book List  -  Mapping: '"+aMapping+"'  -  Name: '"+aTitle+"'  -  Author: '"+aAuthor+"'");
			NBT.set(rStack, rNBT);
			BOOK_MAP.put(aMapping, ST.copy(rStack));
			BOOK_LIST.add(aMapping);
			return ST.copy(rStack);
		}
		
		public static ItemStack createMaterialDictionary(OreDictMaterial aMat, ItemStack aDefaultBook, ItemStack aDefaultLargeBook) {
			String tPage = "";
			List<String> tBook = new ArrayListNoNulls<String>();
			boolean temp = F;
			int tCounter = 0;
			
			tBook.add("===================\n"+aMat.getLocal()+"\n===================\nID: "+(aMat.mID<0?"NONE":aMat.mID)+"\nMelting: "+aMat.mMeltingPoint+" K\nBoiling: "+aMat.mBoilingPoint+" K\nPlasma: "+aMat.mPlasmaPoint+" K\n===================\nDensity:\n"+aMat.mGramPerCubicCentimeter+" g/cm3\n"+aMat.getWeight(U)+" kg/unit\n===================\n");
			
			//----------
			
			if (aMat.mComponents == null) {
				if (aMat.contains(TD.Atomic.ELEMENT)) {
					temp = T;
					tPage="Atomic Structure:\nProtons: "+aMat.mProtons+"\nElectrons: " + aMat.mElectrons + "\nNeutrons: " + aMat.mNeutrons + "\nMass: "+aMat.mMass+"\n===================\n";
					for (TagData tTag : TD.Atomic.ALL) if (tTag != TD.Atomic.ELEMENT && tTag != TD.Atomic.NONMETAL && aMat.contains(tTag)) tPage += tTag.getLocalisedNameLong() + "\n";
				}
			} else {
				temp = T;
				tPage="Components per "+aMat.mComponents.getCommonDivider() + "\n===================\n";
				for (OreDictMaterialStack tMaterial : aMat.mComponents.getUndividedComponents()) tPage += (tMaterial.mAmount / U)+" "+tMaterial.mMaterial.getLocal()+"\n";
			}
			
			if (temp) {tBook.add(tPage); temp = F;}
			
			//----------
			
			tPage="Tool Properties\n===================\n";
			
			if (aMat.contains(TD.Properties.HAS_TOOL_STATS)) {temp = T; tPage+="Durability:\n"+aMat.mToolDurability+"\nQuality:\n"+aMat.mToolQuality+"\nSpeed:\n"+aMat.mToolSpeed+"\nHandle:\n"+aMat.mHandleMaterial.getLocal()+"\n";}
			if (!aMat.mEnchantmentTools.isEmpty()) tPage += "Tool Enchantments:\n";
			for (ObjectStack<Enchantment> tEnchantment : aMat.mEnchantmentTools ) {temp = T; tPage += tEnchantment.mObject.getTranslatedName((int)tEnchantment.mAmount) + "\n";}
			if (!aMat.mEnchantmentArmors.isEmpty()) tPage += "Armor Enchantments:\n";
			for (ObjectStack<Enchantment> tEnchantment : aMat.mEnchantmentArmors) {temp = T; tPage += tEnchantment.mObject.getTranslatedName((int)tEnchantment.mAmount) + "\n";}
			
			if (temp) {tBook.add(tPage+"===================\n"); temp = F;}
			
			//----------
			
			tPage="Properties\n===================\n";
			
			for (TagData tTag : TD.Properties.ALL_RELEVANTS) if (aMat.contains(tTag)) {temp = T; tPage += tTag.getLocalisedNameLong() + "\n";}
			
			if (temp) {tBook.add(tPage); temp = F;}
			
			//----------
			
			tPage="Machine Processing\n===================\n";
			
			for (TagData tTag : TD.Processing.ALL_MACHINES) if (aMat.contains(tTag)) {temp = T; tPage += tTag.getLocalisedNameLong() + "\n";}
			
			if (temp) {tBook.add(tPage); temp = F;}
			
			//----------
			
			tPage="Materials which can be decomposed to this\n===================\n";
			tCounter = 0;
			for (OreDictMaterial tMat : OreDictMaterial.MATERIAL_MAP.values()) if (tMat.mComponents != null && tMat.contains(TD.Compounds.DECOMPOSABLE)) {
				for (OreDictMaterialStack tMt2 : tMat.mComponents.getUndividedComponents()) if (tMt2.mMaterial == aMat) {
					temp=!(tCounter++%6==5);
					tPage += tMat.getLocal()+"\n";
					if (!temp) {
						tBook.add(tPage);
						tPage="Materials which can be decomposed to this\n===================\n";
					}
					break;
				}
			}
			
			if (temp) {tBook.add(tPage); temp = F;}
			
			//----------
			
			tPage="Ore Processing\n===================\n";
			
			for (TagData tTag : TD.Processing.ALL_ORES) if (aMat.contains(tTag)) {temp = T; tPage += tTag.getLocalisedNameLong() + "\n";}
			
			if (temp) {tBook.add(tPage); temp = F;}
			
			//----------
			
			tPage="Ore Byproducts\n===================\n";
			
			for (OreDictMaterial tMat : aMat.mByProducts) {temp = T; tPage += tMat.getLocal() + "\n";}
			
			if (temp) {tBook.add(tPage); temp = F;}
			
			//----------
			
			tPage="Ores with this as Byproduct\n===================\n";
			tCounter = 0;
			for (OreDictMaterial tMat : OreDictMaterial.MATERIAL_MAP.values()) if (tMat.mByProducts.contains(aMat)) {
				temp=!(tCounter++%6==5);
				tPage += tMat.getLocal()+"\n";
				if (!temp) {
					tBook.add(tPage);
					tPage="Ores with this as Byproduct\n===================\n";
				}
			}
			
			if (temp) {tBook.add(tPage); temp = F;}
			
			//----------
			
			tPage = "Processing Data\n===================\n";
			tPage += "Smelting:\n"		+(aMat.mTargetSmelting		.mAmount / U) + "." + ((int)(((double)(aMat.mTargetSmelting		.mAmount % U) / (double)U) * 1000))+" "+(aMat.mTargetSmelting		.mAmount <= 0 ? "nothing" : aMat.mTargetSmelting	.mMaterial == aMat ? "itself" : aMat.mTargetSmelting	.mMaterial.getLocal())+"\n";
			tPage += "Solidifying:\n"	+(aMat.mTargetSolidifying	.mAmount / U) + "." + ((int)(((double)(aMat.mTargetSolidifying	.mAmount % U) / (double)U) * 1000))+" "+(aMat.mTargetSolidifying	.mAmount <= 0 ? "nothing" : aMat.mTargetSolidifying	.mMaterial == aMat ? "itself" : aMat.mTargetSolidifying	.mMaterial.getLocal())+"\n";
			tPage += "Burning:\n"		+(aMat.mTargetBurning		.mAmount / U) + "." + ((int)(((double)(aMat.mTargetBurning		.mAmount % U) / (double)U) * 1000))+" "+(aMat.mTargetBurning		.mAmount <= 0 ? "nothing" : aMat.mTargetBurning		.mMaterial == aMat ? "itself" : aMat.mTargetBurning		.mMaterial.getLocal())+"\n";
			tPage += "Pulverising:\n"	+(aMat.mTargetPulver		.mAmount / U) + "." + ((int)(((double)(aMat.mTargetPulver		.mAmount % U) / (double)U) * 1000))+" "+(aMat.mTargetPulver			.mAmount <= 0 ? "nothing" : aMat.mTargetPulver		.mMaterial == aMat ? "itself" : aMat.mTargetPulver		.mMaterial.getLocal())+"\n";
			tPage += "Crushing:\n"		+(aMat.mTargetCrushing		.mAmount / U) + "." + ((int)(((double)(aMat.mTargetCrushing		.mAmount % U) / (double)U) * 1000))+" "+(aMat.mTargetCrushing		.mAmount <= 0 ? "nothing" : aMat.mTargetCrushing	.mMaterial == aMat ? "itself" : aMat.mTargetCrushing	.mMaterial.getLocal())+"\n";
			
			tBook.add(tPage);
			
			//----------
			
			tPage = "Processing Data\n===================\n";
			tPage += "Bending:\n"		+(aMat.mTargetBending		.mAmount / U) + "." + ((int)(((double)(aMat.mTargetBending		.mAmount % U) / (double)U) * 1000))+" "+(aMat.mTargetBending		.mAmount <= 0 ? "nothing" : aMat.mTargetBending		.mMaterial == aMat ? "itself" : aMat.mTargetBending		.mMaterial.getLocal())+"\n";
			tPage += "Compressing:\n"	+(aMat.mTargetCompressing	.mAmount / U) + "." + ((int)(((double)(aMat.mTargetCompressing	.mAmount % U) / (double)U) * 1000))+" "+(aMat.mTargetCompressing	.mAmount <= 0 ? "nothing" : aMat.mTargetCompressing	.mMaterial == aMat ? "itself" : aMat.mTargetCompressing	.mMaterial.getLocal())+"\n";
			tPage += "Cutting:\n"		+(aMat.mTargetCutting		.mAmount / U) + "." + ((int)(((double)(aMat.mTargetCutting		.mAmount % U) / (double)U) * 1000))+" "+(aMat.mTargetCutting		.mAmount <= 0 ? "nothing" : aMat.mTargetCutting		.mMaterial == aMat ? "itself" : aMat.mTargetCutting		.mMaterial.getLocal())+"\n";
			tPage += "Forging:\n"		+(aMat.mTargetForging		.mAmount / U) + "." + ((int)(((double)(aMat.mTargetForging		.mAmount % U) / (double)U) * 1000))+" "+(aMat.mTargetForging		.mAmount <= 0 ? "nothing" : aMat.mTargetForging		.mMaterial == aMat ? "itself" : aMat.mTargetForging		.mMaterial.getLocal())+"\n";
			tPage += "Smashing:\n"		+(aMat.mTargetSmashing		.mAmount / U) + "." + ((int)(((double)(aMat.mTargetSmashing		.mAmount % U) / (double)U) * 1000))+" "+(aMat.mTargetSmashing		.mAmount <= 0 ? "nothing" : aMat.mTargetSmashing	.mMaterial == aMat ? "itself" : aMat.mTargetSmashing	.mMaterial.getLocal())+"\n";
			
			tBook.add(tPage);
			
			//----------
			
			tPage = "Processing Data\n===================\n";
			tPage += "Working:\n"		+(aMat.mTargetWorking		.mAmount / U) + "." + ((int)(((double)(aMat.mTargetWorking		.mAmount % U) / (double)U) * 1000))+" "+(aMat.mTargetWorking		.mAmount <= 0 ? "nothing" : aMat.mTargetWorking		.mMaterial == aMat ? "itself" : aMat.mTargetWorking		.mMaterial.getLocal())+"\n";
			
			tBook.add(tPage);
			
			//----------
			
			tPage = "Thaumaturgic Data\n===================\nAspects:\n";
			
			if (aMat.mAspects.isEmpty()) {
				tPage += "None\n";
			} else {
				for (TC_AspectStack tAspect : aMat.mAspects) tPage += tAspect.mAmount + "x " + tAspect.mAspect.mName + "\n";
			}
			
			tPage += "===================\n";
			
			tBook.add(tPage);
			
			//----------
			
			Map<OreDictMaterial, Long> tMap;
			
			tMap = new HashMap<OreDictMaterial, Long>(); for (OreDictMaterial tMat : OreDictMaterial.MATERIAL_MAP.values()) if (tMat.mTargetRegistration == tMat && tMat != aMat && tMat.mTargetSmelting	.mMaterial == aMat && tMat.mTargetSmelting		.mAmount > 0 && !tMat.getLocal().equals(aMat.getLocal())) tMap.put(tMat, tMat.mTargetSmelting		.mAmount);
			tMap = Code.sortByValuesDescending(tMap);
			tPage = "Resources to smelt for getting "+aMat.getLocal()+"\n===================\n";
			tCounter = 0;
			for (Entry<OreDictMaterial, Long> tEntry : tMap.entrySet()) {
				temp=!(tCounter++%6==5);
				tPage+=(tEntry.getValue() / U) + "." + ((int)(((double)(tEntry.getValue() % U) / (double)U) * 1000))+" from 1 "+tEntry.getKey().getLocal()+"\n";
				if (!temp) {
					tBook.add(tPage);
					tPage = "Resources to smelt for getting "+aMat.getLocal()+"\n===================\n";
				}
			}
			
			if (temp) {tBook.add(tPage); temp=F;}
			
		 	//----------
		 	
			tMap = new HashMap<OreDictMaterial, Long>(); for (OreDictMaterial tMat : OreDictMaterial.MATERIAL_MAP.values()) if (tMat.mTargetRegistration == tMat && tMat != aMat && tMat.mTargetBurning		.mMaterial == aMat && tMat.mTargetBurning		.mAmount > 0 && !tMat.getLocal().equals(aMat.getLocal())) tMap.put(tMat, tMat.mTargetBurning		.mAmount);
			tMap = Code.sortByValuesDescending(tMap);
			tPage = "Resources to burn for getting "+aMat.getLocal()+"\n===================\n";
			tCounter = 0;
			for (Entry<OreDictMaterial, Long> tEntry : tMap.entrySet()) {
				temp=!(tCounter++%6==5);
				tPage+=(tEntry.getValue() / U) + "." + ((int)(((double)(tEntry.getValue() % U) / (double)U) * 1000))+" from 1 "+tEntry.getKey().getLocal()+"\n";
				if (!temp) {
					tBook.add(tPage);
					tPage = "Resources to burn for getting "+aMat.getLocal()+"\n===================\n";
				}
			}
			
			if (temp) {tBook.add(tPage); temp=F;}
		 	
		 	//----------
		 	
			tMap = new HashMap<OreDictMaterial, Long>(); for (OreDictMaterial tMat : OreDictMaterial.MATERIAL_MAP.values()) if (tMat.mTargetRegistration == tMat && tMat != aMat && tMat.mTargetPulver		.mMaterial == aMat && tMat.mTargetPulver		.mAmount > 0 && !tMat.getLocal().equals(aMat.getLocal())) tMap.put(tMat, tMat.mTargetPulver		.mAmount);
			tMap = Code.sortByValuesDescending(tMap);
			tPage = "Resources to pulverise for getting "+aMat.getLocal()+"\n===================\n";
			tCounter = 0;
			for (Entry<OreDictMaterial, Long> tEntry : tMap.entrySet()) {
				temp=!(tCounter++%6==5);
				tPage+=(tEntry.getValue() / U) + "." + ((int)(((double)(tEntry.getValue() % U) / (double)U) * 1000))+" from 1 "+tEntry.getKey().getLocal()+"\n";
				if (!temp) {
					tBook.add(tPage);
					tPage = "Resources to pulverise for getting "+aMat.getLocal()+"\n===================\n";
				}
			}
			
			if (temp) {tBook.add(tPage); temp=F;}
			
		 	//----------
		 	
			tMap = new HashMap<OreDictMaterial, Long>(); for (OreDictMaterial tMat : OreDictMaterial.MATERIAL_MAP.values()) if (tMat.mTargetRegistration == tMat && tMat != aMat && tMat.mTargetBending		.mMaterial == aMat && tMat.mTargetBending		.mAmount > 0 && !tMat.getLocal().equals(aMat.getLocal())) tMap.put(tMat, tMat.mTargetBending		.mAmount);
			tMap = Code.sortByValuesDescending(tMap);
			tPage = "Resources to bend for getting "+aMat.getLocal()+"\n===================\n";
			tCounter = 0;
			for (Entry<OreDictMaterial, Long> tEntry : tMap.entrySet()) {
				temp=!(tCounter++%6==5);
				tPage+=(tEntry.getValue() / U) + "." + ((int)(((double)(tEntry.getValue() % U) / (double)U) * 1000))+" from 1 "+tEntry.getKey().getLocal()+"\n";
				if (!temp) {
					tBook.add(tPage);
					tPage = "Resources to bend for getting "+aMat.getLocal()+"\n===================\n";
				}
			}
			
			if (temp) {tBook.add(tPage); temp=F;}
			
		 	//----------
		 	
			tMap = new HashMap<OreDictMaterial, Long>(); for (OreDictMaterial tMat : OreDictMaterial.MATERIAL_MAP.values()) if (tMat.mTargetRegistration == tMat && tMat != aMat && tMat.mTargetCompressing	.mMaterial == aMat && tMat.mTargetCompressing	.mAmount > 0 && !tMat.getLocal().equals(aMat.getLocal())) tMap.put(tMat, tMat.mTargetCompressing	.mAmount);
			tMap = Code.sortByValuesDescending(tMap);
			tPage = "Resources to compress for getting "+aMat.getLocal()+"\n===================\n";
			tCounter = 0;
			for (Entry<OreDictMaterial, Long> tEntry : tMap.entrySet()) {
				temp=!(tCounter++%6==5);
				tPage+=(tEntry.getValue() / U) + "." + ((int)(((double)(tEntry.getValue() % U) / (double)U) * 1000))+" from 1 "+tEntry.getKey().getLocal()+"\n";
				if (!temp) {
					tBook.add(tPage);
					tPage = "Resources to compress for getting "+aMat.getLocal()+"\n===================\n";
				}
			}
			
			if (temp) {tBook.add(tPage); temp=F;}
			
		 	//----------
		 	
			tMap = new HashMap<OreDictMaterial, Long>(); for (OreDictMaterial tMat : OreDictMaterial.MATERIAL_MAP.values()) if (tMat.mTargetRegistration == tMat && tMat != aMat && tMat.mTargetCrushing	.mMaterial == aMat && tMat.mTargetCrushing		.mAmount > 0 && !tMat.getLocal().equals(aMat.getLocal())) tMap.put(tMat, tMat.mTargetCrushing		.mAmount);
			tMap = Code.sortByValuesDescending(tMap);
			tPage = "Resources to crush for getting "+aMat.getLocal()+"\n===================\n";
			tCounter = 0;
			for (Entry<OreDictMaterial, Long> tEntry : tMap.entrySet()) {
				temp=!(tCounter++%6==5);
				tPage+=(tEntry.getValue() / U) + "." + ((int)(((double)(tEntry.getValue() % U) / (double)U) * 1000))+" from 1 "+tEntry.getKey().getLocal()+"\n";
				if (!temp) {
					tBook.add(tPage);
					tPage = "Resources to crush for getting "+aMat.getLocal()+"\n===================\n";
				}
			}
			
			if (temp) {tBook.add(tPage); temp=F;}
			
		 	//----------
		 	
			tMap = new HashMap<OreDictMaterial, Long>(); for (OreDictMaterial tMat : OreDictMaterial.MATERIAL_MAP.values()) if (tMat.mTargetRegistration == tMat && tMat != aMat && tMat.mTargetCutting		.mMaterial == aMat && tMat.mTargetCutting		.mAmount > 0 && !tMat.getLocal().equals(aMat.getLocal())) tMap.put(tMat, tMat.mTargetCutting		.mAmount);
			tMap = Code.sortByValuesDescending(tMap);
			tPage = "Resources to cut for getting "+aMat.getLocal()+"\n===================\n";
			tCounter = 0;
			for (Entry<OreDictMaterial, Long> tEntry : tMap.entrySet()) {
				temp=!(tCounter++%6==5);
				tPage+=(tEntry.getValue() / U) + "." + ((int)(((double)(tEntry.getValue() % U) / (double)U) * 1000))+" from 1 "+tEntry.getKey().getLocal()+"\n";
				if (!temp) {
					tBook.add(tPage);
					tPage = "Resources to cut for getting "+aMat.getLocal()+"\n===================\n";
				}
			}
			
			if (temp) {tBook.add(tPage); temp=F;}
			
		 	//----------
		 	
			tMap = new HashMap<OreDictMaterial, Long>(); for (OreDictMaterial tMat : OreDictMaterial.MATERIAL_MAP.values()) if (tMat.mTargetRegistration == tMat && tMat != aMat && tMat.mTargetForging		.mMaterial == aMat && tMat.mTargetForging		.mAmount > 0 && !tMat.getLocal().equals(aMat.getLocal())) tMap.put(tMat, tMat.mTargetForging		.mAmount);
			tMap = Code.sortByValuesDescending(tMap);
			tPage = "Resources to forge for getting "+aMat.getLocal()+"\n===================\n";
			tCounter = 0;
			for (Entry<OreDictMaterial, Long> tEntry : tMap.entrySet()) {
				temp=!(tCounter++%6==5);
				tPage+=(tEntry.getValue() / U) + "." + ((int)(((double)(tEntry.getValue() % U) / (double)U) * 1000))+" from 1 "+tEntry.getKey().getLocal()+"\n";
				if (!temp) {
					tBook.add(tPage);
					tPage = "Resources to forge for getting "+aMat.getLocal()+"\n===================\n";
				}
			}
			
			if (temp) {tBook.add(tPage); temp=F;}
			
		 	//----------
		 	
			tMap = new HashMap<OreDictMaterial, Long>(); for (OreDictMaterial tMat : OreDictMaterial.MATERIAL_MAP.values()) if (tMat.mTargetRegistration == tMat && tMat != aMat && tMat.mTargetSmashing	.mMaterial == aMat && tMat.mTargetSmashing		.mAmount > 0 && !tMat.getLocal().equals(aMat.getLocal())) tMap.put(tMat, tMat.mTargetSmashing		.mAmount);
			tMap = Code.sortByValuesDescending(tMap);
			tPage = "Resources to smash for getting "+aMat.getLocal()+"\n===================\n";
			tCounter = 0;
			for (Entry<OreDictMaterial, Long> tEntry : tMap.entrySet()) {
				temp=!(tCounter++%6==5);
				tPage+=(tEntry.getValue() / U) + "." + ((int)(((double)(tEntry.getValue() % U) / (double)U) * 1000))+" from 1 "+tEntry.getKey().getLocal()+"\n";
				if (!temp) {
					tBook.add(tPage);
					tPage = "Resources to smash for getting "+aMat.getLocal()+"\n===================\n";
				}
			}
			
			if (temp) {tBook.add(tPage); temp=F;}
			
		 	//----------
		 	
			tMap = new HashMap<OreDictMaterial, Long>(); for (OreDictMaterial tMat : OreDictMaterial.MATERIAL_MAP.values()) if (tMat.mTargetRegistration == tMat && tMat != aMat && tMat.mTargetWorking		.mMaterial == aMat && tMat.mTargetWorking		.mAmount > 0 && !tMat.getLocal().equals(aMat.getLocal())) tMap.put(tMat, tMat.mTargetWorking		.mAmount);
			tMap = Code.sortByValuesDescending(tMap);
			tPage = "Resources to use in other ways for getting "+aMat.getLocal()+"\n===================\n";
			tCounter = 0;
			for (Entry<OreDictMaterial, Long> tEntry : tMap.entrySet()) {
				temp=!(tCounter++%6==5);
				tPage+=(tEntry.getValue() / U) + "." + ((int)(((double)(tEntry.getValue() % U) / (double)U) * 1000))+" from 1 "+tEntry.getKey().getLocal()+"\n";
				if (!temp) {
					tBook.add(tPage);
					tPage = "Resources to use in other ways for getting "+aMat.getLocal()+"\n===================\n";
				}
			}
			
			if (temp) {tBook.add(tPage); temp=F;}
			
		 	//----------
		 	
			for (IOreDictConfigurationComponent tConfig : aMat.mAlloyCreationRecipes) {
				tPage="Alloy:\n"+aMat.getLocal()+"\n===================\nMelting: "+aMat.mMeltingPoint+" K\nBoiling: "+aMat.mBoilingPoint+" K\n===================\nComponents per "+tConfig.getCommonDivider() + "\n";
				for (OreDictMaterialStack tMt2 : tConfig.getUndividedComponents()) tPage += (tMt2.mAmount / U)+" "+tMt2.mMaterial.getLocal()+"\n";
				tBook.add(tPage);
				break;
			}
			
		 	//----------
		 	
			for (OreDictMaterial tMat : aMat.mAlloyComponentReferences) {
				for (IOreDictConfigurationComponent tConfig : tMat.mAlloyCreationRecipes) {
					for (OreDictMaterialStack tMatStack : tConfig.getUndividedComponents()) {
						if (tMatStack.mMaterial == aMat) {
							tPage="Alloy:\n"+tMat.getLocal()+"\n===================\nMelting: "+tMat.mMeltingPoint+" K\nBoiling: "+tMat.mBoilingPoint+" K\n===================\nComponents per "+tConfig.getCommonDivider() + "\n";
							for (OreDictMaterialStack tMt2 : tConfig.getUndividedComponents()) tPage += (tMt2.mAmount / U)+" "+tMt2.mMaterial.getLocal()+"\n";
						 	tBook.add(tPage);
							break;
						}
					}
				}
			}
			
			//----------
			
			if (aMat.mDescription != null) for (int i = 0, j = 0; i < aMat.mDescription.length; i++) if (Code.stringValid(aMat.mDescription[i])) tBook.add("Description Pg "+(++j)+"\n===================\n" + aMat.mDescription[i]);
			
			//----------
			
			MATERIAL_DICTIONARIES.add("Material_Dictionary_"+aMat.mNameInternal);
			
			return ST.copy(aMat.mDictionaryBook = createWrittenBook("Material_Dictionary_"+aMat.mNameInternal, aMat.getLocal(), "Material Dictionary Foundation", tBook.size()<=50?(aDefaultBook!=null?aDefaultBook:ItemsGT.sMultiItemBooks==null?NI:ST.make(ItemsGT.sMultiItemBooks, 1, 32002)):(aDefaultLargeBook!=null?aDefaultLargeBook:ItemsGT.sMultiItemBooks==null?NI:ST.make(ItemsGT.sMultiItemBooks, 1, 32003)), F, tBook.toArray(ZL_STRING)));
		}
	}
	
	@Deprecated public static class Stacks {
		@Deprecated public static boolean debugItem(ItemStack aStack) {return ST.debug(aStack);}
		@Deprecated public static ItemStack update(ItemStack aStack) {return ST.update(aStack);}
		@Deprecated public static ItemStack update_(ItemStack aStack) {return ST.update_(aStack);}
		@Deprecated public static boolean inList(Collection<ItemStack> aList, ItemStack aStack, boolean aTrueIfListEmpty, boolean aInvertFilter) {return ST.listed(aList, aStack, aTrueIfListEmpty, aInvertFilter);}
		@Deprecated public static ItemStack set(Object aSetStack, Object aToStack) {return ST.set(aSetStack, aToStack);}
		@Deprecated public static ItemStack set(Object aSetStack, Object aToStack, boolean aCheckStacksize, boolean aCheckNBT) {return ST.set(aSetStack, aToStack, aCheckStacksize, aCheckNBT);}
		@Deprecated public static ItemStack container(ItemStack aStack, boolean aCheckIFluidContainerItems) {return ST.container(aStack, aCheckIFluidContainerItems);}
		@Deprecated public static ItemStack container(ItemStack aStack, boolean aCheckIFluidContainerItems, int aStacksize) {return ST.container(aStack, aCheckIFluidContainerItems, aStacksize);}
		@Deprecated public static boolean equal(ItemStack aStack1, ItemStack aStack2) {return ST.equal(aStack1, aStack2);}
		@Deprecated public static boolean equalTools(ItemStack aStack1, ItemStack aStack2, boolean aIgnoreNBT) {return ST.equalTools(aStack1, aStack2, aIgnoreNBT);}
		@Deprecated public static boolean equalTools_(ItemStack aStack1, ItemStack aStack2, boolean aIgnoreNBT) {return ST.equalTools_(aStack1, aStack2, aIgnoreNBT);}
		@Deprecated public static boolean equal(ItemStack aStack1, ItemStack aStack2, boolean aIgnoreNBT) {return ST.equal(aStack1, aStack2, aIgnoreNBT);}
		@Deprecated public static boolean equal_(ItemStack aStack1, ItemStack aStack2, boolean aIgnoreNBT) {return ST.equal_(aStack1, aStack2, aIgnoreNBT);}
		@Deprecated public static short id(Item aItem) {return ST.id(aItem);}
		@Deprecated public static short id(ItemStack aStack) {return ST.id(aStack);}
		@Deprecated public static Item item(ItemStack aStack) {return ST.item(aStack);}
		@Deprecated public static short meta(ItemStack aStack) {return ST.meta(aStack);}
		@Deprecated public static ItemStack meta(ItemStack aStack, long aMeta) {return ST.meta(aStack, aMeta);}
		@Deprecated public static boolean rotten(ItemStack aStack) {return ST.rotten(aStack);}
		@Deprecated public static int food(ItemStack aStack) {return ST.food(aStack);}
		@Deprecated public static float saturation(ItemStack aStack) {return ST.saturation(aStack);}
		@Deprecated public static ItemStack fuel(ItemStack aStack, short aValue) {return ST.fuel(aStack, aValue);}
		@Deprecated public static long fuel(ItemStack aStack) {return ST.fuel(aStack);}
		@Deprecated public static ItemStack makeIC2(String aItem, long aAmount, ItemStack aReplacement) {return ST.mkic(aItem, aAmount, aReplacement);}
		@Deprecated public static ItemStack makeIC2(String aItem, long aAmount, int aMeta, ItemStack aReplacement) {return ST.mkic(aItem, aAmount, aMeta, aReplacement);}
		@Deprecated public static ItemStack makeIC2(String aItem, long aAmount, int aMeta) {return ST.mkic(aItem, aAmount, aMeta);}
		@Deprecated public static ItemStack makeIC2(String aItem, long aAmount) {return ST.mkic(aItem, aAmount);}
		@Deprecated public static Item item(ModData aModID, String aItem) {return item(make(aModID, aItem, 1, null));}
		@Deprecated public static Item item(ModData aModID, String aItem, Item aReplacement) {Item rItem = item(aModID, aItem); return rItem == null ? aReplacement : rItem;}
		@Deprecated public static Item item(String aModID, String aItem) {return item(make(aModID, aItem, 1, null));}
		@Deprecated public static Item item(String aModID, String aItem, Item aReplacement) {Item rItem = item(aModID, aItem); return rItem == null ? aReplacement : rItem;}
		@Deprecated public static Block block(ModData aModID, String aBlock) {return block(make(aModID, aBlock, 1, null));}
		@Deprecated public static Block block(ModData aModID, String aBlock, Block aReplacement) {Block rBlock = block(aModID, aBlock); return rBlock == NB ? aReplacement : rBlock;}
		@Deprecated public static Block block(String aModID, String aBlock) {return block(make(aModID, aBlock, 1, null));}
		@Deprecated public static Block block(String aModID, String aBlock, Block aReplacement) {Block rBlock = block(aModID, aBlock); return rBlock == NB ? aReplacement : rBlock;}
		@Deprecated public static ItemStack make(ModData aModID, String aItem, long aAmount) {return make(aModID, aItem, aAmount, null);}
		@Deprecated public static ItemStack make(ModData aModID, String aItem, long aAmount, ItemStack aReplacement) {if (!aModID.mLoaded || Code.stringInvalid(aItem) || !GAPI_POST.mStartedPreInit) return null; if (aItem.length()>5&&aItem.charAt(0)=='t'&&aItem.charAt(1)=='i'&&aItem.charAt(2)=='l'&&aItem.charAt(3)=='e'&&aItem.charAt(4)=='.') return amount(aAmount, GameRegistry.findItemStack(aModID.mID, aItem, (int)aAmount), GameRegistry.findItemStack(aModID.mID, aItem.substring(5), (int)aAmount), aReplacement); return amount(aAmount, GameRegistry.findItemStack(aModID.mID, aItem, (int)aAmount), aReplacement);}
		@Deprecated public static ItemStack make(ModData aModID, String aItem, long aAmount, int aMeta) {ItemStack rStack = make(aModID, aItem, aAmount); if (rStack == null) return null; meta(rStack, aMeta); return rStack;}
		@Deprecated public static ItemStack make(ModData aModID, String aItem, long aAmount, int aMeta, ItemStack aReplacement) {ItemStack rStack = make(aModID, aItem, aAmount, aReplacement); if (rStack == null) return null; meta(rStack, aMeta); return rStack;}
		@Deprecated public static ItemStack make(String aModID, String aItem, long aAmount) {return make(aModID, aItem, aAmount, null);}
		@Deprecated public static ItemStack make(String aModID, String aItem, long aAmount, ItemStack aReplacement) {if (Code.stringInvalid(aItem) || !GAPI_POST.mStartedPreInit) return null; if (aItem.length()>5&&aItem.charAt(0)=='t'&&aItem.charAt(1)=='i'&&aItem.charAt(2)=='l'&&aItem.charAt(3)=='e'&&aItem.charAt(4)=='.') return amount(aAmount, GameRegistry.findItemStack(aModID, aItem, (int)aAmount), GameRegistry.findItemStack(aModID, aItem.substring(5), (int)aAmount), aReplacement); return amount(aAmount, GameRegistry.findItemStack(aModID, aItem, (int)aAmount), aReplacement);}
		@Deprecated public static ItemStack make(String aModID, String aItem, long aAmount, int aMeta) {ItemStack rStack = make(aModID, aItem, aAmount); if (rStack == null) return null; meta(rStack, aMeta); return rStack;}
		@Deprecated public static ItemStack make(String aModID, String aItem, long aAmount, int aMeta, ItemStack aReplacement) {ItemStack rStack = make(aModID, aItem, aAmount, aReplacement); if (rStack == null) return null; meta(rStack, aMeta); return rStack;}
		@Deprecated public static ItemStack make(long aItemID, long aStacksize, long aMetaData) {return aItemID==0?null:make(Item.getItemById((int)aItemID), aStacksize, aMetaData);}
		@Deprecated public static ItemStack make(Item aItem, long aStacksize, long aMetaData) {return aItem == null ? null : make(new ItemStack(aItem, Code.bindInt(aStacksize), (int)aMetaData), null);}
		@Deprecated public static ItemStack make(Block aBlock, long aStacksize, long aMetaData) {return aBlock == null || aBlock == NB ? null : make(new ItemStack(aBlock, Code.bindInt(aStacksize), (int)aMetaData), null);}
		@Deprecated public static ItemStack make(long aItemID, long aStacksize, long aMetaData, NBTTagCompound aNBT) {return aItemID==0?null:make(Item.getItemById((int)aItemID), aStacksize, aMetaData, aNBT);}
		@Deprecated public static ItemStack make(Item aItem, long aStacksize, long aMetaData, NBTTagCompound aNBT) {return aItem == null ? null : make(new ItemStack(aItem, Code.bindInt(aStacksize), (int)aMetaData), aNBT);}
		@Deprecated public static ItemStack make(Block aBlock, long aStacksize, long aMetaData, NBTTagCompound aNBT) {return aBlock == null || aBlock == NB ? null : make(new ItemStack(aBlock, Code.bindInt(aStacksize), (int)aMetaData), aNBT);}
		@Deprecated public static ItemStack make(ItemStack aStack, NBTTagCompound aNBT) {return make(aStack, null, aNBT);}
		@Deprecated public static ItemStack make(ItemStackContainer aStack, NBTTagCompound aNBT) {return make(aStack, null, aNBT);}
		@Deprecated public static ItemStack make(long aItemID, long aStacksize, long aMetaData, String aName) {return aItemID==0?null:make(Item.getItemById((int)aItemID), aStacksize, aMetaData, aName);}
		@Deprecated public static ItemStack make(Item aItem, long aStacksize, long aMetaData, String aName) {return aItem == null ? null : make(new ItemStack(aItem, Code.bindInt(aStacksize), (int)aMetaData), aName, null);}
		@Deprecated public static ItemStack make(Block aBlock, long aStacksize, long aMetaData, String aName) {return aBlock == null || aBlock == NB ? null : make(new ItemStack(aBlock, Code.bindInt(aStacksize), (int)aMetaData), aName, null);}
		@Deprecated public static ItemStack make(long aItemID, long aStacksize, long aMetaData, String aName, NBTTagCompound aNBT) {return aItemID==0?null:make(Item.getItemById((int)aItemID), aStacksize, aMetaData, aName, aNBT);}
		@Deprecated public static ItemStack make(Item aItem, long aStacksize, long aMetaData, String aName, NBTTagCompound aNBT) {return aItem == null ? null : make(new ItemStack(aItem, Code.bindInt(aStacksize), (int)aMetaData), aName, aNBT);}
		@Deprecated public static ItemStack make(Block aBlock, long aStacksize, long aMetaData, String aName, NBTTagCompound aNBT) {return aBlock == null || aBlock == NB ? null : make(new ItemStack(aBlock, Code.bindInt(aStacksize), (int)aMetaData), aName, aNBT);}
		@Deprecated public static ItemStack make(ItemStack aStack, String aName, NBTTagCompound aNBT) {if (aStack == null) return null; aStack = aStack.copy(); NBT.set(aStack, aNBT); if (aName != null) aStack.setStackDisplayName(aName); return aStack;}
		@Deprecated public static ItemStack make(ItemStackContainer aStack, String aName, NBTTagCompound aNBT) {if (aStack == null) return null; ItemStack rStack = aStack.toStack(); if (rStack == null) return null; NBT.set(rStack, aNBT); if (aName != null) rStack.setStackDisplayName(aName); return rStack;}
		@Deprecated public static ItemStack[] copyArray(Object... aStacks) {return ST.copyArray(aStacks);}
		@Deprecated public static ItemStack copy(Object... aStacks) {return ST.copy(aStacks);}
		@Deprecated public static ItemStack amount(long aAmount, Object... aStacks) {return ST.amount(aAmount, aStacks);}
		@Deprecated public static ItemStack copyAmount(long aAmount, Object... aStacks) {return ST.amount(aAmount, aStacks);}
		@Deprecated public static ItemStack copyMeta(long aMetaData, Object... aStacks) {return copyMeta(aMetaData, aStacks);}
		@Deprecated public static ItemStack copyAmountAndMeta(long aAmount, long aMetaData, Object... aStacks) {return ST.copyAmountAndMeta(aAmount, aMetaData, aStacks);}
		@Deprecated public static ItemStack mul(long aMultiplier, Object... aStacks) {return ST.mul(aMultiplier, aStacks);}
		@Deprecated public static ItemStack div(long aDivider, Object... aStacks) {return ST.div(aDivider, aStacks);}
		@Deprecated public static int toInt(ItemStack aStack) {return ST.toInt(aStack);}
		@Deprecated public static int toIntWildcard(ItemStack aStack) {return ST.toIntWildcard(aStack);}
		@Deprecated public static ItemStack toStack(int aStack) {return ST.toStack(aStack);}
		@Deprecated public static Integer[] toIntegerArray(ItemStack... aStacks) {return ST.toIntegerArray(aStacks);}
		@Deprecated public static int[] toIntArray(ItemStack... aStacks) {return ST.toIntArray(aStacks);}
		@Deprecated public static Block block(Object aStack) {return ST.block(aStack);}
		@Deprecated public static Block block_(Object aStack) {return ST.block_(aStack);}
		@Deprecated public static boolean valid(Object aStack) {return ST.valid(aStack);}
		@Deprecated public static boolean invalid(Object aStack) {return ST.invalid(aStack);}
		@Deprecated public static String configName(ItemStack aStack) {return ST.configName(aStack);}
		@Deprecated public static String configNames(ItemStack... aStacks) {return ST.configNames(aStacks);}
		@Deprecated public static String regName(ItemStack aStack) {return ST.regName(aStack);}
		@Deprecated public static String names(ItemStack... aStacks) {return ST.names(aStacks);}
		@Deprecated public static String namesAndSizes(ItemStack... aStacks) {return ST.namesAndSizes(aStacks);}
		@Deprecated public static void hide(Item aItem) {ST.hide(aItem);}
		@Deprecated public static void hide(Item aItem, long aMetaData) {ST.hide(aItem, aMetaData);}
		@Deprecated public static void hide(Block aBlock) {ST.hide(aBlock);}
		@Deprecated public static void hide(Block aBlock, long aMetaData) {ST.hide(aBlock, aMetaData);}
		@Deprecated public static void hide(ItemStack aStack) {ST.hide(aStack);}
		@Deprecated public static ItemStack load(NBTTagCompound aNBT, String aTagName) {return ST.load(aNBT, aTagName);}
		@Deprecated public static ItemStack load(NBTTagCompound aNBT) {return ST.load(aNBT);}
		@Deprecated public static NBTTagCompound save(NBTTagCompound aNBT, String aTagName, ItemStack aStack) {return ST.save(aNBT, aTagName, aStack);}
		@Deprecated public static NBTTagCompound save(ItemStack aStack) {return ST.save(aStack);}
	}
	
	public static class Code {
		/** Note: Does not work on huge amounts of Bytes. */
		public static byte averageBytes(byte... aBytes) {
			if (aBytes == null || aBytes.length <= 0) return 0;
			return (byte)(sum(aBytes) / aBytes.length);
		}
		
		/** Note: Does not work on huge amounts of Bytes. */
		public static byte averageUnsignedBytes(byte... aBytes) {
			if (aBytes == null || aBytes.length <= 0) return 0;
			long rValue = 0;
			for (byte aByte : aBytes) rValue += unsignB(aByte);
			return (byte)(rValue / aBytes.length);
		}
		
		/** Note: Does not work on huge amounts of Bytes. */
		public static short averageShorts(short... aShorts) {
			if (aShorts == null || aShorts.length <= 0) return 0;
			return (short)(sum(aShorts) / aShorts.length);
		}
		
		/** Note: Does not work on huge amounts of Shorts. */
		public static short averageUnsignedShorts(short... aShorts) {
			if (aShorts == null || aShorts.length <= 0) return 0;
			long rValue = 0;
			for (short aShort : aShorts) rValue += unsignS(aShort);
			return (short)(rValue / aShorts.length);
		}
		
		/** Note: Does not work on huge amounts of Integers. */
		public static int averageInts(int... aInts) {
			if (aInts == null || aInts.length <= 0) return 0;
			return bindInt(sum(aInts) / aInts.length);
		}
		
		/** Note: Does not work on huge amounts of Integers. */
		public static int averageUnsignedInts(int... aInts) {
			if (aInts == null || aInts.length <= 0) return 0;
			long rValue = 0;
			for (int aInt : aInts) rValue += unsignI(aInt);
			return bindInt(rValue / aInts.length);
		}
		
		/** Note: Does not work on huge amounts of Longs. */
		public static long averageLongs(long... aLongs) {
			if (aLongs == null || aLongs.length <= 0) return 0;
			return sum(aLongs) / aLongs.length;
		}
		
		public static int roundDown(double aNumber) {
			int rRounded = (int)aNumber;
			return rRounded > aNumber ? rRounded-1 : rRounded;
		}
		
		/** @return an unsigned representation of this Byte. */
		public static short unsignB(byte aByte) {
			return aByte < 0 ? (short)(aByte + 256) : aByte;
		}
		
		/** @return an unsigned representation of this Short. */
		public static int unsignS(short aShort) {
			return aShort < 0 ? aShort + 65536 : aShort;
		}
		
		/** @return an unsigned representation of this Integer. */
		public static long unsignI(int aInteger) {
			return aInteger < 0 ? aInteger + 4294967296L : aInteger;
		}
		
		public static byte toByteS(short aValue, int aIndex) {return (byte)(0xff & (aValue >> (aIndex<<3)));}
		public static byte toByteI(int   aValue, int aIndex) {return (byte)(0xff & (aValue >> (aIndex<<3)));}
		public static byte toByteL(long  aValue, int aIndex) {return (byte)(0xff & (aValue >> (aIndex<<3)));}
		
		public static short combine(byte aValue1, byte aValue2)																						{return (short)	((0xff & aValue1) | (0xff & aValue2) << 8);}
		public static int   combine(byte aValue1, byte aValue2, byte aValue3, byte aValue4)															{return			 (0xff & aValue1) | (0xff & aValue2) << 8 | (0xff & aValue3) << 16 | (0xff & aValue4) << 24;}
		public static long  combine(byte aValue1, byte aValue2, byte aValue3, byte aValue4, byte aValue5, byte aValue6, byte aValue7, byte aValue8)	{return			 (0xff & aValue1) | (0xff & aValue2) << 8 | (0xff & aValue3) << 16 | (0xff & aValue4) << 24 | ((long)(0xff & aValue5)) << 32 | ((long)(0xff & aValue6)) << 40 | ((long)(0xff & aValue7)) << 48 | ((long)(0xff & aValue8)) << 56;}
		
		public static long getBits(boolean... aBits) {
			long rBits = 0;
			for (int i = 0; i < 64 && i < aBits.length; i++) if (aBits[i]) rBits |= (1 << i);
			return rBits;
		}
		
		public static boolean[] getBitsB(byte aBits) {
			boolean[] rBits = new boolean[8];
			for (int i = 0; i < rBits.length; i++) if ((aBits & (1 << i)) != 0) rBits[i] = T;
			return rBits;
		}
		
		public static boolean[] getBitsS(short aBits) {
			boolean[] rBits = new boolean[16];
			for (int i = 0; i < rBits.length; i++) if ((aBits & (1 << i)) != 0) rBits[i] = T;
			return rBits;
		}
		
		public static boolean[] getBitsI(int aBits) {
			boolean[] rBits = new boolean[32];
			for (int i = 0; i < rBits.length; i++) if ((aBits & (1 << i)) != 0) rBits[i] = T;
			return rBits;
		}
		
		public static boolean[] getBitsL(long aBits) {
			boolean[] rBits = new boolean[64];
			for (int i = 0; i < rBits.length; i++) if ((aBits & (1 << i)) != 0) rBits[i] = T;
			return rBits;
		}
		
		public static ItemStack toStack(int aStack) {
			Item tItem = Item.getItemById(aStack&(~0>>>16));
			if (tItem != null) return ST.make(tItem, 1, aStack>>>16);
			return null;
		}
		
		/** Converts a Number to a String */
		public static String makeString(long aNumber) {
			String tString = "";
			boolean temp = T, negative = F;
			
			if (aNumber<0) {
				aNumber *= -1;
				negative = T;
			}
			
			for (long i = 1000000000000000000L; i > 0; i /= 10) {
				long tDigit = (aNumber/i)%10;
				if ( temp && tDigit != 0) temp = F;
				if (!temp) {
					tString += tDigit;
					if (i != 1) for (long j = i; j > 0; j /= 1000) if (j == 1) tString += ",";
				}
			}
			
			if (tString.equals("")) tString = "0";
			
			return negative?"-"+tString:tString;
		}
		
		public static <E> boolean contains(E aTarget, E... aArray) {
			if (aArray != null) for (E tValue : aArray) if (tValue == aTarget || (tValue != null && aTarget != null && tValue.equals(aTarget))) return T;
			return F;
		}
		
		public static boolean containsBoolean(boolean aTarget, boolean... aArray) {
			if (aArray != null) for (boolean tValue : aArray) if (tValue == aTarget) return T;
			return F;
		}
		
		public static <E> boolean containsSomething(E... aArray) {
			if (aArray != null) for (Object tObject : aArray) if (tObject != null) return T;
			return F;
		}
		
		public static <E> E[] makeArray(E[] rArray, E... aArray) {
			for (int i = 0; i < rArray.length && i < aArray.length; i++) rArray[i] = aArray[i];
			return rArray;
		}
		
		public static <E> long getNonNulls(E... aArray) {
			long rAmount = 0;
			if (aArray != null) for (Object tObject : aArray) if (tObject != null) rAmount++;
			return rAmount;
		}
		
		public static <E> ArrayList<E> getWithoutNulls(E... aArray) {
			if (aArray == null) return new ArrayListNoNulls<E>();
			ArrayList<E> rList = new ArrayListNoNulls<E>(Arrays.asList(aArray));
			return rList;
		}
		
		public static <E> ArrayList<E> getWithoutTrailingNulls(E... aArray) {
			if (aArray == null) return new ArrayList<E>(1);
			ArrayList<E> rList = new ArrayList<E>(Arrays.asList(aArray));
			for (int i = rList.size() - 1; i >= 0 && rList.get(i) == null;) rList.remove(i--);
			return rList;
		}
		
		private static final DateFormat sDateFormat = DateFormat.getInstance();
		public static String dateAndTime() {
			return sDateFormat.format(new Date());
		}
		
		public static byte tier(long aSize) {
			return tierMax(aSize);
		}
		
		public static byte tierMax(long aSize) {
			byte i = -1;
			aSize = Math.abs(aSize);
			while (++i < V.length) if (aSize <= V[i]) return i;
			return i;
		}
		
		public static byte tierMin(long aSize) {
			byte i = -1;
			aSize = Math.abs(aSize);
			while (++i < V.length) if (aSize < V[i]) return (byte)Math.max(0, i-1);
			return --i;
		}
		
		public static boolean haveOneCommonElement(Iterable aCollection1, Collection aCollection2) {
			if (aCollection1 == aCollection2) return T;
			for (Object tObject : aCollection1) if (aCollection2.contains(tObject)) return T;
			return F;
		}
		
		/** re-maps all Keys of a Map after the Keys were weakened. */
		public static <X, Y> Map<X, Y> reMap(Map<X, Y> aMap) {
			Map<X, Y> tMap = new HashMap<X, Y>();
			tMap.putAll(aMap);
			aMap.clear();
			aMap.putAll(tMap);
			return aMap;
		}
		
		/** Why the fuck do neither Java nor Guava have a Function to do this? */
		public static <X, Y extends Comparable> LinkedHashMap<X,Y> sortByValuesAcending(Map<X,Y> aMap) {
			List<Map.Entry<X,Y>> tEntrySet = new LinkedList<Map.Entry<X,Y>>(aMap.entrySet());
			Collections.sort(tEntrySet, new Comparator<Map.Entry<X,Y>>() {@Override public int compare(Entry<X, Y> aValue1, Entry<X, Y> aValue2) {return aValue1.getValue().compareTo(aValue2.getValue());}});
			LinkedHashMap<X,Y> rMap = new LinkedHashMap<X,Y>();
			for (Map.Entry<X,Y> tEntry : tEntrySet) rMap.put(tEntry.getKey(), tEntry.getValue());
			return rMap;
		}
		
		/** Why the fuck do neither Java nor Guava have a Function to do this? */
		public static <X, Y extends Comparable> LinkedHashMap<X,Y> sortByValuesDescending(Map<X,Y> aMap) {
			List<Map.Entry<X,Y>> tEntrySet = new LinkedList<Map.Entry<X,Y>>(aMap.entrySet());
			Collections.sort(tEntrySet, new Comparator<Map.Entry<X,Y>>() {@Override public int compare(Entry<X, Y> aValue1, Entry<X, Y> aValue2) {return -aValue1.getValue().compareTo(aValue2.getValue());}});
			LinkedHashMap<X,Y> rMap = new LinkedHashMap<X,Y>();
			for (Map.Entry<X,Y> tEntry : tEntrySet) rMap.put(tEntry.getKey(), tEntry.getValue());
			return rMap;
		}
		
		public static <E> E selectInList(long aIndex, E aReplacement, List<E> aList) {
			if (aList == null || aList.isEmpty()) return aReplacement;
			if (aList.size() <= aIndex) return aList.get(aList.size() - 1);
			if (aIndex < 0) return aList.get(0);
			return aList.get((int)aIndex);
		}
		
		public static <E> E selectInArray(long aIndex, E aReplacement, E... aArray) {
			if (aArray == null || aArray.length == 0) return aReplacement;
			if (aArray.length <= aIndex) return aArray[aArray.length - 1];
			if (aIndex < 0) return aArray[0];
			return aArray[(int)aIndex];
		}
		
		public static boolean inArray(Object aObject, Object... aObjects) {
			return inList(aObject, Arrays.asList(aObjects));
		}
		
		public static boolean inList(Object aObject, Collection aObjects) {
			if (aObjects == null) return F;
			return aObjects.contains(aObject);
		}
		
		public static final int[][] ASCENDING_ARRAYS = new int[256][];
		
		public static int[] getAscendingArray(int aLength) {
			if (aLength <= 0) return ZL_INTEGER;
			if (aLength < ASCENDING_ARRAYS.length) {
				if (ASCENDING_ARRAYS[aLength] == null) {
					ASCENDING_ARRAYS[aLength] = new int[aLength];
					for (int i = 0; i < aLength; i++) ASCENDING_ARRAYS[aLength][i] = i;
				}
				return ASCENDING_ARRAYS[aLength];
			}
			int[] rArray = new int[aLength];
			for (int i = 0; i < aLength; i++) rArray[i] = i;
			return rArray;
		}
		
		public static boolean stringValid(Object aString) {
			return aString != null && !aString.toString().isEmpty();
		}
		
		public static boolean stringInvalid(Object aString) {
			return aString == null || aString.toString().isEmpty();
		}
		
		public static byte side(ForgeDirection aDirection) {
			return (byte)(aDirection==null?SIDE_INVALID:aDirection.ordinal());
		}
		
		public static byte side(int aSide) {
			return aSide > 5 || aSide < 0 ? SIDE_INVALID : (byte)aSide;
		}
		
		/** If this Index exists inside the passed Array and if it is != null */
		public static <E> boolean exists(int aIndex, E[] aArray) {
			return aIndex >= 0 && aIndex < aArray.length && aArray[aIndex] != null;
		}
		
		/** @return a Value for a Scale between 0 and aMax with aScale+1 possible Steps. 0 is only returned if the aValue is <= 0, aScale is only returned if the Value is >= aMax. The remaining values between ]0:aScale[ are returned for each Step of the Scale. This Function finds use in Displays such as the Barometer, but also in Redstone. */
		public static long scale(long aValue, long aMax, long aScale, boolean aInvert) {
			long rScale = (aValue <= 0 ? 0 : aValue >= aMax ? aScale : aScale <= 2 ? 1 : 1 + (aValue * (aScale-1)) / aMax);
			return aInvert ? aScale - rScale : rScale;
		}
		
		/** @return a Value for a Scale between aMin and aMax with aScale+1 possible Steps. 0 is only returned if the aValue is <= aMin, aScale is only returned if the Value is >= aMax. The remaining values between ]0:aScale[ are returned for each Step of the Scale. This Function finds use in Displays such as the Barometer, but also in Redstone. */
		public static long scale(long aValue, long aMin, long aMax, long aScale, boolean aInvert) {
			return scale(aValue-aMin, aMax-aMin, aScale, aInvert);
		}
		
		public static long bind(long aMin, long aMax, long aBoundValue) {
			return aMin > aMax ? Math.max(aMax, Math.min(aMin, aBoundValue)) : Math.max(aMin, Math.min(aMax, aBoundValue));
		}
		public static long bind_(long aMin, long aMax, long aBoundValue) {
			return Math.max(aMin, Math.min(aMax, aBoundValue));
		}
		
		public static byte	bind1		(long aBoundValue) {return (byte)	Math.max(0, Math.min(         1, aBoundValue));}
		public static byte	bind2		(long aBoundValue) {return (byte)	Math.max(0, Math.min(         3, aBoundValue));}
		public static byte	bind3		(long aBoundValue) {return (byte)	Math.max(0, Math.min(         7, aBoundValue));}
		public static byte	bind4		(long aBoundValue) {return (byte)	Math.max(0, Math.min(        15, aBoundValue));}
		public static byte	bind5		(long aBoundValue) {return (byte)	Math.max(0, Math.min(        31, aBoundValue));}
		public static byte	bind6		(long aBoundValue) {return (byte)	Math.max(0, Math.min(        63, aBoundValue));}
		public static byte	bind7		(long aBoundValue) {return (byte)	Math.max(0, Math.min(       127, aBoundValue));}
		public static short	bind8		(long aBoundValue) {return (short)	Math.max(0, Math.min(       255, aBoundValue));}
		public static short	bind15		(long aBoundValue) {return (short)	Math.max(0, Math.min(     32767, aBoundValue));}
		public static int	bind16		(long aBoundValue) {return (int)	Math.max(0, Math.min(     65535, aBoundValue));}
		public static int	bind24		(long aBoundValue) {return (int)	Math.max(0, Math.min(  16777215, aBoundValue));}
		public static int	bind31		(long aBoundValue) {return (int)	Math.max(0, Math.min(2147483647, aBoundValue));}
		public static int	bindInt		(long aBoundValue) {return (int)	Math.max(Integer.MIN_VALUE, Math.min(Integer.MAX_VALUE, aBoundValue));}
		public static short	bindShort	(long aBoundValue) {return (short)	Math.max(Short.MIN_VALUE, Math.min(Short.MAX_VALUE, aBoundValue));}
		public static byte	bindByte	(long aBoundValue) {return (byte)	Math.max(Byte.MIN_VALUE, Math.min(Byte.MAX_VALUE, aBoundValue));}
		public static byte	bindStack	(long aBoundValue) {return (byte)	Math.max(1, Math.min(64, aBoundValue));}
		
		public static short[] bindRGBa(short[] aColors) {
			if (aColors == null) return new short[] {255,255,255,255};
			for (int i = 0; i < aColors.length; i++) aColors[i] = bind8(aColors[i]);
			return aColors;
		}
		
		public static int mixRGBInt(int aRGB1, int aRGB2) {
			return getRGBInt(new short[] {(short)((getR(aRGB1) + getR(aRGB2)) >> 1), (short)((getG(aRGB1) + getG(aRGB2)) >> 1), (short)((getB(aRGB1) + getB(aRGB2)) >> 1)});
		}
		
		public static int getRGBInt(short[] aColors) {
			return aColors == null ? 16777215 : (bind8(aColors[0]) << 16) | (bind8(aColors[1]) << 8) | bind8(aColors[2]);
		}
		
		public static int getRGBaInt(short[] aColors) {
			return aColors == null ? 16777215 : (bind8(aColors[0]) << 16) | (bind8(aColors[1]) << 8) | bind8(aColors[2]) | (bind8(aColors[3]) << 24);
		}
		
		public static int getRGBInt(long aR, long aG, long aB) {
			return (bind8(aR) << 16) | (bind8(aG) << 8) | bind8(aB);
		}
		
		public static int getRGBaInt(long aR, long aG, long aB, long aA) {
			return (bind8(aR) << 16) | (bind8(aG) << 8) | bind8(aB) | (bind8(aA) << 24);
		}
		
		public static short[] getRGBaArray(int aColors) {
			return new short[] {(short)((aColors >> 16) & 255), (short)((aColors >> 8) & 255), (short)(aColors & 255), (short)((aColors >> 24) & 255)};
		}
		
		public static short getR(int aColors) {return (short)((aColors >> 16) & 255);}
		public static short getG(int aColors) {return (short)((aColors >>  8) & 255);}
		public static short getB(int aColors) {return (short) (aColors        & 255);}
		public static short getA(int aColors) {return (short)((aColors >> 24) & 255);}
		
		@SideOnly(Side.CLIENT)
		@SuppressWarnings("cast")
		/** estebes helped with the code for this one */
		public static short[] color(ItemStack aStack) {
			if (ST.invalid(aStack)) return UNCOLOURED;
			IIcon tIcon = null;
			try {tIcon = aStack.getIconIndex();} catch(Throwable e) {return UNCOLOURED;} // And ofcourse some Mod needs to crash here...
			if (tIcon == null) return UNCOLOURED;
			String tResourceLocation = tIcon.getIconName();
			if (stringInvalid(tResourceLocation)) return UNCOLOURED;
			short[] rColor = color(tResourceLocation);
			if (rColor == null) return UNCOLOURED;
			short[] rModulation = getRGBaArray(aStack.getItem().getColorFromItemStack(aStack, 0));
			for (byte i = 0; i < 3; i++) rColor[i] = (short)((rColor[i] * (int)rModulation[i]) / 255);
			return rColor;
		}
		
		@SideOnly(Side.CLIENT)
		/** estebes helped with the code for this one */
		public static short[] color(String aResourceLocation) {
			ResourceLocation aux = null;
			if (aResourceLocation.contains(":")) {
				String[] modid_itemid = aResourceLocation.split(":");
				aux = new ResourceLocation(modid_itemid[0], "textures/items/" + modid_itemid[1] + ".png");
			} else {
				aux = new ResourceLocation("minecraft", "textures/items/" + aResourceLocation + ".png");
			}
			java.awt.image.BufferedImage tIcon = null;
			try {tIcon = javax.imageio.ImageIO.read(Minecraft.getMinecraft().getResourceManager().getResource(aux).getInputStream());} catch (IOException e) {/**/}
			return tIcon == null ? null : color(tIcon);
		}
		
		@SideOnly(Side.CLIENT)
		/** estebes helped with the code for this one */
		public static short[] color(java.awt.image.BufferedImage icon) {
			long tR = 0, tG = 0, tB = 0, tPixels = 0;
			for (int tWidth = 0; tWidth < icon.getWidth(); tWidth++) for (int tHeight = 0; tHeight < icon.getHeight(); tHeight++) {
				int tPixel = icon.getRGB(tWidth, tHeight);
				if (((tPixel >> 24) & 255) > 128) {
					tR += (tPixel >> 16) & 255;
					tG += (tPixel >> 8) & 255;
					tB += tPixel & 255;
					tPixels++;
				}
			}
			return new short[] {(short)(tR / tPixels), (short)(tG / tPixels), (short)(tB / tPixels)};
		}
		
		/** toUpperCases the first Character of the String and returns it */
		public static String capitalise(String aString) {
			if (aString != null && !aString.isEmpty()) return aString.substring(0, 1).toUpperCase() + aString.substring(1);
			return "";
		}
		
		/** @return the opposite facing of this Side of a Block, with a boundary check. */
		public static byte opposite(int aSide) {
			return aSide < OPPOSITES.length && aSide >= 0 ? OPPOSITES[aSide] : 6;
		}
		
		/** Translates Amount of aUnit1 to Amount of aUnit2. */
		public static long units(long aAmount, long aOriginalUnit, long aTargetUnit, boolean aRoundUp) {
			if (aOriginalUnit == aTargetUnit || aOriginalUnit == 0) return aAmount;
			return Math.max(0, ((aAmount * aTargetUnit) / aOriginalUnit) + (aRoundUp && (aAmount * aTargetUnit) % aOriginalUnit > 0 ? 1 : 0));
		}
		
		/** Divides but rounds up. */
		public static long divup(long aNumber, long aDivider) {
			return aNumber / aDivider + (aNumber % aDivider == 0 ? 0 : 1);
		}
		
		public static long sum(byte... aArray) {
			long rAmount = 0;
			for (byte tNumber : aArray) rAmount += tNumber;
			return rAmount;
		}
		
		public static long sum(short... aArray) {
			long rAmount = 0;
			for (short tNumber : aArray) rAmount += tNumber;
			return rAmount;
		}
		
		public static long sum(int... aArray) {
			long rAmount = 0;
			for (int tNumber : aArray) rAmount += tNumber;
			return rAmount;
		}
		
		public static long sum(long... aArray) {
			long rAmount = 0;
			for (long tNumber : aArray) rAmount += tNumber;
			return rAmount;
		}
		
		public static boolean abs_greater(long aAmount1, long aAmount2) {return Math.abs(aAmount1) > Math.abs(aAmount2);}
		public static boolean abs_smaller(long aAmount1, long aAmount2) {return Math.abs(aAmount1) < Math.abs(aAmount2);}
		public static boolean abs_greater_equal(long aAmount1, long aAmount2) {return Math.abs(aAmount1) >= Math.abs(aAmount2);}
		public static boolean abs_smaller_equal(long aAmount1, long aAmount2) {return Math.abs(aAmount1) <= Math.abs(aAmount2);}
		
		public static boolean inside(long aMin, long aMax, long aNumber) {return aMin < aMax ? aMin <= aNumber && aNumber <= aMax : aMax <= aNumber && aNumber <= aMin;}
		
		/** @return an Array containing the X and the Y Coordinate of the clicked Point, with the top left Corner as Origin, like on the Texture Sheet. return values should always be between [0.0F and 0.99F]. */
		public static float[] getFacingCoordsClicked(byte aSide, float aHitX, float aHitY, float aHitZ) {
			switch (aSide) {
			case  0: return new float[] {Math.min(0.99F, Math.max(0,1-aHitX)), Math.min(0.99F, Math.max(0,  aHitZ))};
			case  1: return new float[] {Math.min(0.99F, Math.max(0,  aHitX)), Math.min(0.99F, Math.max(0,  aHitZ))};
			case  2: return new float[] {Math.min(0.99F, Math.max(0,1-aHitX)), Math.min(0.99F, Math.max(0,1-aHitY))};
			case  3: return new float[] {Math.min(0.99F, Math.max(0,  aHitX)), Math.min(0.99F, Math.max(0,1-aHitY))};
			case  4: return new float[] {Math.min(0.99F, Math.max(0,  aHitZ)), Math.min(0.99F, Math.max(0,1-aHitY))};
			case  5: return new float[] {Math.min(0.99F, Math.max(0,1-aHitZ)), Math.min(0.99F, Math.max(0,1-aHitY))};
			default: return new float[] {0.5F, 0.5F};
			}
		}
		
		public static byte getSideForPlayerPlacing(Entity aPlayer) {
			if (aPlayer.rotationPitch >=  65) return SIDE_UP;
			if (aPlayer.rotationPitch <= -65) return SIDE_DOWN;
			return COMPASS_DIRECTIONS[MathHelper.floor_double(4*aPlayer.rotationYaw/360+0.5)&3];
		}
		
		public static byte getSideForPlayerPlacing(Entity aPlayer, byte aDefaultFacing, boolean[] aAllowedFacings) {
			if (aPlayer.rotationPitch >=  65 && aAllowedFacings[SIDE_UP]) return SIDE_UP;
			if (aPlayer.rotationPitch <= -65 && aAllowedFacings[SIDE_DOWN]) return SIDE_DOWN;
			byte rFacing = COMPASS_DIRECTIONS[MathHelper.floor_double(0.5+4*aPlayer.rotationYaw/360)&3];
			if (aAllowedFacings[rFacing]) return rFacing;
			for (byte tSide : ALL_SIDES_VALID) if (aAllowedFacings[tSide]) return tSide;
			return aDefaultFacing;
		}
		
		public static byte getOppositeSideForPlayerPlacing(Entity aPlayer, byte aDefaultFacing, boolean[] aAllowedFacings) {
			if (aPlayer.rotationPitch >=  65 && aAllowedFacings[SIDE_DOWN]) return SIDE_DOWN;
			if (aPlayer.rotationPitch <= -65 && aAllowedFacings[SIDE_UP]) return SIDE_UP;
			byte rFacing = OPPOSITES[COMPASS_DIRECTIONS[MathHelper.floor_double(0.5+4*aPlayer.rotationYaw/360)&3]];
			if (aAllowedFacings[rFacing]) return rFacing;
			for (byte tSide : ALL_SIDES_VALID) if (aAllowedFacings[tSide]) return tSide;
			return aDefaultFacing;
		}
		
		/**
		 * This Function determines the direction a Block gets when being Wrenched.
		 * returns -1 if invalid. Even though that could never happen.
		 */
		public static byte getSideWrenching(byte aSide, float aHitX, float aHitY, float aHitZ) {
			switch (aSide) {
			case  0: case  1:
				if (aHitX < 0.25) return aHitZ < 0.25 || aHitZ > 0.75 ? OPPOSITES[aSide] : 4;
				if (aHitX > 0.75) return aHitZ < 0.25 || aHitZ > 0.75 ? OPPOSITES[aSide] : 5;
				if (aHitZ < 0.25) return 2;
				if (aHitZ > 0.75) return 3;
				return aSide;
			case  2: case  3:
				if (aHitX < 0.25) return aHitY < 0.25 || aHitY > 0.75 ? OPPOSITES[aSide] : 4;
				if (aHitX > 0.75) return aHitY < 0.25 || aHitY > 0.75 ? OPPOSITES[aSide] : 5;
				if (aHitY < 0.25) return 0;
				if (aHitY > 0.75) return 1;
				return aSide;
			case  4: case  5:
				if (aHitZ < 0.25) return aHitY < 0.25 || aHitY > 0.75 ? OPPOSITES[aSide] : 2;
				if (aHitZ > 0.75) return aHitY < 0.25 || aHitY > 0.75 ? OPPOSITES[aSide] : 3;
				if (aHitY < 0.25) return 0;
				if (aHitY > 0.75) return 1;
				return aSide;
			}
			return -1;
		}
	}
	
	public static class NBT {
		/** Turns each Object -> Object Pair into a Part of the passed NBT as Object-toString()-Key -> Value Pair */
		public static NBTTagCompound getNBTs(NBTTagCompound aNBT, Object... aTags) {
			if (aNBT == null) aNBT = new NBTTagCompound();
			for (int i = 1; i < aTags.length; i+=2) {
				if (aTags[i] == null) {/* Nothing */}
				else if (aTags[i] instanceof Boolean)			aNBT.setBoolean(	aTags[i-1].toString(), (Boolean)				aTags[i]);
				else if (aTags[i] instanceof Byte)				aNBT.setByte(		aTags[i-1].toString(), (Byte)					aTags[i]);
				else if (aTags[i] instanceof Short)				aNBT.setShort(		aTags[i-1].toString(), (Short)					aTags[i]);
				else if (aTags[i] instanceof Integer)			aNBT.setInteger(	aTags[i-1].toString(), (Integer)				aTags[i]);
				else if (aTags[i] instanceof Long)				aNBT.setLong(		aTags[i-1].toString(), (Long)					aTags[i]);
				else if (aTags[i] instanceof Float)				aNBT.setFloat(		aTags[i-1].toString(), (Float)					aTags[i]);
				else if (aTags[i] instanceof Double)			aNBT.setDouble(		aTags[i-1].toString(), (Double)					aTags[i]);
				else if (aTags[i] instanceof String)			aNBT.setString(		aTags[i-1].toString(), (String)					aTags[i]);
				else if (aTags[i] instanceof NBTBase)			aNBT.setTag(		aTags[i-1].toString(), (NBTBase)				aTags[i]);
				else if (aTags[i] instanceof FluidStack)		aNBT.setTag(		aTags[i-1].toString(), Fluids.save((FluidStack)	aTags[i]));
				else if (aTags[i] instanceof OreDictMaterial)	aNBT.setString(		aTags[i-1].toString(), ((OreDictMaterial)		aTags[i]).mNameInternal);
				else if (aTags[i] instanceof RecipeMap)			aNBT.setString(		aTags[i-1].toString(), ((RecipeMap)				aTags[i]).mNameInternal);
				else 											aNBT.setString(		aTags[i-1].toString(), aTags[i].toString());
			}
			return aNBT;
		}
		
		/** Fuses two NBT Compounds together with the Priority lying on the content of the first NBT */
		public static NBTTagCompound fuseNBTs(NBTTagCompound aNBT1, NBTTagCompound aNBT2) {
			if (aNBT1 == null) return aNBT2==null?new NBTTagCompound():(NBTTagCompound)aNBT2.copy();
			NBTTagCompound rNBT = (NBTTagCompound)aNBT1.copy();
			if (aNBT2 == null) return rNBT;
			for (Object tKey : aNBT2.func_150296_c()) if (!rNBT.hasKey(tKey.toString())) rNBT.setTag(tKey.toString(), aNBT2.getTag(tKey.toString()));
			return rNBT;
		}
		
		public static NBTTagCompound getNBTBoolean(NBTTagCompound aNBT, Object aTag, boolean aValue) {
			if (aNBT == null) aNBT = new NBTTagCompound();
			aNBT.setBoolean(aTag.toString(), aValue);
			return aNBT;
		}
		
		public static NBTTagCompound getNBTByte(NBTTagCompound aNBT, Object aTag, byte aValue) {
			if (aNBT == null) aNBT = new NBTTagCompound();
			aNBT.setByte(aTag.toString(), aValue);
			return aNBT;
		}
		
		public static NBTTagCompound getNBTShort(NBTTagCompound aNBT, Object aTag, short aValue) {
			if (aNBT == null) aNBT = new NBTTagCompound();
			aNBT.setShort(aTag.toString(), aValue);
			return aNBT;
		}
		
		public static NBTTagCompound getNBTInteger(NBTTagCompound aNBT, Object aTag, int aValue) {
			if (aNBT == null) aNBT = new NBTTagCompound();
			aNBT.setInteger(aTag.toString(), aValue);
			return aNBT;
		}
		
		public static NBTTagCompound getNBTLong(NBTTagCompound aNBT, Object aTag, long aValue) {
			if (aNBT == null) aNBT = new NBTTagCompound();
			NBT.setNumber(aNBT, aTag.toString(), aValue);
			return aNBT;
		}
		
		public static NBTTagCompound getNBTFloat(NBTTagCompound aNBT, Object aTag, float aValue) {
			if (aNBT == null) aNBT = new NBTTagCompound();
			aNBT.setFloat(aTag.toString(), aValue);
			return aNBT;
		}
		
		public static NBTTagCompound getNBTDouble(NBTTagCompound aNBT, Object aTag, double aValue) {
			if (aNBT == null) aNBT = new NBTTagCompound();
			aNBT.setDouble(aTag.toString(), aValue);
			return aNBT;
		}
		
		public static NBTTagCompound getNBTString(NBTTagCompound aNBT, Object aTag, Object aValue) {
			if (aNBT == null) aNBT = new NBTTagCompound();
			if (aValue == null) return aNBT;
			aNBT.setString(aTag.toString(), aValue.toString());
			return aNBT;
		}
		
		/** Saves on Data Size by simply not adding "false" Booleans. */
		public static NBTTagCompound setBoolean(NBTTagCompound aNBT, Object aTag, boolean aValue) {
			if (aValue) {
				aNBT.setBoolean(aTag.toString(), aValue);
			} else {
				aNBT.removeTag(aTag.toString());
			}
			return aNBT;
		}
		
		/** Saves on Data Size by choosing the smallest possible Data Type, and by also not adding zeros. The regular getLong() Function can also get the other Number Types. */
		public static NBTTagCompound setNumber(NBTTagCompound aNBT, Object aTag, long aValue) {
			if (aValue == 0) {aNBT.removeTag(aTag.toString()); return aNBT;}
			if (aValue > Integer.MAX_VALUE || aValue < Integer.MIN_VALUE) {aNBT.setLong(aTag.toString(), aValue); return aNBT;}
			if (aValue > Short.MAX_VALUE || aValue < Short.MIN_VALUE) {aNBT.setInteger(aTag.toString(), (int)aValue); return aNBT;}
			if (aValue > Byte.MAX_VALUE || aValue < Byte.MIN_VALUE) {aNBT.setShort(aTag.toString(), (short)aValue); return aNBT;}
			aNBT.setByte(aTag.toString(), (byte)aValue);
			return aNBT;
		}
		
		public static ItemStack set(ItemStack aStack, NBTTagCompound aNBT) {
			if (aNBT == null || aNBT.hasNoTags()) {aStack.setTagCompound(null); return aStack;}
			ArrayList<String> tTagsToRemove = new ArrayListNoNulls<String>();
			for (Object tKey : aNBT.func_150296_c()) {
				NBTBase tValue = aNBT.getTag((String)tKey);
				if (tValue == null || (tValue instanceof NBTTagCompound && ((NBTTagCompound)tValue).hasNoTags()) || (tValue instanceof NBTPrimitive && ((NBTPrimitive)tValue).func_150291_c() == 0) || (tValue instanceof NBTTagString && Code.stringInvalid(((NBTTagString)tValue).func_150285_a_()))) tTagsToRemove.add((String)tKey);
			}
			for (Object tKey : tTagsToRemove) aNBT.removeTag((String)tKey);
			aStack.setTagCompound(aNBT.hasNoTags()?null:aNBT);
			return aStack;
		}
		
		public static NBTTagCompound getNBT(ItemStack aStack) {
			NBTTagCompound rNBT = aStack.getTagCompound();
			return rNBT==null?new NBTTagCompound():rNBT;
		}
		
		public static NBTTagCompound setPunchCardData(ItemStack aStack, String aPunchCardData) {
			NBTTagCompound tNBT = getNBT(aStack);
			tNBT.setString("gt.punchcard", aPunchCardData);
			set(aStack, tNBT);
			return tNBT;
		}
		public static String getPunchCardData(ItemStack aStack) {
			NBTTagCompound tNBT = getNBT(aStack);
			return tNBT.getString("gt.punchcard");
		}
		public static NBTTagCompound setPunchCardData(NBTTagCompound aNBT, String aPunchCardData) {
			aNBT.setString("gt.punchcard", aPunchCardData);
			return aNBT;
		}
		public static String getPunchCardData(NBTTagCompound aNBT) {
			return aNBT.getString("gt.punchcard");
		}
		
		public static NBTTagCompound setBlueprintCrafting(ItemStack aStack, ItemStack... aBlueprint) {
			NBTTagCompound tNBT = getNBT(aStack);
			setBlueprintCrafting(tNBT, aBlueprint);
			set(aStack, tNBT);
			return tNBT;
		}
		public static ItemStack[] getBlueprintCrafting(ItemStack aStack) {
			return getBlueprintCrafting(getNBT(aStack));
		}
		public static NBTTagCompound setBlueprintCrafting(NBTTagCompound aNBT, ItemStack... aBlueprint) {
			NBTTagCompound tList = new NBTTagCompound();
			boolean temp = F;
			for (int i = 0; i < aBlueprint.length; i++) if (ST.valid(aBlueprint[i])) {
				ST.save(tList, ""+i, aBlueprint[i]);
				temp = T;
			}
			if (temp) aNBT.setTag("gt.blueprint.craft", tList);
			return aNBT;
		}
		public static ItemStack[] getBlueprintCrafting(NBTTagCompound aNBT) {
			NBTTagCompound tList = aNBT.hasKey("gt.blueprint.craft")?aNBT.getCompoundTag("gt.blueprint.craft"):null;
			if (tList != null) {
				ItemStack[] rRecipe = new ItemStack[9];
				for (int i = 0; i < rRecipe.length; i++) rRecipe[i] = ST.amount(1, ST.load(tList, ""+i));
				return rRecipe;
			}
			return ZL_ITEMSTACK;
		}
		
		public static NBTTagCompound setLighterFuel(ItemStack aStack, long aFuel) {
			NBTTagCompound tNBT = getNBT(aStack);
			NBT.setNumber(tNBT, "gt.lighter", aFuel);
			set(aStack, tNBT);
			return tNBT;
		}
		public static long getLighterFuel(ItemStack aStack) {
			NBTTagCompound tNBT = getNBT(aStack);
			return tNBT.getLong("gt.lighter");
		}
		public static NBTTagCompound setLighterFuel(NBTTagCompound aNBT, long aFuel) {
			NBT.setNumber(aNBT, "gt.lighter", aFuel);
			return aNBT;
		}
		public static long getLighterFuel(NBTTagCompound aNBT) {
			return aNBT.getLong("gt.lighter");
		}
		
		public static NBTTagCompound setMapID(ItemStack aStack, short aMapID) {
			NBTTagCompound tNBT = getNBT(aStack);
			tNBT.setShort("map_id", aMapID);
			set(aStack, tNBT);
			return tNBT;
		}
		public static short getMapID(ItemStack aStack) {
			NBTTagCompound tNBT = getNBT(aStack);
			if (!tNBT.hasKey("map_id")) return -1;
			return tNBT.getShort("map_id");
		}
		public static NBTTagCompound setMapID(NBTTagCompound aNBT, short aMapID) {
			aNBT.setShort("map_id", aMapID);
			return aNBT;
		}
		public static short getMapID(NBTTagCompound aNBT) {
			if (!aNBT.hasKey("map_id")) return -1;
			return aNBT.getShort("map_id");
		}
		
		public static NBTTagCompound setBookMapping(ItemStack aStack, String aTitle) {
			NBTTagCompound tNBT = getNBT(aStack);
			tNBT.setString("book", aTitle);
			set(aStack, tNBT);
			return tNBT;
		}
		public static String getBookMapping(ItemStack aStack) {
			NBTTagCompound tNBT = getNBT(aStack);
			return tNBT.getString("book");
		}
		public static NBTTagCompound setBookMapping(NBTTagCompound aNBT, String aTitle) {
			aNBT.setString("book", aTitle);
			return aNBT;
		}
		public static String getBookMapping(NBTTagCompound aNBT) {
			return aNBT.getString("book");
		}
		
		public static NBTTagCompound setBookTitle(ItemStack aStack, String aTitle) {
			NBTTagCompound tNBT = getNBT(aStack);
			tNBT.setString("title", aTitle);
			set(aStack, tNBT);
			return tNBT;
		}
		public static String getBookTitle(ItemStack aStack) {
			NBTTagCompound tNBT = getNBT(aStack);
			return tNBT.getString("title");
		}
		public static NBTTagCompound setBookTitle(NBTTagCompound aNBT, String aTitle) {
			aNBT.setString("title", aTitle);
			return aNBT;
		}
		public static String getBookTitle(NBTTagCompound aNBT) {
			return aNBT.getString("title");
		}
		
		public static NBTTagCompound setBookAuthor(ItemStack aStack, String aAuthor) {
			NBTTagCompound tNBT = getNBT(aStack);
			tNBT.setString("author", aAuthor);
			set(aStack, tNBT);
			return tNBT;
		}
		public static String getBookAuthor(ItemStack aStack) {
			NBTTagCompound tNBT = getNBT(aStack);
			return tNBT.getString("author");
		}
		public static NBTTagCompound setBookAuthor(NBTTagCompound aNBT, String aAuthor) {
			aNBT.setString("author", aAuthor);
			return aNBT;
		}
		public static String getBookAuthor(NBTTagCompound aNBT) {
			return aNBT.getString("author");
		}
		
		public static List<String> getDataToolTip(NBTTagCompound aData, List<String> aList, boolean aAllDetails) {
			if (aData.hasKey(NBT_REACTOR_SETUP)) {
				aList.add(LH.Chat.CYAN + "Reactor Setup: " + aData.getString(NBT_REACTOR_SETUP_NAME));
				return aList;
			}
			if (aData.hasKey(NBT_CANVAS_BLOCK)) {
				aList.add(LH.Chat.CYAN + "Block Image: " + ST.names(ST.make(Block.getBlockById(aData.getInteger(NBT_CANVAS_BLOCK)), 1, aData.getInteger(NBT_CANVAS_META))));
				return aList;
			}
			if (aData.hasKey(NBT_REPLICATOR_DATA)) {
				short tIndex = aData.getShort(NBT_REPLICATOR_DATA);
				if (Code.exists(tIndex, OreDictMaterial.MATERIAL_ARRAY)) {
					OreDictMaterial tMaterial = OreDictMaterial.MATERIAL_ARRAY[tIndex];
					if (tMaterial.contains(TD.Processing.UUM)) {
						if (aAllDetails) {
							aList.add(LH.Chat.CYAN + "Material Data: " + LH.Chat.WHITE + tMaterial.getLocal());
							aList.add(LH.Chat.CYAN + "Can be Replicated using");
							if (tMaterial.contains(TD.Atomic.ANTIMATTER)) {
								aList.add(LH.Chat.WHITE + "Neutral Antimatter: " + LH.Chat.YELLOW + tMaterial.mNeutrons);
								aList.add(LH.Chat.WHITE + "Charged Antimatter: " + LH.Chat.RED + tMaterial.mProtons);
							} else {
								aList.add(LH.Chat.WHITE + "Neutral Matter: " + LH.Chat.YELLOW + tMaterial.mNeutrons);
								aList.add(LH.Chat.WHITE + "Charged Matter: " + LH.Chat.RED + tMaterial.mProtons);
							}
							aList.add(LH.Chat.WHITE + "Energy: " + TD.Energy.QU.getChatFormat() + ((tMaterial.mNeutrons+tMaterial.mProtons)*65536) + " " + TD.Energy.QU.getLocalisedNameShort());
						} else {
							aList.add(LH.Chat.CYAN + "Mat Data: " + LH.Chat.WHITE + tMaterial.getLocal() + (aAllDetails ? "" : " ("+LH.Chat.YELLOW+tMaterial.mNeutrons+LH.Chat.WHITE+"/"+LH.Chat.RED+tMaterial.mProtons+LH.Chat.WHITE+"/"+TD.Energy.QU.getChatFormat()+((tMaterial.mNeutrons+tMaterial.mProtons)*65536)+LH.Chat.WHITE+")"));
						}
					} else {
						aList.add(LH.Chat.CYAN + "Material Data: " + LH.Chat.WHITE + tMaterial.getLocal() + LH.Chat.ORANGE + " (Not Replicatable)");
					}
				}
				return aList;
			}
			String tString = NBT.getBookTitle(aData);
			if (Code.stringValid(tString)) {
				aList.add(LH.Chat.CYAN + "Book: " + tString);
				if (aAllDetails) {
					tString = NBT.getBookAuthor(aData);
					if (Code.stringValid(tString)) aList.add(LH.Chat.CYAN + "by " + tString);
				}
				return aList;
			}
			short tMapID = NBT.getMapID(aData);
			if (tMapID >= 0) {
				aList.add(LH.Chat.CYAN + "Map ID: " + tMapID);
				return aList;
			}
			tString = NBT.getPunchCardData(aData);
			if (Code.stringValid(tString)) {
				aList.add(LH.Chat.CYAN + "Punch Card Data");
				if (aAllDetails) for (int i = 0, j = tString.length(); i < j; i += 64) aList.add(LH.Chat.GREEN + tString.substring(i, Math.min(i+64, j)));
				return aList;
			}
			ItemStack[] tBlueprint = NBT.getBlueprintCrafting(aData);
			if (tBlueprint != ZL_ITEMSTACK) {
				ItemStack tCrafted = Crafting.getany(DW, tBlueprint);
				if (tCrafted == null) {
					aList.add(LH.Chat.CYAN + "Blueprint with random Items");
				} else {
					if (aAllDetails) {
						aList.add(LH.Chat.CYAN + "Blueprint for " + tCrafted.getDisplayName());
					} else {
						aList.add(LH.Chat.CYAN + "Blueprint: " + tCrafted.getDisplayName());
					}
				}
				return aList;
			}
			return aList;
		}
		
		public static void addEnchantment(ItemStack aStack, Enchantment aEnchantment, long aLevel) {
			NBTTagCompound tNBT = getNBT(aStack), tEnchantmentTag;
			if (!tNBT.hasKey("ench", 9)) tNBT.setTag("ench", new NBTTagList());
			NBTTagList tList = tNBT.getTagList("ench", 10);
			
			boolean temp = CS.T;
			
			for (int i = 0; i < tList.tagCount(); i++) {
				tEnchantmentTag = tList.getCompoundTagAt(i);
				if (tEnchantmentTag.getShort("id") == aEnchantment.effectId) {
					tEnchantmentTag.setShort("id", (short)aEnchantment.effectId);
					tEnchantmentTag.setShort("lvl", (byte)aLevel);
					temp = F;
					break;
				}
			}
			
			if (temp) {
				tEnchantmentTag = new NBTTagCompound();
				tEnchantmentTag.setShort("id", (short)aEnchantment.effectId);
				tEnchantmentTag.setShort("lvl", (byte)aLevel);
				tList.appendTag(tEnchantmentTag);
			}
			
			NBT.set(aStack, tNBT);
		}
	}
	
	/**
	 * THIS IS BULLSHIT!!! WHY DO I HAVE TO DO THIS SHIT JUST TO HAVE ENCHANTS PROPERLY!?!
	 */
	public static class Enchantments {
		private static final BullshitIteratorA mBullshitIteratorA = new BullshitIteratorA();
		private static final BullshitIteratorB mBullshitIteratorB = new BullshitIteratorB();
		
		private static void applyBullshit(IBullshit aBullshitModifier, ItemStack aStack) {
			if (aStack != null) {
				NBTTagList nbttaglist = aStack.getEnchantmentTagList();
				if (nbttaglist != null) {
					for (int i = 0; i < nbttaglist.tagCount(); ++i) {
						try {
							short short1 = nbttaglist.getCompoundTagAt(i).getShort("id");
							short short2 = nbttaglist.getCompoundTagAt(i).getShort("lvl");
							if (Enchantment.enchantmentsList[short1] != null) aBullshitModifier.calculateModifier(Enchantment.enchantmentsList[short1], short2);
						} catch(Throwable e) {
							//
						}
					}
				}
			}
		}
		
		private static void applyArrayOfBullshit(IBullshit aBullshitModifier, ItemStack[] aStacks) {
			for (int i = 0; i < aStacks.length; i++) applyBullshit(aBullshitModifier, aStacks[i]);
		}
		
		public static void applyBullshitA(EntityLivingBase aPlayer, Entity aEntity, ItemStack aStack) {
			mBullshitIteratorA.mPlayer = aPlayer;
			mBullshitIteratorA.mEntity = aEntity;
			if (aPlayer != null) applyArrayOfBullshit(mBullshitIteratorA, aPlayer.getLastActiveItems());
			if (aStack != null) applyBullshit(mBullshitIteratorA, aStack);
		}
		
		public static void applyBullshitB(EntityLivingBase aPlayer, Entity aEntity, ItemStack aStack) {
			mBullshitIteratorB.mPlayer = aPlayer;
			mBullshitIteratorB.mEntity = aEntity;
			if (aPlayer != null) applyArrayOfBullshit(mBullshitIteratorB, aPlayer.getLastActiveItems());
			if (aStack != null) applyBullshit(mBullshitIteratorB, aStack);
		}
		
		static final class BullshitIteratorA implements IBullshit {
			public EntityLivingBase mPlayer;
			public Entity mEntity;
			BullshitIteratorA() {}
			
			@Override
			public void calculateModifier(Enchantment aEnchantment, int aLevel) {
				aEnchantment.func_151367_b(mPlayer, mEntity, aLevel);
			}
		}
		
		static final class BullshitIteratorB implements IBullshit {
			public EntityLivingBase mPlayer;
			public Entity mEntity;
			BullshitIteratorB() {}
			
			@Override
			public void calculateModifier(Enchantment aEnchantment, int aLevel) {
				aEnchantment.func_151368_a(mPlayer, mEntity, aLevel);
			}
		}
		
		interface IBullshit {
			void calculateModifier(Enchantment aEnchantment, int aLevel);
		}
	}
	
	public static class Reflection {
		public static Field getPublicField(Object aObject, String aField) {
			Field rField = null;
			try {
				rField = aObject.getClass().getDeclaredField(aField);
			} catch (Throwable e) {/*Do nothing*/}
			return rField;
		}
		
		public static Field getField(Object aObject, String aField) {
			Field rField = null;
			try {
				rField = aObject.getClass().getDeclaredField(aField);
				rField.setAccessible(T);
			} catch (Throwable e) {/*Do nothing*/}
			return rField;
		}
		
		public static Field getField(Class aObject, String aField) {
			Field rField = null;
			try {
				rField = aObject.getDeclaredField(aField);
				rField.setAccessible(T);
			} catch (Throwable e) {/*Do nothing*/}
			return rField;
		}
		
		public static Method getMethod(Class aObject, String aMethod, Class<?>... aParameterTypes) {
			Method rMethod = null;
			try {
				rMethod = aObject.getMethod(aMethod, aParameterTypes);
				rMethod.setAccessible(T);
			} catch (Throwable e) {/*Do nothing*/}
			return rMethod;
		}

		public static Method getMethod(Object aObject, String aMethod, Class<?>... aParameterTypes) {
			Method rMethod = null;
			try {
				rMethod = aObject.getClass().getMethod(aMethod, aParameterTypes);
				rMethod.setAccessible(T);
			} catch (Throwable e) {/*Do nothing*/}
			return rMethod;
		}

		public static Field getField(Object aObject, String aField, boolean aPrivate, boolean aLogErrors) {
			try {
				Field tField = (aObject instanceof Class)?((Class)aObject).getDeclaredField(aField):(aObject instanceof String)?Class.forName((String)aObject).getDeclaredField(aField):aObject.getClass().getDeclaredField(aField);
				if (aPrivate) tField.setAccessible(T);
				return tField;
			} catch (Throwable e) {
				if (aLogErrors) e.printStackTrace(ERR);
			}
			return null;
		}
		
		public static Object getFieldContent(Object aObject, String aField, boolean aPrivate, boolean aLogErrors) {
			try {
				Field tField = (aObject instanceof Class)?((Class)aObject).getDeclaredField(aField):(aObject instanceof String)?Class.forName((String)aObject).getDeclaredField(aField):aObject.getClass().getDeclaredField(aField);
				if (aPrivate) tField.setAccessible(T);
				return tField.get(aObject instanceof Class || aObject instanceof String ? null : aObject);
			} catch (Throwable e) {
				if (aLogErrors) e.printStackTrace(ERR);
			}
			return null;
		}
		
		public static Object callPublicMethod(Object aObject, String aMethod, Object... aParameters) {
			return callMethod(aObject, aMethod, F, F, T, aParameters);
		}

		public static Object callPrivateMethod(Object aObject, String aMethod, Object... aParameters) {
			return callMethod(aObject, aMethod, T, F, T, aParameters);
		}
		
		public static Object callMethod(Object aObject, String aMethod, boolean aPrivate, boolean aUseUpperCasedDataTypes, boolean aLogErrors, Object... aParameters) {
			try {
				Class<?>[] tParameterTypes = new Class<?>[aParameters.length];
				for (byte i = 0; i < aParameters.length; i++) {
					if (aParameters[i] instanceof Class) {
						tParameterTypes[i] = (Class)aParameters[i];
						aParameters[i] = null;
					} else {
						tParameterTypes[i] = aParameters[i].getClass();
					}
					if (!aUseUpperCasedDataTypes) {
						if (tParameterTypes[i] == Boolean.class	) tParameterTypes[i] = boolean.class;	else
						if (tParameterTypes[i] == Byte.class	) tParameterTypes[i] = byte.class;		else
						if (tParameterTypes[i] == Short.class	) tParameterTypes[i] = short.class;		else
						if (tParameterTypes[i] == Integer.class	) tParameterTypes[i] = int.class;		else
						if (tParameterTypes[i] == Long.class	) tParameterTypes[i] = long.class;		else
						if (tParameterTypes[i] == Float.class	) tParameterTypes[i] = float.class;		else
						if (tParameterTypes[i] == Double.class	) tParameterTypes[i] = double.class;
					}
				}
				
				Method tMethod = (aObject instanceof Class)?((Class)aObject).getMethod(aMethod, tParameterTypes):aObject.getClass().getMethod(aMethod, tParameterTypes);
				if (aPrivate) tMethod.setAccessible(T);
				return tMethod.invoke(aObject, aParameters);
			} catch (Throwable e) {
				if (aLogErrors) e.printStackTrace(ERR);
			}
			return null;
		}
		
		public static Object callConstructor(String aClass, int aConstructorIndex, Object aReplacementObject, boolean aLogErrors, Object... aParameters) {
			try {return callConstructor(Class.forName(aClass), aConstructorIndex, aReplacementObject, aLogErrors, aParameters);} catch (Throwable e) {if (aLogErrors) e.printStackTrace(ERR);} return aReplacementObject;
		}
		
		public static Object callConstructor(Class aClass, int aConstructorIndex, Object aReplacementObject, boolean aLogErrors, Object... aParameters) {
			if (aConstructorIndex < 0) {
				try {
					for (Constructor tConstructor : aClass.getConstructors()) {
						try {
							return tConstructor.newInstance(aParameters);
						} catch (Throwable e) {/*Do nothing*/}
					}
				} catch (Throwable e) {
					if (aLogErrors) e.printStackTrace(ERR);
				}
			} else {
				try {
					return aClass.getConstructors()[aConstructorIndex].newInstance(aParameters);
				} catch (Throwable e) {
					if (aLogErrors) e.printStackTrace(ERR);
				}
			}
			return aReplacementObject;
		}
		
		public static String getClassName(Object aObject) {
			if (aObject == null) return "null";
			return aObject.getClass().getName().substring(aObject.getClass().getName().lastIndexOf(".")+1);
		}
	}
	
	public static class Inventories {
		public static boolean TE_CHECK = F, BC_CHECK = F, CHECK_ALL = T;
		
		public static void checkAvailabilities() {
			if (CHECK_ALL) {
				try {
					Class tClass = cofh.api.transport.IItemConduit.class;
					tClass.getCanonicalName();
					TE_CHECK = T;
				} catch(Throwable e) {/**/}
				try {
					Class tClass = buildcraft.api.transport.IInjectable.class;
					tClass.getCanonicalName();
					BC_CHECK = T;
				} catch(Throwable e) {/**/}
				CHECK_ALL = F;
			}
		}
		
		public static boolean isConnectableNonInventoryPipe(Object aTileEntity, int aSide) {
			if (aTileEntity == null) return F;
			checkAvailabilities();
			if (TE_CHECK) if (aTileEntity instanceof cofh.api.transport.IItemConduit) return T;
			if (BC_CHECK) if (aTileEntity instanceof buildcraft.api.transport.IInjectable) return ((buildcraft.api.transport.IInjectable)aTileEntity).canInjectItems(FORGE_DIR[aSide]);
			return F;
		}
		
		/**
		 * Moves Stack from Inv-Slot to Pipe
		 * @return the Amount of moved Items
		 */
		public static byte moveStackIntoPipe(IInventory aTileEntity1, Object aTarget, int[] aGrabSlots, byte aGrabFrom, byte aPutTo, List<ItemStack> aFilter, boolean aInvertFilter, int aMaxTargetStackSize, int aMinTargetStackSize, int aMaxMoveAtOnce, int aMinMoveAtOnce) {
			if (aTileEntity1 == null || aMaxTargetStackSize <= 0 || aMinTargetStackSize <= 0 || aMinTargetStackSize > aMaxTargetStackSize || aMaxMoveAtOnce <= 0 || aMinMoveAtOnce > aMaxMoveAtOnce) return 0;
			
			Object aTileEntity2 = aTarget;
			if (aTarget instanceof DelegatorTileEntity) aTileEntity2 = ((DelegatorTileEntity)aTarget).mTileEntity;
			
			if (aTileEntity2 != null) {
				checkAvailabilities();
				if (TE_CHECK && aTileEntity2 instanceof cofh.api.transport.IItemConduit) {
					for (int i = 0; i < aGrabSlots.length; i++) {
						if (ST.listed(aFilter, aTileEntity1.getStackInSlot(aGrabSlots[i]), T, aInvertFilter)) {
							if (isAllowedToTakeFromSlot(aTileEntity1, aGrabSlots[i], aGrabFrom, aTileEntity1.getStackInSlot(aGrabSlots[i]))) {
								if (Math.max(aMinMoveAtOnce, aMinTargetStackSize) <= aTileEntity1.getStackInSlot(aGrabSlots[i]).stackSize) {
									ItemStack tStack = ST.amount(Math.min(aTileEntity1.getStackInSlot(aGrabSlots[i]).stackSize, Math.min(aMaxMoveAtOnce, aMaxTargetStackSize)), aTileEntity1.getStackInSlot(aGrabSlots[i]));
									ItemStack rStack = ((cofh.api.transport.IItemConduit)aTileEntity2).insertItem(FORGE_DIR[aPutTo], ST.copy(tStack), F/*T*/);
									byte tMovedItemCount = (byte)(tStack.stackSize - (rStack == null ? 0 : rStack.stackSize));
									if (tMovedItemCount >= 1/*Math.max(aMinMoveAtOnce, aMinTargetStackSize)*/) {
										//((cofh.api.transport.IItemConduit)aTileEntity2).insertItem(FORGE_DIR[aPutTo], copyAmount(tMovedItemCount, tStack), F);
										aTileEntity1.decrStackSize(aGrabSlots[i], tMovedItemCount);
										aTileEntity1.markDirty();
										return tMovedItemCount;
									}
								}
							}
						}
					}
					return 0;
				}
				if (BC_CHECK && aTileEntity2 instanceof buildcraft.api.transport.IInjectable) {
					for (int i = 0; i < aGrabSlots.length; i++) {
						if (ST.listed(aFilter, aTileEntity1.getStackInSlot(aGrabSlots[i]), T, aInvertFilter)) {
							if (isAllowedToTakeFromSlot(aTileEntity1, aGrabSlots[i], aGrabFrom, aTileEntity1.getStackInSlot(aGrabSlots[i]))) {
								if (Math.max(aMinMoveAtOnce, aMinTargetStackSize) <= aTileEntity1.getStackInSlot(aGrabSlots[i]).stackSize) {
									ItemStack tStack = ST.amount(Math.min(aTileEntity1.getStackInSlot(aGrabSlots[i]).stackSize, Math.min(aMaxMoveAtOnce, aMaxTargetStackSize)), aTileEntity1.getStackInSlot(aGrabSlots[i]));
									byte tMovedItemCount = (byte)((buildcraft.api.transport.IInjectable)aTileEntity2).injectItem(ST.copy(tStack), F, FORGE_DIR[aPutTo], null);
									if (tMovedItemCount >= Math.max(aMinMoveAtOnce, aMinTargetStackSize)) {
										tMovedItemCount = (byte)(((buildcraft.api.transport.IInjectable)aTileEntity2).injectItem(ST.amount(tMovedItemCount, tStack), T, FORGE_DIR[aPutTo], null));
										aTileEntity1.decrStackSize(aGrabSlots[i], tMovedItemCount);
										aTileEntity1.markDirty();
										return tMovedItemCount;
									}
								}
							}
						}
					}
					return 0;
				}
			}
			
			if (aTarget instanceof DelegatorTileEntity) {
				if (!Worlds.hasCollisionBox(((DelegatorTileEntity)aTarget).mWorld, ((DelegatorTileEntity)aTarget).mX, ((DelegatorTileEntity)aTarget).mY, ((DelegatorTileEntity)aTarget).mZ)) {
					for (int i = 0; i < aGrabSlots.length; i++) {
						if (ST.listed(aFilter, aTileEntity1.getStackInSlot(aGrabSlots[i]), T, aInvertFilter)) {
							if (isAllowedToTakeFromSlot(aTileEntity1, aGrabSlots[i], aGrabFrom, aTileEntity1.getStackInSlot(aGrabSlots[i]))) {
								if (Math.max(aMinMoveAtOnce, aMinTargetStackSize) <= aTileEntity1.getStackInSlot(aGrabSlots[i]).stackSize) {
									ItemStack tStack = ST.amount(Math.min(aTileEntity1.getStackInSlot(aGrabSlots[i]).stackSize, Math.min(aMaxMoveAtOnce, aMaxTargetStackSize)), aTileEntity1.getStackInSlot(aGrabSlots[i]));
									EntityItem tEntity = new EntityItem(((DelegatorTileEntity)aTarget).mWorld, ((DelegatorTileEntity)aTarget).mX+0.5, ((DelegatorTileEntity)aTarget).mY+0.5, ((DelegatorTileEntity)aTarget).mZ+0.5, tStack);
									tEntity.motionX = tEntity.motionY = tEntity.motionZ = 0;
									((DelegatorTileEntity)aTarget).mWorld.spawnEntityInWorld(tEntity);
									aTileEntity1.decrStackSize(aGrabSlots[i], tStack.stackSize);
									aTileEntity1.markDirty();
									return (byte)tStack.stackSize;
								}
							}
						}
					}
				}
			}
			return 0;
		}
		
		/**
		 * Moves Stack from Inv-Slot to Inv-Slot, without checking if its even allowed. (useful for internal Inventory Operations)
		 * @return the Amount of moved Items
		 */
		public static byte moveStackFromSlotAToSlotB(IInventory aTileEntity1, IInventory aTileEntity2, int aGrabFrom, int aPutTo, int aMaxTargetStackSize, int aMinTargetStackSize, int aMaxMoveAtOnce, int aMinMoveAtOnce) {
			if (aTileEntity1 == null || aTileEntity2 == null || aMaxTargetStackSize <= 0 || aMinTargetStackSize <= 0 || aMinTargetStackSize > aMaxTargetStackSize || aMaxMoveAtOnce <= 0 || aMinMoveAtOnce > aMaxMoveAtOnce) return 0;
			
			ItemStack tStack1 = aTileEntity1.getStackInSlot(aGrabFrom), tStack2 = aTileEntity2.getStackInSlot(aPutTo), tStack3 = null;
			if (tStack1 != null) {
				if (tStack2 != null && !ST.equal(tStack1, tStack2)) return 0;
				tStack3 = ST.copy(tStack1);
				aMaxTargetStackSize = (byte)Math.min(aMaxTargetStackSize, Math.min(tStack3.getMaxStackSize(), Math.min(tStack2==null?Integer.MAX_VALUE:tStack2.getMaxStackSize(), aTileEntity2.getInventoryStackLimit())));
				tStack3.stackSize = Math.min(tStack3.stackSize, aMaxTargetStackSize - (tStack2 == null?0:tStack2.stackSize));
				if (tStack3.stackSize > aMaxMoveAtOnce) tStack3.stackSize = aMaxMoveAtOnce;
				if (tStack3.stackSize + (tStack2==null?0:tStack2.stackSize) >= Math.min(tStack3.getMaxStackSize(), aMinTargetStackSize) && tStack3.stackSize >= aMinMoveAtOnce) {
					tStack3 = aTileEntity1.decrStackSize(aGrabFrom, tStack3.stackSize);
					aTileEntity1.markDirty();
					if (tStack3 != null) {
						if (tStack2 == null) {
							aTileEntity2.setInventorySlotContents(aPutTo, ST.copy(tStack3));
							aTileEntity2.markDirty();
						} else {
							tStack2.stackSize += tStack3.stackSize;
							aTileEntity2.markDirty();
						}
						return (byte)tStack3.stackSize;
					}
				}
			}
			return 0;
		}
		
		public static boolean isAllowedToTakeFromSlot(IInventory aTileEntity, int aSlot, byte aSide, ItemStack aStack) {
			if (SIDES_INVALID[aSide]) {
				return isAllowedToTakeFromSlot(aTileEntity, aSlot, (byte)0, aStack)
					|| isAllowedToTakeFromSlot(aTileEntity, aSlot, (byte)1, aStack)
					|| isAllowedToTakeFromSlot(aTileEntity, aSlot, (byte)2, aStack)
					|| isAllowedToTakeFromSlot(aTileEntity, aSlot, (byte)3, aStack)
					|| isAllowedToTakeFromSlot(aTileEntity, aSlot, (byte)4, aStack)
					|| isAllowedToTakeFromSlot(aTileEntity, aSlot, (byte)5, aStack);
			}
			if (aTileEntity instanceof ISidedInventory) return ((ISidedInventory)aTileEntity).canExtractItem(aSlot, aStack, aSide);
			return T;
		}
		
		public static boolean isAllowedToPutIntoSlot(IInventory aTileEntity, int aSlot, byte aSide, ItemStack aStack, int aMaxStackSize) {
			ItemStack tStack = aTileEntity.getStackInSlot(aSlot);
			if (tStack != null && (!ST.equal(tStack, aStack) || tStack.stackSize >= tStack.getMaxStackSize())) return F;
			if (SIDES_INVALID[aSide]) {
				return isAllowedToPutIntoSlot(aTileEntity, aSlot, (byte)0, aStack, aMaxStackSize)
					|| isAllowedToPutIntoSlot(aTileEntity, aSlot, (byte)1, aStack, aMaxStackSize)
					|| isAllowedToPutIntoSlot(aTileEntity, aSlot, (byte)2, aStack, aMaxStackSize)
					|| isAllowedToPutIntoSlot(aTileEntity, aSlot, (byte)3, aStack, aMaxStackSize)
					|| isAllowedToPutIntoSlot(aTileEntity, aSlot, (byte)4, aStack, aMaxStackSize)
					|| isAllowedToPutIntoSlot(aTileEntity, aSlot, (byte)5, aStack, aMaxStackSize);
			}
			if (aTileEntity instanceof ISidedInventory && !((ISidedInventory)aTileEntity).canInsertItem(aSlot, aStack, aSide)) return F;
			return aTileEntity.isItemValidForSlot(aSlot, aStack);
		}
		
		/**
		 * Moves Stack from Inv-Side to Inv-Side.
		 * @return the Amount of moved Items
		 */
		public static byte moveOneItemStack(Object aTileEntity1, Object aTileEntity2, byte aGrabFrom, byte aPutTo) {
			return moveOneItemStack(aTileEntity1, aTileEntity2, aGrabFrom, aPutTo, null, F, 64, 1, 64, 1);
		}
		
		/**
		 * Moves Stack from Inv-Side to Inv-Side.
		 * @return the Amount of moved Items
		 */
		public static byte moveOneItemStack(Object aTileEntity1, Object aTileEntity2, byte aGrabFrom, byte aPutTo, List<ItemStack> aFilter, boolean aInvertFilter, int aMaxTargetStackSize, int aMinTargetStackSize, int aMaxMoveAtOnce, int aMinMoveAtOnce) {
			if (aTileEntity1 instanceof IInventory) return moveOneItemStack((IInventory)aTileEntity1, aTileEntity2, aGrabFrom, aPutTo, aFilter, aInvertFilter, aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce, T);
			return 0;
		}
		
		/**
		 * This is only because I needed an additional Parameter for the Double Chest Check.
		 */
		private static byte moveOneItemStack(IInventory aTileEntity1, Object aTarget, byte aGrabFrom, byte aPutTo, List<ItemStack> aFilter, boolean aInvertFilter, int aMaxTargetStackSize, int aMinTargetStackSize, int aMaxMoveAtOnce, int aMinMoveAtOnce, boolean aDoCheckChests) {
			if (aTileEntity1 == null || aMaxTargetStackSize <= 0 || aMinTargetStackSize <= 0 || aMaxMoveAtOnce <= 0 || aMinTargetStackSize > aMaxTargetStackSize || aMinMoveAtOnce > aMaxMoveAtOnce) return 0;
			
			Object aTileEntity2 = aTarget;
			if (aTarget instanceof DelegatorTileEntity) aTileEntity2 = ((DelegatorTileEntity)aTarget).mTileEntity;
			
			int[] tGrabSlots = null;
			if (aTileEntity1 instanceof ISidedInventory) tGrabSlots = ((ISidedInventory)aTileEntity1).getAccessibleSlotsFromSide(aGrabFrom);
			if (tGrabSlots == null) tGrabSlots = Code.getAscendingArray(aTileEntity1.getSizeInventory());
			
			if (aTileEntity2 instanceof IInventory) {
				int[] tPutSlots = null;
				if (aTileEntity2 instanceof ISidedInventory) tPutSlots = ((ISidedInventory)aTileEntity2).getAccessibleSlotsFromSide(aPutTo);
				
				if (tPutSlots == null) {
					tPutSlots = new int[((IInventory)aTileEntity2).getSizeInventory()];
					for (int i = 0; i < tPutSlots.length; i++) tPutSlots[i] = i;
				}
				
				for (int i = 0; i < tGrabSlots.length; i++) {
					for (int j = 0; j < tPutSlots.length; j++) {
						if (ST.listed(aFilter, aTileEntity1.getStackInSlot(tGrabSlots[i]), T, aInvertFilter)) {
							if (isAllowedToTakeFromSlot(aTileEntity1, tGrabSlots[i], aGrabFrom, aTileEntity1.getStackInSlot(tGrabSlots[i]))) {
								if (isAllowedToPutIntoSlot((IInventory)aTileEntity2, tPutSlots[j], aPutTo, aTileEntity1.getStackInSlot(tGrabSlots[i]), aMaxTargetStackSize)) {
									byte tMovedItemCount = moveStackFromSlotAToSlotB(aTileEntity1, (IInventory)aTileEntity2, tGrabSlots[i], tPutSlots[j], aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce);
									if (tMovedItemCount > 0) return tMovedItemCount;
								}
							}
						}
					}
				}
				
				if (aDoCheckChests) {
					if (aTileEntity1 instanceof TileEntityChest) {
						TileEntityChest tTileEntity1 = (TileEntityChest)aTileEntity1;
						if (tTileEntity1.adjacentChestChecked) {
							byte tAmount = 0;
							if (tTileEntity1.adjacentChestXNeg != null) {
								tAmount = moveOneItemStack(tTileEntity1.adjacentChestXNeg, aTileEntity2, aGrabFrom, aPutTo, aFilter, aInvertFilter, aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce, F);
							} else if (tTileEntity1.adjacentChestZNeg != null) {
								tAmount = moveOneItemStack(tTileEntity1.adjacentChestZNeg, aTileEntity2, aGrabFrom, aPutTo, aFilter, aInvertFilter, aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce, F);
							} else if (tTileEntity1.adjacentChestXPos != null) {
								tAmount = moveOneItemStack(tTileEntity1.adjacentChestXPos, aTileEntity2, aGrabFrom, aPutTo, aFilter, aInvertFilter, aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce, F);
							} else if (tTileEntity1.adjacentChestZPos != null) {
								tAmount = moveOneItemStack(tTileEntity1.adjacentChestZPos, aTileEntity2, aGrabFrom, aPutTo, aFilter, aInvertFilter, aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce, F);
							}
							if (tAmount != 0) return tAmount;
						}
					}
					if (aTileEntity2 instanceof TileEntityChest) {
						TileEntityChest tTileEntity2 = (TileEntityChest)aTileEntity2;
						if (tTileEntity2.adjacentChestChecked) {
							byte tAmount = 0;
							if (tTileEntity2.adjacentChestXNeg != null) {
								tAmount = moveOneItemStack(aTileEntity1, tTileEntity2.adjacentChestXNeg, aGrabFrom, aPutTo, aFilter, aInvertFilter, aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce, F);
							} else if (tTileEntity2.adjacentChestZNeg != null) {
								tAmount = moveOneItemStack(aTileEntity1, tTileEntity2.adjacentChestZNeg, aGrabFrom, aPutTo, aFilter, aInvertFilter, aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce, F);
							} else if (tTileEntity2.adjacentChestXPos != null) {
								tAmount = moveOneItemStack(aTileEntity1, tTileEntity2.adjacentChestXPos, aGrabFrom, aPutTo, aFilter, aInvertFilter, aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce, F);
							} else if (tTileEntity2.adjacentChestZPos != null) {
								tAmount = moveOneItemStack(aTileEntity1, tTileEntity2.adjacentChestZPos, aGrabFrom, aPutTo, aFilter, aInvertFilter, aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce, F);
							}
							if (tAmount != 0) return tAmount;
						}
					}
				}
			}
			
			return moveStackIntoPipe(aTileEntity1, aTarget, tGrabSlots, aGrabFrom, aPutTo, aFilter, aInvertFilter, aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce);
		}
		
		/**
		 * Moves Stack from Inv-Side to Inv-Slot.
		 * @return the Amount of moved Items
		 */
		public static byte moveOneItemStackIntoSlot(Object aTileEntity1, Object aTarget, byte aGrabFrom, int aPutTo, List<ItemStack> aFilter, boolean aInvertFilter, int aMaxTargetStackSize, int aMinTargetStackSize, int aMaxMoveAtOnce, int aMinMoveAtOnce) {
			if (aTileEntity1 == null || !(aTileEntity1 instanceof IInventory) || aPutTo < 0 || aMaxTargetStackSize <= 0 || aMinTargetStackSize <= 0 || aMaxMoveAtOnce <= 0 || aMinTargetStackSize > aMaxTargetStackSize || aMinMoveAtOnce > aMaxMoveAtOnce) return 0;
			
			Object aTileEntity2 = aTarget;
			if (aTarget instanceof DelegatorTileEntity) aTileEntity2 = ((DelegatorTileEntity)aTarget).mTileEntity;
			
			int[] tGrabSlots = null;
			if (aTileEntity1 instanceof ISidedInventory) tGrabSlots = ((ISidedInventory)aTileEntity1).getAccessibleSlotsFromSide(aGrabFrom);
			if (tGrabSlots == null) tGrabSlots = Code.getAscendingArray(((IInventory)aTileEntity1).getSizeInventory());
			
			if (aTileEntity2 != null && aTileEntity2 instanceof IInventory) {
				for (int i = 0; i < tGrabSlots.length; i++) {
					if (ST.listed(aFilter, ((IInventory)aTileEntity1).getStackInSlot(tGrabSlots[i]), T, aInvertFilter)) {
						if (isAllowedToTakeFromSlot((IInventory)aTileEntity1, tGrabSlots[i], aGrabFrom, ((IInventory)aTileEntity1).getStackInSlot(tGrabSlots[i]))) {
							if (isAllowedToPutIntoSlot((IInventory)aTileEntity2, aPutTo, SIDE_ANY, ((IInventory)aTileEntity1).getStackInSlot(tGrabSlots[i]), aMaxTargetStackSize)) {
								byte tMovedItemCount = moveStackFromSlotAToSlotB((IInventory)aTileEntity1, (IInventory)aTileEntity2, tGrabSlots[i], aPutTo, aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce);
								if (tMovedItemCount > 0) return tMovedItemCount;
							}
						}
					}
				}
			}
			
			moveStackIntoPipe(((IInventory)aTileEntity1), aTarget, tGrabSlots, aGrabFrom, OPPOSITES[aGrabFrom], aFilter, aInvertFilter, aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce);
			return 0;
		}
		
		/**
		 * Moves Stack from Inv-Slot to Inv-Slot.
		 * @return the Amount of moved Items
		 */
		public static byte moveFromSlotToSlot(IInventory aTileEntity1, IInventory aTileEntity2, int aGrabFrom, int aPutTo, List<ItemStack> aFilter, boolean aInvertFilter, int aMaxTargetStackSize, int aMinTargetStackSize, int aMaxMoveAtOnce, int aMinMoveAtOnce) {
			if (aTileEntity1 == null || aTileEntity2 == null || aGrabFrom < 0 || aPutTo < 0 || aMaxTargetStackSize <= 0 || aMinTargetStackSize <= 0 || aMaxMoveAtOnce <= 0 || aMinTargetStackSize > aMaxTargetStackSize || aMinMoveAtOnce > aMaxMoveAtOnce) return 0;
			if (ST.listed(aFilter, aTileEntity1.getStackInSlot(aGrabFrom), T, aInvertFilter)) {
				if (isAllowedToTakeFromSlot(aTileEntity1, aGrabFrom, SIDE_UNKNOWN, aTileEntity1.getStackInSlot(aGrabFrom))) {
					if (isAllowedToPutIntoSlot(aTileEntity2, aPutTo, SIDE_UNKNOWN, aTileEntity1.getStackInSlot(aGrabFrom), aMaxTargetStackSize)) {
						byte tMovedItemCount = moveStackFromSlotAToSlotB(aTileEntity1, aTileEntity2, aGrabFrom, aPutTo, aMaxTargetStackSize, aMinTargetStackSize, aMaxMoveAtOnce, aMinMoveAtOnce);
						if (tMovedItemCount > 0) return tMovedItemCount;
					}
				}
			}
			return 0;
		}
		
		public static void removeNullStacksFromInventory(IInventory aInventory) {
			if (aInventory != null) for (int i = 0, j = aInventory.getSizeInventory(); i < j; i++) {
				ItemStack tStack = aInventory.getStackInSlot(i);
				if (tStack != null && (tStack.stackSize == 0 || tStack.getItem() == null)) aInventory.setInventorySlotContents(i, null);
			}
		}
		
		public static boolean addStackToPlayerInventory(EntityPlayer aPlayer, ItemStack aStack) {
			return addStackToPlayerInventory(aPlayer, aStack, F);
		}
		
		public static boolean addStackToPlayerInventory(EntityPlayer aPlayer, ItemStack aStack, boolean aCurrentSlotFirst) {
			if (aPlayer != null && aStack != null) {
				for (int i = 0; i < 36; i++) if (i != aPlayer.inventory.currentItem) {
					ItemStack tStack = aPlayer.inventory.getStackInSlot(i);
					if (ST.equal(tStack, aStack) && aStack.stackSize + tStack.stackSize <= tStack.getMaxStackSize()) {
						tStack.stackSize += aStack.stackSize;
						if (aPlayer.openContainer != null) aPlayer.openContainer.detectAndSendChanges();
						return T;
					}
				}
				if (aCurrentSlotFirst) {
					ItemStack tStack = aPlayer.inventory.getStackInSlot(aPlayer.inventory.currentItem);
					if (tStack == null || tStack.stackSize == 0) {
						aPlayer.inventory.setInventorySlotContents(aPlayer.inventory.currentItem, aStack);
						if (aPlayer.openContainer != null) aPlayer.openContainer.detectAndSendChanges();
						return T;
					} else if (ST.equal(tStack, aStack) && aStack.stackSize + tStack.stackSize <= tStack.getMaxStackSize()) {
						tStack.stackSize += aStack.stackSize;
						if (aPlayer.openContainer != null) aPlayer.openContainer.detectAndSendChanges();
						return T;
					}
				}
				for (int i = 0; i < 36; i++) if (i != aPlayer.inventory.currentItem) {
					ItemStack tStack = aPlayer.inventory.getStackInSlot(i);
					if (tStack == null || tStack.stackSize <= 0) {
						aPlayer.inventory.setInventorySlotContents(i, aStack);
						if (aPlayer.openContainer != null) aPlayer.openContainer.detectAndSendChanges();
						return T;
					}
				}
				if (!aCurrentSlotFirst) {
					ItemStack tStack = aPlayer.inventory.getStackInSlot(aPlayer.inventory.currentItem);
					if (tStack == null || tStack.stackSize == 0) {
						aPlayer.inventory.setInventorySlotContents(aPlayer.inventory.currentItem, aStack);
						if (aPlayer.openContainer != null) aPlayer.openContainer.detectAndSendChanges();
						return T;
					} else if (ST.equal(tStack, aStack) && aStack.stackSize + tStack.stackSize <= tStack.getMaxStackSize()) {
						tStack.stackSize += aStack.stackSize;
						if (aPlayer.openContainer != null) aPlayer.openContainer.detectAndSendChanges();
						return T;
					}
				}
			}
			return F;
		}
		
		public static ItemStack getProjectile(TagData aProjectileType, IInventory aInventory) {
			if (aInventory != null) for (int i = 0, j = aInventory.getSizeInventory(); i < j; i++) {
				ItemStack rStack = aInventory.getStackInSlot(i);
				if (ST.valid(rStack) && rStack.getItem() instanceof IItemProjectile && ((IItemProjectile)rStack.getItem()).hasProjectile(aProjectileType, rStack)) return ST.update(rStack);
			}
			return null;
		}
	}
	
	public static class Sounds {
		public static boolean MULTITHREADED = F;
		public static List<PlayedSound> sPlayedSounds = new ArrayListNoNulls<PlayedSound>();
		
		public static boolean play(String aSoundName, int aTimeUntilNextSound, float aSoundStrength) {
			if (!CODE_CLIENT || cpw.mods.fml.common.FMLCommonHandler.instance().getEffectiveSide().isServer()) return F;
			return play(aSoundName, aTimeUntilNextSound, aSoundStrength, GT_API.api_proxy.getThePlayer());
		}
		
		public static boolean play(String aSoundName, int aTimeUntilNextSound, float aSoundStrength, Entity aEntity) {
			if (!CODE_CLIENT || aEntity == null || cpw.mods.fml.common.FMLCommonHandler.instance().getEffectiveSide().isServer()) return F;
			return play(aSoundName, aTimeUntilNextSound, aSoundStrength, MathHelper.floor_double(aEntity.posX), MathHelper.floor_double(aEntity.posY), MathHelper.floor_double(aEntity.posZ));
		}
		
		public static boolean play(String aSoundName, int aTimeUntilNextSound, float aSoundStrength, int aX, int aY, int aZ) {
			return play(aSoundName, aTimeUntilNextSound, aSoundStrength, new ChunkCoordinates(aX, aY, aZ));
		}
		
		public static boolean play(String aSoundName, int aTimeUntilNextSound, float aSoundStrength, ChunkCoordinates aCoords) {
			if (aCoords == null) return play(aSoundName, aTimeUntilNextSound, aSoundStrength);
			if (!CODE_CLIENT || cpw.mods.fml.common.FMLCommonHandler.instance().getEffectiveSide().isServer()) return F;
			return play(aSoundName, aTimeUntilNextSound, aSoundStrength, 0.9F + RANDOM.nextFloat() * 0.2F, aCoords.posX, aCoords.posY, aCoords.posZ);
		}
		
		public static boolean play(String aSoundName, int aTimeUntilNextSound, float aSoundStrength, float aSoundModulation, int aX, int aY, int aZ) {
			return play(aSoundName, aTimeUntilNextSound, aSoundStrength, aSoundModulation, new ChunkCoordinates(aX, aY, aZ));
		}
		
		public static boolean play(String aSoundName, int aTimeUntilNextSound, float aSoundStrength, float aSoundModulation, ChunkCoordinates aCoords) {
			if (!CODE_CLIENT || cpw.mods.fml.common.FMLCommonHandler.instance().getEffectiveSide().isServer()) return F;
			EntityPlayer aPlayer = GT_API.api_proxy.getThePlayer();
			if (aPlayer == null || !aPlayer.worldObj.isRemote || Code.stringInvalid(aSoundName)) return F;
			if (MULTITHREADED)
				new Thread(new ThreadedSound(aPlayer.worldObj, MathHelper.floor_double(aCoords.posX), MathHelper.floor_double(aCoords.posY), MathHelper.floor_double(aCoords.posZ), aTimeUntilNextSound, aSoundName, aSoundStrength, aSoundModulation), "Sound Effect").start();
			else
				new ThreadedSound(aPlayer.worldObj, MathHelper.floor_double(aCoords.posX), MathHelper.floor_double(aCoords.posY), MathHelper.floor_double(aCoords.posZ), aTimeUntilNextSound, aSoundName, aSoundStrength, aSoundModulation).run();
			return T;
		}
		
		public static boolean send(World aWorld, String aSoundName, float aSoundStrength, float aSoundModulation, int aX, int aY, int aZ) {
			return send(aWorld, aSoundName, aSoundStrength, aSoundModulation, new ChunkCoordinates(aX, aY, aZ));
		}
		
		public static boolean send(World aWorld, String aSoundName, float aSoundStrength, float aSoundModulation, Entity aEntity) {
			return send(aWorld, aSoundName, aSoundStrength, aSoundModulation, MathHelper.floor_double(aEntity.posX), MathHelper.floor_double(aEntity.posY), MathHelper.floor_double(aEntity.posZ));
		}
		
		public static boolean send(World aWorld, String aSoundName, float aSoundStrength, float aSoundModulation, ChunkCoordinates aCoords) {
			if (Code.stringInvalid(aSoundName) || aWorld == null || aWorld.isRemote) return F;
			NW_API.sendToAllPlayersInRange(new PacketSound(aSoundName, aSoundStrength, aSoundModulation, aCoords), aWorld, aCoords);
			return T;
		}
		
		public static class PlayedSound {
			public final String mSoundName;
			public final int mX, mY, mZ;
			public int mTimer = 0;
			
			public PlayedSound(String aSoundName, int aX, int aY, int aZ, int aTimer) {
				mSoundName = aSoundName==null?"":aSoundName;
				mX = aX;
				mY = aY;
				mZ = aZ;
			}
			
			@Override
			public boolean equals(Object aObject) {
				if (aObject != null && aObject instanceof PlayedSound) {
					return ((PlayedSound)aObject).mX == mX && ((PlayedSound)aObject).mY == mY && ((PlayedSound)aObject).mZ == mZ && ((PlayedSound)aObject).mSoundName.equals(mSoundName);
				}
				return F;
			}
			
			@Override
			public int hashCode() {
				return mX+mY+mZ+mSoundName.hashCode();
			}
		}
		
		public static class ThreadedSound implements Runnable {
			private final int mX, mY, mZ, mTimeUntilNextSound;
			private final World mWorld;
			private final String mSoundName;
			private final float mSoundStrength, mSoundModulation;
			
			public ThreadedSound(World aWorld, int aX, int aY, int aZ, int aTimeUntilNextSound, String aSoundName, float aSoundStrength, float aSoundModulation) {
				mWorld = aWorld; mX = aX; mY = aY; mZ = aZ; mTimeUntilNextSound = aTimeUntilNextSound; mSoundName = aSoundName; mSoundStrength = aSoundStrength; mSoundModulation = aSoundModulation;
			}
			
			@Override
			public void run() {
				try {
					PlayedSound tSound = new PlayedSound(mSoundName, mX, mY, mZ, mTimeUntilNextSound);
					if (sPlayedSounds.contains(tSound)) return;
					mWorld.playSound(mX+0.5, mY+0.5, mZ+0.5, mSoundName, mSoundStrength, mSoundModulation, T);
					sPlayedSounds.add(tSound);
				} catch(Throwable e) {/**/}
			}
		}
	}
	
	public static class Entities {
		/** Sends Messages to a Player */
		public static void sendchat(Object aPlayer, String... aChatMessages) {
			if (aPlayer instanceof EntityPlayerMP) for (String aMessage : aChatMessages) ((EntityPlayerMP)aPlayer).addChatComponentMessage(new ChatComponentText(aMessage));
		}
		
		/** Sends Messages to a Player */
		public static void sendchat(Object aPlayer, IChatComponent... aChatMessages) {
			if (aPlayer instanceof EntityPlayerMP) for (IChatComponent aMessage : aChatMessages) ((EntityPlayerMP)aPlayer).addChatComponentMessage(aMessage);
		}
		
		/** Sends Messages to a Player */
		public static void sendchat(Object aPlayer, List aChatMessages, boolean aSkipFirst) {
			if (aChatMessages != null && aPlayer instanceof EntityPlayerMP) for (Object aMessage : aChatMessages) if (aSkipFirst) aSkipFirst=F; else ((EntityPlayerMP)aPlayer).addChatComponentMessage(aMessage instanceof IChatComponent ? (IChatComponent)aMessage : new ChatComponentText(aMessage.toString()));
		}
		
		public static void chat(Object aPlayer, String... aChatMessages) {
			if (aPlayer == null) aPlayer = GT_API.api_proxy.getThePlayer();
			if (aPlayer instanceof EntityPlayer) for (String aMessage : aChatMessages) ((EntityPlayer)aPlayer).addChatComponentMessage(new ChatComponentText(aMessage));
		}
		
		public static void chat(Object aPlayer, IChatComponent... aChatMessages) {
			if (aPlayer == null) aPlayer = GT_API.api_proxy.getThePlayer();
			if (aPlayer instanceof EntityPlayer) for (IChatComponent aMessage : aChatMessages) ((EntityPlayer)aPlayer).addChatComponentMessage(aMessage);
		}
		
		public static void chat(Object aPlayer, List aChatMessages, boolean aSkipFirst) {
			if (aPlayer == null) aPlayer = GT_API.api_proxy.getThePlayer();
			if (aChatMessages != null && aPlayer instanceof EntityPlayer) for (Object aMessage : aChatMessages) if (aSkipFirst) aSkipFirst=F; else ((EntityPlayer)aPlayer).addChatComponentMessage(aMessage instanceof IChatComponent ? (IChatComponent)aMessage : new ChatComponentText(aMessage.toString()));
		}
		
		public static boolean isWearingFullFrostHazmat(EntityLivingBase aEntity) {
			for (byte i = 1; i < 5; i++) if (!ArmorsGT.HAZMATS_FROST.contains(aEntity.getEquipmentInSlot(i), T)) return F;
			return T;
		}
		
		public static boolean isWearingFullHeatHazmat(EntityLivingBase aEntity) {
			for (byte i = 1; i < 5; i++) if (!ArmorsGT.HAZMATS_HEAT.contains(aEntity.getEquipmentInSlot(i), T)) return F;
			return T;
		}
		
		public static boolean isWearingFullBioHazmat(EntityLivingBase aEntity) {
			for (byte i = 1; i < 5; i++) if (!ArmorsGT.HAZMATS_BIO.contains(aEntity.getEquipmentInSlot(i), T)) return F;
			return T;
		}
		
		public static boolean isWearingFullChemHazmat(EntityLivingBase aEntity) {
			for (byte i = 1; i < 5; i++) if (!ArmorsGT.HAZMATS_CHEM.contains(aEntity.getEquipmentInSlot(i), T)) return F;
			return T;
		}
		
		public static boolean isWearingFullInsectHazmat(EntityLivingBase aEntity) {
			for (byte i = 1; i < 5; i++) if (!ArmorsGT.HAZMATS_INSECTS.contains(aEntity.getEquipmentInSlot(i), T)) return F;
			return T;
		}
		
		public static boolean isWearingFullRadioHazmat(EntityLivingBase aEntity) {
			for (byte i = 1; i < 5; i++) if (!ArmorsGT.HAZMATS_RADIOACTIVE.contains(aEntity.getEquipmentInSlot(i), T)) return F;
			return T;
		}
		
		public static boolean isWearingFullElectroHazmat(EntityLivingBase aEntity) {
			for (byte i = 1; i < 5; i++) if (!ArmorsGT.HAZMATS_LIGHTNING.contains(aEntity.getEquipmentInSlot(i), T)) return F;
			return T;
		}
		
		public static boolean isWearingFullGasHazmat(EntityLivingBase aEntity) {
			for (byte i = 1; i < 5; i++) if (!ArmorsGT.HAZMATS_GAS.contains(aEntity.getEquipmentInSlot(i), T)) return F;
			return T;
		}
		
		public static float getHeatDamageFromItem(ItemStack aStack) {
			OreDictItemData tData = OM.anydata(aStack);
			return tData==null?0:(tData.mPrefix==null?0:tData.mPrefix.mHeatDamage) + (tData.hasValidMaterialData()?tData.mMaterial.mMaterial.mHeatDamage:0);
		}
		
		public static int getRadioactivityLevel(ItemStack aStack) {
			OreDictItemData tData = OM.anydata(aStack);
			long rLevel = 0;
			if (tData != null && tData.hasValidMaterialData()) {
				for (ObjectStack<Enchantment> tEnchantment : tData.mMaterial.mMaterial.mEnchantmentTools ) if (tEnchantment.mObject instanceof Enchantment_Radioactivity) rLevel = Math.max(rLevel, tEnchantment.mAmount);
				for (ObjectStack<Enchantment> tEnchantment : tData.mMaterial.mMaterial.mEnchantmentArmors) if (tEnchantment.mObject instanceof Enchantment_Radioactivity) rLevel = Math.max(rLevel, tEnchantment.mAmount);
			}
			rLevel = Math.max(rLevel, EnchantmentHelper.getEnchantmentLevel(Enchantment_Radioactivity.INSTANCE.effectId, aStack));
			return Code.bindInt(rLevel);
		}
		
		public static boolean isImmuneToBreathingGasses(EntityLivingBase aEntity) {
			return isWearingFullGasHazmat(aEntity);
		}
		
		public static boolean applyTemperatureDamage(Entity aEntity, long aTemperature, float aMultiplier) {
			if (aTemperature > 320) return applyHeatDamage (aEntity, (aMultiplier * (aTemperature - 300)) / 50.0F);
			if (aTemperature < 260) return applyFrostDamage(aEntity, (aMultiplier * (270 - aTemperature)) / 25.0F);
			return F;
		}
		
		public static boolean applyChemDamage(Entity aEntity, float aDamage) {
			if (aDamage > 0 && aEntity instanceof EntityLivingBase && ((EntityLivingBase)aEntity).isEntityAlive() && aEntity.getClass() != EntitySkeleton.class && !isWearingFullChemHazmat(((EntityLivingBase)aEntity))) {
				aEntity.attackEntityFrom(DamageSources.getChemDamage(), aDamage);
				PotionEffect tEffect = null;
				((EntityLivingBase)aEntity).addPotionEffect(new PotionEffect(Potion.poison.id, Math.max(20, (int)(aDamage * 100 + Math.max(0, ((tEffect = ((EntityLivingBase)aEntity).getActivePotionEffect(Potion.poison))==null?0:tEffect.getDuration())))), 1));
				return T;
			}
			return F;
		}
		
		public static boolean applyHeatDamage(Entity aEntity, float aDamage) {
			if (aDamage > 0 && aEntity instanceof EntityLivingBase && ((EntityLivingBase)aEntity).isEntityAlive() && aEntity.getClass() != EntityBlaze.class && ((EntityLivingBase)aEntity).getActivePotionEffect(Potion.fireResistance) == null && !isWearingFullHeatHazmat(((EntityLivingBase)aEntity))) {
				aEntity.attackEntityFrom(DamageSources.getHeatDamage(), aDamage);
				return T;
			}
			return F;
		}
		
		public static boolean applyFrostDamage(Entity aEntity, float aDamage) {
			if (aDamage > 0 && aEntity instanceof EntityLivingBase && ((EntityLivingBase)aEntity).isEntityAlive() && !isWearingFullFrostHazmat(((EntityLivingBase)aEntity))) {
				aEntity.attackEntityFrom(DamageSources.getFrostDamage(), aDamage);
				return T;
			}
			return F;
		}
		
		public static boolean applyElectricityDamage(Entity aEntity, long aVoltage, long aAmperage) {
			long aDamage = Code.tierMax(aVoltage) * aAmperage * 4;
			if (aDamage > 0 && aEntity instanceof EntityLivingBase && ((EntityLivingBase)aEntity).isEntityAlive() && !isWearingFullElectroHazmat(((EntityLivingBase)aEntity))) {
				aEntity.attackEntityFrom(DamageSources.getElectricDamage(), aDamage);
				return T;
			}
			return F;
		}
		
		public static boolean applyElectricityDamage(Entity aEntity, long aWattage) {
			long aDamage = Code.tierMax(aWattage) * 4;
			if (aDamage > 0 && aEntity instanceof EntityLivingBase && ((EntityLivingBase)aEntity).isEntityAlive() && !isWearingFullElectroHazmat(((EntityLivingBase)aEntity))) {
				aEntity.attackEntityFrom(DamageSources.getElectricDamage(), aDamage);
				return T;
			}
			return F;
		}
		
		public static boolean applyRadioactivity(Entity aEntity, int aLevel, int aAmountOfItems) {
			if (aLevel > 0 && aEntity instanceof EntityLivingBase && ((EntityLivingBase)aEntity).isEntityAlive() && ((EntityLivingBase)aEntity).getCreatureAttribute() != EnumCreatureAttribute.UNDEAD && ((EntityLivingBase)aEntity).getCreatureAttribute() != EnumCreatureAttribute.ARTHROPOD && !isWearingFullRadioHazmat(((EntityLivingBase)aEntity))) {
				PotionEffect tEffect = null;
				((EntityLivingBase)aEntity).addPotionEffect(new PotionEffect(Potion.moveSlowdown.id	, aLevel * 140 * aAmountOfItems + Math.max(0, ((tEffect = ((EntityLivingBase)aEntity).getActivePotionEffect(Potion.moveSlowdown							))==null?0:tEffect.getDuration())), Math.max(0, (5*aLevel) / 7)));
				((EntityLivingBase)aEntity).addPotionEffect(new PotionEffect(Potion.digSlowdown.id	, aLevel * 150 * aAmountOfItems + Math.max(0, ((tEffect = ((EntityLivingBase)aEntity).getActivePotionEffect(Potion.digSlowdown							))==null?0:tEffect.getDuration())), Math.max(0, (5*aLevel) / 7)));
				((EntityLivingBase)aEntity).addPotionEffect(new PotionEffect(Potion.confusion.id	, aLevel * 130 * aAmountOfItems + Math.max(0, ((tEffect = ((EntityLivingBase)aEntity).getActivePotionEffect(Potion.confusion							))==null?0:tEffect.getDuration())), Math.max(0, (5*aLevel) / 7)));
				((EntityLivingBase)aEntity).addPotionEffect(new PotionEffect(Potion.weakness.id		, aLevel * 150 * aAmountOfItems + Math.max(0, ((tEffect = ((EntityLivingBase)aEntity).getActivePotionEffect(Potion.weakness								))==null?0:tEffect.getDuration())), Math.max(0, (5*aLevel) / 7)));
				((EntityLivingBase)aEntity).addPotionEffect(new PotionEffect(Potion.hunger.id		, aLevel * 130 * aAmountOfItems + Math.max(0, ((tEffect = ((EntityLivingBase)aEntity).getActivePotionEffect(Potion.hunger								))==null?0:tEffect.getDuration())), Math.max(0, (5*aLevel) / 7)));
				((EntityLivingBase)aEntity).addPotionEffect(new PotionEffect(PotionsGT.ID_RADIATION	, aLevel * 180 * aAmountOfItems + Math.max(0, ((tEffect = ((EntityLivingBase)aEntity).getActivePotionEffect(Potion.potionTypes[PotionsGT.ID_RADIATION]	))==null?0:tEffect.getDuration())), Math.max(0, (5*aLevel) / 7)));
				return T;
			}
			return F;
		}
		
		/** checks if a Player is actually a Player and not a FakePlayer or something. */
		public static boolean isPlayer(Object aPlayer) {
			return aPlayer instanceof EntityPlayerMP && !(aPlayer instanceof FakePlayer);
		}
		
		public static boolean isCreative(Object aPlayer) {
			return aPlayer instanceof EntityPlayer && ((EntityPlayer)aPlayer).capabilities.isCreativeMode;
		}
		
		public static boolean isInvincible(Object aPlayer) {
			return aPlayer instanceof EntityPlayer && ((EntityPlayer)aPlayer).capabilities.isCreativeMode;
		}
		
		public static boolean hasInfiniteItems(Object aPlayer) {
			return aPlayer instanceof EntityPlayer && ((EntityPlayer)aPlayer).capabilities.isCreativeMode;
		}
		
		public static boolean consumeCurrentItem(EntityPlayer aPlayer) {
			if (aPlayer == null) return F;
			if (!hasInfiniteItems(aPlayer)) {
				ItemStack aStack = aPlayer.inventory.getStackInSlot(aPlayer.inventory.currentItem);
				Inventories.addStackToPlayerInventory(aPlayer, ST.container(aStack, T), F);
				if (--aStack.stackSize <= 0) aPlayer.inventory.setInventorySlotContents(aPlayer.inventory.currentItem, NI);
			}
			return T;
		}
	}
	
	public static class Worlds {
		public static ItemStack suckOneItemStackAt(World aWorld, double aX, double aY, double aZ, double aL, double aH, double aW) {
			for (EntityItem tItem : (ArrayList<EntityItem>)aWorld.getEntitiesWithinAABB(EntityItem.class, AxisAlignedBB.getBoundingBox(aX, aY, aZ, aX+aL, aY+aH, aZ+aW))) {
				if (!tItem.isDead) {
					aWorld.removeEntity(tItem);
					ItemStack rStack = tItem.getEntityItem();
					tItem.setEntityItemStack(ST.amount(0, rStack));
					tItem.setDead();
					return rStack;
				}
			}
			return null;
		}
		
		public static boolean isSideObstructed(World aWorld, int aX, int aY, int aZ, byte aSide) {
			aX += OFFSETS_X[aSide]; aY += OFFSETS_Y[aSide]; aZ += OFFSETS_Z[aSide];
			TileEntity tTileEntity = getTileEntity(aWorld, aX, aY, aZ, T);
			if (tTileEntity instanceof ITileEntityQuickObstructionCheck) return ((ITileEntityQuickObstructionCheck)tTileEntity).isObstructingBlockAt(OPPOSITES[aSide]);
			Block tBlock = aWorld.getBlock(aX, aY, aZ);
			AxisAlignedBB tBoundingBox = tBlock.getCollisionBoundingBoxFromPool(aWorld, aX, aY, aZ);
			if (tBoundingBox == null) return F;
			switch(aSide) {
			case 0: return tBoundingBox.maxY-aY > PIXELS_NEG[4] && tBoundingBox.maxX-aX > PIXELS_POS[2] && tBoundingBox.minX-aX < PIXELS_NEG[2] && tBoundingBox.maxZ-aZ > PIXELS_POS[2] && tBoundingBox.minZ-aZ < PIXELS_NEG[2];
			case 1: return tBoundingBox.minY-aY < PIXELS_POS[4] && tBoundingBox.maxX-aX > PIXELS_POS[2] && tBoundingBox.minX-aX < PIXELS_NEG[2] && tBoundingBox.maxZ-aZ > PIXELS_POS[2] && tBoundingBox.minZ-aZ < PIXELS_NEG[2];
			case 2: return tBoundingBox.maxZ-aZ > PIXELS_NEG[4] && tBoundingBox.maxX-aX > PIXELS_POS[2] && tBoundingBox.minX-aX < PIXELS_NEG[2] && tBoundingBox.maxY-aY > PIXELS_POS[2] && tBoundingBox.minY-aY < PIXELS_NEG[2];
			case 3: return tBoundingBox.minZ-aZ < PIXELS_POS[4] && tBoundingBox.maxX-aX > PIXELS_POS[2] && tBoundingBox.minX-aX < PIXELS_NEG[2] && tBoundingBox.maxY-aY > PIXELS_POS[2] && tBoundingBox.minY-aY < PIXELS_NEG[2];
			case 4: return tBoundingBox.maxX-aX > PIXELS_NEG[4] && tBoundingBox.maxZ-aZ > PIXELS_POS[2] && tBoundingBox.minZ-aZ < PIXELS_NEG[2] && tBoundingBox.maxY-aY > PIXELS_POS[2] && tBoundingBox.minY-aY < PIXELS_NEG[2];
			case 5: return tBoundingBox.minX-aX < PIXELS_POS[4] && tBoundingBox.maxZ-aZ > PIXELS_POS[2] && tBoundingBox.minZ-aZ < PIXELS_NEG[2] && tBoundingBox.maxY-aY > PIXELS_POS[2] && tBoundingBox.minY-aY < PIXELS_NEG[2];
			}
			return F;
		}
		
		public static MovingObjectPosition getMovingObjectPositionFromPlayer(World aWorld, EntityPlayer aPlayer, boolean aFlag) {
			float f = 1.0F;
			float f1 = aPlayer.prevRotationPitch + (aPlayer.rotationPitch - aPlayer.prevRotationPitch) * f;
			float f2 = aPlayer.prevRotationYaw + (aPlayer.rotationYaw - aPlayer.prevRotationYaw) * f;
			double d0 = aPlayer.prevPosX + (aPlayer.posX - aPlayer.prevPosX) * f;
			double d1 = aPlayer.prevPosY + (aPlayer.posY - aPlayer.prevPosY) * f + (aWorld.isRemote ? aPlayer.getEyeHeight() - aPlayer.getDefaultEyeHeight() : aPlayer.getEyeHeight()); // isRemote check to revert changes to ray trace position due to adding the eye height clientside and player yOffset differences
			double d2 = aPlayer.prevPosZ + (aPlayer.posZ - aPlayer.prevPosZ) * f;
			Vec3 vec3 = Vec3.createVectorHelper(d0, d1, d2);
			float f3 = MathHelper.cos(-f2 * 0.017453292F - (float)Math.PI);
			float f4 = MathHelper.sin(-f2 * 0.017453292F - (float)Math.PI);
			float f5 = -MathHelper.cos(-f1 * 0.017453292F);
			float f6 = MathHelper.sin(-f1 * 0.017453292F);
			float f7 = f4 * f5;
			float f8 = f3 * f5;
			double d3 = 5.0D;
			if (aPlayer instanceof EntityPlayerMP) d3 = ((EntityPlayerMP)aPlayer).theItemInWorldManager.getBlockReachDistance();
			Vec3 vec31 = vec3.addVector(f7 * d3, f6 * d3, f8 * d3);
			return aWorld.func_147447_a(vec3, vec31, aFlag, !aFlag, F);
		}
		
		/**
		 * This checks if the Dimension is really a Dimension and not another Planet or something.
		 * Used for my Teleporter.
		 */
		public static boolean isRealDimension(int aDimensionID) {
			try {
				if (DimensionManager.getProvider(aDimensionID).getClass().getName().contains("com.xcompwiz.mystcraft")) return T;
			} catch (Throwable e) {/*Do nothing*/}
			try {
				if (DimensionManager.getProvider(aDimensionID).getClass().getName().contains("TwilightForest")) return T;
			} catch (Throwable e) {/*Do nothing*/}
			return aDimensionID == -1 || aDimensionID == 0 || aDimensionID == 1;
		}
		
		public static boolean moveEntityToDimensionAtCoords(Entity aEntity, int aDimension, double aX, double aY, double aZ) {
			WorldServer tTargetWorld = DimensionManager.getWorld(aDimension), tOriginalWorld = DimensionManager.getWorld(aEntity.worldObj.provider.dimensionId);
			if (tTargetWorld != null && tOriginalWorld != null && tTargetWorld != tOriginalWorld) {
				if (aEntity.ridingEntity != null) aEntity.mountEntity(null);
				if (aEntity.riddenByEntity != null) aEntity.riddenByEntity.mountEntity(null);
				
				if (aEntity instanceof EntityPlayerMP) {
					EntityPlayerMP aPlayer = (EntityPlayerMP)aEntity;
					aPlayer.dimension = aDimension;
					aPlayer.playerNetServerHandler.sendPacket(new S07PacketRespawn(aPlayer.dimension, aPlayer.worldObj.difficultySetting, aPlayer.worldObj.getWorldInfo().getTerrainType(), aPlayer.theItemInWorldManager.getGameType()));
					tOriginalWorld.removePlayerEntityDangerously(aPlayer);
					aPlayer.isDead = F;
					aPlayer.setWorld(tTargetWorld);
					MinecraftServer.getServer().getConfigurationManager().func_72375_a(aPlayer, tOriginalWorld);
					aPlayer.playerNetServerHandler.setPlayerLocation(aX+0.5, aY+0.5, aZ+0.5, aPlayer.rotationYaw, aPlayer.rotationPitch);
					aPlayer.theItemInWorldManager.setWorld(tTargetWorld);
					MinecraftServer.getServer().getConfigurationManager().updateTimeAndWeatherForPlayer(aPlayer, tTargetWorld);
					MinecraftServer.getServer().getConfigurationManager().syncPlayerInventory(aPlayer);
					Iterator tIterator = aPlayer.getActivePotionEffects().iterator();
					while (tIterator.hasNext()) {
						PotionEffect potioneffect = (PotionEffect)tIterator.next();
						aPlayer.playerNetServerHandler.sendPacket(new S1DPacketEntityEffect(aPlayer.getEntityId(), potioneffect));
					}
					aPlayer.playerNetServerHandler.setPlayerLocation(aX+0.5, aY+0.5, aZ+0.5, aPlayer.rotationYaw, aPlayer.rotationPitch);
					FMLCommonHandler.instance().firePlayerChangedDimensionEvent(aPlayer, tOriginalWorld.provider.dimensionId, aDimension);
				} else {
					aEntity.setPosition(aX+0.5, aY+0.5, aZ+0.5);
					aEntity.worldObj.removeEntity(aEntity);
					aEntity.dimension = aDimension;
					aEntity.isDead = F;
					Entity tNewEntity = EntityList.createEntityByName(EntityList.getEntityString(aEntity), tTargetWorld);
					if (tNewEntity != null) {
						tNewEntity.copyDataFrom(aEntity, T);
						aEntity.setDead();
						tNewEntity.isDead = F;
						boolean temp = tNewEntity.forceSpawn;
						tNewEntity.forceSpawn = T;
						tTargetWorld.spawnEntityInWorld(tNewEntity);
						tNewEntity.forceSpawn = temp;
						tNewEntity.isDead = F;
						aEntity = tNewEntity;
					}
				}
				
				if (aEntity instanceof EntityLivingBase) {
					((EntityLivingBase)aEntity).setPositionAndUpdate(aX, aY, aZ);
				} else {
					aEntity.setPosition(aX, aY, aZ);
				}
				
				tOriginalWorld.resetUpdateEntityTick();
				tTargetWorld.resetUpdateEntityTick();
				return T;
			}
			return F;
		}
		
		/** to get a TileEntity properly, according to my additional Interfaces. Normally you should set aLoadUnloadedChunks to false, unless you have already checked these Coordinates, or you want to load Chunks */
		public static DelegatorTileEntity<TileEntity> getTileEntity(World aWorld, ChunkCoordinates aCoords, byte aSide, boolean aLoadUnloadedChunks) {
			TileEntity aTileEntity = getTileEntity(aWorld, aCoords, aLoadUnloadedChunks);
			return aTileEntity instanceof ITileEntityDelegating ? ((ITileEntityDelegating)aTileEntity).getDelegateTileEntity(aSide) : new DelegatorTileEntity<TileEntity>(aTileEntity, aWorld, aCoords, aSide);
		}
		
		/** to get a TileEntity properly, according to my additional Interfaces. Normally you should set aLoadUnloadedChunks to false, unless you have already checked these Coordinates, or you want to load Chunks */
		public static DelegatorTileEntity<TileEntity> getTileEntity(World aWorld, int aX, int aY, int aZ, byte aSide, boolean aLoadUnloadedChunks) {
			TileEntity aTileEntity = getTileEntity(aWorld, aX, aY, aZ, aLoadUnloadedChunks);
			return aTileEntity instanceof ITileEntityDelegating ? ((ITileEntityDelegating)aTileEntity).getDelegateTileEntity(aSide) : new DelegatorTileEntity<TileEntity>(aTileEntity, aWorld, aX, aY, aZ, aSide);
		}
		
		/** to get a TileEntity properly, according to my additional Interfaces. Normally you should set aLoadUnloadedChunks to false, unless you have already checked these Coordinates, or you want to load Chunks */
		public static TileEntity getTileEntity(World aWorld, ChunkCoordinates aCoords, boolean aLoadUnloadedChunks) {
			if (aLoadUnloadedChunks || aWorld.blockExists(aCoords.posX, aCoords.posY, aCoords.posZ)) {
				TileEntity rTileEntity = aWorld.getTileEntity(aCoords.posX, aCoords.posY, aCoords.posZ);
				if (rTileEntity != null) return rTileEntity;
				Block tBlock = aWorld.getBlock(aCoords.posX, aCoords.posY, aCoords.posZ);
				return tBlock instanceof IBlockTileEntity ? ((IBlockTileEntity)tBlock).getTileEntity(aWorld, aCoords.posX, aCoords.posY, aCoords.posZ) : null;
			}
			return null;
		}
		
		/** to get a TileEntity properly, according to my additional Interfaces. Normally you should set aLoadUnloadedChunks to false, unless you have already checked these Coordinates, or you want to load Chunks */
		public static TileEntity getTileEntity(World aWorld, int aX, int aY, int aZ, boolean aLoadUnloadedChunks) {
			if (aLoadUnloadedChunks || aWorld.blockExists(aX, aY, aZ)) {
				TileEntity rTileEntity = aWorld.getTileEntity(aX, aY, aZ);
				if (rTileEntity != null) return rTileEntity;
				Block tBlock = aWorld.getBlock(aX, aY, aZ);
				return tBlock instanceof IBlockTileEntity ? ((IBlockTileEntity)tBlock).getTileEntity(aWorld, aX, aY, aZ) : null;
			}
			return null;
		}
		
		/** Sets the TileEntity at the passed position, with the option of turning adjacent TileEntity updates off. */
		public static TileEntity setTileEntity(World aWorld, int aX, int aY, int aZ, TileEntity aTileEntity, boolean aCauseTileEntityUpdates) {
			if (aCauseTileEntityUpdates) aWorld.setTileEntity(aX, aY, aZ, aTileEntity); else {
				Chunk tChunk = aWorld.getChunkFromChunkCoords(aX >> 4, aZ >> 4);
				if (tChunk != null) {
					aWorld.addTileEntity(aTileEntity);
					tChunk.func_150812_a(aX & 15, aY, aZ & 15, aTileEntity);
					tChunk.setChunkModified();
				}
			}
			return aTileEntity;
		}
		
		/** @return the regular Temperature of the World at this Location according to my calculations. In Kelvin, ofcourse. */
		public static long getEnvironmentalTemperature(World aWorld, int aX, int aY, int aZ) {
			BiomeGenBase tBiome = aWorld.getBiomeGenForCoords(aX, aZ);
			return Math.max(1, tBiome == null ? DEFAULT_ENVIRONMENT_TEMPERATURE : (long)(C - 3 + tBiome.getFloatTemperature(aX, aY, aZ) * 20));
		}
		
		/** @return the regular Temperature of the World at this Location according to my calculations. In Kelvin, ofcourse. */
		public static long getTemperature(World aWorld, int aX, int aY, int aZ) {
			long rTemperature = getEnvironmentalTemperature(aWorld, aX, aY, aZ);
			if (getCoordsOnFire(aWorld, aX, aY, aZ)) rTemperature = Math.max(rTemperature, C + 200);
			for (ChunkCoordinates tCoords : new ChunkCoordinates[] {new ChunkCoordinates(aX, aY, aZ), new ChunkCoordinates(aX+1, aY, aZ), new ChunkCoordinates(aX-1, aY, aZ), new ChunkCoordinates(aX, aY+1, aZ), new ChunkCoordinates(aX, aY-1, aZ), new ChunkCoordinates(aX, aY, aZ+1), new ChunkCoordinates(aX, aY, aZ-1)}) {
				Block tBlock = getBlock(aWorld, tCoords.posX, tCoords.posY, tCoords.posZ, F);
				if (tBlock == Blocks.lava || tBlock == Blocks.flowing_lava) rTemperature = Math.max(rTemperature, C + 500);
				else if (tBlock instanceof BlockFire) rTemperature = Math.max(rTemperature, C + 200);
			}
			return rTemperature;
		}
		
		public static ItemStack getStack(World aWorld, int aX, int aY, int aZ) {
			Block tBlock = aWorld.getBlock(aX, aY, aZ);
			return ST.make(tBlock, 1, tBlock instanceof IBlockExtendedMetaData ? ((IBlockExtendedMetaData)tBlock).getExtendedMetaData(aWorld, aX, aY, aZ) : aWorld.getBlockMetadata(aX, aY, aZ));
		}
		
		public static Block getBlock(World aWorld, int aX, int aY, int aZ, boolean aIgnoreUnloadedChunks) {
			if (aIgnoreUnloadedChunks || aWorld.blockExists(aX, aY, aZ)) return aWorld.getBlock(aX, aY, aZ);
			return NB;
		}
		
		public static boolean crossedChunkBorder(int aFromX, int aFromZ, int aToX, int aToZ) {
			return aFromX >> 4 != aToX >> 4 || aFromZ >> 4 != aToZ >> 4;
		}
		
		public static boolean areCoordsEven(TileEntity aTileEntity) {
			return areCoordsEven(aTileEntity.xCoord, aTileEntity.yCoord, aTileEntity.zCoord);
		}
		
		public static boolean areCoordsEven(ChunkCoordinates aCoords) {
			return areCoordsEven(aCoords.posX, aCoords.posY, aCoords.posZ);
		}
		
		public static boolean areCoordsEven(int... aCoords) {
			int i = 0; for (int tCoord : aCoords) if (tCoord % 2 == 0) i++; return i % 2 == 0;
		}
		
		public static boolean setBlockIfDifferent(World aWorld, int aX, int aY, int aZ, Block aBlock, int aMetaData, int aFlags) {
			if (aWorld.getBlock(aX, aY, aZ) == aBlock && aWorld.getBlockMetadata(aX, aY, aZ) == aMetaData) return F;
			return aWorld.setBlock(aX, aY, aZ, aBlock, aMetaData, aFlags);
		}
		
		public static boolean setBlock(World aWorld, int aX, int aY, int aZ, ItemStack aStack) {
			Block tBlock = ST.block(aStack);
			if (tBlock == NB) return F;
			if (tBlock instanceof IBlockPlacable) return ((IBlockPlacable)tBlock).placeBlock(aWorld, aX, aY, aZ, (byte)6, ST.meta(aStack), aStack.getTagCompound(), T, F);
			if (ST.meta(aStack) < 16) return aWorld.setBlock(aX, aY, aZ, tBlock, ST.meta(aStack), 3);
			return F;
		}
		
		public static boolean isRegularStoneBlock(Block aBlock, short aMetaData) {
			ItemStackContainer tStack = new ItemStackContainer(aBlock, 1, aMetaData);
			if (BlocksGT.stoneToBrokenOres.containsKey(tStack) || BlocksGT.stoneToNormalOres.containsKey(tStack) || BlocksGT.stoneToSmallOres.containsKey(tStack)) return T;
			if (aBlock == Blocks.obsidian) return T;
			return F;
		}
		
		public static boolean isOreBlock(Block aBlock, short aMetaData) {
			if (aBlock instanceof IBlockPlacable && (BlocksGT.stoneToBrokenOres.containsValue(aBlock) || BlocksGT.stoneToNormalOres.containsValue(aBlock) || BlocksGT.stoneToSmallOres.containsValue(aBlock))) return T;
			if (OM.prefixcontains(ST.make(aBlock, 1, aMetaData), TD.Prefix.ORE)) return T;
			return F;
		}
		
		public static boolean isOreOrRegularStoneBlock(Block aBlock, short aMetaData) {
			return isOreBlock(aBlock, aMetaData) || isRegularStoneBlock(aBlock, aMetaData);
		}
		
		public static boolean isVisuallyOccluded(World aWorld, int aX, int aY, int aZ, boolean aIgnoreUnloadedChunks, boolean aDefault) {
			return isVisuallyOpaque(aWorld, aX+1, aY, aZ, aIgnoreUnloadedChunks, aDefault) && isVisuallyOpaque(aWorld, aX-1, aY, aZ, aIgnoreUnloadedChunks, aDefault) && isVisuallyOpaque(aWorld, aX, aY+1, aZ, T, aDefault) && isVisuallyOpaque(aWorld, aX, aY-1, aZ, T, aDefault) && isVisuallyOpaque(aWorld, aX, aY, aZ+1, aIgnoreUnloadedChunks, aDefault) && isVisuallyOpaque(aWorld, aX, aY, aZ-1, aIgnoreUnloadedChunks, aDefault);
		}
		
		public static boolean isVisuallyOpaque(World aWorld, int aX, int aY, int aZ, boolean aIgnoreUnloadedChunks, boolean aDefault) {
			return aIgnoreUnloadedChunks || aWorld.blockExists(aX, aY, aZ) ? isVisuallyOpaque(aWorld.getBlock(aX, aY, aZ)) : aDefault;
		}
		
		public static boolean isVisuallyOpaque(Block aBlock) {
			return aBlock.isOpaqueCube() || VISUALLY_OPAQUE_BLOCKS.contains(aBlock);
		}
		
		public static boolean isOccluded(World aWorld, int aX, int aY, int aZ, boolean aIgnoreUnloadedChunks, boolean aDefault) {
			return isOpaque(aWorld, aX+1, aY, aZ, aIgnoreUnloadedChunks, aDefault) && isOpaque(aWorld, aX-1, aY, aZ, aIgnoreUnloadedChunks, aDefault) && isOpaque(aWorld, aX, aY+1, aZ, T, aDefault) && isOpaque(aWorld, aX, aY-1, aZ, T, aDefault) && isOpaque(aWorld, aX, aY, aZ+1, aIgnoreUnloadedChunks, aDefault) && isOpaque(aWorld, aX, aY, aZ-1, aIgnoreUnloadedChunks, aDefault);
		}
		
		public static boolean isOpaque(World aWorld, int aX, int aY, int aZ, boolean aIgnoreUnloadedChunks, boolean aDefault) {
			if (aIgnoreUnloadedChunks || aWorld.blockExists(aX, aY, aZ)) return aWorld.getBlock(aX, aY, aZ).isOpaqueCube();
			return aDefault;
		}
		
		public static boolean isAir(World aWorld, int aX, int aY, int aZ) {
			return aWorld.getBlock(aX, aY, aZ).isAir(aWorld, aX, aY, aZ);
		}
		
		public static boolean hasCollisionBox(World aWorld, int aX, int aY, int aZ) {
			return aWorld.getBlock(aX, aY, aZ).getCollisionBoundingBoxFromPool(aWorld, aX, aY, aZ) != null;
		}
		
		
		public static void setOnFire(World aWorld, int aX, int aY, int aZ, boolean aReplaceCenter, boolean aCheckFlammability) {
			setToFire(aWorld, aX+1, aY  , aZ  , aCheckFlammability);
			setToFire(aWorld, aX-1, aY  , aZ  , aCheckFlammability);
			setToFire(aWorld, aX  , aY+1, aZ  , aCheckFlammability);
			setToFire(aWorld, aX  , aY-1, aZ  , aCheckFlammability);
			setToFire(aWorld, aX  , aY  , aZ+1, aCheckFlammability);
			setToFire(aWorld, aX  , aY  , aZ-1, aCheckFlammability);
			if (aReplaceCenter)
			setToFire(aWorld, aX  , aY  , aZ  , aCheckFlammability);
		}
		
		public static void setOnFire(World aWorld, ChunkCoordinates aCoords, boolean aReplaceCenter, boolean aCheckFlammability) {
			setToFire(aWorld, aCoords.posX+1, aCoords.posY  , aCoords.posZ  , aCheckFlammability);
			setToFire(aWorld, aCoords.posX-1, aCoords.posY  , aCoords.posZ  , aCheckFlammability);
			setToFire(aWorld, aCoords.posX  , aCoords.posY+1, aCoords.posZ  , aCheckFlammability);
			setToFire(aWorld, aCoords.posX  , aCoords.posY-1, aCoords.posZ  , aCheckFlammability);
			setToFire(aWorld, aCoords.posX  , aCoords.posY  , aCoords.posZ+1, aCheckFlammability);
			setToFire(aWorld, aCoords.posX  , aCoords.posY  , aCoords.posZ-1, aCheckFlammability);
			if (aReplaceCenter)
			setToFire(aWorld, aCoords, aCheckFlammability);
		}
		
		public static boolean setToFire(World aWorld, int aX, int aY, int aZ, boolean aCheckFlammability) {
			Block tBlock = aWorld.getBlock(aX, aY, aZ);
			if (tBlock.getMaterial() == Material.carpet || tBlock.getCollisionBoundingBoxFromPool(aWorld, aX, aY, aZ) == null) {
				if (tBlock.getFlammability(aWorld, aX, aY, aZ, FORGE_DIR[SIDE_ANY]) > 0) return aWorld.setBlock(aX, aY, aZ, Blocks.fire, 0, 3);
				if (aCheckFlammability) {
					for (byte tSide : ALL_SIDES_VALID) if (aWorld.getBlock(aX+OFFSETS_X[tSide], aY+OFFSETS_Y[tSide], aZ+OFFSETS_Z[tSide]).getFlammability(aWorld, aX+OFFSETS_X[tSide], aY+OFFSETS_Y[tSide], aZ+OFFSETS_Z[tSide], FORGE_DIR_OPPOSITES[tSide]) > 0) return aWorld.setBlock(aX, aY, aZ, Blocks.fire);
				} else {
					return aWorld.setBlock(aX, aY, aZ, Blocks.fire, 0, 3);
				}
			}
			return F;
		}
		
		public static boolean setToFire(World aWorld, ChunkCoordinates aCoords, boolean aCheckFlammability) {
			Block tBlock = aWorld.getBlock(aCoords.posX, aCoords.posY, aCoords.posZ);
			if (tBlock.getMaterial() == Material.carpet || tBlock.getCollisionBoundingBoxFromPool(aWorld, aCoords.posX, aCoords.posY, aCoords.posZ) == null) {
				if (tBlock.getFlammability(aWorld, aCoords.posX, aCoords.posY, aCoords.posZ, FORGE_DIR[SIDE_ANY]) > 0) return aWorld.setBlock(aCoords.posX, aCoords.posY, aCoords.posZ, Blocks.fire, 0, 3);
				if (aCheckFlammability) {
					for (byte tSide : ALL_SIDES_VALID) if (aWorld.getBlock(aCoords.posX+OFFSETS_X[tSide], aCoords.posY+OFFSETS_Y[tSide], aCoords.posZ+OFFSETS_Z[tSide]).getFlammability(aWorld, aCoords.posX+OFFSETS_X[tSide], aCoords.posY+OFFSETS_Y[tSide], aCoords.posZ+OFFSETS_Z[tSide], FORGE_DIR_OPPOSITES[tSide]) > 0) return aWorld.setBlock(aCoords.posX, aCoords.posY, aCoords.posZ, Blocks.fire);
				} else {
					return aWorld.setBlock(aCoords.posX, aCoords.posY, aCoords.posZ, Blocks.fire, 0, 3);
				}
			}
			return F;
		}
		
		public static boolean getCoordsOnFire(World aWorld, int aX, int aY, int aZ) {
			return getBlock(aWorld, aX, aY, aZ, F) instanceof BlockFire || getBlock(aWorld, aX+1, aY, aZ, F) instanceof BlockFire || getBlock(aWorld, aX-1, aY, aZ, F) instanceof BlockFire || getBlock(aWorld, aX, aY+1, aZ, F) instanceof BlockFire || getBlock(aWorld, aX, aY-1, aZ, F) instanceof BlockFire || getBlock(aWorld, aX, aY, aZ+1, F) instanceof BlockFire || getBlock(aWorld, aX, aY, aZ-1, F) instanceof BlockFire;
		}
		
		public static long getCoordinateScan(ArrayList<String> aList, EntityPlayer aPlayer, World aWorld, int aScanLevel, int aX, int aY, int aZ, byte aSide, float aClickX, float aClickY, float aClickZ) {
			if (aList == null) return 0;
			
			ArrayList<String> rList = new ArrayListNoNulls<String>();
			long rEUAmount = 0;
			
			Block aBlock = aWorld.getBlock(aX, aY, aZ);
			byte aMeta = (byte)aWorld.getBlockMetadata(aX, aY, aZ);
			TileEntity aTileEntity = getTileEntity(aWorld, aX, aY, aZ, T);
			
			rList.add("--- X: " + aX + " Y: " + aY + " Z: " + aZ + " ---");
			try {
				rList.add("Name: " + (aTileEntity instanceof IInventory && Code.stringValid(((IInventory)aTileEntity).getInventoryName()) ? ((IInventory)aTileEntity).getInventoryName() : aBlock.getUnlocalizedName()) + "  MetaData: " + aMeta);
				float tResistance = aBlock.getExplosionResistance(aPlayer, aWorld, aX, aY, aZ, aPlayer.posX, aPlayer.posY, aPlayer.posZ);
				rList.add("Hardness: " + aBlock.getBlockHardness(aWorld, aX, aY, aZ) + "  Blast Resistance: " + tResistance + (tResistance < 16 ? " (TNT Blastable)" : " (TNT Proof)"));
				int tHarvestLevel = aBlock.getHarvestLevel(aMeta);
				String tHarvestTool = aBlock.getHarvestTool(aMeta);
				aList.add(tHarvestLevel == 0 && aBlock.getMaterial().isAdventureModeExempt() ? "Hand-Harvestable, but " + LH.get(TOOL_LOCALISER_PREFIX + tHarvestTool, Code.stringValid(tHarvestTool)?tHarvestTool:"None") + " is faster" : LH.get(LH.TOOL_TO_HARVEST) + ": " + LH.get(TOOL_LOCALISER_PREFIX + tHarvestTool, Code.stringValid(tHarvestTool)?tHarvestTool:"None") + " (" + tHarvestLevel + ")");
				if (aBlock.isBeaconBase(aWorld, aX, aY, aZ, aX, aY+1, aZ)) rList.add("Is usable for Beacon Pyramids");
			} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
			if (aTileEntity != null) {
				
				try {if (aTileEntity instanceof ITileEntityWeight && ((ITileEntityWeight)aTileEntity).getWeightValue(aSide) > 0) {
					rEUAmount+=V[3];
					rList.add("Weight: " + ((ITileEntityWeight)aTileEntity).getWeightValue(aSide) + " kg");
				}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
				try {if (aTileEntity instanceof ITileEntityTemperature && ((ITileEntityTemperature)aTileEntity).getTemperatureMax(aSide) > 0) {
					rEUAmount+=V[3];
					rList.add("Temperature: " + ((ITileEntityTemperature)aTileEntity).getTemperatureValue(aSide) + " / " + ((ITileEntityTemperature)aTileEntity).getTemperatureMax(aSide) + " K");
				}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
				try {if (aTileEntity instanceof ITileEntityGibbl && ((ITileEntityGibbl)aTileEntity).getGibblMax(aSide) > 0) {
					rEUAmount+=V[3];
					rList.add("Pressure: " + ((ITileEntityGibbl)aTileEntity).getGibblValue(aSide) + " / " + ((ITileEntityGibbl)aTileEntity).getGibblMax(aSide) + " Gibbl");
				}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
				try {if (aTileEntity instanceof ITileEntityProgress && ((ITileEntityProgress)aTileEntity).getProgressMax(aSide) > 0) {
					rEUAmount+=V[3];
					rList.add("Progress: " + ((ITileEntityProgress)aTileEntity).getProgressValue(aSide) + " / " + ((ITileEntityProgress)aTileEntity).getProgressMax(aSide));
				}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
				
				
				String rState = "";
				try {if (aTileEntity instanceof ITileEntitySwitchableOnOff) {
					if (Code.stringValid(rState)) rState += " --- ";
					rEUAmount+=V[3];
					rState += ("State: " + (((ITileEntitySwitchableOnOff)aTileEntity).getStateOnOff()?"ON":"OFF"));
				}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
				try {if (aTileEntity instanceof ITileEntitySwitchableMode) {
					if (Code.stringValid(rState)) rState += " --- ";
					rEUAmount+=V[3];
					rState += ("Mode: " + (((ITileEntitySwitchableMode)aTileEntity).getStateMode()));
				}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
				try {if (aTileEntity instanceof ITileEntityRunningSuccessfully) {
					if (Code.stringValid(rState)) rState += " --- ";
					rEUAmount+=V[3];
					rState += ("Running: " + (((ITileEntityRunningSuccessfully)aTileEntity).getStateRunningSuccessfully()?"Successfully":((ITileEntityRunningSuccessfully)aTileEntity).getStateRunningActively()?"Actively":((ITileEntityRunningSuccessfully)aTileEntity).getStateRunningPassively()?"Passively":((ITileEntityRunningSuccessfully)aTileEntity).getStateRunningPossible()?"Possible":"Not Possible"));
				} else if (aTileEntity instanceof ITileEntityRunningActively) {
					if (Code.stringValid(rState)) rState += " --- ";
					rEUAmount+=V[3];
					rState += ("Running: " + (((ITileEntityRunningActively)aTileEntity).getStateRunningActively()?"Actively":((ITileEntityRunningActively)aTileEntity).getStateRunningPassively()?"Passively":((ITileEntityRunningActively)aTileEntity).getStateRunningPossible()?"Possible":"Not Possible"));
				} else if (aTileEntity instanceof ITileEntityRunningPassively) {
					if (Code.stringValid(rState)) rState += " --- ";
					rEUAmount+=V[3];
					rState += ("Running: " + (((ITileEntityRunningPassively)aTileEntity).getStateRunningPassively()?"Passively":((ITileEntityRunningPassively)aTileEntity).getStateRunningPossible()?"Possible":"Not Possible"));
				} else if (aTileEntity instanceof ITileEntityRunningPossible) {
					if (Code.stringValid(rState)) rState += " --- ";
					rEUAmount+=V[3];
					rState += ("Running: " + (((ITileEntityRunningPossible)aTileEntity).getStateRunningPossible()?"Possible":"Not Possible"));
				}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
				if (Code.stringValid(rState)) rList.add(rState);
				
				
				try {if (aTileEntity instanceof ITileEntityEnergy) {
					rEUAmount+=V[3];
					for (TagData tEnergyType : ((ITileEntityEnergy)aTileEntity).getEnergyTypes(aSide)) {
						rList.add("Input: " + ((ITileEntityEnergy)aTileEntity).getEnergySizeInputMin(tEnergyType, aSide) + " to " + ((ITileEntityEnergy)aTileEntity).getEnergySizeInputMax(tEnergyType, aSide) + tEnergyType.getLocalisedNameShort());
						rList.add("Output: " + ((ITileEntityEnergy)aTileEntity).getEnergySizeOutputMin(tEnergyType, aSide) + " to " + ((ITileEntityEnergy)aTileEntity).getEnergySizeOutputMax(tEnergyType, aSide) + tEnergyType.getLocalisedNameShort());
					}
				}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
				try {if (aTileEntity instanceof ITileEntityEnergyDataCapacitor) {
					rEUAmount+=V[3];
					for (TagData tEnergyType : ((ITileEntityEnergyDataCapacitor)aTileEntity).getEnergyCapacitorTypes(aSide)) {
						rList.add("Stored: " + ((ITileEntityEnergyDataCapacitor)aTileEntity).getEnergyStored(tEnergyType, aSide) + " of " + ((ITileEntityEnergyDataCapacitor)aTileEntity).getEnergyCapacity(tEnergyType, aSide) + tEnergyType.getLocalisedNameShort());
					}
				}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
				
				
				try {if (aTileEntity instanceof IFluidHandler) {
					rEUAmount+=V[3];
					FluidTankInfo[] tTanks = ((IFluidHandler)aTileEntity).getTankInfo(FORGE_DIR[aSide]);
					if (tTanks != null) for (byte i = 0; i < tTanks.length; i++) {
						rList.add("Tank " + i + ": " + (tTanks[i].fluid==null?0:tTanks[i].fluid.amount) + " / " + tTanks[i].capacity + " " + Fluids.name(tTanks[i].fluid, T));
					}
				}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
				if (!(aTileEntity instanceof ITileEntity)) {
					try {if (aTileEntity instanceof ic2.api.reactor.IReactorChamber) {
						rEUAmount+=V[4];
						aTileEntity = (TileEntity)(((ic2.api.reactor.IReactorChamber)aTileEntity).getReactor());
					}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
					try {if (aTileEntity instanceof ic2.api.reactor.IReactor) {
						rEUAmount+=V[4];
						rList.add("Heat: " + ((ic2.api.reactor.IReactor)aTileEntity).getHeat() + "/" + ((ic2.api.reactor.IReactor)aTileEntity).getMaxHeat()
								+ "  HEM: " + ((ic2.api.reactor.IReactor)aTileEntity).getHeatEffectModifier() + "  Base IC2-EU Output: " + ((ic2.api.reactor.IReactor)aTileEntity).getReactorEUEnergyOutput());
					}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
					try {if (aTileEntity instanceof ic2.api.tile.IWrenchable) {
						rEUAmount+=V[3];
						rList.add("Facing: " + ((ic2.api.tile.IWrenchable)aTileEntity).getFacing() + " / IC2 Wrench Drop Chance: " + (((ic2.api.tile.IWrenchable)aTileEntity).wrenchCanRemove(aPlayer)?(((ic2.api.tile.IWrenchable)aTileEntity).getWrenchDropRate()*100):0) + "%");
					}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
					try {if (aTileEntity instanceof ic2.api.energy.tile.IEnergySink) {
						rEUAmount+=V[3];
						aList.add("Demanded Energy: " + ((ic2.api.energy.tile.IEnergySink)aTileEntity).getDemandedEnergy() + " IC2-EU");
						rList.add("Max Safe Input: " + V[((ic2.api.energy.tile.IEnergySink)aTileEntity).getSinkTier()] + " IC2-EU/t");
					}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
					try {if (aTileEntity instanceof ic2.api.energy.tile.IEnergySource) {
						rEUAmount+=V[3];
						aList.add("Max Energy Output: " + V[((ic2.api.energy.tile.IEnergySource)aTileEntity).getSourceTier()] + " IC2-EU/t");
					}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
					try {if (aTileEntity instanceof ic2.api.energy.tile.IEnergyConductor) {
						rEUAmount+=V[3];
						rList.add("Conduction Loss: " + ((ic2.api.energy.tile.IEnergyConductor)aTileEntity).getConductionLoss() + " IC2-EU/m");
					}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
					try {if (aTileEntity instanceof ic2.api.tile.IEnergyStorage) {
						rEUAmount+=V[3];
						rList.add("Contained Energy: " + ((ic2.api.tile.IEnergyStorage)aTileEntity).getStored() + " of " + ((ic2.api.tile.IEnergyStorage)aTileEntity).getCapacity() + " IC2-EU");
						aList.add(((ic2.api.tile.IEnergyStorage)aTileEntity).isTeleporterCompatible(FORGE_DIR[aSide])?"Teleporter Compatible":"Not Teleporter Compatible");
					}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
				}
			}
			try {if (aBlock instanceof IBlockDebugable) {
				rEUAmount+=V[3];
				ArrayList<String> temp = ((IBlockDebugable)aBlock).getDebugInfo(aPlayer, aX, aY, aZ, aScanLevel);
				if (temp != null) rList.addAll(temp);
			}} catch(Throwable e) {if (D1) e.printStackTrace(ERR);}
			
			BlockScanningEvent tEvent = new BlockScanningEvent(aWorld, aPlayer, aX, aY, aZ, aSide, aScanLevel, aBlock, aTileEntity, rList, aClickX, aClickY, aClickZ);
			tEvent.mEUCost = rEUAmount;
			MinecraftForge.EVENT_BUS.post(tEvent);
			if (!tEvent.isCanceled()) aList.addAll(rList);
			return tEvent.mEUCost;
		}
	}
	
	
	public static class Crafting {
		private static final ArrayListNoNulls<List<ItemStack>> OREDICT_DYE_LISTS = new ArrayListNoNulls<List<ItemStack>>();
		static {for (String tDye : DYE_OREDICTS) OREDICT_DYE_LISTS.add(OreDictionary.getOres(tDye));}
		
		public static Collection<String>
		sNativeRecipeClasses = new HashSetNoNulls<String>(F
		, ShapedRecipes.class.getName()
		, ShapedOreRecipe.class.getName()
		, AdvancedCraftingShaped.class.getName()
		, ShapelessRecipes.class.getName()
		, ShapelessOreRecipe.class.getName()
		, AdvancedCraftingShapeless.class.getName()
		, "ic2.core.AdvRecipe"
		, "ic2.core.AdvShapelessRecipe"
		, "appeng.recipes.game.ShapedRecipe"
		, "appeng.recipes.game.ShapelessRecipe"
		, "forestry.core.utils.ShapedRecipeCustom"
		),
		sSpecialRecipeClasses = new HashSetNoNulls<String>(F
		, net.minecraft.item.crafting.RecipeFireworks.class.getName()
		, net.minecraft.item.crafting.RecipesArmorDyes.class.getName()
		, net.minecraft.item.crafting.RecipeBookCloning.class.getName()
		, net.minecraft.item.crafting.RecipesMapCloning.class.getName()
		, net.minecraft.item.crafting.RecipesMapExtending.class.getName()
		, "jds.bibliocraft.BiblioSpecialRecipes"
		, "dan200.qcraft.shared.EntangledQBlockRecipe"
		, "dan200.qcraft.shared.EntangledQuantumComputerRecipe"
		, "dan200.qcraft.shared.QBlockRecipe"
		, "appeng.recipes.game.FacadeRecipe"
		, "appeng.recipes.game.DisassembleRecipe"
		, "mods.railcraft.common.carts.LocomotivePaintingRecipe"
		, "mods.railcraft.common.util.crafting.RotorRepairRecipe"
		, "mods.railcraft.common.util.crafting.RoutingTableCopyRecipe"
		, "mods.railcraft.common.util.crafting.RoutingTicketCopyRecipe"
		, "mods.railcraft.common.util.crafting.TankCartFilterRecipe"
		, "mods.railcraft.common.emblems.LocomotiveEmblemRecipe"
		, "mods.railcraft.common.emblems.EmblemPostColorRecipe"
		, "mods.railcraft.common.emblems.EmblemPostEmblemRecipe"
		, "mods.immibis.redlogic.interaction.RecipeDyeLumarButton"
		, "thaumcraft.common.items.armor.RecipesRobeArmorDyes"
		, "thaumcraft.common.items.armor.RecipesVoidRobeArmorDyes"
		, "thaumcraft.common.lib.crafting.ShapelessNBTOreRecipe"
		, "twilightforest.item.TFMapCloningRecipe"
		, "forestry.lepidopterology.MatingRecipe"
		, "micdoodle8.mods.galacticraft.planets.asteroids.recipe.CanisterRecipes"
		, "shedar.mods.ic2.nuclearcontrol.StorageArrayRecipe"
		);
		
		private static boolean sBufferCraftingRecipes = T;
		public static final List<IRecipe> sAllRecipeList = Collections.synchronizedList(new ArrayListNoNulls<IRecipe>(5000));
		private static final List<IRecipe> sBufferRecipeList = new ArrayListNoNulls<IRecipe>(1000);
		
		public static void stopBufferingCraftingRecipes() {
			sBufferCraftingRecipes = F;
			for (IRecipe tRecipe : sBufferRecipeList) GameRegistry.addRecipe(tRecipe);
			sBufferRecipeList.clear();
		}
		
		public static class Bits {
			public static long NONE = 0;
			/** Mirrors the Recipe */
			public static long MIR = B[0];
			/** Buffers the Recipe for later addition. This makes things more efficient. */
			public static long BUF = B[1];
			/** Reverses the Output of the Recipe for smelting and pulverising. */
			public static long REV = B[5];
			/** This is a special Tag I used for crafting Coins up and down. */
			public static long KEEPNBT = B[2];
			/** Makes the Recipe Reverse Craftable in the Disassembler. */
			public static long DISMANTLE = B[3];
			/** Prevents the Recipe from accidentally getting removed by my own Handlers. */
			public static long NO_REM = B[4];
			/** Prevents the Recipe from being AutoCrafted by GT. */
			public static long NO_AUTO = B[14];
			/** Disables the check for colliding Recipes. */
			public static long NO_COLLISION_CHECK = B[10];
			/** Removes all Recipes with the same Output Item regardless of NBT, unless another Recipe Deletion Bit is added too. */
			public static long DEL_OTHER_RECIPES = B[6];
			/** Removes all Recipes with the same Output Item limited to the same NBT. */
			public static long DEL_OTHER_RECIPES_IF_SAME_NBT = B[7];
			/** Removes all Recipes with the same Output Item limited to Shaped Recipes. */
			public static long DEL_OTHER_SHAPED_RECIPES = B[8];
			/** Removes all Recipes with the same Output Item limited to native Recipe Handlers. */
			public static long DEL_OTHER_NATIVE_RECIPES = B[9];
			/** Removes only if no OreDict Dye List is used. */
			public static long DEL_IF_NO_DYES = B[13];
			/** Only adds the Recipe if there is another Recipe having that Output */
			public static long ONLY_IF_HAS_OTHER_RECIPES = B[11];
			/** Only adds the Recipe if it has an Output */
			public static long ONLY_IF_HAS_RESULT = B[12];
			
			public static long DEFAULT = BUF|NO_REM;
			public static long DEFAULT_REV = DEFAULT|REV;
			public static long DEFAULT_NCC = DEFAULT|NO_COLLISION_CHECK;
			public static long DEFAULT_REV_NCC = DEFAULT_REV|NO_COLLISION_CHECK;
			public static long DEFAULT_NAC = DEFAULT|NO_AUTO;
			public static long DEFAULT_NAC_NCC = DEFAULT_NCC|NO_AUTO;
			public static long DEFAULT_NAC_REV = DEFAULT_REV|NO_AUTO;
			public static long DEFAULT_NAC_REV_NCC = DEFAULT_REV_NCC|NO_AUTO;
			public static long DEFAULT_REM = BUF|NO_REM|DEL_OTHER_RECIPES;
			public static long DEFAULT_REM_REV = DEFAULT_REM|REV;
			public static long DEFAULT_REM_NCC = DEFAULT_REM|NO_COLLISION_CHECK;
			public static long DEFAULT_REM_REV_NCC = DEFAULT_REM_REV|NO_COLLISION_CHECK;
			public static long DEFAULT_REM_NAC = DEFAULT_REM|NO_AUTO;
			public static long DEFAULT_REM_NAC_NCC = DEFAULT_REM_NCC|NO_AUTO;
			public static long DEFAULT_REM_NAC_REV = DEFAULT_REM_REV|NO_AUTO;
			public static long DEFAULT_REM_NAC_REV_NCC = DEFAULT_REM_REV_NCC|NO_AUTO;
		}
		
		/**
		 * Regular Crafting Recipes. Deletes conflicting Recipes too.
		 * You can insert instances of IItemContainer into the Recipe Input Array directly without having to call "get(1)" on them.
		 * Enums are automatically getting their "name()"-Method called in order to deliver an OreDict String.
		 * Lowercase Letters are reserved for Tools. They are as follows:
		 * 
		 *   'b' = OreDictToolNames.blade
		 * , 'c' = OreDictToolNames.crowbar
		 * , 'd' = OreDictToolNames.screwdriver
		 * , 'e' = OreDictToolNames.drill
		 * , 'f' = OreDictToolNames.file
		 * , 'h' = OreDictToolNames.hammer
		 * , 'i' = OreDictToolNames.solderingiron
		 * , 'j' = OreDictToolNames.solderingmetal
		 * , 'k' = OreDictToolNames.knife
		 * , 'l' = OreDictToolNames.magnifyingglass
		 * , 'm' = OreDictToolNames.hac_mortar
		 * , 'n' = OreDictToolNames.monkeywrench
		 * , 'o' = OreDictToolNames.bendingcylindersmall
		 * , 'p' = OreDictToolNames.drawplate
		 * , 'q' = OreDictToolNames.scissors
		 * , 'r' = OreDictToolNames.softhammer
		 * , 's' = OreDictToolNames.saw
		 * , 'w' = OreDictToolNames.wrench
		 * , 'x' = OreDictToolNames.wirecutter
		 * , 'y' = OreDictToolNames.chisel
		 * , 'z' = OreDictToolNames.bendingcylinder
		 */
		public static boolean shaped(ItemStack aResult, Enchantment[] aEnchantmentsAdded, int[] aEnchantmentLevelsAdded, Object[] aRecipe) {return shaped(aResult, aEnchantmentsAdded, aEnchantmentLevelsAdded, F, T, F, F, F, F, F, F, F, F, F, F, T, F, F, aRecipe);}
		
		/**
		 * Regular Crafting Recipes. Deletes conflicting Recipes too.
		 * You can insert instances of IItemContainer into the Recipe Input Array directly without having to call "get(1)" on them.
		 * Enums are automatically getting their "name()"-Method called in order to deliver an OreDict String.
		 * Lowercase Letters are reserved for Tools. They are as follows:
		 * 
		 *   'b' = OreDictToolNames.blade
		 * , 'c' = OreDictToolNames.crowbar
		 * , 'd' = OreDictToolNames.screwdriver
		 * , 'e' = OreDictToolNames.drill
		 * , 'f' = OreDictToolNames.file
		 * , 'h' = OreDictToolNames.hammer
		 * , 'i' = OreDictToolNames.solderingiron
		 * , 'j' = OreDictToolNames.solderingmetal
		 * , 'k' = OreDictToolNames.knife
		 * , 'l' = OreDictToolNames.magnifyingglass
		 * , 'm' = OreDictToolNames.hac_mortar
		 * , 'n' = OreDictToolNames.monkeywrench
		 * , 'o' = OreDictToolNames.bendingcylindersmall
		 * , 'p' = OreDictToolNames.drawplate
		 * , 'q' = OreDictToolNames.scissors
		 * , 'r' = OreDictToolNames.softhammer
		 * , 's' = OreDictToolNames.saw
		 * , 'w' = OreDictToolNames.wrench
		 * , 'x' = OreDictToolNames.wirecutter
		 * , 'y' = OreDictToolNames.chisel
		 * , 'z' = OreDictToolNames.bendingcylinder
		 */
		public static boolean shaped(ItemStack aResult, Object[] aRecipe) {return shaped(aResult, Bits.DEFAULT, aRecipe);}
		
		/**
		 * Regular Crafting Recipes. Deletes conflicting Recipes too.
		 * You can insert instances of IItemContainer into the Recipe Input Array directly without having to call "get(1)" on them.
		 * Enums are automatically getting their "name()"-Method called in order to deliver an OreDict String.
		 * Lowercase Letters are reserved for Tools. They are as follows:
		 * 
		 *   'b' = OreDictToolNames.blade
		 * , 'c' = OreDictToolNames.crowbar
		 * , 'd' = OreDictToolNames.screwdriver
		 * , 'e' = OreDictToolNames.drill
		 * , 'f' = OreDictToolNames.file
		 * , 'h' = OreDictToolNames.hammer
		 * , 'i' = OreDictToolNames.solderingiron
		 * , 'j' = OreDictToolNames.solderingmetal
		 * , 'k' = OreDictToolNames.knife
		 * , 'l' = OreDictToolNames.magnifyingglass
		 * , 'm' = OreDictToolNames.hac_mortar
		 * , 'n' = OreDictToolNames.monkeywrench
		 * , 'o' = OreDictToolNames.bendingcylindersmall
		 * , 'p' = OreDictToolNames.drawplate
		 * , 'q' = OreDictToolNames.scissors
		 * , 'r' = OreDictToolNames.softhammer
		 * , 's' = OreDictToolNames.saw
		 * , 'w' = OreDictToolNames.wrench
		 * , 'x' = OreDictToolNames.wirecutter
		 * , 'y' = OreDictToolNames.chisel
		 * , 'z' = OreDictToolNames.bendingcylinder
		 */
		public static boolean shaped(ItemStack aResult, long aBitMask, Object[] aRecipe) {return shaped(aResult, new Enchantment[0], new int[0], (aBitMask & Bits.MIR) != 0, (aBitMask & Bits.BUF) != 0, (aBitMask & Bits.KEEPNBT) != 0, (aBitMask & Bits.DISMANTLE) != 0, (aBitMask & Bits.NO_REM) == 0, (aBitMask & Bits.REV) != 0, (aBitMask & Bits.DEL_OTHER_RECIPES) != 0, (aBitMask & Bits.DEL_OTHER_RECIPES_IF_SAME_NBT) != 0, (aBitMask & Bits.DEL_OTHER_SHAPED_RECIPES) != 0, (aBitMask & Bits.DEL_OTHER_NATIVE_RECIPES) != 0, (aBitMask & Bits.NO_COLLISION_CHECK) == 0, (aBitMask & Bits.ONLY_IF_HAS_OTHER_RECIPES) != 0, (aBitMask & Bits.ONLY_IF_HAS_RESULT) != 0, (aBitMask & Bits.DEL_IF_NO_DYES) != 0, (aBitMask & Bits.NO_AUTO) != 0, aRecipe);}
		
		private static boolean shaped(ItemStack aResult, Enchantment[] aEnchantmentsAdded, int[] aEnchantmentLevelsAdded, boolean aMirrored, boolean aBuffered, boolean aKeepNBT, boolean aDismantleable, boolean aRemovable, boolean aReversible, boolean aRemoveAllOthersWithSameOutput, boolean aRemoveAllOthersWithSameOutputIfTheyHaveSameNBT, boolean aRemoveAllOtherShapedsWithSameOutput, boolean aRemoveAllOtherNativeRecipes, boolean aCheckForCollisions, boolean aOnlyAddIfThereIsAnyRecipeOutputtingThis, boolean aOnlyAddIfResultIsNotNull, boolean aDeleteOnlyIfNoDyeInvolved, boolean aNotAutoCraftable, Object[] aRecipe) {
			if (aOnlyAddIfResultIsNotNull && ST.invalid(aResult)) return F;
			aResult = OM.get(aResult);
			if (aResult != null && ST.meta(aResult) == W) ST.meta(aResult, 0);
			if (aRecipe == null || aRecipe.length <= 0) return F;
			
			boolean tThereWasARecipe = F;
			
			for (byte i = 0; i < aRecipe.length; i++) {
				if (aRecipe[i] instanceof IItemContainer)
					aRecipe[i] = ((IItemContainer)aRecipe[i]).get(1);
				else if (aRecipe[i] instanceof Enum)
					aRecipe[i] = ((Enum)aRecipe[i]).name();
				else if (!(aRecipe[i] == null || aRecipe[i] instanceof ItemStack || aRecipe[i] instanceof OreDictItemData || aRecipe[i] instanceof String || aRecipe[i] instanceof Character))
					aRecipe[i] = aRecipe[i].toString();
			}
			
			try {
				String shape = "";
				int idx = 0;
				if (aRecipe[idx] instanceof Boolean) throw new IllegalArgumentException();
				
				ArrayList<Object> tRecipeList = new ArrayList<Object>(Arrays.asList(aRecipe));
				
				while (aRecipe[idx] instanceof String) {
					String s = (String)aRecipe[idx++];
					shape += s;
					while (s.length() < 3) s+=" ";
					if (s.length() > 3) throw new IllegalArgumentException();
					
					for (char c : s.toCharArray()) {
						switch(c) {
						case 'b': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.blade					); break;
						case 'c': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.crowbar					); break;
						case 'd': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.screwdriver				); break;
						case 'e': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.drill					); break;
						case 'f': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.file						); break;
						case 'h': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.hammer					); break;
						case 'i': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.solderingiron			); break;
						case 'j': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.solderingmetal			); break;
						case 'k': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.knife					); break;
						case 'l': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.magnifyingglass			); break;
						case 'm': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.hac_mortar				); break;
						case 'n': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.monkeywrench				); break;
						case 'o': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.bendingcylindersmall		); break;
						case 'p': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.drawplate				); break;
						case 'q': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.scissors					); break;
						case 'r': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.softhammer				); break;
						case 's': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.saw						); break;
						case 'w': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.wrench					); break;
						case 'x': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.wirecutter				); break;
						case 'y': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.chisel					); break;
						case 'z': tRecipeList.add(c); tRecipeList.add(OreDictToolNames.bendingcylinder			); break;
						}
					}
				}
				
				aRecipe = tRecipeList.toArray();
				
				if (aRecipe[idx] instanceof Boolean) {
					idx++;
				}
				HashMap<Character, ItemStack> tItemStackMap = new HashMap<Character, ItemStack>();
				HashMap<Character, OreDictItemData> tItemDataMap = new HashMap<Character, OreDictItemData>();
				tItemStackMap.put(' ', null);
				
				boolean tRemoveRecipe = T;
				
				for (; idx < aRecipe.length; idx += 2) {
					if (aRecipe[idx] == null || aRecipe[idx + 1] == null) {
						if (D1) {
							ERR.println("WARNING: Missing Item for shaped Recipe: " + (aResult==null?"null":aResult.getDisplayName()));
							for (Object tContent : aRecipe) ERR.println(tContent);
						}
						return F;
					}
					Character chr = (Character)aRecipe[idx];
					Object in = aRecipe[idx + 1];
					
					if (in instanceof ItemStack) {
						tItemStackMap.put(chr, ST.copy((ItemStack)in));
						tItemDataMap.put(chr, OM.data_((ItemStack)in));
					} else {
						String tInString = in.toString();
						OreDictItemData tData = null;
						
						if (in instanceof OreDictItemData) {
							tData = (OreDictItemData)in;
							in = aRecipe[idx + 1] = tInString;
						}
						if (Code.stringValid(tInString)) {
							OreDictItemData tData2 = OreDictManager.INSTANCE.getAutomaticItemData(tInString);
							if (tData2 != null) tItemDataMap.put(chr, tData2); else if (tData != null) tItemDataMap.put(chr, tData);
							
							ItemStack tStack = OreDictManager.INSTANCE.getFirstOre(tInString, 1);
							if (tStack == null) tRemoveRecipe = F; else tItemStackMap.put(chr, tStack);
						} else {
							throw new IllegalArgumentException();
						}
					}
				}
				
				if (aReversible && aResult != null) {
					OreDictItemData[] tData = new OreDictItemData[9];
					int x = -1;
					for (char chr : shape.toCharArray()) tData[++x] = tItemDataMap.get(chr);
					if (Code.containsSomething(tData)) OM.data(aResult, new OreDictItemData(tData));
				}
				
				if (aCheckForCollisions && tRemoveRecipe) {
					ItemStack[] tRecipe = new ItemStack[9];
					int x = -1;
					for (char chr : shape.toCharArray()) {
						tRecipe[++x] = tItemStackMap.get(chr);
						if (tRecipe[x] != null && ST.meta(tRecipe[x]) == W) ST.meta(tRecipe[x], 0);
					}
					tThereWasARecipe = remove(tRecipe) != null || tThereWasARecipe;
				}
			} catch(Throwable e) {e.printStackTrace(ERR);}
			
			if (aResult == null || aResult.stackSize <= 0) return F;
			
			if (aRemoveAllOthersWithSameOutput || aRemoveAllOthersWithSameOutputIfTheyHaveSameNBT || aRemoveAllOtherShapedsWithSameOutput || aRemoveAllOtherNativeRecipes)
				tThereWasARecipe = remout(aResult, !aRemoveAllOthersWithSameOutputIfTheyHaveSameNBT, aRemoveAllOtherShapedsWithSameOutput, aRemoveAllOtherNativeRecipes, aDeleteOnlyIfNoDyeInvolved) || tThereWasARecipe;
			
			if (aOnlyAddIfThereIsAnyRecipeOutputtingThis && !tThereWasARecipe) {
				ArrayList<IRecipe> tList = (ArrayList<IRecipe>)CraftingManager.getInstance().getRecipeList();
				for (int i = 0; i < tList.size(); i++) {
					IRecipe tRecipe = tList.get(i);
					if (sSpecialRecipeClasses.contains(tRecipe.getClass().getName())) continue;
					if (ST.equal(OM.get(tRecipe.getRecipeOutput()), aResult, T)) {
						tThereWasARecipe = T;
						break;
					}
				}
			}
			
			if (ST.meta(aResult) == W || ST.meta(aResult) < 0) ST.meta(aResult, 0);
			
			ST.update(aResult);
			
			if (tThereWasARecipe || !aOnlyAddIfThereIsAnyRecipeOutputtingThis) {
				if (sBufferCraftingRecipes && aBuffered)
					sBufferRecipeList.add(new AdvancedCraftingShaped(ST.copy(aResult), aDismantleable, aRemovable, aKeepNBT, !aNotAutoCraftable, aEnchantmentsAdded, aEnchantmentLevelsAdded, aRecipe).setMirrored(aMirrored));
				else
					GameRegistry.addRecipe(new AdvancedCraftingShaped(ST.copy(aResult), aDismantleable, aRemovable, aKeepNBT, !aNotAutoCraftable, aEnchantmentsAdded, aEnchantmentLevelsAdded, aRecipe).setMirrored(aMirrored));
			}
			return T;
		}
		
		/** Shapeless Crafting Recipes. Deletes conflicting Recipes too. */
		public static boolean shapeless(ItemStack aResult, Enchantment[] aEnchantmentsAdded, int[] aEnchantmentLevelsAdded, Object[] aRecipe) {return shapeless(aResult, aEnchantmentsAdded, aEnchantmentLevelsAdded, T, F, F, F, F, F, F, F, F, aRecipe);}
		/** Shapeless Crafting Recipes. Deletes conflicting Recipes too. */
		public static boolean shapeless(ItemStack aResult, Object[] aRecipe) {return shapeless(aResult, Bits.DEFAULT, aRecipe);}
		/** Shapeless Crafting Recipes. Deletes conflicting Recipes too. */
		public static boolean shapeless(ItemStack aResult, long aBitMask, Object[] aRecipe) {return shapeless(aResult, new Enchantment[0], new int[0], (aBitMask & Bits.BUF) != 0, (aBitMask & Bits.KEEPNBT) != 0, (aBitMask & Bits.DISMANTLE) != 0, (aBitMask & Bits.NO_REM) == 0, (aBitMask & Bits.NO_AUTO) != 0, (aBitMask & Bits.DEL_OTHER_RECIPES) != 0, (aBitMask & Bits.DEL_OTHER_RECIPES_IF_SAME_NBT) != 0, (aBitMask & Bits.DEL_OTHER_SHAPED_RECIPES) != 0, (aBitMask & Bits.DEL_OTHER_NATIVE_RECIPES) != 0, aRecipe);}
		
		private static boolean shapeless(ItemStack aResult, Enchantment[] aEnchantmentsAdded, int[] aEnchantmentLevelsAdded, boolean aBuffered, boolean aKeepNBT, boolean aDismantleable, boolean aRemovable, boolean aNotAutoCraftable, boolean aRemoveAllOthersWithSameOutput, boolean aRemoveAllOthersWithSameOutputIfTheyHaveSameNBT, boolean aRemoveAllOtherShapedsWithSameOutput, boolean aRemoveAllOtherNativeRecipes, Object[] aRecipe) {
			if (aRecipe == null || aRecipe.length <= 0) return F;
			if (aRecipe.length > 9) throw new IllegalArgumentException("Shapeless Recipe has more than 9 Inputs! This would crash NEI!");
			aResult = OM.get(aResult);
			for (byte i = 0; i < aRecipe.length; i++) {
				if (aRecipe[i] instanceof IItemContainer)
					aRecipe[i] = ((IItemContainer)aRecipe[i]).get(1);
				else if (aRecipe[i] instanceof Enum)
					aRecipe[i] = ((Enum)aRecipe[i]).name();
				else if (!(aRecipe[i] == null || aRecipe[i] instanceof ItemStack || aRecipe[i] instanceof String || aRecipe[i] instanceof Character))
					aRecipe[i] = aRecipe[i].toString();
			}
			try {
				ItemStack[] tRecipe = new ItemStack[9];
				int i = 0;
				for (Object tObject : aRecipe) {
					if (tObject == null) {
						if (D1) ERR.println("WARNING: Missing Item for shapeless Recipe: " + (aResult==null?"null":aResult.getDisplayName()));
						for (Object tContent : aRecipe) ERR.println(tContent);
						return F;
					}
					if (tObject instanceof ItemStack) {
						tRecipe[i] = (ItemStack)tObject;
					} else if (tObject instanceof String) {
						tRecipe[i] = OreDictManager.INSTANCE.getFirstOre(tObject, 1);
						if (tRecipe[i] == null) break;
					} else if (tObject instanceof Boolean) {
						//
					} else {
						throw new IllegalArgumentException();
					}
					i++;
				}
				remove(tRecipe);
			} catch(Throwable e) {e.printStackTrace(ERR);}
			
			if (aResult == null || aResult.stackSize <= 0) return F;
			
			if (aRemoveAllOthersWithSameOutput || aRemoveAllOthersWithSameOutputIfTheyHaveSameNBT || aRemoveAllOtherShapedsWithSameOutput || aRemoveAllOtherNativeRecipes) remout(aResult, !aRemoveAllOthersWithSameOutputIfTheyHaveSameNBT, aRemoveAllOtherShapedsWithSameOutput, aRemoveAllOtherNativeRecipes, T);
			
			if (ST.meta(aResult) == W || ST.meta(aResult) < 0) ST.meta(aResult, 0);
			
			ST.update(aResult);
			
			if (sBufferCraftingRecipes && aBuffered)
				sBufferRecipeList.add(new AdvancedCraftingShapeless(ST.copy(aResult), aDismantleable, aRemovable, aKeepNBT, !aNotAutoCraftable, aEnchantmentsAdded, aEnchantmentLevelsAdded, aRecipe));
			else
				GameRegistry.addRecipe(new AdvancedCraftingShapeless(ST.copy(aResult), aDismantleable, aRemovable, aKeepNBT, !aNotAutoCraftable, aEnchantmentsAdded, aEnchantmentLevelsAdded, aRecipe));
			return T;
		}
		

		/**
		 * Checks all Crafting Handlers for Recipe Output
		 */
		public static ItemStack getany(World aWorld, ItemStack... aRecipe) {
			if (aRecipe == null || aRecipe.length == 0) return null;
			
			if (aWorld == null) aWorld = CS.DW;
			
			boolean temp = F;
			for (byte i = 0; i < aRecipe.length; i++) {
				if (aRecipe[i] != null) {
					temp = T;
					break;
				}
			}
			if (!temp) return null;
			InventoryCrafting aCrafting = new InventoryCrafting(new Container() {@Override public boolean canInteractWith(EntityPlayer var1) {return F;}}, 3, 3);
			for (int i = 0; i < 9 && i < aRecipe.length; i++) aCrafting.setInventorySlotContents(i, aRecipe[i]);
			List<IRecipe> tList = CraftingManager.getInstance().getRecipeList();
			synchronized(sAllRecipeList) {
				if (sAllRecipeList.size() != tList.size()) {
					sAllRecipeList.clear();
					sAllRecipeList.addAll(tList);
				}
				for (int i = 0, j = sAllRecipeList.size(); i < j; i++) {
					IRecipe tRecipe = sAllRecipeList.get(i);
					if (tRecipe.matches(aCrafting, aWorld)) {
						if (i > 10) {
							sAllRecipeList.remove(i);
							sAllRecipeList.add(i-10, tRecipe);
						}
						return tRecipe.getCraftingResult(aCrafting);
					}
				}
			}
			
			int tIndex = 0;
			ItemStack tStack1 = null, tStack2 = null;
			for (int i = 0, j = aCrafting.getSizeInventory(); i < j; i++) {
				ItemStack tStack = aCrafting.getStackInSlot(i);
				if (tStack != null) {
					if (tIndex == 0) tStack1 = tStack;
					if (tIndex == 1) tStack2 = tStack;
					tIndex++;
				}
			}
			
			if (tIndex == 2) {
				assert tStack1 != null && tStack2 != null;
				if (tStack1.getItem() == tStack2.getItem() && tStack1.getItem().isRepairable()) {
					int tNewDamage = ST.meta(tStack1)+ST.meta(tStack2)+(tStack1.getMaxDamage()/-20)-tStack1.getMaxDamage();
					return ST.make(tStack1.getItem(), 1, tNewDamage<0?0:tNewDamage);
				}
			}
			
			return null;
		}
		
		/** Gives you a copy of the Output from a Crafting Recipe. Used for Recipe Detection. */
		public static ItemStack get(ItemStack... aRecipe) {return get(F, aRecipe);}
		/** Gives you a copy of the Output from a Crafting Recipe. Used for Recipe Detection. */
		public static ItemStack get(boolean aUncopiedStack, ItemStack... aRecipe) {
			if (aRecipe == null) return null;
			boolean temp = F;
			for (byte i = 0; i < aRecipe.length; i++) {
				if (aRecipe[i] != null) {
					temp = T;
					break;
				}
			}
			if (!temp) return null;
			InventoryCrafting aCrafting = new InventoryCrafting(new Container() {@Override public boolean canInteractWith(EntityPlayer var1) {return F;}}, 3, 3);
			for (int i = 0; i < 9 && i < aRecipe.length; i++) aCrafting.setInventorySlotContents(i, aRecipe[i]);
			ArrayList<IRecipe> tList = (ArrayList<IRecipe>)CraftingManager.getInstance().getRecipeList();
			for (int i = 0; i < tList.size(); i++) {temp = F;
				try {
					temp = tList.get(i).matches(aCrafting, CS.DW);
				} catch(Throwable e) {e.printStackTrace(ERR);}
				if (temp) {
					ItemStack tOutput = aUncopiedStack?tList.get(i).getRecipeOutput():tList.get(i).getCraftingResult(aCrafting);
					if (tOutput == null || tOutput.stackSize <= 0) {
						// Seriously, who would ever do that shit?
						if (Abstract_Mod.sFinalized < Abstract_Mod.sModCountUsingGTAPI) throw new IllegalArgumentException("Seems another Mod added a Crafting Recipe with null Output. Tell the Developer of said Mod to fix that. Recipe Contents: " + ST.names(aRecipe));
					} else {
						if (aUncopiedStack) return tOutput;
						return ST.copy(tOutput);
					}
				}
			}
			return null;
		}
		
		/** Gives you a list of the Outputs from a Crafting Recipe. If you have multiple Mods, which add Bronze Armor for example */
		public static ArrayList<ItemStack> outputs(ItemStack... aRecipe) {return outputs(CraftingManager.getInstance().getRecipeList(), F, aRecipe);}
		/** Gives you a list of the Outputs from a Crafting Recipe. If you have multiple Mods, which add Bronze Armor for example */
		public static ArrayList<ItemStack> outputs(List<IRecipe> aList, boolean aDeleteFromList, ItemStack... aRecipe) {
			ArrayList<ItemStack> rList = new ArrayListNoNulls<ItemStack>();
			if (aList == null || aRecipe == null) return rList;
			boolean temp = F;
			for (byte i = 0; i < aRecipe.length; i++) {
				if (aRecipe[i] != null) {
					temp = T;
					break;
				}
			}
			if (!temp) return rList;
			InventoryCrafting aCrafting = new InventoryCrafting(new Container() {@Override
			public boolean canInteractWith(EntityPlayer var1) {return F;}}, 3, 3);
			for (int i = 0; i < 9 && i < aRecipe.length; i++) aCrafting.setInventorySlotContents(i, aRecipe[i]);
			for (int i = 0; i < aList.size(); i++) {
				temp = F;
				try {
					temp = aList.get(i).matches(aCrafting, CS.DW);
				} catch(Throwable e) {e.printStackTrace(ERR);}
				if (temp) {
					ItemStack tOutput = aList.get(i).getCraftingResult(aCrafting);
					if (tOutput == null || tOutput.stackSize <= 0) {
						// Seriously, who would ever do that shit?
						if (Abstract_Mod.sFinalized < Abstract_Mod.sModCountUsingGTAPI) throw new IllegalArgumentException("Seems another Mod added a Crafting Recipe with null Output. Tell the Developer of said Mod to fix that. Recipe Contents: " + ST.names(aRecipe));
					} else {
						rList.add(ST.copy(tOutput));
						if (aDeleteFromList) aList.remove(i--);
					}
				}
			}
			return rList;
		}
		
		/**
		 * Removes a Crafting Recipe.
		 * @param aOutput The output of the Recipe.
		 * @return if it has removed at least one Recipe.
		 */
		public static boolean remout(ItemStack aOutput, boolean aIgnoreNBT, boolean aNotRemoveShapelessRecipes, boolean aOnlyRemoveNativeHandlers, boolean aDontRemoveDyeingRecipes) {
			if (ST.invalid(aOutput)) return F;
			boolean rReturn = F;
			ArrayList<IRecipe> tList = (ArrayList<IRecipe>)CraftingManager.getInstance().getRecipeList();
			aOutput = OM.get_(aOutput);
			for (int i = 0; i < tList.size(); i++) {
				IRecipe tRecipe = tList.get(i);
				if (aNotRemoveShapelessRecipes && (tRecipe instanceof ShapelessRecipes || tRecipe instanceof ShapelessOreRecipe)) continue;
				if (aOnlyRemoveNativeHandlers) {
					if (!sNativeRecipeClasses.contains(tRecipe.getClass().getName())) continue;
				} else {
					if (sSpecialRecipeClasses.contains(tRecipe.getClass().getName())) continue;
				}
				if (tRecipe instanceof ICraftingRecipeGT && !((ICraftingRecipeGT)tRecipe).isRemovableByGT()) continue;
				if (!ST.equal(OM.get(tRecipe.getRecipeOutput()), aOutput, aIgnoreNBT)) continue;
				if (aDontRemoveDyeingRecipes) {
					if (tRecipe instanceof ShapedOreRecipe		) {boolean temp = F; for (Object tObject : ((ShapedOreRecipe	)tRecipe).getInput()) if (OREDICT_DYE_LISTS.contains(tObject)) {temp = T; break;} if (temp) continue;}
					if (tRecipe instanceof ShapelessOreRecipe	) {boolean temp = F; for (Object tObject : ((ShapelessOreRecipe	)tRecipe).getInput()) if (OREDICT_DYE_LISTS.contains(tObject)) {temp = T; break;} if (temp) continue;}
				}
				tList.remove(i--);
				rReturn = T;
			}
			return rReturn;
		}
		
		/**
		 * Removes a Crafting Recipe.
		 * @param aOutput The output of the Recipe.
		 * @return if it has removed at least one Recipe.
		 */
		public static boolean remout(ItemStack aOutput) {return remout(aOutput, T, F, F, F);}
		
		/**
		 * Removes a Crafting Recipe.
		 * @param aOutput The output of the Recipe.
		 * @return if it has removed at least one Recipe.
		 */
		public static boolean remout(ModData aMod, String... aNames) {for (String aName : aNames) remout(aMod, aName, W); return aMod.mLoaded;}
		
		/**
		 * Removes a Crafting Recipe.
		 * @param aOutput The output of the Recipe.
		 * @return if it has removed at least one Recipe.
		 */
		public static boolean remout(ModData aMod, String aName, int aMetaData) {return remout(ST.make(aMod, aName, 1, aMetaData));}
		
		/**
		 * Removes a Crafting Recipe and gives you the former output of it.
		 * @param aRecipe The content of the Crafting Grid as ItemStackArray with length 9
		 * @return the output of the old Recipe or null if there was nothing.
		 */
		public static ItemStack remove(ItemStack... aRecipe) {
			if (aRecipe == null) return null;
			boolean temp = F;
			for (byte i = 0; i < aRecipe.length; i++) {
				if (aRecipe[i] != null) {
					temp = T;
					break;
				}
			}
			if (!temp) return null;
			ItemStack rReturn = null, tReturn = null;
			InventoryCrafting aCrafting = new InventoryCrafting(new Container() {@Override public boolean canInteractWith(EntityPlayer var1) {return F;}}, 3, 3);
			for (int i = 0; i < aRecipe.length && i < 9; i++) aCrafting.setInventorySlotContents(i, aRecipe[i]);
			ArrayList<IRecipe> tList = (ArrayList<IRecipe>)CraftingManager.getInstance().getRecipeList();
			for (int i = 0; i < tList.size(); i++) {try {for (; i < tList.size(); i++) {
				if ((!(tList.get(i) instanceof ICraftingRecipeGT) || ((ICraftingRecipeGT)tList.get(i)).isRemovableByGT()) && tList.get(i).matches(aCrafting, CS.DW)) {
					tReturn = tList.get(i).getCraftingResult(aCrafting);
					if (tReturn != null) {
						rReturn = tReturn;
						tList.remove(i--);
					}
				}
			}} catch(Throwable e) {e.printStackTrace(ERR);}}
			return rReturn;
		}
	}
	
	public static synchronized boolean removeSimpleIC2MachineRecipe(ItemStack aInput, Map aRecipeList, ItemStack aOutput) {
		if (!MD.IC2.mLoaded || (ST.invalid(aInput) && ST.invalid(aOutput)) || aRecipeList == null || aRecipeList.isEmpty()) return F;
		boolean rReturn = F;
		Iterator<Map.Entry<IRecipeInput, RecipeOutput>> tIterator = aRecipeList.entrySet().iterator();
		aOutput = OM.get_(aOutput);
		while (tIterator.hasNext()) {
			Map.Entry<IRecipeInput, RecipeOutput> tEntry = tIterator.next();
			if (aInput == null || tEntry.getKey().matches(aInput)) {
				List<ItemStack> tList = tEntry.getValue().items;
				if (tList != null) for (ItemStack tOutput : tList) if (ST.invalid(aOutput) || ST.equal(OM.get(tOutput), aOutput)) {
					tIterator.remove();
					rReturn = T;
					break;
				}
			}
		}
		return rReturn;
	}
	
	public static boolean addSimpleIC2MachineRecipe(IMachineRecipeManager aRecipeManager, ItemStack aInput, NBTTagCompound aNBT, Object... aOutput) {
		if (!MD.IC2.mLoaded || ST.invalid(aInput) || aOutput == null || aRecipeManager == null) return F;
		aOutput = Code.getWithoutNulls(aOutput).toArray(ZL_OBJECT);
		if (aOutput.length == 0) return F;
		OreDictItemData tOreName = OM.association_(aInput);
		if (aRecipeManager instanceof IMachineRecipeManagerExt) {
			if (tOreName != null) {
				((IMachineRecipeManagerExt)aRecipeManager).addRecipe((IRecipeInput)GT_API.sCompatIC2.makeInput(tOreName.toString(), aInput.stackSize), aNBT, T, OreDictManager.INSTANCE.getStackArray(T, aOutput));
			} else {
				((IMachineRecipeManagerExt)aRecipeManager).addRecipe((IRecipeInput)GT_API.sCompatIC2.makeInput(aInput), aNBT, T, OreDictManager.INSTANCE.getStackArray(T, aOutput));
			}
		} else {try {
			if (tOreName != null) {
				aRecipeManager.addRecipe((IRecipeInput)GT_API.sCompatIC2.makeInput(tOreName.toString(), aInput.stackSize), aNBT, OreDictManager.INSTANCE.getStackArray(T, aOutput));
			} else {
				aRecipeManager.addRecipe((IRecipeInput)GT_API.sCompatIC2.makeInput(aInput), aNBT, OreDictManager.INSTANCE.getStackArray(T, aOutput));
			}
		} catch(Throwable e) {/**/}}
		return T;
	}
	
	public static boolean addSimpleIC2MachineRecipe(ItemStack aInput, Map aRecipeList, NBTTagCompound aNBT, Object... aOutput) {
		if (!MD.IC2.mLoaded || ST.invalid(aInput) || aOutput.length == 0 || aRecipeList == null) return F;
		OreDictItemData tOreName = OM.association_(aInput);
		if (tOreName != null) {
			aRecipeList.put(GT_API.sCompatIC2.makeInput(tOreName.toString(), aInput.stackSize), GT_API.sCompatIC2.makeOutput(aNBT, OreDictManager.INSTANCE.getStackArray(T, aOutput)));
		} else {
			aRecipeList.put(GT_API.sCompatIC2.makeInput(aInput), GT_API.sCompatIC2.makeOutput(aNBT, OreDictManager.INSTANCE.getStackArray(T, aOutput)));
		}
		return T;
	}
	
	/**
	 * Yes, I have read all those warning that it might break. But I don't expect any further development on this Function by Forge during 1.7.10.
	 * 
	 * That said, I've put a try/catch around this Stuff in case of random Errors.
	 */
	public static class LoadingBar {
		public static boolean mEnabled = T;
		public static Object mBar = null;
		public static int mSize = 0, mCount = 0;
		
		@SuppressWarnings("deprecation")
		public static boolean start(String aName, int aSize) {
			if (mBar == null && mEnabled) {
				try {
					mBar = cpw.mods.fml.common.ProgressManager.push(aName, aSize);
					mSize = aSize;
					mCount = 0;
					return T;
				} catch(NoClassDefFoundError e) {
					mEnabled = F;
				} catch(Throwable e) {/**/}
			}
			return F;
		}
		
		@SuppressWarnings("deprecation")
		public static boolean step(Object aStep) {
			if (mBar != null && mEnabled) {
				if (mCount++ < mSize) {
					try {
						String tStepName = (aStep == null ? "null" : aStep.toString());
						((cpw.mods.fml.common.ProgressManager.ProgressBar)mBar).step(tStepName);
						return T;
					} catch(NoClassDefFoundError e) {
						mEnabled = F;
					} catch(Throwable e) {/**/}
					return F;
				}
				ERR.println("WARNING: Progress Bar needed forced Finish, because of too many Steps.");
				finish();
				return F;
			}
			return F;
		}
		
		@SuppressWarnings("deprecation")
		public static boolean finish() {
			if (mBar != null && mEnabled) {
				if (mCount != mSize) ERR.println("WARNING: Progress Bar needed forced Finish, because of too few Steps.");
				try {
					cpw.mods.fml.common.ProgressManager.pop((cpw.mods.fml.common.ProgressManager.ProgressBar)mBar);
					mBar = null;
					mSize = 0;
					mCount = 0;
					return T;
				} catch(NoClassDefFoundError e) {
					mEnabled = F;
				} catch(Throwable e) {/**/}
				mBar = null;
				mSize = 0;
				mCount = 0;
				return F;
			}
			return F;
		}
	}
}